 
 
;
; ===========================================================================
; Boulder Dash 1
; Reassembled and dtv enhanced by peiselulli
; ===========================================================================
;

;$2400 : actual	level
;$4000 : big screen (4 Kilobyte)
;$9e00 : code for displaying window from $4000
;$9800 : variables
;$3000 : charset
;$0800 : logical screen	of objects
;$e6 : relative position x of rockford
;$e5 : relative position y of rockford
;$44 : absolute x position of rockford
;$45 : absolute y position of rockford
;$ce : = 0 ->in game; = 1 -> menu
;$5c : number of lifes
;$5e : level
;$5d : cave
;$a6 : 0 : normal level 1: bonuslevel
;$a4 : number of joysticks

ORIGINAL = 0

!if ORIGINAL = 1 {

BIG_SCREEN = $4000 ; original $4000
CODE_COPY = $9e00 ; original $9e00
VARIABLES = $9800 ; original $9800
ACTUAL_LEVEL = $2400 ; original $2400
ACTUAL_LEVEL_OFFSET = 0
} else {

BIG_SCREEN = $1000 ; original $4000
CODE_COPY = $0600 ; original $9e00
VARIABLES = $0340 ; original $9800
ACTUAL_LEVEL = $0200 ; original $2400
charset_for_tab = $0400
ACTUAL_LEVEL_OFFSET = 5
NUMBER_OF_GAMES = 18
dtv_flag = $f8
help = $f9
!MACRO sac .v {
    !BYTE $32,.v
}

;------------------------------------------

!MACRO sir .v {
    !byte $42,.v
}

;------------------------------------------


;------------------------------------------

!MACRO bra .v {
    !byte $12, (.v - 2) - *
}

!MACRO align4 {
    !if (* & 03) <> 0 {
    nop
    }
    !if (* & 03) <> 0 {
    nop
    }
    !if (* & 03) <> 0 {
    nop
    }
}

blt_a_low = $d320
blt_a_mid = $d321
blt_a_high = $d322
blt_a_mod_low = $d323
blt_a_mod_mid = $d324
blt_a_llength_low = $d325
blt_a_llength_mid = $d326
blt_a_frac_step = $d327

blt_b_low = $d328
blt_b_mid = $d329
blt_b_high = $d32a
blt_b_mod_low = $d32b
blt_b_mod_mid = $d32c
blt_b_llength_low = $d32d
blt_b_llength_mid = $d32e
blt_b_frac_step = $d32f

blt_d_low = $d330
blt_d_mid = $d331
blt_d_high = $d332
blt_d_mod_low = $d333
blt_d_mod_mid = $d334
blt_d_llength_low = $d335
blt_d_llength_mid = $d336
blt_d_frac_step = $d337

blt_length_low = $d338
blt_length_mid = $d339
blt_ctrl_0 = $d33a
      ;Bit 0 : Force Start when set
      ;Bit 1 : Source A Direction (positive when set)
      ;Bit 2 : Source B Direction (positive when set)
      ;Bit 3 : Destination Direction (positive when set)
      ;Bit 4 : VIC IRQ Start when set
      ;Bit 5 : CIA IRQ Start when set ($dcxx CIA)
      ;Bit 6 : VBlank Start when set
      ;Bit 7 : Blitter IRQ enable when set
blt_ctrl_1 = $d33b
      ;Bit 0 : Disable Channel B (data from b = %00000000)
      ;Bit 1 : Write Transparent Data (write if data from a == %00000000)
      ;Bit 2 : Write non Transparent Data (write if data from a != %00000000)

blt_shift = $d33e
      ;Bit [2:0] Source A right Shift
      ;          000 Source A Data
      ;          001 Last A[0], Source A[7:1]
      ;             ...
      ;          111 Last A[6:0], Source A[7]
      ;Bit [5:3] Minterms
      ;          000 AND
      ;          001 NAND
      ;          010 NOR
      ;          011 OR
      ;          100 XOR
      ;          101 XNOR
      ;          110 a+b
      ;          111 a-b

blt_status = $d33f
      ;Write:
      ; Bit 0 : Clear Blitter IRQ
      ; Bit 1 : Source A continue
      ; Bit 2 : Source B continue
      ; Bit 3 : Destination continue
      ;Read:
      ; Bit 0 : Blitter busy
      ; Bit 1 : IRQ occurred

}

; ===========================================================================

!if ORIGINAL = 1 {
		* =  $4ffd ; original $5000
} else {
        * = $37bd
}
        jmp start
charset:	!BYTE 0, 0, 0, 0, 0, 0,	0, 0, $55, $55,	$55, $55, $55 ;	DATA XREF: ROM:7F40
					; ROM:7F46 !!!
		!BYTE $55, $55,	$55, $AA, $AA, $AA, $AA, $AA, $AA, $AA
		!BYTE $AA, $FF,	$FF, $FF, $FF, $FF, $FF, $FF, $FF, $18
		!BYTE $3E, $60,	$3C, 6,	$7C, $18, 0, 0,	$66, $6C, $18
		!BYTE $30, $66,	$46, 0,	0, $C0,	$F0, $FC, $FF, $FF, $FF
		!BYTE $FF, $FF,	$FF, $FF, $FF, $FF, $FC, $F0, $C0, $6F
		!BYTE $6F, $6F,	$6F, $6F, $6F, $6F, $6F, 0, $C0, $F0, $FC
		!BYTE $FF, $FF,	$FF, $FF, $FF, $FF, $FF, $FF, $FF, $FC
		!BYTE $F0, $C0,	$7A, $6A, $1A, $AA, $A7, $A6, $A1, $AA
		!BYTE 0, 0, 0, 0, 0, 3,	3, $F, 0, 0, 0,	0, 0, 3, 3, $F
		!BYTE 0, $3F, $F, 0, 0,	0, $FF,	$FF, 0,	0, 0, 0, 3, $F
		!BYTE $3C, $F0,	0, $3F,	$FC, $FC, $FC, $FC, $FF, $3F, 0
		!BYTE 3, $F, $F, 3, 3, $3F, $3F, 0, $3F, $F0, 3, $F, $3F
		!BYTE $FF, $FF,	0, $3F,	0, 3, 0, $FC, $FF, $3F,	0, $F0
		!BYTE $F0, $F3,	$FF, 3,	3, 3, 0, $FF, $FC, $FF,	0, $FC
		!BYTE $FF, $3F,	0, $3F,	$FC, $FF, $FC, $FC, $FF, $3F, 0
		!BYTE $FF, $C0,	3, $F, $3F, $FC, $FC, 0, $3F, $FC, $3F
		!BYTE $FC, $FC,	$FF, $3F, 0, $3F, $FC, $FC, $3F, 3, $F
		!BYTE $3F, 0, 0, 3, 3, 0, 3, 3,	0, 0, 0, 3, 3, 0, 3, 3
		!BYTE $F, $FF, 0, $FF, 0, $FF, 0, $FF, 0, $6F, $6A, $6A
		!BYTE $6E, $6E,	$6E, $6E, $6F, $FF, $BB, $BA, $FA, $FB
		!BYTE $FB, $FB,	$FF, $FF, $FB, $EB, $AB, $BB, $FB, $FB
		!BYTE $FF
charset_100:	!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, $F, $3F, $FC, $FC, $FF
					; DATA XREF: copy_init_gfx+8
		!BYTE $FC, $FC,	0, $FF,	$FC, $FF, $FC, $FC, $FF, $FF, 0
		!BYTE $3F, $FC,	$FC, $FC, $FC, $FF, $3F, 0, $FF, $FC, $FC
		!BYTE $FC, $FC,	$FF, $FF, 0, $FF, $FC, $FF, $FC, $FC, $FF
		!BYTE $FF, 0, $FF, $FC,	$FF, $FC, $FC, $FC, $FC, 0, $3F
		!BYTE $FC, $FC,	$FC, $FC, $FF, $3F, 0, $FC, $FC, $FF, $FC
		!BYTE $FC, $FC,	$FC, 0,	$3F, $F, $F, $F, $F, $3F, $3F
		!BYTE 0, 0, 0, 0, 0, $FC, $3F, $F, 0, $FC, $FC,	$FF, $FF
		!BYTE $FC, $FC,	$FC, 0,	$FC, $FC, $FC, $FC, $FC, $FF, $FF
		!BYTE 0, $F0, $FC, $FF,	$F3, $F0, $F0, $F0, 0, $FC, $FF
		!BYTE $FF, $FF,	$FF, $FC, $FC, 0, $3F, $F0, $F0, $F0, $F0
		!BYTE $FF, $3F,	0, $FF,	$FC, $FC, $FF, $FF, $FC, $FC, 0
		!BYTE $F, $FC, $FC, $FC, $FC, $3F, $F, 0, $FF, $FC, $FC
		!BYTE $FF, $FF,	$FC, $FC, 0, $3F, $FC, $3F, 0, 0, $FF
		!BYTE $FF, 0, $FF, $F, $F, $F, $F, $F, $F, 0, $FC, $FC
		!BYTE $FC, $FC,	$FC, $FF, $FF, 0, $FC, $FC, $FC, $FC, $FF
		!BYTE $3F, $F, 0, $F0, $F0, $F3, $FF, $FF, $FC,	$F0, 0
		!BYTE $FC, $FC,	$F, $F,	$FC, $FC, $FC, 0, $F0, $F0, $3F
		!BYTE $F, $F, $F, $F, 0, $FF, 3, $F, $3F, $FC, $FF, $FF
		!BYTE 0, 0, 3, 3, 3, 3,	3, 0, 0, 3, $C,	$3F, $C0, $3F
		!BYTE $C, 3, 0,	$F, 3, 3, 3, 3,	3, $F, 0, $C, $F, $33
		!BYTE $33, $F, 3, $F, 0, 0, 0, 0, 0, 0,	$FF, 0
charset_200:	!BYTE 0, 0, 0, 0, 0, $C0, $C0, 0, 0, 0,	0, 0, 0, $C0, $C0
					; DATA XREF: copy_init_gfx+E
		!BYTE 0, $3F, $FF, $FF,	$3F, $3F, $3F, $FF, $FF, 0, $C
		!BYTE $3C, $F0,	$C0, 0,	0, 0, 0, $F0, $3C, $3C,	$3C, $3C
		!BYTE $FC, $F0,	0, $C0,	$C0, $C0, $C0, $C0, $FC, $FC, 0
		!BYTE $F0, $FC,	$F0, $C0, 0, $FC, $FC, 0, $FC, $F0, $C0
		!BYTE $F0, $3C,	$FC, $F0, 0, 0,	0, $F0,	$FC, $F0, $F0
		!BYTE $F0, 0, $FC, 0, $F0, $3C,	$3C, $FC, $F0, 0, $F0
		!BYTE 0, $F0, $3C, $3C,	$FC, $F0, 0, $FC, $FC, $F0, $C0
		!BYTE 0, 0, 0, 0, $F0, $3C, $F0, $3C, $3C, $FC,	$F0, 0
		!BYTE $F0, $3C,	$3C, $FC, $F0, $C0, 0, 0, 0, $C0, $C0
		!BYTE 0, $C0, $C0, 0, 0, 0, $C0, $C0, 0, $C0, $C0, 0, $FF
		!BYTE 0, $FF, 0, $FF, 0, $FF, 0, $FF, $CC, $CC,	$FC, $FC
		!BYTE $FC, $FC,	$FF, $FF, $CF, $CC, $CC, $CF, $CF, $CF
		!BYTE $FF, $FF,	$CF, $CF, $CF, $CF, $CF, $CF, $FF, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, $C0,	$F0, $3C, $3C, $FC, $3C
		!BYTE $3C, 0, $F0, $3C,	$F0, $3C, $3C, $FC, $F0, 0, $F0
		!BYTE $3C, 0, 0, $3C, $FC, $F0,	0, $C0,	$F0, $3C, $3C
		!BYTE $F0, $F0,	$C0, 0,	$FC, 0,	$F0, 0,	0, $FC,	$FC, 0
		!BYTE $FC, 0, $F0, 0, 0, 0, 0, 0, $FC, 0, 0, $FC, $3C
		!BYTE $FC, $FC,	0, $3C,	$3C, $FC, $3C, $3C, $3C, $3C, 0
		!BYTE $F0, $C0,	$C0, $C0, $C0, $F0, $F0, 0, $3C, $3C, $3C
		!BYTE $3C, $3C,	$FC, $F0, 0, $3C, $F0, $C0, $C0, $F0, $3C
		!BYTE $3C
charset_300:	!BYTE 0, 0, 0, 0, 0, 0,	$FC, $FC, 0, $3C, $FC, $FC, $3C
					; DATA XREF: copy_init_gfx+14
		!BYTE $3C, $3C,	$3C, 0,	$3C, $3C, $FC, $FC, $FC, $FC, $3C
		!BYTE 0, $F0, $3C, $3C,	$3C, $3C, $FC, $F0, 0, $F0, $3C
		!BYTE $3C, $FC,	$F0, 0,	0, 0, $F0, $3C,	$3C, $3C, $F0
		!BYTE $FC, $3C,	0, $F0,	$3C, $3C, $F0, $F0, $3C, $3C, 0
		!BYTE $F0, 0, $F0, $3C,	$3C, $FC, $F0, 0, $FC, $C0, $C0
		!BYTE $C0, $C0,	$C0, $C0, 0, $3C, $3C, $3C, $3C, $3C, $FC
		!BYTE $FC, 0, $3C, $3C,	$3C, $3C, $FC, $F0, $C0, 0, $3C
		!BYTE $3C, $3C,	$FC, $FC, $FC, $3C, 0, $3C, $3C, $F0, $F0
		!BYTE $3C, $3C,	$3C, 0,	$3C, $3C, $F0, $C0, $C0, $C0, $C0
		!BYTE 0, $FC, $F0, $C0,	0, 0, $FC, $FC,	0, $F0,	$C0, $C0
		!BYTE $C0, $C0,	$C0, $F0, 0, 0,	$C0, $F0, $C, $F0, $C0
		!BYTE 0, 0, 0, $C0, $C0, $C0, $C0, $C0,	0, 0, $30, $F0
		!BYTE $CC, $CC,	$F0, $C0, $F0, 0, 0, 0,	0, 0, 0, $FF, 0
		!BYTE 0, 0, $3C, $F, $FF, $F, $3C, 0, 0, 0, $3C, $F0, $FF
		!BYTE $F0, $3C,	0
unk_53B0:	!BYTE	0 ;		; DATA XREF: sub_7033+6
word_53B1:	!WORD $FF5E		; DATA XREF: sub_7033+E sub_7033+15
		!BYTE 1
		!WORD $FF60
		!BYTE 2
		!WORD $FF62
		!BYTE $28
		!WORD $FFFE
		!BYTE $27
		!WORD $FFFC
		!BYTE $29
		!WORD 0
		!BYTE $2A
		!WORD 2
		!BYTE $2B
		!WORD 4
		!BYTE $50
		!WORD $9E
		!BYTE $51
		!WORD $A0
		!BYTE $52
		!WORD $A2
		!BYTE $78
		!WORD $13E
		!BYTE $79
		!WORD $140
		!BYTE $7A
		!WORD $142
big_screen_line_addresses:
        !WORD BIG_SCREEN + $0003	; DATA XREF: set_object+C sub_76C1+8 !!!
		!WORD BIG_SCREEN + $00A3
		!WORD BIG_SCREEN + $0143
		!WORD BIG_SCREEN + $01E3
		!WORD BIG_SCREEN + $0283
		!WORD BIG_SCREEN + $0323
		!WORD BIG_SCREEN + $03C3
		!WORD BIG_SCREEN + $0463
		!WORD BIG_SCREEN + $0503
		!WORD BIG_SCREEN + $05A3
		!WORD BIG_SCREEN + $0643
		!WORD BIG_SCREEN + $06E3
		!WORD BIG_SCREEN + $0783
		!WORD BIG_SCREEN + $0823
		!WORD BIG_SCREEN + $08C3
		!WORD BIG_SCREEN + $0963
		!WORD BIG_SCREEN + $0A03
		!WORD BIG_SCREEN + $0AA3
		!WORD BIG_SCREEN + $0B43
		!WORD BIG_SCREEN + $0BE3
		!WORD BIG_SCREEN + $0C83
		!WORD BIG_SCREEN + $0D23
        
byte_5406:	!BYTE $FF, $FF,	$BF, $2F, $2F, $2F, $BF, $FF ; DATA XREF: char_anim+31
byte_540E:	!BYTE $BF, $FF,	$FF, $FE, $FE, $FE, $FF, $FF, $FF, $FF
					; DATA XREF: char_anim+37
		!BYTE $BF, $2F,	$2F, $2F, $BF, $FF, $BF, $FF, $FF, $FE
		!BYTE $FE, $FE,	$FF, $FF, $FE, $FF, $FF, $BF, $2F, $BF
		!BYTE $FF, $FF,	$2F, $BF, $FE, $F8, $E8, $F8, $FE, $FF
		!BYTE $FE, $FF,	$FF, $BF, $2F, $BF, $FF, $FF, $2F, $BF
		!BYTE $FE, $F8,	$E8, $F8, $FE, $FF, $F8, $FE, $FF, $FF
		!BYTE $BF, $FF,	$FF, $FF, $B, $2F, $BF,	$FE, $F8, $FE
		!BYTE $FF, $FF,	$F8, $FE, $FF, $FF, $BF, $FF, $FF, $FF
		!BYTE $B, $2F, $BF, $FE, $F8, $FE, $FF,	$FF, $FE, $FF
		!BYTE $FF, $BF,	$2F, $BF, $FF, $FF, $2F, $BF, $FF, $FF
		!BYTE $FE, $FF,	$FF, $FF, $FE, $FF, $FF, $BF, $2F, $BF
		!BYTE $FF, $FF,	$2F, $BF, $FF, $FF, $FE, $FF, $FF, $FF
byte_5486:	!BYTE $FF, $BF,	$2F, $2F, $2F, $BF, $FF, $FF ; DATA XREF: char_anim+3D
byte_548E:	!BYTE $FF, $FE,	$F8, $F8, $F8, $FE, $FF, $FF, $FF, $BF
					; DATA XREF: char_anim+43
		!BYTE $2F, $2F,	$2F, $BF, $FF, $FF, $FF, $FE, $F8, $F8
		!BYTE $F8, $FE,	$FF, $FF, $FF, $FF, $BF, $2F, $BF, $FF
		!BYTE $FF, $FE,	$FF, $FF, $FE, $F8, $FE, $FF, $BF, $2F
		!BYTE $FF, $FF,	$BF, $2F, $BF, $FF, $FF, $FE, $FF, $FF
		!BYTE $FE, $F8,	$FE, $FF, $BF, $2F, $FF, $FF, $FF, $FF
		!BYTE $FF, $FF,	$FE, $F8, $FF, $FF, $FF, $FF, $FF, $BF
		!BYTE $2F, $B, $FF, $FF, $FF, $FF, $FF,	$FF, $FE, $F8
		!BYTE $FF, $FF,	$FF, $FF, $FF, $BF, $2F, $B, $FF, $FF
		!BYTE $AF, $2F,	$AF, $FF, $FF, $FE, $FF, $FF, $FE, $F8
		!BYTE $FE, $FF,	$BF, $2F, $FF, $FF, $AF, $2F, $AF, $FF
		!BYTE $FF, $FE,	$FF, $FF, $FE, $F8, $FE, $FF, $BF, $2F
byte_5506:	!BYTE $AA, $AA,	$80, $80, $8A, $8A, $8B, $8B ; DATA XREF: char_anim+6D
byte_550E:	!BYTE $AA, $AA,	2, 2, $A2, $A2,	$E2, $E2, $AA, $AA, $80
					; DATA XREF: char_anim+73
		!BYTE $80, $8A,	$8A, $8B, $8B, $AA, $AA, 2, 2, $A2, $A2
		!BYTE $E2, $E2,	0, 0, $2A, $2A,	$2F, $2F, $2E, $2E, 0
		!BYTE 0, $A8, $A8, $F8,	$F8, $B8, $B8, 0, 0, $2A, $2A
		!BYTE $2F, $2F,	$2E, $2E, 0, 0,	$A8, $A8, $F8, $F8, $B8
		!BYTE $B8, $AA,	$AA, $BF, $BF, $BA, $BA, $B8, $B8, $AA
		!BYTE $AA, $FE,	$FE, $AE, $AE, $2E, $2E, $AA, $AA, $BF
		!BYTE $BF, $BA,	$BA, $B8, $B8, $AA, $AA, $FE, $FE, $AE
		!BYTE $AE, $2E,	$2E, $FF, $FF, $EA, $EA, $E0, $E0, $E2
		!BYTE $E2, $FF,	$FF, $AB, $AB, $B, $B, $8B, $8B, $FF, $FF
		!BYTE $EA, $EA,	$E0, $E0, $E2, $E2, $FF, $FF, $AB, $AB
		!BYTE $B, $B, $8B, $8B
byte_5586:	!BYTE $8B, $8B,	$8A, $8A, $80, $80, $AA, $AA ; DATA XREF: char_anim+79
byte_558E:	!BYTE $E2, $E2,	$A2, $A2, 2, 2,	$AA, $AA, $8B, $8B, $8A
					; DATA XREF: char_anim+7F
		!BYTE $8A, $80,	$80, $AA, $AA, $E2, $E2, $A2, $A2, 2, 2
		!BYTE $AA, $AA,	$2E, $2E, $2F, $2F, $2A, $2A, 0, 0, $B8
		!BYTE $B8, $F8,	$F8, $A8, $A8, 0, 0, $2E, $2E, $2F, $2F
		!BYTE $2A, $2A,	0, 0, $B8, $B8,	$F8, $F8, $A8, $A8, 0
		!BYTE 0, $B8, $B8, $BA,	$BA, $BF, $BF, $AA, $AA, $2E, $2E
		!BYTE $AE, $AE,	$FE, $FE, $AA, $AA, $B8, $B8, $BA, $BA
		!BYTE $BF, $BF,	$AA, $AA, $2E, $2E, $AE, $AE, $FE, $FE
		!BYTE $AA, $AA,	$E2, $E2, $E0, $E0, $EA, $EA, $FF, $FF
		!BYTE $8B, $8B,	$B, $B,	$AB, $AB, $FF, $FF, $E2, $E2, $E0
		!BYTE $E0, $EA,	$EA, $FF, $FF, $8B, $8B, $B, $B, $AB, $AB
		!BYTE $FF, $FF
diamant_charanim:!BYTE 2, 1, $B, 7, $2A, $15, $80, $40 ; DATA XREF: char_anim+11
diamant_charanim2:!BYTE	$C0, $80, $F0, $E0, $AC, $58, 3, 2, 2, 1, $B, 6
					; DATA XREF: char_anim+17
		!BYTE $25, $10,	$80, $55, $C0, $80, $F0, $A0, $5C, 8, 3
		!BYTE $56, 2, 1, $A, 5,	$20, $10, $95, $6A, $C0, $80, $B0
		!BYTE $60, $C, 8, $57, $AA, 2, 1, 9, 4,	$20, $15, $AA
		!BYTE $7F, $C0,	$80, $70, $20, $C, $58,	$AB, $FE, 2, 1
		!BYTE 8, 4, $25, $1A, $BF, $7F,	$C0, $80, $30, $20, $5C
		!BYTE $A8, $FF,	$FE, 2,	1, 8, 5, $2A, $1F, $BF,	$6A, $C0
		!BYTE $80, $30,	$60, $AC, $F8, $FF, $AA, 2, 1, 9, 6, $2F
		!BYTE $1F, $AA,	$55, $C0, $80, $70, $A0, $FC, $F8, $AB
		!BYTE $56, 2, 1, $A, 7,	$2F, $1A, $95, $40, $C0, $80, $B0
		!BYTE $E0, $FC,	$A8, $57, 2
diamant_charanim3:!BYTE	$95, $6A, $2F, $1F, $A,	5, 1, 1	; DATA XREF: char_anim+1D
diamant_charanim4:!BYTE	$57, $AA, $FC, $F8, $B0, $60, $80, $40,	$AA, $7F
					; DATA XREF: char_anim+23
		!BYTE $2F, $1A,	9, 4, 1, 1, $AB, $FE, $FC, $A8,	$70, $20
		!BYTE $80, $40,	$BF, $7F, $2A, $15, 8, 4, 1, 1,	$FF, $FE
		!BYTE $AC, $58,	$30, $20, $80, $40, $BF, $6A, $25, $10
		!BYTE 8, 5, 1, 1, $FF, $AA, $5C, 8, $30, $60, $80, $40
		!BYTE $AA, $55,	$20, $10, 9, 6,	1, 1, $AB, $56,	$C, 8
		!BYTE $70, $A0,	$80, $40, $95, $40, $20, $15, $A, 7, 1
		!BYTE 1, $57, 2, $C, $58, $B0, $E0, $80, $40, $80, $40
		!BYTE $25, $1A,	$B, 7, 1, 1, 3,	2, $5C,	$A8, $F0, $E0
		!BYTE $80, $40,	$80, $55, $2A, $1F, $B,	6, 1, 1, 3, $56
		!BYTE $AC, $F8,	$F0, $A0, $80, $40
byte_5706:	!BYTE $C0, $80,	$F0, $E0, $AC, $58, 3, 2 ; DATA	XREF: char_anim+4F
byte_570E:	!BYTE 2, 1, $B,	7, $2A,	$15, $80, $40, $C0, $80, $F0, $E0
					; DATA XREF: char_anim+55
		!BYTE $AC, $58,	3, 2, 2, 1, $B,	7, $2A,	$15, $80, $40
		!BYTE $30, $30,	$20, $20, $2C, $18, 3, 2, 8, 8,	4, 4, $28
		!BYTE $14, $80,	$40, $C, 8, $C,	8, 8, 4, 3, 2, $20, $10
		!BYTE $20, $10,	$20, $10, $80, $40, $C,	8, $C, 8, 8, 4
		!BYTE 3, 2, $20, $10, $20, $10,	$20, $10, $80, $40, $30
		!BYTE $30, $20,	$20, $2C, $18, 3, 2, 8,	8, 4, 4, $28, $14
		!BYTE $80, $40,	$C0, $80, $F0, $E0, $AC, $58, 3, 2, 2
		!BYTE 1, $B, 7,	$2A, $15, $80, $40, $C0, $80, $F0, $E0
		!BYTE $AC, $58,	3, 2, 2, 1, $B,	7, $2A,	$15, $80, $40
byte_5786:	!BYTE $57, $AA,	$FC, $F8, $B0, $60, $80, $40 ; DATA XREF: char_anim+5B
byte_578E:	!BYTE $95, $6A,	$2F, $1F, $A, 5, 1, 1, $57, $AA, $FC, $F8
					; DATA XREF: char_anim+61
		!BYTE $B0, $60,	$80, $40, $95, $6A, $2F, $1F, $A, 5, 1
		!BYTE 1, $17, $2A, $3C,	$38, $30, $20, $20, $10, $94, $68
		!BYTE $2C, $1C,	8, 4, 8, 4, 3, 2, 8, 4,	8, 4, 8, 4, $80
		!BYTE $40, $20,	$10, $20, $10, $20, $10, 3, 2, 8, 4, 8
		!BYTE 4, 8, 4, $80, $40, $20, $10, $20,	$10, $20, $10
		!BYTE $17, $2A,	$3C, $38, $30, $20, $20, $10, $94, $68
		!BYTE $2C, $1C,	8, 4, 8, 4, $57, $AA, $FC, $F8,	$B0, $60
		!BYTE $80, $40,	$95, $6A, $2F, $1F, $A,	5, 1, 1, $57, $AA
		!BYTE $FC, $F8,	$B0, $60, $80, $40, $95, $6A, $2F, $1F
		!BYTE $A, 5, 1,	1
        
!if ORIGINAL = 1 {

level_offsets:	
        !WORD cave1-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave2-caves
		!WORD cave3-caves
		!WORD cave4-caves
		!WORD cave5-caves
		!WORD cave6-caves
		!WORD cave7-caves
		!WORD cave8-caves
		!WORD cave9-caves
		!WORD cave10-caves
		!WORD cave11-caves
		!WORD cave12-caves
		!WORD cave13-caves
		!WORD cave14-caves
		!WORD cave15-caves
		!WORD cave16-caves
		!WORD cave17-caves
		!WORD cave18-caves
		!WORD cave19-caves
		!WORD cave20-caves
caves:
cave1:		!BYTE 1, $14, $A, $F, $A, $B, $C, $D, $E, $C, $C, $C, $C
					; DATA XREF: copy_level_to_abs+10
					; copy_level_to_abs+17
		!BYTE $C, $96, $6E, $46, $28, $1E, 8, $B, 9, $D4, $20
		!BYTE 0, $10, $14, 0, $3C, $32,	9, 0, $42, 1, 9, $1E, 2
		!BYTE $42, 9, $10, $1E,	2, $25,	3, 4, 4, $26, $12, $FF
cave2:		!BYTE 2, $14, $14, $32,	3, 0, 1, $57, $58, $A, $C, 9, $D
		!BYTE $A, $96, $6E, $46, $46, $46, $A, 4, 9, 0,	0, 0, $10
		!BYTE $14, 8, $3C, $32,	9, 2, $42, 1, 8, $26, 2, $42, 1
		!BYTE $F, $26, 2, $42, 8, 3, $14, 4, $42, $10, 3, $14
		!BYTE 4, $42, $18, 3, $14, 4, $42, $20,	3, $14,	4, $40
		!BYTE 1, 5, $26, 2, $40, 1, $B,	$26, 2,	$40, 1,	$12, $26
		!BYTE 2, $40, $14, 3, $14, 4, $25, $12,	$15, 4,	$12, $16
		!BYTE $FF
cave3:		!BYTE 3, 0, $F,	0, 0, $32, $36,	$34, $37, $18, $17, $18
		!BYTE $17, $15,	$96, $64, $5A, $50, $46, 9, 8, 9, 4, 0
		!BYTE 2, $10, $14, 0, $64, $32,	9, 0, $25, 3, 4, 4, $27
		!BYTE $14, $FF
cave4:		!BYTE 4, $14, 5, $14, 0, $6E, $70, $73,	$77, $24, $24
		!BYTE $24, $24,	$24, $78, $64, $50, $3C, $32, 4, 8, 9
		!BYTE 0, 0, $10, 0, 0, 0, $14, 0, 0, 0,	$25, 1,	3, 4, $26
		!BYTE $16, $81,	8, $A, 4, 4, 0,	$30, $A, $B, $81, $10
		!BYTE $A, 4, 4,	0, $30,	$12, $B, $81, $18, $A, 4, 4, 0
		!BYTE $30, $1A,	$B, $81, $20, $A, 4, 4,	0, $30,	$22, $B
		!BYTE $FF
cave5:		!BYTE 5, $14, $32, $5A,	0, 0, 0, 0, 0, 4, 5, 6,	7, 8, $96
		!BYTE $78, $5A,	$3C, $1E, 9, $A, 9, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, $25, 1, 3, 4, $27, $16, $80, 8, $A, 3, 3
		!BYTE 0, $80, $10, $A, 3, 3, 0,	$80, $18, $A, 3, 3, 0
		!BYTE $80, $20,	$A, 3, 3, 0, $14, 9, $C, 8, $A,	$A, $14
		!BYTE $11, $C, 8, $12, $A, $14,	$19, $C, 8, $1A, $A, $14
		!BYTE $21, $C, 8, $22, $A, $80,	8, $10,	3, 3, 0, $80, $10
		!BYTE $10, 3, 3, 0, $80, $18, $10, 3, 3, 0, $80, $20, $10
		!BYTE 3, 3, 0, $14, 9, $12, 8, $A, $10,	$14, $11, $12
		!BYTE 8, $12, $10, $14,	$19, $12, 8, $1A, $10, $14, $21
		!BYTE $12, 8, $22, $10,	$FF
cave6:		!BYTE 6, $14, $28, $3C,	0, $14,	$15, $16, $17, 4, 6, 7
		!BYTE 8, 8, $96, $78, $64, $5A,	$50, $E, $A, 9,	0, 0, $10
		!BYTE 0, 0, 0, $32, 0, 0, 0, $82, 1, 3,	$A, 4, 0, $82
		!BYTE 1, 6, $A,	4, 0, $82, 1, 9, $A, 4,	0, $82,	1, $C
		!BYTE $A, 4, 0,	$41, $A, 3, $D,	4, $14,	3, 5, 8, 4, 5
		!BYTE $14, 3, 8, 8, 4, 8, $14, 3, $B, 8, 4, $B,	$14, 3
		!BYTE $E, 8, 4,	$E, $82, $1D, 3, $A, 4,	0, $82,	$1D, 6
		!BYTE $A, 4, 0,	$82, $1D, 9, $A, 4, 0, $82, $1D, $C, $A
		!BYTE 4, 0, $41, $1D, 3, $D, 4,	$14, $24, 5, 8,	$23, 5
		!BYTE $14, $24,	8, 8, $23, 8, $14, $24,	$B, 8, $23, $B
		!BYTE $14, $24,	$E, 8, $23, $E,	$25, 3,	$14, 4,	$26, $14
		!BYTE $FF
cave7:		!BYTE 7, $4B, $A, $14, 2, 7, 8,	$A, 9, $F, $14,	$19, $19
		!BYTE $19, $78,	$78, $78, $78, $78, 9, $A, $D, 0, 0, 0
		!BYTE $10, 8, 0, $64, $28, 2, 0, $42, 1, 7, $C,	2, $42
		!BYTE $1C, 5, $B, 2, $7A, $13, $15, 2, 2, $14, 4, 6, $14
		!BYTE 4, $E, $14, 4, $16, $14, $22, 4, $14, $22, $C, $14
		!BYTE $22, $16,	$25, $14, 3, 4,	$27, 7,	$FF
cave8:		!BYTE 8, $14, $A, $14, 1, 3, 4,	5, 6, $A, $F, $14, $14
		!BYTE $14, $78,	$6E, $64, $5A, $50, 2, $E, 9, 0, 0, 0
		!BYTE $10, 8, 0, $5A, $32, 2, 0, $14, 4, 6, $14, $22, 4
		!BYTE $14, $22,	$C, 4, 0, 5, $25, $14, 3, $42, 1, 7, $C
		!BYTE 2, $42, 1, $F, $C, 2, $42, $1C, 5, $B, 2,	$42, $1C
		!BYTE $D, $B, 2, $43, $E, $11, 8, 2, $14, $C, $10, 0, $E
		!BYTE $12, $14,	$13, $12, $41, $E, $F, 8, 2, $FF
cave9:		!BYTE 9, $14, 5, $A, $64, $89, $8C, $FB, $33, $4B, $4B
		!BYTE $50, $55,	$5A, $96, $96, $82, $82, $78, 8, 4, 9
		!BYTE 0, 0, $10, $14, 0, 0, $F0, $78, 0, 0, $82, 5, $A
		!BYTE $D, $D, 0, 1, $C,	$A, $82, $19, $A, $D, $D, 0, 1
		!BYTE $1F, $A, $42, $11, $12, 9, 2, $40, $11, $13, 9, 2
		!BYTE $25, 7, $C, 4, 8,	$C, $FF
cave10:		!BYTE $A, $14, $19, $3C, 0, 0, 0, 0, 0,	$C, $C,	$C, $C
		!BYTE $C, $96, $82, $78, $6E, $64, 6, 8, 9, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	$25, $D, 3, 4, $27, $16, $54, 5
		!BYTE 4, $11, 3, $54, $15, 4, $11, 5, $80, 5, $B, $11
		!BYTE 3, 8, $C2, 1, 4, $15, $11, 0, $D,	4, $C2,	7, 6, $D
		!BYTE $D, 0, $D, 6, $C2, 9, 8, 9, 9, 0,	$D, 8, $C2, $B
		!BYTE $A, 5, 5,	0, $D, $A, $82,	3, 6, 3, $F, 8,	0, 4, 6
		!BYTE $54, 4, $10, 4, 4, $FF
cave11:		!BYTE $B, $14, $32, 0, 0, 4, $66, $97, $64, 6, 6, 6, 6
		!BYTE 6, $78, $78, $96,	$96, $F0, $B, 8, 9, 0, 0, 0, $10
		!BYTE 8, 0, $64, $50, 2, 0, $42, $A, 3,	9, 4, $42, $14
		!BYTE 3, 9, 4, $42, $1E, 3, 9, 4, $42, 9, $16, 9, 0, $42
		!BYTE $C, $F, $11, 2, $42, 5, $B, 9, 2,	$42, $F, $B, 9
		!BYTE 2, $42, $19, $B, 9, 2, $42, $1C, $13, $B,	1, $14
		!BYTE 4, 3, $14, $E, 3,	$14, $18, 3, $14, $22, 3, $14
		!BYTE 4, $16, $14, $23,	$15, $25, $14, $14, 4, $26, $11
		!BYTE $FF
cave12:		!BYTE $C, $14, $14, 0, 0, $3C, 2, $3B, $66, $13, $13, $E
		!BYTE $10, $15,	$B4, $AA, $A0, $A0, $A0, $C, $A, 9, 0
		!BYTE 0, 0, $10, $14, 0, $3C, $32, 9, 0, $42, $A, 5, $12
		!BYTE 4, $42, $E, 5, $12, 4, $42, $12, 5, $12, 4, $42
		!BYTE $16, 5, $12, 4, $42, 2, 6, $B, 2,	$42, 2,	$A, $B
		!BYTE 2, $42, 2, $E, $F, 2, $42, 2, $12, $B, 2,	$81, $1E
		!BYTE 4, 4, 4, 0, 8, $20, 5, $81, $1E, 9, 4, 4,	0, 8, $20
		!BYTE $A, $81, $1E, $E,	4, 4, 0, 8, $20, $F, $25, 3, $14
		!BYTE 4, $27, $16, $FF
cave13:		!BYTE $D, $8C, 5, 8, 0,	1, 2, 3, 4, $32, $37, $3C, $46
		!BYTE $50, $A0,	$9B, $96, $91, $8C, 6, 8, $D, 0, 0, $10
		!BYTE 0, 0, 0, $28, 0, 0, 0, $25, $12, 3, 4, $A, 3, $3A
		!BYTE $14, 3, $42, 5, $12, $1E,	2, $70,	5, $13,	$1E, 2
		!BYTE $50, 5, $14, $1E,	2, $C1,	5, $15,	$1E, 2,	$FF
cave14:		!BYTE $E, $14, $A, $14,	0, 0, 0, 0, 0, $1E, $23, $28, $2A
		!BYTE $2D, $96,	$91, $8C, $87, $82, $C,	8, 9, 0, 0, $10
		!BYTE 0, 0, 0, 0, 0, 0,	0, $81,	$A, $A,	$D, $D,	0, $70
		!BYTE $B, $B, $C, 3, $C1, $C, $A, 3, $D, $C1, $10, $A
		!BYTE 3, $D, $C1, $14, $A, 3, $D, $50, $16, 8, $C, 2, $48
		!BYTE $16, 7, $C, 2, $C1, $17, 6, 3, 4,	$C1, $1B, 6, 3
		!BYTE 4, $C1, $1F, 6, 3, 4, $25, 3, 3, 4, $27, $14, $FF
cave15:		!BYTE $F, 8, $A, $14, 1, $1D, $1E, $1F,	$20, $F, $14, $14
		!BYTE $19, $1E,	$78, $78, $78, $78, $8C, 8, $E,	9, 0, 0
		!BYTE 0, $10, 8, 0, $64, $50, 2, 0, $42, 2, 4, $A, 3, $42
		!BYTE $F, $D, $A, 1, $41, $C, $E, 3, 2,	$43, $C, $F, 3
		!BYTE 2, 4, $14, $16, $25, $14,	3, $FF
cave16:		!BYTE $10, $14,	$A, $14, 1, $78, $81, $7E, $7B,	$C, $F
		!BYTE $F, $F, $C, $96, $96, $96, $96, $96, 9, $A, 9, 0
		!BYTE 0, $10, 0, 0, 0, $32, 0, 0, 0, $25, 1, 3,	4, $27
		!BYTE 4, $81, 8, $13, 4, 4, 0, 8, $A, $14, $C2,	7, $A
		!BYTE 6, 8, $43, 7, $A,	6, 2, $81, $10,	$13, 4,	4, 0, 8
		!BYTE $12, $14,	$C2, $F, $A, 6,	8, $43,	$F, $A,	6, 2, $81
		!BYTE $18, $13,	4, 4, 0, 8, $1A, $14, $81, $20,	$13, 4
		!BYTE 4, 0, 8, $22, $14, $FF
cave17:		!BYTE $11, $14,	$1E, 0,	$A, $B,	$C, $D,	$E, 6, 6, 6, 6
		!BYTE 6, $A, $A, $A, $A, $A, $E, 2, 9, 0, 0, 0,	$14, 0
		!BYTE 0, $FF, 9, 0, 0, $87, 0, 2, $28, $16, 7, $87, 0
		!BYTE 2, $14, $C, 0, $32, $A, $C, $10, $A, 4, 1, $A, 5
		!BYTE $25, 3, 5, 4, $12, $C, $FF
cave18:		!BYTE $12, $14,	$A, 0, $A, $B, $C, $D, $E, $10,	$10, $10
		!BYTE $10, $10,	$F, $F,	$F, $F,	$F, 6, $F, 9, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, $87,	0, 2, $28, $16,	7, $87
		!BYTE 0, 2, $14, $C, 1,	$50, 1,	3, 9, 3, $48, 2, 3, 8
		!BYTE 3, $54, 1, 5, 8, 3, $50, 1, 6, 7,	3, $50,	$12, 3
		!BYTE 9, 5, $54, $12, 5, 8, 5, $50, $12, 6, 7, 5, $25
		!BYTE 1, 4, 4, $12, 4, $FF
cave19:		!BYTE $13, 4, $A, 0, $A, $B, $C, $D, $E, $E, $E, $E, $E
		!BYTE $E, $14, $14, $14, $14, $14, 6, 8, 9, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	$87, 0,	2, $28,	$16, 7,	$87, 0
		!BYTE 2, $14, $C, 0, $54, 1, $C, $12, 2, $88, $F, 9, 4
		!BYTE 4, 8, $25, 8, 3, 4, $12, 7, $FF
cave20:		!BYTE $14, 3, $1E, 0, 0, 0, 0, 0, 0, 6,	6, 6, 6, 6, $14
		!BYTE $14, $14,	$14, $14, 6, 8,	9, 0, 0, 0, 0, 0, 0, 0
		!BYTE 0, 0, 0, $87, 0, 2, $28, $16, 7, $87, 0, 2, $14
		!BYTE $C, 1, $D0, $B, 3, 3, 2, $80, $B,	7, 3, 6, 0, $43
		!BYTE $B, 6, 3,	2, $43,	$B, $A,	3, 2, $50, 8, 7, 3, 3
		!BYTE $25, 3, 3, 4, 9, $A, $FF
}        
        
demo:		!BYTE $FF, $FF,	$1E, $77, $2D, $97, $4F, $2D, $47, $3E
					; DATA XREF: sub_8CAA+E
		!BYTE $1B, $4F,	$1E, $B7, $1D, $27, $4F, $6D, $17, $4D
		!BYTE $3B, $4F,	$1D, $1B, $47, $3B, $4F, $4E, $5B, $3E
		!BYTE $5B, $4D,	$3B, $5F, $3E, $AB, $1E, $3B, $1D, $6B
		!BYTE $4D, $17,	$4F, $3D, $47, $4D, $4B, $2E, $27, $3E
		!BYTE $A7, $A7,	$1D, $47, $1D, $47, $2D, $5F, $57, $4E
		!BYTE $57, $6F,	$1D, 0
        
object_replace_tab:!BYTE 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 8,	9, $A, $B
					; DATA XREF: sub_8171+41
		!BYTE 0, $10, 0, $12, 0, $14, 0, $16, 0, 0, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, $30, $31, $32, $33, 0, $38, 0, $3A
		!BYTE 0, 0, 0, 0

obj_to_charset_tab:!BYTE $60, $46, $4E,	$22, $2E, $62, $2E, $4A, $64, $64
					; DATA XREF: plot_4size+2
		!BYTE $64, $64,	$64, $64, $64, $64, $44, $44, $44, $44
		!BYTE $48, $48,	$48, $48, 0, 0,	0, $66,	$68, $6A, $68
		!BYTE $66, $24,	$26, $28, $2A, $2C, $62, $66, $68, $6A
		!BYTE 0, 0, 0, 0, 0, 0,	0, $20,	$20, $20, $20, $20, $20
		!BYTE $20, $20,	$4C, $4C, $40, $40, 0, 0, 0, 0

object_callback_tab:
        !WORD 0		; DATA XREF: sub_8171+34 sub_8171+2D
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD object_exit
		!WORD object_exit_open
		!WORD 0
		!WORD 0
		!WORD object_firefly
		!WORD object_firefly
		!WORD object_firefly
		!WORD object_firefly
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
        
		!WORD object_boulder
		!WORD 0
		!WORD object_boulder_falling
		!WORD 0
		!WORD object_diamond
		!WORD 0
		!WORD object_diamond_falling
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_translate_to_other        
		!WORD object_translate_to_other
        
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_translate_to_other
		!WORD object_exit_open
		!WORD object_rockford_birth
		!WORD object_rockford_birth
		!WORD object_rockford_birth
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
        
		!WORD object_butterfly
		!WORD object_butterfly
		!WORD object_butterfly
		!WORD object_butterfly
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD object_rockford
		!WORD 0
		!WORD object_amoeba
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
		!WORD 0
        
melody_tab:	!BYTE $16, $22,	$1D, $26, $22, $29, $25, $2E, $14, $24
					; DATA XREF: play_sound_with_test+27
					; play_sound_with_test+38 !!!
		!BYTE $1F, $27,	$20, $29, $27, $30, $12, $2A, $12, $2C
		!BYTE $1E, $2E,	$12, $31, $20, $2C, $33, $37, $21, $2D
		!BYTE $31, $35,	$16, $22, $16, $2E, $16, $1D, $16, $24
		!BYTE $14, $20,	$14, $30, $14, $24, $14, $20, $16, $22
		!BYTE $16, $2E,	$16, $1D, $16, $24, $1E, $2A, $1E, $3A
		!BYTE $1E, $2E,	$1E, $2A, $14, $20, $14, $2C, $14, $1B
		!BYTE $14, $22,	$1C, $28, $1C, $38, $1C, $2C, $1C, $28
		!BYTE $11, $1D,	$29, $2D, $11, $1F, $29, $2E, $F, $27
		!BYTE $F, $27, $16, $33, $16, $27, $16,	$2E, $16, $2E
		!BYTE $16, $2E,	$16, $2E, $22, $2E, $22, $2E, $16, $2E
		!BYTE $16, $2E,	$14, $2E, $14, $2E, $14, $2E, $14, $2E
		!BYTE $20, $2E,	$20, $2E, $14, $2E, $14, $2E, $16, $2E
		!BYTE $32, $2E,	$16, $2E, $33, $2E, $22, $2E, $32, $2E
		!BYTE $16, $2E,	$33, $2E, $14, $2E, $32, $2E, $14, $2E
		!BYTE $33, $2E,	$20, $2C, $30, $2C, $14, $2C, $31, $2C
		!BYTE $16, $2E,	$16, $3A, $16, $2E, $35, $38, $22, $2E
		!BYTE $22, $37,	$16, $2E, $31, $35, $14, $2C, $14, $38
		!BYTE $14, $2C,	$14, $38, $20, $2C, $20, $33, $14, $2C
		!BYTE $14, $38,	$16, $2E, $32, $2E, $16, $2E, $33, $2E
		!BYTE $22, $2E,	$32, $2E, $16, $2E, $33, $2E, $14, $2E
		!BYTE $32, $2E,	$14, $2E, $33, $2E, $20, $2C, $30, $2C
		!BYTE $14, $2C,	$31, $2C, $2E, $32, $29, $2E, $26, $29
		!BYTE $22, $26,	$2C, $30, $27, $2C, $24, $27, $14, $20
		!BYTE $35, $32,	$32, $2E, $2E, $29, $29, $26, $27, $30
		!BYTE $24, $2C,	$20, $27, $14, $20
byte_60E8:	!BYTE 0, $3C, $60, $3C,	6, 6, $3C, 0, 0, $63, $77, $7F
					; DATA XREF: copy_init_gfx+20
		!BYTE $6B, $63,	$63, 0,	$3F, $2F, $2A, 0, $F3, $F2, $A2
		!BYTE 0, $3F, $2F, $2A,	0, $F3,	$F2, $A2, 0, 0,	0, 0, 0
		!BYTE 0, $C, $30, 3, 0,	0, 0, 0, $30, 0, $C0, $C, 0, $CC
		!BYTE 0, $C, $30, 0, $C0, 0, $C0, $C, 0, $CC, 0, $30, 3
		!BYTE 0, 1, $33, 4, $C,	2, 0, $48, $C0,	$40, 0,	$13, $B0
		!BYTE 4, $C, $21, 3, 1,	3, 4, $C, $12, $30, $4B, $D2, $40
		!BYTE $C0, $10,	$B0, 4,	$CC, $61, $8B, 1, 3, 6,	$E, $17
		!BYTE $3B, $6D,	$FB, $40, $C0, $50, $B0, $E4, $AC, $7D
		!BYTE $E7, $AA,	$AA, $82, $A2, $B2, $AA, $AA, $AA, $AA
		!BYTE $AA, $82,	$A2, $B2, $AA, $AA, $AA, 0, $66, $66, $3C
		!BYTE $18, $18,	$18, 0,	0, 0, 0, 0, 0, 0, 0, 0,	$3F, $2F
		!BYTE $2A, 0, $F3, $F2,	$A2, 0,	$3F, $2F, $2A, 0, $F3
		!BYTE $F2, $A2,	0, 0, $C, $30, 3, 0, 0,	0, 0, $C0, 0, $30
		!BYTE $C0, 0, 0, 0, 0, 0, $C0, 0, $30, 3, $C0, $C, 0, 0
		!BYTE $C, 0, $C3, 0, $C, 0, 0, $40, $C8, 0, $32, 4, $C
		!BYTE $31, 3, 2, 3, $28, $C, $60, 3, $80, $C0, $43, $C8
		!BYTE $14, $32,	7, $C, 1, 3, $16, $83, $38, $8C, $20, $70
		!BYTE $80, $C0,	$6B, $ED, $1B, $39, 7, $E, 1, 3, $B6, $D7
		!BYTE $78, $9C,	$E0, $70, $80, $C0, $AA, $AA, $82, $A2
		!BYTE $B2, $AA,	$AA, $AA, $AA, $AA, $82, $A2, $B2, $AA
		!BYTE $AA, $AA
byte_61E8:	!BYTE $3F, $2F,	$2A, 0,	$F3, $F2, $A2, 0, $3F, $2F, $2A
					; DATA XREF: copy_init_gfx+26
		!BYTE 0, $F3, $F2, $A2,	0, 0, 8, $A, $22, $22, $A, 2, $A
		!BYTE 0, $20, $A0, $88,	$88, $A0, $80, $A0, $F,	$3B, $DE
		!BYTE $B6, $A9,	$9A, $A5, $AA, $C0, $70, $FC, $7F, $BF
		!BYTE $9B, $AF,	$9B, 4,	$50, $19, $51, $45, $24, $96, $45
		!BYTE $11, $41,	$18, $51, $45, $64, $85, $58, 1, 3, 4
		!BYTE $C, $10, $30, $40, $C0, $40, $C0,	$10, $30, 4, $C
		!BYTE 1, 3, $AA, $AA, $82, $A2,	$B2, $AA, $AA, $AA, $AA
		!BYTE $AA, $82,	$A2, $B2, $AA, $AA, $AA, $F0, $3F, $FB
		!BYTE $FB, $FF,	$3C, $F, $A, $F, $FC, $EF, $EF,	$FF, $3C
		!BYTE $30, $A0,	$3F, $2F, $2A, 0, $F3, $F2, $A2, 0, $3F
		!BYTE $2F, $2A,	0, $F3,	$F2, $A2, 0, 0,	0, 0, 0, $A, $A
		!BYTE $B, $B, 0, 0, $30, 3, $31, $18, $20, $D2,	$23, $32
		!BYTE 3, 2, 7, 4, 4, $3C, $C8, $8C, $C0, $80, $D0, $10
		!BYTE $10, $3C,	$8A, $A2, $8A, $A2, $A8, $2A, 8, 2, $A9
		!BYTE $99, $AA,	$AA, $A8, $A8, $60, $80, $15, $61, $64
		!BYTE $25, $44,	$50, $46, $10, $95, $58, $91, $19, $44
		!BYTE $51, $10,	$44, $40, $C0, $10, $30, 4, $C,	1, 3, 2
		!BYTE 3, 8, $C,	$20, $30, $80, $C0, $AA, $AA, $82, $A2
		!BYTE $B2, $AA,	$AA, $AA, $AA, $AA, $82, $A2, $B2, $AA
		!BYTE $AA, $AA,	$5A, $4A, $A, $3F, $3C,	$30, $F0, 0, $A4
		!BYTE $A1, $A4,	$FC, $3C, $C, $C, $F, $3F, $2F,	$2A, 0
		!BYTE $F3, $F2,	$A2, 0,	$3F, $2F, $2A, 0, $F3, $F2, $A2
		!BYTE 0
byte_62E8:	!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, $AA
					; DATA XREF: copy_init_gfx+2C
		!BYTE $80, $80,	$80, $80, $80, $80, $80, $AA, 2, 2, 2
		!BYTE 2, 2, 2, 2, $FF, $EF, $EA, $C0, $F3, $F3,	$A3, 3
		!BYTE $3F, $3F,	$3A, $30, $FF, $FE, $AE, $C, 0,	0, 0, 0
		!BYTE 0, $C, $30, 3, 0,	0, 0, 0, $30, 0, $C0, $C, 0, 0
		!BYTE 0, 0, 3, $34, $10, $31, 0, 0, 0, $30, $10, $C, $74
		!BYTE 4, 0, 0, $30, 3, $31, $18, $20, $D2, 0, 0, $CC, $20
		!BYTE $1C, 4, $98, 8, $FF, $EF,	$EA, $C0, $F3, $F3, $A3
		!BYTE 3, $3F, $3F, $3A,	$30, $FF, $FE, $AE, $C,	$3F, $2F
		!BYTE $2E, $C, $F3, $F2, $B2, $30, $3F,	$2F, $2B, 3, $F3
		!BYTE $F2, $E2,	$C0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, $80, $80, $80, $80, $80, $80,	$80, $AA
		!BYTE 2, 2, 2, 2, 2, 2,	2, $AA,	$7C, $7C, $7C, $7C, $2F
		!BYTE 0, 0, 0, $7C, $7C, $7C, $7C, $FF,	$7C, $7C, $7C
		!BYTE 0, $C, $30, 3, 0,	0, 0, 0, $C0, 0, $30, $C0, 0, 0
		!BYTE 0, 0, 0, $34, $11, $D, $C, 0, 0, 0, $70, $40, $10
		!BYTE $4C, $C0,	0, 0, 0, 0, $D8, $22, 6, $C4, 3, $30, 0
		!BYTE $50, $4C,	$10, $44, $4C, $C0, 0, 0, $AA, $AA, $82
		!BYTE $A2, $B2,	$AA, $AA, $AA, 0, $F0, 0, 0, 0,	$F, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
byte_63E8:	!BYTE 0, 8, $A,	$2A, $22, $A, 2, $A ; DATA XREF: animate_rockford+66
byte_63F0:	!BYTE 0, $20, $A0, $A8,	$88, $A0, $80, $A0, 0, 8, $A, $2A
					; DATA XREF: animate_rockford+6C
		!BYTE $2A, $A, 2, $A, 0, $20, $A0, $A8,	$A8, $A0, $80
		!BYTE $A0, 0, 8, $A, $2A, $2A, $A, 2, $A, 0, $20, $A0
		!BYTE $A8, $A8,	$A0, $80, $A0, 0, 8, $A, $2A, $22, $A
		!BYTE 2, $A, 0,	$20, $A0, $A8, $88, $A0, $80, $A0, 0, 8
		!BYTE $A, $22, $22, $A,	2, $A, 0, $20, $A0, $88, $88, $A0
		!BYTE $80, $A0,	0, 8, $A, $22, $22, $A,	2, $A, 0, $20
		!BYTE $A0, $88,	$88, $A0, $80, $A0, 0, 8, $A, $22, $22
		!BYTE $A, 2, $A, 0, $20, $A0, $88, $88,	$A0, $80, $A0
		!BYTE 0, 8, $A,	$22, $22, $A, 2, $A, 0,	$20, $A0, $88
		!BYTE $88, $A0,	$80, $A0
byte_6468:	!BYTE $23, $E, 3, 2, 7,	4, $3C,	0 ; DATA XREF: animate_rockford+85
byte_6470:	!BYTE $C8, $B0,	$C0, $80, $D0, $10, $10, $3C, $23, $E
					; DATA XREF: animate_rockford+8B
		!BYTE 3, 2, 7, 4, $3C, 0, $C8, $B0, $C0, $80, $D0, $10
		!BYTE $10, $3C,	$23, $E, 3, 2, 7, 4, $3C, 0, $C8, $B0
		!BYTE $C0, $80,	$D0, $10, $10, $3C, $23, $E, 3,	2, 7, 4
		!BYTE $3C, 0, $C8, $B0,	$C0, $80, $D0, $10, $10, $3C, $23
		!BYTE $E, 3, 2,	7, 4, 4, $3C, $C8, $B0,	$C0, $80, $D0
		!BYTE $10, $10,	$3C, $23, $E, 3, 2, 7, 4, 4, $3C, $C8
		!BYTE $B0, $C0,	$80, $D0, $10, $10, $3C, $23, $E, 3, 2
		!BYTE 7, 4, 4, $3C, $C8, $B0, $C0, $80,	$D0, $10, $10
		!BYTE $3C, $23,	$E, 3, 2, 7, 4,	4, $3C,	$C8, $B0, $C0
		!BYTE $80, $D0,	$10, $10, $3C
byte_64E8:	!BYTE 0, 2, $A,	$22, $22, $A, 2, 2 ; DATA XREF:	animate_rockford+29
byte_64F0:	!BYTE 0, $80, $A0, $A0,	$A0, $A0, $80, $80, 0, 2, $A, $22
					; DATA XREF: animate_rockford+2F
		!BYTE $22, $A, 2, 2, 0,	$80, $A0, $A0, $A0, $A0, $80, $80
		!BYTE 0, 2, $A,	$22, $22, $A, 2, 2, 0, $80, $A0, $A0, $A0
		!BYTE $A0, $80,	$80, 0,	0, 2, $A, $22, $22, $A,	2, 0, 0
		!BYTE $80, $A0,	$A0, $A0, $A0, $80, 0, 0, 2, $A, $22, $22
		!BYTE $A, 2, 0,	0, $80,	$A0, $A0, $A0, $A0, $80, 0, 0
		!BYTE 2, $A, $22, $22, $A, 2, 0, 0, $80, $A0, $A0, $A0
		!BYTE $A0, $80,	0, 2, $A, $22, $22, $A,	2, 2, 0, $80, $A0
		!BYTE $A0, $A0,	$A0, $80, $80, 0, 2, $A, $22, $22, $A
		!BYTE 2, 2, 0, $80, $A0, $A0, $A0, $A0,	$80, $80
byte_6568:	!BYTE 3, $E, 3,	2, 7, $10, $10,	$F0 ; DATA XREF: animate_rockford+35
byte_6570:	!BYTE $C0, $80,	$C0, $80, $D4, 3, 3, 0,	3, $E, 3, 2, 7
					; DATA XREF: animate_rockford+3B
		!BYTE $10, $10,	$F0, $C0, $80, $C0, $80, $D4, 3, 3, 0
		!BYTE 3, $E, 3,	2, 7, 4, 4, $3C, $C0, $80, $C0,	$80, $D0
		!BYTE $17, 3, 0, 3, $E,	3, 2, 7, 4, 4, $3C, $C0, $80, $C0
		!BYTE $80, $C0,	$54, $1C, $C, 3, $E, 3,	2, 3, 1, 1, $F
		!BYTE $C0, $80,	$C0, $80, $C0, $40, $70, $30, 3, $E, 3
		!BYTE 2, 3, 5, 5, 3, $C0, $80, $C0, $80, $C0, $40, $40
		!BYTE $C0, 3, $E, 3, 2,	3, 5, 5, $F, $C0, $80, $C0, $80
		!BYTE $C0, $40,	$40, $F0, 3, $E, 3, 2, 7, 4, 4,	$3C, $C0
		!BYTE $80, $C0,	$80, $C0, $54, $1C, $C
byte_65E8:	!BYTE 0, 2, $A,	$A, $A,	$A, 2, 2 ; DATA	XREF: animate_rockford+10
byte_65F0:	!BYTE 0, $80, $A0, $88,	$88, $A0, $80, $80, 0, 2, $A, $A
					; DATA XREF: animate_rockford+16
		!BYTE $A, $A, 2, 2, 0, $80, $A0, $88, $88, $A0,	$80, $80
		!BYTE 0, 2, $A,	$A, $A,	$A, 2, 2, 0, $80, $A0, $88, $88
		!BYTE $A0, $80,	$80, 0,	0, 2, $A, $A, $A, $A, 2, 0, 0
		!BYTE $80, $A0,	$88, $88, $A0, $80, 0, 0, 2, $A, $A, $A
		!BYTE $A, 2, 0,	0, $80,	$A0, $88, $88, $A0, $80, 0, 0
		!BYTE 2, $A, $A, $A, $A, 2, 0, 0, $80, $A0, $88, $88, $A0
		!BYTE $80, 0, 2, $A, $A, $A, $A, 2, 2, 0, $80, $A0, $88
		!BYTE $88, $A0,	$80, $80, 0, 2,	$A, $A,	$A, $A,	2, 2, 0
		!BYTE $80, $A0,	$88, $88, $A0, $80, $80
byte_6668:	!BYTE 3, 2, 3, 2, $17, $C0, $C0, 0 ; DATA XREF:	animate_rockford+1C
byte_6670:	!BYTE $C0, $B0,	$C0, $80, $D0, 4, 4, $F, 3, 2, 3, 2, $17
					; DATA XREF: animate_rockford+22
		!BYTE $C0, $C0,	0, $C0,	$B0, $C0, $80, $D0, 4, 4, $F, 3
		!BYTE 2, 3, 2, 7, $D5, $C0, 0, $C0, $B0, $C0, $80, $D0
		!BYTE $10, $10,	$3C, 3,	2, 3, 2, 3, $15, $34, $30, $C0
		!BYTE $B0, $C0,	$80, $D0, $10, $10, $3C, 3, 2, 3, 2, 3
		!BYTE 1, $D, $C, $C0, $B0, $C0,	$80, $C0, $40, $40, $F0
		!BYTE 3, 2, 3, 2, 3, 1,	1, 3, $C0, $B0,	$C0, $80, $C0
		!BYTE $50, $50,	$C0, 3,	2, 3, 2, 3, 1, 1, $F, $C0, $B0
		!BYTE $C0, $80,	$C0, $50, $50, $F0, 3, 2, 3, 2,	3, $15
		!BYTE $34, $30,	$C0, $B0, $C0, $80, $D0, $10, $10, $3C
init_picture_dat1:!BYTE	0, 0, 8, 3, 3, 3, 9, 0,	0, 0, 0, 0, 0, 0, 0, 0
					; DATA XREF: paint_init_picture+13
init_picture_dat3:!BYTE	0, 0, 8, 3, 0, 0, 8, 0,	8, 3, 3, 3, 0, 8, 3, 0,	8
					; DATA XREF: paint_init_picture+26
		!BYTE 0, 8, 3, 0, 0, 0,	8, 3, 3, 9, 0, 8, 3, 3,	3, 0, 8
		!BYTE 3, 3, 9, 0, 0, 0,	0, 0, 8, 3, 3, 3, $A, 0, 8, 3
		!BYTE 0, 8, 0, 8, 3, 0,	8, 0, 8, 3, 0, 0, 0, 8,	3, 0, 8
		!BYTE 0, 8, 3, 0, 0, 0,	8, 3, 0, 8, 0, 0, 0, 0,	0, 8, 3
		!BYTE 3, 3, 9, 0, 8, 3,	0, 8, 0, 8, 3, 0, 8, 0,	8, 3, 0
		!BYTE 0, 0, 8, 3, 0, 8,	0, 8, 3, 3, 0, 0, 8, 3,	3, $A
		!BYTE 0, 0, 0, 3, 0, 8,	3, 0, 0, 8, 0, 8, 3, 0,	8, 0, 8
		!BYTE 3, 0, 8, 0, 8, 3,	0, 0, 0, 8, 3, 0, 8, 0,	8, 3, 0
		!BYTE 0, 0, 8, 3, 3, 9,	0, 0, 3, 3, 0, 8, 3, 3,	3, 3, 0
		!BYTE 8, 3, 3, 3, 0, 8,	3, 3, 3, 0, 8, 3, 3, 3,	0, 8, 3
		!BYTE 3, 3, 0, 8, 3, 3,	3, 0, 8, 3, 0, 8, 0, 0,	3, 0, 0
		!BYTE 8, 3, 3, 3, $A, 0, 8, 3, 3, 3, 0,	8, 3, 3, 3, 0
		!BYTE 8, 3, 3, 3, 0, 8,	3, 3, $A, 0, 8,	3, 3, 3, 0, 8
		!BYTE 3, 0, 8, 0, 0, 0
init_picture_dat2:!BYTE	0, 0, 0, 0, 0, 0, 0, 8,	3, 3, 3, 9, 0, 0, 0, 0
					; DATA XREF: paint_init_picture+19
init_picture_dat4:!BYTE	0, 0, 0, 0, 0, 0, 0, 8,	3, 0, 0, 8, 0, 0, 8, 3,	9
					; DATA XREF: paint_init_picture+2C
		!BYTE 0, 8, 3, 3, 3, 0,	8, 3, 0, 0, 8, 0, $1D, $1E, $1F
		!BYTE 0, 0, 0, 0, 0, 0,	0, 3, 3, 0, 0, 0, 0, 0,	0, 8, 3
		!BYTE 0, 0, 8, 0, 8, 3,	0, 8, 0, 8, 3, 0, 0, 0,	8, 3, 0
		!BYTE 0, 8, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 3,	3, 0, 0
		!BYTE 0, 0, 0, 0, 8, 3,	0, 0, 8, 0, 8, 3, 3, 3,	0, 8, 3
		!BYTE 3, 3, 0, 8, 3, 3,	3, 3, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 3, 3, 0, 0,	0, 0, 0, 0, 8, 3, 0, 0,	8, 0, 8
		!BYTE 3, 0, 8, 0, 0, 0,	8, 3, 0, 8, 3, 0, 0, 8,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 3, 3, 0, 0, 0, 0,	0, 0, 8
		!BYTE 3, 3, 3, 3, 0, 8,	3, 0, 8, 0, 8, 3, 3, 3,	0, 8, 3
		!BYTE 0, 0, 8, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	3, 0, 0
		!BYTE 0, 0, 0, 0, 0, 8,	3, 3, 3, $A, 0,	8, 3, 0, 8, 0
		!BYTE 8, 3, 3, 3, 0, 8,	3, 0, 0, 8, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0
        !if ORIGINAL = 1 {
byte_68E8:	!BYTE 0, 0, 0, 0, 0, 0,	$FF, $3F, 0, 0,	0, 0, 0, 0, 0
					; DATA XREF: copy_init_gfx+51
		!BYTE $FC, 0, 0, 0, 0, 0, 0, 3,	$F, $F,	$F, $3F, $3F, $FF
		!BYTE $FF, $FF,	$FF, $C0, $C0, $C0, $C0, $C0, $C0, $FF
		!BYTE $EA, 0, 0, 0, 0, 3, $FF, $FC, $AA, 0, 0, 0, 0, $C0
		!BYTE 0, 0, $AA, 0, 1, 1, 1, 1,	1, 1, $A1, 0, $55, $55
		!BYTE $55, $55,	$50, $50, $55, 0, $45, $45, $45, $45, 5
		!BYTE 5, $45, 0, $45, $45, $45,	$45, $45, $45, $45, 0
		!BYTE $55, $55,	$55, $55, $41, $41, $55, 0, $40, $51, $51
		!BYTE $51, $51,	$51, $51, 0, $55, $55, $55, $55, $50, $50
		!BYTE $55, 0, $15, $15,	$15, $15, 0, 0,	$50, 0,	$55, $55
		!BYTE $55, $55,	$55, $55, $55, 0, $51, $51, $51, $51, 1
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0
}
        !if ORIGINAL = 1 {
byte_69A8:	!BYTE $F, 3, 0,	0, 0, 0, 0, 0, $FF, $FF, $FF, $FF, $3F
					; DATA XREF: copy_init_gfx+57
		!BYTE $F, $3F, $3F, $FF, $FF, $FF, $FF,	$FF, $FF, $FF
		!BYTE $FF, $FF,	$FE, $FA, $FA, $FA, $FA, $FA, $FA, $AA
		!BYTE $AA, $AA,	$AA, $AA, $AA, $AA, $AA, $AA, $AA, $AA
		!BYTE $AA, $80,	0, 0, 0, $AA, $AA, $AA,	$AA, 0,	0, 0, 0
		!BYTE $A1, $A1,	$A1, $A1, 1, 1,	1, 1, $55, $55,	$55, $50
		!BYTE $50, $50,	$50, $50, $45, $45, $45, 5, 5, 5, 5, 5
		!BYTE $45, $45,	$45, $45, $45, $45, $45, $45, $55, $55
		!BYTE $55, $45,	$45, $45, $45, $45, $51, $51, $51, 0, 0
		!BYTE $51, $51,	$51, $55, $55, $55, 0, 0, $55, $55, $55
		!BYTE $54, $54,	$54, $54, $54, $54, $54, $54, $55, $55
		!BYTE $55, $55,	$55, $55, $55, $55, $2A, $2A, $2A, $2A
		!BYTE $2A, 0, 0, 0, $AA, $AA, $AA, $AA,	$AA, 0,	0, 0, $AA
		!BYTE $AA, $AA,	$AA, $AA, 0, 0,	0, $AA,	$AA, $AA, $AA
		!BYTE $AA, 0, 0, 0, $AA, $AA, $AA, $AA,	$AA, 0,	0, 0, $AA
		!BYTE $AA, $AA,	$AA, $AA, 0, 0,	0, $AA,	$AA, $AA, $AA
		!BYTE $AA, 0, 0, 0, $AA, $AA, $AA, $AA,	$AA, 0,	0, 0
}
        !if ORIGINAL = 1 {
byte_6A68:	!BYTE 0, 0, 3, $F, $F, $3F, $3F, $FC, $FF, $FF,	$FF, $FF
					; DATA XREF: copy_init_gfx+5D
		!BYTE $FD, $F5,	$C5, 5,	$FF, $FF, $F3, $55, $55, $55, $55
		!BYTE $55, $FE,	$FE, $FF, $55, $55, $55, $55, $55, $AA
		!BYTE $AA, $AA,	$AA, $2A, $2A, $4A, $4A, 0, $80, $80, $A2
		!BYTE $A0, $A8,	$A8, $AA, 0, 0,	0, $AA,	$AA, $AA, $2A
		!BYTE $2A, 1, 1, 0, $AA, $AA, $AA, $AA,	$AA, $50, $50
		!BYTE 0, $AA, $AA, $AA,	$AA, $AA, 5, 5,	0, $82,	$8A, $8A
		!BYTE $8A, $8A,	$45, $45, 0, $AA, $AA, $AA, $AA, $AA, $45
		!BYTE $41, 0, $AA, $AA,	$AA, $AA, $AA, $51, $51, 0, $82
		!BYTE $A2, $A2,	$A2, $A2, $55, $55, 0, $AA, $AA, $AA, $AA
		!BYTE $AA, $54,	$40, 0,	$AA, $AA, $AA, $AA, $AA, $55, $55
		!BYTE 0, $A0, $A8, $AA,	$AA, $AA, 0, 0,	0, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0
}
        !if ORIGINAL = 1 {
byte_6B28:	!BYTE $F0, 0, 0, 0, 0, 0, 0, 0,	5, 5, 5, 1, 1, 0, 0, 0
					; DATA XREF: copy_init_gfx+63
		!BYTE $55, $55,	$55, $55, $55, $55, $55, $15, $F, 3, $40
		!BYTE $40, $50,	$50, $54, $54, $C2, $C2, $C0, $F0, $30
		!BYTE 0, 0, 0, $AA, $AA, $AA, $AA, $2A,	$2A, $A, $A, 0
		!BYTE $80, $80,	$A0, $A0, $A8, $A8, $AA, 2, 2, 2, 2, 2
		!BYTE 2, 2, 2, $A8, $A8, $A8, $A8, $A8,	$A8, $A8, $A8
		!BYTE $A, $A, $A, $A, $A, $A, $A, $A, $AA, $A8,	$A0, $A0
		!BYTE $A0, $AA,	$AA, $AA, $AA, $2A, $A,	$A, $A,	$AA, $AA
		!BYTE $AA, $A2,	$A2, $A2, $A2, $A2, $A2, $A2, $A2, $AA
		!BYTE $A8, $A8,	$A8, $A8, $AA, $AA, $AA, $AA, 2, 2, 2
		!BYTE 2, $AA, $AA, $AA,	$AA, $AA, $AA, $AA, $AA, $AA, $AA
		!BYTE $A8, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0
}
        !if ORIGINAL = 1 {
byte_6BE8:	!BYTE 0, 0, $AA, $AA, $AA, $AA,	$AA, $AA, 0, 0,	$AA, $AA
					; DATA XREF: copy_init_gfx+45
		!BYTE $AA, $AA,	$AA, $AA, 0, 0,	$AA, $AA, $AA, $AA, $AA
		!BYTE $AA, 0, 0, $AA, $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA
		!BYTE $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA, $AA, $AA, $AA
		!BYTE $AA, $AA,	0, 0, $AA, $AA,	$AA, $AA, $AA, $AA, 0
		!BYTE 0, $AA, $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA, $AA
		!BYTE $AA, $AA,	$AA, $AA, 0, 0,	$AA, $AA, $AA, $AA, $AA
		!BYTE $AA, 0, 0, $AA, $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA
		!BYTE $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA, $AA, $AA, $AA
		!BYTE $AA, $AA,	0, 0, $AA, $AA,	$AA, $AA, $AA, $AA, 0
		!BYTE 0, $AA, $AA, $AA,	$AA, $AA, $AA, 0, 0, $AA, $AA
		!BYTE $AA, $AA,	$AA, $AA
}
        !if ORIGINAL = 1 {
byte_6C68:	!BYTE 0, 0, $AA, $AA, $AA, $AA,	$AA, $AA, 0, 0,	$AA, $AA
					; DATA XREF: copy_init_gfx+69
		!BYTE $AA, $AA,	$AA, $AA, $15, 5, $A5, $A9, $A9, $AA, $AA
		!BYTE $AA, $55,	$55, $55, $55, $55, $55, $55, $95, 0, 0
		!BYTE $6A, $6A,	$5A, $5A, $56, $56, 2, 2, $AA, $AA, $AA
		!BYTE $AA, $AA,	$AA, $AA, $AA, $AA, $AA, $AA, $AA, $AA
		!BYTE $A8, 2, $82, $82,	$82, $82, $82, 2, 2, $A8, $A8
		!BYTE $A8, $A8,	$A8, $A8, $A8, $A8, $A,	$A, $A,	$A, $A
		!BYTE $A, $A, $A, $AA, $AA, $AA, $A0, $A0, $A0,	$A0, $A0
		!BYTE $AA, $AA,	$AA, $A, $A, $A, $A, 0,	$A2, $A2, $A2
		!BYTE $A2, $A2,	$A2, $A2, 0, $AA, $AA, $AA, $A8, $A8, $A8
		!BYTE $A8, 0, $AA, $AA,	$AA, $2A, $2A, $2A, $2A, $2A, $80
		!BYTE $80, $80,	$AA, $AA, $AA, $AA, $AA, 0, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0, 0, 0, 0, 0, 0, 0,	0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, 0
}
        !if ORIGINAL = 1 {
byte_6D28:	!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
					; DATA XREF: copy_init_gfx+4B
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE 0, 0, 0, $55, $55, $55, $55, $55
}
        !if ORIGINAL = 1 {
byte_6DA8:	!BYTE 0, 0, 0, $55, $55, $55, $55, $55,	0, 0, 0, $55, $55
					; DATA XREF: copy_init_gfx+6F
		!BYTE $55, $55,	$55, 0,	0, 0, $55, $55,	$55, $55, $55
		!BYTE $15, 5, 5, $55, $55, $55,	$55, $55, $54, $54, $54
		!BYTE $54, $50,	$50, $40, $40, 0, $15, $10, $10, $10, $10
		!BYTE $15, $15,	0, $45,	$44, $44, $45, $45, $44, $44, 0
		!BYTE $51, 0, 0, $40, $40, 0, 0, 0, $51, $41, $41, $41
		!BYTE $41, $41,	$40, 0,	1, $11,	$11, $11, $55, $55, $44
		!BYTE 0, $15, $10, $10,	$15, $15, $10, $10, 0, $45, $44
		!BYTE $44, $45,	$45, $44, $44, 0, $51, $11, $11, $51, $51
		!BYTE $41, $51,	0, $54,	0, 0, $50, 0, $54, $54,	$A, 0
		!BYTE $44, $44,	$45, $45, $44, $44, $AA, 0, $45, $45, $44
		!BYTE $44, $44,	$45, 0,	0, 0, 0, 0, 0, 0, $10, 0, $20
		!BYTE $A0, $82,	$82, $82, $A0, $20, 0, 0, $A8, $80, $80
		!BYTE $80, $A8,	0, 0, $80, $A2,	$20, $20, $20, $A0, $82
		!BYTE 0, $82, $82, $82,	$82, $80, $80, $A2, 0, $A2, $22
		!BYTE $22, $A2,	$22, $22, $A2, 0, $A2, $22, $22, $A2, $20
		!BYTE $20, $A0,	0, 0, 0, $20, $A0, $20,	$20, $20
}
; --------------- S U B	R O U T	I N E ---------------------------------------


random:					; CODE XREF: sub_71C0+13 sub_71C0+19 !!!
		LDA	$DC04
		EOR	$DC05
		EOR	$DD04
		ADC	$DD05
		EOR	$DD06
		EOR	$DD07
		RTS	
; End of function random


; --------------- S U B	R O U T	I N E ---------------------------------------


initialize_colorram:			; CODE XREF: copy_level_to_abs+4A
					; sub_89AC+2B
		PHA	
		LDX	#$27 ; '''
		LDA	#9

first_line_loop:			; CODE XREF: initialize_colorram+9
		STA	$D800,X
		DEX	
		BPL	first_line_loop
		LDX	#<$d800
		STX	$46
		LDX	#>$d800
		STX	$47
		LDX	#3
		PLA	

initialize_colorram_loop:		; CODE XREF: initialize_colorram+19
					; initialize_colorram+1E
		STA	($46),Y
		INY	
		BNE	initialize_colorram_loop
		INC	$47
		DEX	
		BPL	initialize_colorram_loop
		RTS	
; End of function initialize_colorram


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_6E9C:				; CODE XREF: pause_mode	sub_8366+5
		LDX	#0
		LDY	#0

loc_6EA0:				; CODE XREF: sub_6E9C+F
		LDA	$C00,X
		STA	VARIABLES +$62,Y
		INX	
		INX	
		INY	
		CPY	#$14
		BNE	loc_6EA0
		RTS	
; End of function sub_6E9C


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_6EAE:				; CODE XREF: sub_749D+8 pause_mode+B !!!
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq no_sprite_colors
        ldy #$01
        ldx #$0f
		LDA	($46),Y
		CMP	#$19 ; '<'
        bpl +
        ldx #$01
+       stx $d027
        ldy #$03
        ldx #$0f
		LDA	($46),Y
		CMP	#$3c ; '<'
        bne +
        ldx #$01
+       stx $d029
no_sprite_colors:
        }
		LDX	#1
		LDY	#3
		LDA	($46),Y
		CMP	#$3C ; '<'
		BNE	loc_6EBA
		LDX	#7

loc_6EBA:				; CODE XREF: sub_6EAE+8
		TXA	
		LDX	#3

loc_6EBD:				; CODE XREF: sub_6EAE+13
		STA	$D80E,X
		DEX	
		BPL	loc_6EBD
		LDX	#1
		LDY	#1
		LDA	($46),Y
		CMP	#$19
		BPL	loc_6ECF
		LDX	#7

loc_6ECF:				; CODE XREF: sub_6EAE+1D
		TXA	
		LDX	#3

loc_6ED2:				; CODE XREF: sub_6EAE+28
		STA	$D802,X
		DEX	
		BPL	loc_6ED2
		LDX	#0
		LDY	#0

loc_6EDC:				; CODE XREF: sub_6EAE+44
		LDA	($46),Y
		CMP	#1
		BNE	loc_6EE4
		LDA	#$20 ; ' '

loc_6EE4:				; CODE XREF: sub_6EAE+32
		STA	$C00,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$C00,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_6EDC
		RTS	
; End of function sub_6EAE


; --------------- S U B	R O U T	I N E ---------------------------------------

        !if ORIGINAL = 0 {
joy_direction2:				; CODE XREF: ROM:763B

joy_direction1:				; CODE XREF: ROM:7640
					; configuration_with_joystick	!!!
		LDA	$DC00
		AND	#$F
		RTS	
; End of function joy_direction1

        } else {

; --------------- S U B	R O U T	I N E ---------------------------------------


joy_direction2:				; CODE XREF: ROM:763B
		LDA	$DC00
		AND	#$F
		RTS	
; End of function joy_direction2
        }

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_6F01:				; CODE XREF: sub_75A9+7 sub_815B
		LDA	$9D
; End of function sub_6F01


; --------------- S U B	R O U T	I N E ---------------------------------------


check_button_with_test:			; CODE XREF: check_button_or_pause+11
        !if ORIGINAL = 1 {
		AND	$A4
		BEQ	check_button
		LDA	$DC00               ; joystick 1 !!!
		BNE	check_button_unconditional
; End of function check_button_with_test


; --------------- S U B	R O U T	I N E ---------------------------------------

        }
check_button:				; CODE XREF: check_button_with_test+2
					; configuration_screen+5C !!!
		LDA	$DC00
check_button_unconditional:		; CODE XREF: check_button_with_test+7
		AND	#$10
		STA	$B8
		RTS	
; End of function check_button

; ---------------------------------------------------------------------------
!if ORIGINAL = 1 {
by_peter_lipa_text1:
					; DATA XREF: paint_init_picture+41
        !BYTE $20, $20, $22,	$39, $20, $30, $25, $34, $25, $32
		!BYTE $20, $2C,	$29, $25, $30, $21, $20, $20, $20, $20
with_chris_grey_text2:
					; DATA XREF: paint_init_picture+58
        !BYTE $20, $20, $37,	$29, $34, $28, $20, $23, $28, $32
		!BYTE $29, $33,	$20, $27, $32, $25, $39, $20, $20, $20
} else {
by_peter_lipa_text1:
					; DATA XREF: paint_init_picture+41
        !BYTE $20, $22,	$39, $20, $30, $25, $29, $33
		!BYTE $25, $2C,	$35, $2c, $2c, $29, $0f, $34, $32, $33, $29,$20
with_chris_grey_text2:
					; DATA XREF: paint_init_picture+6F
        !BYTE $20, $2c, $25, $26,	$34, $20, $22, $35, $34, $34
		!BYTE $2F, $2E,	$20, $24, $34, $36, $20, $27, $26, $38
}
!if ORIGINAL = 1 {
player_selection_text:!BYTE $11, $20, $30,	$2C, $21, $39, $25, $32, $20, $20
					; DATA XREF: paint_init_picture+E5
		!BYTE $11, $20,	$2A, $2F, $39, $33, $34, $29, $23, $2B
} else {
player_selection_text: 
					; DATA XREF: paint_init_picture+E5
		!BYTE $24, $34, $36,	$20, $22, $20, $2f, $32, $20, $26, $13,$1a
        !BYTE $11, $20, $30,	$2C, $21, $39, $25, $32 
}
init_picture_text4:!BYTE $20, $30, $2C,	$39, $32, $20, $11, $20, $20, $20
					; DATA XREF: paint_init_picture+89
		!BYTE $20, $20,	$20, $30, $2C, $39, $32, $20, $12, $20
byte_6F64:	!BYTE $20, $10,	$10, $10, $10, $10, $10, $20, $2C, $21
					; DATA XREF: sub_8CF5+2
		!BYTE $33, $34,	$20, $10, $10, $10, $10, $10, $10, $20
byte_6F78:	!BYTE $20, $10,	$10, $10, $10, $10, $10, $20, $28, $29
					; DATA XREF: sub_8CF5+8
		!BYTE $27, $28,	$20, $10, $10, $10, $10, $10, $10, $20
game_over_text:	!BYTE $20, $27,	$20, $21, $20, $2D, $20, $25, $20, $20
					; DATA XREF: sub_8336	sub_8336+4
		!BYTE $20, $2F,	$20, $36, $20, $25, $20, $32, $20, $20
byte_6FA0:	!BYTE $30, $2C,	$21, $39, $25, $32, $20, $11, $D, $20 ;	DATA XREF: ROM:8ED3
		!BYTE $13, $20,	$2D, $25, $2E, $20, $21, $F, $10, $20
byte_6FB4:	!BYTE $20, $20,	$20, $20, $2F, $35, $34, $20, $2F, $26
					; DATA XREF: sub_8366+8
		!BYTE $20, $34,	$29, $2D, $25, $20, $20, $20, $20, $20
byte_6FC8:	!BYTE $20, $22,	$20, $2F, $20, $2E, $20, $35, $20, $33
					; DATA XREF: sub_839E+B sub_839E+F
		!BYTE $20, $20,	$2C, $20, $29, $20, $26, $20, $25, $20
!if ORIGINAL = 1 {
cave_level_text:!BYTE $20, $23, $21,	$36, $25, $1A, $20, $21, $20, $20
					; DATA XREF: paint_init_picture+CE
		!BYTE $2C, $25,	$36, $25, $2C, $1A, $20, $11, $20, $20
} else {
cave_level_text:!BYTE $20, $23, $21,	$36, $25, $1A, $20, $21, $20, $20
					; DATA XREF: paint_init_picture+CE
		!BYTE $20, $27,	$21, $2d, $25, $1A, $20, $11, $20, $20
}
!if ORIGINAL = 1 {
continue_text:	
					; DATA XREF: pause_mode+3 pause_mode+7
        !BYTE $20, $23, $20, $22, $35, $34, $34, $2f, $2e, $20
		!BYTE $34, $2F,	$20, $32, $25, $33, $35, $2D, $25, $20
} else {
continue_text:	
					; DATA XREF: pause_mode+3 pause_mode+7
        !BYTE $30, $32, $25, $33, $33, $20, $26, $29, $32, $25
		!BYTE $20, $34,	$2f, $20, $32, $25, $33, $35, $2D, $25
}
!if ORIGINAL = 1 {
press_button_to_play_text3:
					; DATA XREF: paint_init_picture+6F
        !BYTE $30, $32, $25,	$33, $33, $20, $22, $35, $34, $34
		!BYTE $2F, $2E,	$20, $34, $2F, $20, $30, $2C, $21, $39
} else {
press_button_to_play_text3:
					; DATA XREF: paint_init_picture+58
        !BYTE $20, $32, $29, $27,	$28, $34, $20, $2f, $32, $20, $26
		!BYTE $18, $20,	$23, $2c, $21, $33, $33, $29, $23
press_button_to_play_text3_replace:
					; DATA XREF: paint_init_picture+6F
        !BYTE $30, $32, $25,	$33, $33, $20, $22, $35, $34, $34
		!BYTE $2F, $2E,	$20, $34, $2F, $20, $30, $2C, $21, $39
}
; --------------- S U B	R O U T	I N E ---------------------------------------


plot_4size:				; CODE XREF: set_object+1B ROM:707F
		LDX	$8A
		LDA	obj_to_charset_tab,X
		LDY	#0
		STA	($36),Y
		CLC	
		ADC	#1
		INY	
		STA	($36),Y
		ADC	#$F
		LDY	#$50 ; 'P'
		STA	($36),Y
		ADC	#1
		INY	
		STA	($36),Y
		RTS	
; End of function plot_4size


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7033:				; CODE XREF: set_object+18
					; sub_76C1+14
		LDX	#-3 ; ''
		TYA	

search_object_loop:			; CODE XREF: sub_7033+9
		INX	
		INX	
		INX	
		CMP	unk_53B0,X
		BNE	search_object_loop
		CLC	
		LDA	$34
		ADC	word_53B1,X
		STA	$36
		LDA	$35
		ADC	word_53B1+1,X
		STA	$37
		RTS	
; End of function sub_7033


; --------------- S U B	R O U T	I N E ---------------------------------------


set_object:				; CODE XREF: set_explosion+8
					; ROM:70F4 !!!
		STA	$8A
		STA	($32),Y
		LDA	$92
		ASL	
		TAX	
		LDA	$91
		ASL	
		CLC	
		ADC	big_screen_line_addresses,X
		STA	$34
		LDA	#0
		ADC	big_screen_line_addresses+1,X
		STA	$35
		JSR	sub_7033
		JSR	plot_4size
		LDA	$8A
		RTS	
; End of function set_object

; ---------------------------------------------------------------------------

object_erase_old:				; CODE XREF: ROM:719A	ROM:71AE !!!
		LDA	#0
		STA	$8A
		LDY	#$29 ; ')'
		STA	($32),Y
		LDA	$34
		STA	$36
		LDA	$35
		STA	$37
		JSR	plot_4size
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7085:				; CODE XREF: init_single_random_stone+2
		LDA	$3F
		ROR	
		ROR	
		AND	#-$80 ;	''
		STA	VARIABLES +$04
		LDA	$3E
		ROR	
		AND	#$7F ; ''
		STA	VARIABLES +$05
		LDA	$3E
		ROR	
		ROR	
		AND	#-$80 ;	''
		CLC	
		ADC	$3E
		ADC	#$13
		STA	$3E
		LDA	$3F
		ADC	VARIABLES +$04
		ADC	VARIABLES +$05
		STA	$3F
		RTS	
; End of function sub_7085


; --------------- S U B	R O U T	I N E ---------------------------------------


set_explosion:				; CODE XREF: sub_70BA+2 sub_70BA+7 !!!
		LDA	($32),Y
		CMP	#7
		BEQ	replace_no_7_end
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        cmp #$04
        beq replace_no_7_end
        cmp #$05
        beq replace_no_7_end        
+
        }
		LDA	$89
		JSR	set_object

replace_no_7_end:			; CODE XREF: set_explosion+4
		RTS	
; End of function set_explosion


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_70BA:				; CODE XREF: ROM:730B	ROM:7316 !!!
		LDY	#$28 ; '('
		JSR	set_explosion
		LDY	#$29 ; ')'
		JSR	set_explosion
		DEC	$89
		LDY	#$2A ; '*'
		JSR	set_explosion
		LDY	#$50 ; 'P'
		JSR	set_explosion
		LDY	#$51 ; 'Q'
		JSR	set_explosion
		LDY	#$52 ; 'R'
		JSR	set_explosion
		LDY	#$78 ; 'x'
		JSR	set_explosion
		LDY	#$79 ; 'y'
		JSR	set_explosion
		LDY	#$7A ; 'z'
		JSR	set_explosion
		JMP	loc_7129
; End of function sub_70BA

; ---------------------------------------------------------------------------

		; public object_exit
object_exit:				; DATA XREF: ROM:5F70o
		LDA	$90
		BEQ	loc_70F7
		LDY	#$29 ; ')'
		LDA	#5
		JSR	set_object

loc_70F7:				; CODE XREF: ROM:70EE
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


explosion:				; CODE XREF: ROM:717B	ROM:724E
		LDY	#0
		JSR	set_explosion
		LDY	#1
		JSR	set_explosion
		LDY	#2
		JSR	set_explosion
		LDY	#$28 ; '('
		JSR	set_explosion
		LDY	#$29 ; ')'
		JSR	set_explosion
		DEC	$89
		LDY	#$2A ; '*'
		JSR	set_explosion
		LDY	#$50 ; 'P'
		JSR	set_explosion
		LDY	#$51 ; 'Q'
		JSR	set_explosion
		LDY	#$52 ; 'R'
forfrustleveld:
		JSR	set_explosion

loc_7129:				; CODE XREF: sub_70BA+2F
		LDA	#$50 ; 'P'
		STA	VARIABLES +$11
		JSR	stimme1_init
		LDX	#6

loc_7133:				; CODE XREF: explosion+40
		LDA	voice1_init_values,X
		STA	$D407,X
		DEX	
		BPL	loc_7133
		RTS	
; End of function explosion

; ---------------------------------------------------------------------------
voice1_init_values:!BYTE $32 ; 2	; DATA XREF: explosion+39r
		!BYTE $14 ;  
		!BYTE  $F ;  
		!BYTE	0 ;  
		!BYTE $81 ; 
		!BYTE $1B ;  
		!BYTE	0 ;  
unk_7144:	!BYTE $28 ; (		; DATA XREF: ROM:719D	ROM:71A8 !!!
		!BYTE	1 ;  
		!BYTE $2A ; *
		!BYTE $51 ; Q
unk_7148:	!BYTE $51 ; Q		; DATA XREF: ROM:7188	ROM:7270 !!!
		!BYTE $28 ; (
		!BYTE	1 ;  
		!BYTE $2A ; *

; --------------- S U B	R O U T	I N E ---------------------------------------


check_for_explosion_single:			; CODE XREF: check_for_explosion+4
					; check_for_explosion+9 !!!
		LDA	($32),Y
		CMP	#$38 ; '8'
		BCC	locret_7158
		CMP	#$3B ; ';'
		BCS	locret_7158
		LDX	#0

locret_7158:				; CODE XREF: check_for_explosion_single+4
					; check_for_explosion_single+8
		RTS	
; End of function check_for_explosion_single


; --------------- S U B	R O U T	I N E ---------------------------------------


check_for_explosion:			; CODE XREF: ROM:7172	ROM:7245
		LDX	#1
		LDY	#1
		JSR	check_for_explosion_single
		LDY	#$28 ; '('
		JSR	check_for_explosion_single
		LDY	#$2A ; '*'
		JSR	check_for_explosion_single
		LDY	#$51 ; 'Q'
		JSR	check_for_explosion_single
		CPX	#0
		RTS	
; End of function check_for_explosion

; ---------------------------------------------------------------------------

object_firefly:				; DATA XREF: ROM:5F78o	ROM:5F7Ao !!!
		JSR	check_for_explosion
		BNE	loc_7181
		LDA	#$1C
		STA	$89
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        lda $5e
        cmp #NUMBER_OF_GAMES-1
        bne +
        lda $5d
        cmp #$0f
        bne +
        ldy #$00
        jsr set_explosion
        ldy #$01
        jsr set_explosion
        ldy #$02
        jsr set_explosion
        ldy #$50
        jsr set_explosion
        ldy #$51
        jsr set_explosion
        ldy #$52
        jsr set_explosion
        lda #$03
        sta $89
        ldy #$28
        jsr set_explosion
        ldy #$29
        jsr set_explosion
        ldy #$2a
        jmp forfrustleveld
        
        
+
        }
		JSR	explosion
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_7181:				; CODE XREF: ROM:7175
		LDY	#$29 ; ')'
		LDA	($32),Y
		AND	#3
		TAX	
		LDY	unk_7148,X
		LDA	($32),Y
		BNE	loc_719D
		CLC	
		TXA	
		ADC	#3
		AND	#3
		ADC	#$C
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_719D:				; CODE XREF: ROM:718D
		LDY	unk_7144,X
		LDA	($32),Y
		BNE	loc_71B1
		CLC	
		TXA	
		ADC	#$C
		LDY	unk_7144,X
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_71B1:				; CODE XREF: ROM:71A2
		CLC	
		LDY	#$29 ; ')'
		TXA	
		ADC	#1
		AND	#3
		ADC	#$C
		STA	($32),Y
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_71C0:				; CODE XREF: ROM:72CC	ROM:732A !!!
		INC	VARIABLES +$0D
		LDX	#3

loc_71C5:				; CODE XREF: sub_71C0+C
		LDA	unk_7524,X
		STA	VARIABLES +$7F,X
		DEX	
		BPL	loc_71C5
		LDA	#-$60 ;	''
		STA	VARIABLES +$83
		JSR	random
		STA	VARIABLES +$7D
		JSR	random
		AND	#7
		ASL	
		ASL	
		ASL	
		ADC	#-$7A ;	''
		STA	VARIABLES +$7E
		RTS	
; End of function sub_71C0

; ---------------------------------------------------------------------------
unk_71E7:	!BYTE $32 ; 2		; DATA XREF: sub_71EE+5
		!BYTE	9 ;  
		!BYTE	7 ;  
		!BYTE	0 ;  
		!BYTE $81 ; 
		!BYTE	0 ;  
		!BYTE $F0 ; 

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_71EE:				; CODE XREF: ROM:72C6	sub_7543+9 !!!
		INC	VARIABLES +$0D
		LDX	#6

loc_71F3:				; CODE XREF: sub_71EE+C
		LDA	unk_71E7,X
		STA	VARIABLES +$7D,X
		DEX	
		BPL	loc_71F3
		RTS	
; End of function sub_71EE


; --------------- S U B	R O U T	I N E ---------------------------------------


check_free_field:			; CODE XREF: ROM:72D3	ROM:7334 !!!
		LDX	#0
		CMP	#$10
		BNE	loc_7205
		LDX	#1

loc_7205:				; CODE XREF: check_free_field+4
		CMP	#$14
		BNE	loc_720B
		LDX	#1

loc_720B:				; CODE XREF: check_free_field+
		CMP	#2
		BNE	loc_7211
		LDX	#1

loc_7211:				; CODE XREF: check_free_field+10
		CPX	#1
		RTS	
; End of function check_free_field


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7214:				; CODE XREF: ROM:7311	ROM:77C0
		LDX	#1
		LDA	($32),Y
		AND	#$33 ; '3'
		CMP	($32),Y
		BNE	loc_722A
		ORA	#$30 ; '0'
		CMP	($32),Y
		BNE	loc_722A
		LDX	#0
		LDA	#$21 ; '!'
		STA	$89

loc_722A:				; CODE XREF: sub_7214+8 sub_7214+E
		CPX	#0
		BEQ	loc_7242
		LDX	#1
		LDA	($32),Y
		AND	#$B
		CMP	($32),Y
		BNE	loc_7242
		AND	#8
		BEQ	loc_7242
		LDX	#0
		LDA	#$1C
		STA	$89

loc_7242:				; CODE XREF: sub_7214+18 sub_7214+22 !!!
		CPX	#0
		RTS	
; End of function sub_7214

; ---------------------------------------------------------------------------
        !if ORIGINAL = 0 {
        ;special feature for frust dash
frust_8da6:
		LDA	($32),Y
		CMP	#$38 ; '8'
		BCC	+
		CMP	#$39 ; ';'
		BCS	+

        lda #$1c
        sta $89
        jmp explosion
+       rts
        }

object_butterfly:				; DATA XREF: ROM:5FC8o	ROM:5FCAo !!!
		JSR	check_for_explosion
		BNE	loc_7254
		LDA	#$21 ; '!'
		STA	$89
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        lda $5e
        cmp #NUMBER_OF_GAMES-1
        bne +
        lda $5d
        cmp #$0f
        bne +
        ldy #$01
        jsr frust_8da6
        ldy #$28
        jsr frust_8da6
        ldy #$2a
        jsr frust_8da6
        ldy #$51
        jsr frust_8da6
		JMP	object_continue
        
+
		}
		JSR	explosion
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_7254:				; CODE XREF: ROM:7248
		LDY	#$29 ; ')'
		LDA	($32),Y
		AND	#3
		TAX	
		LDY	unk_7144,X
		LDA	($32),Y
		BNE	loc_7270
		CLC	
		TXA	
		ADC	#1
		AND	#3
		ADC	#$34 ; '4'
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7270:				; CODE XREF: ROM:7260
		LDY	unk_7148,X
		LDA	($32),Y
		BNE	loc_7284
		CLC	
		TXA	
		ADC	#$34 ; '4'
		LDY	unk_7148,X
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7284:				; CODE XREF: ROM:7275
		CLC	
		LDY	#$29 ; ')'
		TXA	
		ADC	#3
		AND	#3
		ADC	#$34 ; '4'
		STA	($32),Y
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_7293:				; CODE XREF: ROM:7300	ROM:731C
		LDY	#$29 ; ')'
		LDA	#$15
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$10
        beq cave_p_special2
        cpx #$13
        beq cave_s_special2
        cpx #$14
        bne +
cave_t_special2:
        lda #$10
        !byte $2c
cave_s_special2:
        lda #$3a
        !byte $2c
cave_p_special2:
        lda #$30       
+
        }
		JSR	set_object
		JMP	object_continue
; ---------------------------------------------------------------------------

object_diamond_falling:				; DATA XREF: ROM:5F94o
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		BNE	loc_72AB
		LDA	#$17
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_72AB:				; CODE XREF: ROM:72A1
		CMP	#3
		BNE	loc_72CC
		LDA	$8D
		BNE	loc_72B7
		LDA	#1
		STA	$8D
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        jsr activate_magic_wall_gfx
        lda #$01
+
        }

loc_72B7:				; CODE XREF: ROM:72B1
		CMP	#1
        !if ORIGINAL = 1 {
		BNE	loc_72C6 ; bug ???
        } else {
        BNE loc_72c3
        }
		LDY	#$79 ; 'y'
		LDA	($32),Y
        !if ORIGINAL = 1 {
		BNE	loc_72C6 ; bug ???
        } else {
        bne loc_72c3
        }
		LDA	#$13
loc_72c3:        
		JSR	set_object

loc_72C6:				; CODE XREF: ROM:72B9	ROM:72BF
		JSR	sub_71EE
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_72CC:				; CODE XREF: ROM:72AD
		JSR	sub_71C0
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		JSR	check_free_field
		BNE	loc_7303
		LDY	#$50 ; 'P'
		LDA	($32),Y
		BNE	loc_72EC
		LDY	#$28 ; '('
		LDA	($32),Y
		BNE	loc_72EC
		LDA	#$17
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_72EC:				; CODE XREF: ROM:72DC	ROM:72E2
		LDY	#$52 ; 'R'
		LDA	($32),Y
		BNE	loc_7300
		LDY	#$2A ; '*'
		LDA	($32),Y
		BNE	loc_7300
		LDA	#$17
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7300:				; CODE XREF: ROM:72F0	ROM:72F6
		JMP	loc_7293
; ---------------------------------------------------------------------------

loc_7303:				; CODE XREF: ROM:72D6
		CMP	#$38 ; '8'
		BNE	loc_7311
		LDA	#$1C
		STA	$89
		JSR	sub_70BA
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_7311:				; CODE XREF: ROM:7305
		JSR	sub_7214
		BNE	loc_731C
		JSR	sub_70BA
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_731C:				; CODE XREF: ROM:7314
		JMP	loc_7293
; ---------------------------------------------------------------------------

object_diamond:				; DATA XREF: ROM:5F90o
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		BNE	loc_7330
		LDA	#$17
		JSR	set_object
		JSR	sub_71C0
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7330:				; CODE XREF: ROM:7323
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		JSR	check_free_field
		BNE	loc_7361
		LDY	#$50 ; 'P'
		LDA	($32),Y
		BNE	loc_734D
		LDY	#$28 ; '('
		LDA	($32),Y
		BNE	loc_734D
		LDA	#$17
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_734D:				; CODE XREF: ROM:733D	ROM:7343
		LDY	#$52 ; 'R'
		LDA	($32),Y
		BNE	loc_7361
		LDY	#$2A ; '*'
		LDA	($32),Y
		BNE	loc_7361
		LDA	#$17
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7361:				; CODE XREF: ROM:7337	ROM:7351 !!!
		JMP	object_continue
; ---------------------------------------------------------------------------
unk_7364:	!BYTE	1 ;		; DATA XREF: ROM:7392	ROM:73B4
		!BYTE $28 ; (
		!BYTE $2A ; *
		!BYTE $51 ; Q
; ---------------------------------------------------------------------------

object_amoeba:				; DATA XREF: ROM:5FDCo
		INC	VARIABLES +$02
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        lda $5e
        cmp #NUMBER_OF_GAMES-1
        bne +
        lda $5d
        cmp #$0e
        bne nospecial_e
        lda #$c7
        sta $8c
        bne noload  ; unconditional
nospecial_e:
        cmp #$0f
        bne +
        lda VARIABLES+$03
        cmp #$03
        bcc +
        bcs do_stone
        }
+
		LDA	VARIABLES +$03
noload:
		CMP	#$c8 ;	
		BCC	loc_737A
do_stone:
		LDA	#$11
		JSR	set_object
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_737A:				; CODE XREF: ROM:7370
		LDA	$8C
		BNE	loc_7386
		LDA	#$14
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$0f
        beq cave_m_special3        
        cpx #$0b
        beq cave_k_special3
        cpx #$0d
        bne +
cave_m_special3:
        lda #$08
        !byte $2c
cave_k_special3:
        lda #$30       
+
        }
		JSR	set_object
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_7386:				; CODE XREF: ROM:737C
		LDA	$42
		BNE	loc_73AA
		LDA	#3
		STA	$46
		LDX	#1

loc_7390:				; CODE XREF: ROM:73A0
		LDY	$46
		LDA	unk_7364,Y
		TAY	
		LDA	($32),Y
		CMP	#2
		BCS	loc_739E
		LDX	#0

loc_739E:				; CODE XREF: ROM:739A
		DEC	$46
		BPL	loc_7390
		CPX	#0
		BNE	loc_73AA
		LDA	#1
		STA	$42

loc_73AA:				; CODE XREF: ROM:7388	ROM:73A4
		JSR	random
		AND	$9A
		CMP	#4
		BCS	loc_73CE
		TAX	
		LDY	unk_7364,X
		LDX	#1
		LDA	($32),Y
		BNE	loc_73BF
		LDX	#0

loc_73BF:				; CODE XREF: ROM:73BB
		CMP	#1
		BNE	loc_73C5
		LDX	#0

loc_73C5:				; CODE XREF: ROM:73C1
		CPX	#0
		BNE	loc_73CE
		LDA	#$3B ; ';'
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$0e
        beq cave_n_special
        cpx #$0f
        beq loc_73CE
        !byte $2c
cave_n_special:
        lda #$10       
+
        }
		JSR	set_object

loc_73CE:				; CODE XREF: ROM:73B1	ROM:73C7
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


add_bonuslife:				; CODE XREF: sub_73DE+6 sub_73DE+13	!!!
		LDA	$5C
		CMP	#9
		BEQ	locret_73DD
		INC	$5C
		LDA	#-$80 ;	''
		STA	$A8

locret_73DD:				; CODE XREF: add_bonuslife+4
		RTS	
; End of function add_bonuslife


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_73DE:				; CODE XREF: add_score+1F
		LDA	$A9
		CMP	$61
		BEQ	loc_73E7
		JSR	add_bonuslife

loc_73E7:				; CODE XREF: sub_73DE+4
		LDA	$AA
		CMP	#4
		BNE	locret_73F4
		CMP	$62
		BEQ	locret_73F4
		JSR	add_bonuslife

locret_73F4:				; CODE XREF: sub_73DE+D sub_73DE+11
		RTS	
; End of function sub_73DE


; --------------- S U B	R O U T	I N E ---------------------------------------


add_score:				; CODE XREF: ROM:7537	add_time_points+29
		LDA	$61
		STA	$A9
		LDA	$62
		STA	$AA
		LDX	#5
		CLC	

loc_7400:				; CODE XREF: add_score+1D
		LDA	$5F,X
		ADC	$4E,X
		CMP	#$A
		BCC	loc_740A
		SBC	#$A
loc_740A:				; CODE XREF: add_score+11
		STA	$5F,X
		ORA	#$10
		STA	VARIABLES +$48,X
		DEX	
		BPL	loc_7400
		JSR	sub_73DE
		RTS	
; End of function add_score

!if ORIGINAL = 0 {
add_score_0:
        ldx #$05
-
        lda $5f,x
        ora #$10
        sta VARIABLES +$48,X
        dex
        bpl -
        rts        
}

; ---------------------------------------------------------------------------
unk_7418:	!BYTE $32 ; 2		; DATA XREF: sub_7D09+17
		!BYTE $2F ; /
		!BYTE	0 ;  
		!BYTE	0 ;  
		!BYTE $81 ; 
		!BYTE $19 ;  
		!BYTE	1 ;  

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_741F:				; CODE XREF: sub_7489+4 sub_74F6+24
		LDA	#1
		STA	$D8
		RTS	
; End of function sub_741F


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7424:				; CODE XREF: sub_745D+17 add_time_points+1C
		LDA	$AB
		BNE	locret_745C
		LDA	$AC
		BNE	locret_745C
		LDA	$AD
		BNE	sub_7435
		LDA	#2
		STA	$97
		RTS	
; End of function sub_7424


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7435:				; CODE XREF: sub_7424+ add_time_points+31
		LDA	VARIABLES +$11
		BNE	locret_745C
		JSR	stimme1_init
		LDA	#$A
		STA	$D40C
		LDA	#0
		STA	$D40D
		LDA	#$27 ; '''
		SEC	
		SBC	$AD
		STA	$D408
		LDA	#$11
		STA	$D40B
		LDA	VARIABLES +$0D
		ORA	#-$80 ;	''
		STA	VARIABLES +$0D

locret_745C:				; CODE XREF: sub_7424+2 sub_7424+6 !!!
		RTS	
; End of function sub_7435


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_745D:				; CODE XREF: sub_7478	add_time_points+26
		LDX	#2
		CLC	

loc_7460:				; CODE XREF: sub_745D+15
		LDA	$AB,X
		ADC	#9
		CMP	#$A
		BCC	loc_746A
		SBC	#$A

loc_746A:				; CODE XREF: sub_745D+9
		STA	$AB,X
		ORA	#$10
		STA	VARIABLES +$44,X
		DEX	
		BPL	loc_7460
		JSR	sub_7424
		RTS	
; End of function sub_745D


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7478:				; CODE XREF: sub_74A9+14
		JSR	sub_745D
		INC	$AF
		LDA	$AF
		CMP	ACTUAL_LEVEL + $01
		BNE	locret_7488
		LDA	#$F
		STA	$9A

locret_7488:				; CODE XREF: sub_7478+
		RTS	
; End of function sub_7478


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7489:				; CODE XREF: sub_74A9+18
		DEC	$95
		BNE	locret_749C
        !if ORIGINAL = 0 {
        jsr add_score_0 ; !BUG score paint bug removed
        }
		JSR	sub_741F
		LDA	#0
		STA	$93
		STA	$FB
		STA	$FC
		LDA	#1
		STA	$94

locret_749C:				; CODE XREF: sub_7489+2
		RTS	
; End of function sub_7489


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_749D:				; CODE XREF: char_anim+8
		LDA	#<(VARIABLES+$3a) ; ':'
		STA	$46
		LDA	#>(VARIABLES+$3a) ;	''
		STA	$47
		JSR	sub_6EAE
		RTS	
; End of function sub_749D


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_74A9:				; CODE XREF: sub_7EC3+E
		INC	$AE
		LDA	$AE
		CMP	#$3C ; '<'
		BNE	locret_74C4
		LDA	#0
		STA	$AE
		LDA	$9B
		BNE	locret_74C4
		LDA	$93
		BNE	loc_74C1
		JSR	sub_7478
		RTS	
; ---------------------------------------------------------------------------

loc_74C1:				; CODE XREF: sub_74A9+12
		JSR	sub_7489

locret_74C4:				; CODE XREF: sub_74A9+6 sub_74A9+E
		RTS	
; End of function sub_74A9


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_74C5:				; CODE XREF: ROM:753A
		LDX	#1
		CLC	

loc_74C8:				; CODE XREF: sub_74C5+14
		TXA	
		ADC	$B0,X
		CMP	#$A
		BCC	loc_74D1
		SBC	#$A

loc_74D1:				; CODE XREF: sub_74C5+8
		STA	$B0,X
		ORA	#$10
		STA	VARIABLES +$41,X
		DEX	
		BPL	loc_74C8
		RTS	
; End of function sub_74C5


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_74DC:				; CODE XREF: init_game_variables+55
		LDX	#1

loc_74DE:				; CODE XREF: sub_74DC+
		LDA	$B2,X
		ORA	#$10
		STA	VARIABLES +$3B,X
		DEX	
		BPL	loc_74DE
		RTS	
; End of function sub_74DC


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_74E9:				; CODE XREF: sub_74F6+19
					; init_game_variables+7A
		LDX	#1

loc_74EB:				; CODE XREF: sub_74E9+
		LDA	$52,X
		ORA	#$10
		STA	VARIABLES +$3E,X
		DEX	
		BPL	loc_74EB
		RTS	
; End of function sub_74E9


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_74F6:				; CODE XREF: ROM:753D
		LDA	$B0
		CMP	$B2
		BNE	locret_7521
		LDA	$B1
		CMP	$B3
		BNE	locret_7521
		LDA	#1
		STA	$90
		LDX	#2

loc_7508:				; CODE XREF: sub_74F6+17
		LDA	$B4,X
		STA	$51,X
		DEX	
		BPL	loc_7508
		JSR	sub_74E9
		LDA	#$3C ; '<'
		STA	VARIABLES +$3B

loc_7517:
		STA	VARIABLES +$3C
		JSR	sub_741F
		LDA	#6
		STA	$A5
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        lda #$0f
        sta color_d200+1
+
        }

locret_7521:				; CODE XREF: sub_74F6+4 sub_74F6+
		RTS	
; End of function sub_74F6

; ---------------------------------------------------------------------------
unk_7522:	!BYTE $78 ; x		; DATA XREF: ROM:752E
		!BYTE $14 ;  
unk_7524:	!BYTE	7 ;		; DATA XREF: sub_71C0+5
		!BYTE	0 ;  
		!BYTE $11 ;  
		!BYTE	0 ;  
		!BYTE $F0 ; 
; ---------------------------------------------------------------------------

loc_7529:				; CODE XREF: sub_7555+20
		INC	VARIABLES +$0D
		LDX	#6

loc_752E:				; CODE XREF: ROM:7535
		LDA	unk_7522,X
		STA	VARIABLES +$7D,X
		DEX	
		BPL	loc_752E
		JSR	add_score
		JSR	sub_74C5
		JSR	sub_74F6
		INC	$B7
		RTS	

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7543:				; CODE XREF: sub_7555+3F sub_7555+4E
		JSR	random
		AND	#3
		BNE	locret_7554
		INC	$B7
		JSR	sub_71EE
		LDA	#$11
		JSR	set_object

locret_7554:				; CODE XREF: sub_7543+5
		RTS	
; End of function sub_7543


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7555:				; CODE XREF: sub_75A9
		LDA	#0
		STA	$B7
		LDA	($32),Y
		BNE	loc_7565
		INC	$B7
		LDA	#$35 ; '5'
		STA	VARIABLES +$08
		RTS	
; ---------------------------------------------------------------------------

loc_7565:				; CODE XREF: sub_7555+6
		CMP	#1
		BNE	loc_7571
		INC	$B7
		LDA	#-$5B ;	''
		STA	VARIABLES +$08
		RTS	
; ---------------------------------------------------------------------------

loc_7571:				; CODE XREF: sub_7555+12
		CMP	#$14
		BNE	loc_7578
		JMP	loc_7529
; ---------------------------------------------------------------------------

loc_7578:				; CODE XREF: sub_7555+1E
		CMP	#5
		BNE	loc_7586
		LDA	#2
		STA	$97
		LDA	#1
		STA	$9F
		INC	$B7

loc_7586:				; CODE XREF: sub_7555+25
		CMP	#$10
		BNE	locret_75A8
		CPY	#$28 ; '('
		BNE	loc_7599
		LDY	#$27 ; '''
		LDA	($32),Y
		BNE	loc_7597
		JSR	sub_7543

loc_7597:				; CODE XREF: sub_7555+3D
		LDY	#$28 ; '('

loc_7599:				; CODE XREF: sub_7555+37
		CPY	#$2A ; '*'
		BNE	locret_75A8
		LDY	#$2B ; '+'
		LDA	($32),Y
		BNE	loc_75A6
		JSR	sub_7543

loc_75A6:				; CODE XREF: sub_7555+4C
		LDY	#$2A ; '*'

locret_75A8:				; CODE XREF: sub_7555+33 sub_7555+46
		RTS	
; End of function sub_7555


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_75A9:				; CODE XREF: sub_75CE+11 sub_75CE+21 !!!
		JSR	sub_7555
		LDA	$B7
		BEQ	locret_75CD
		JSR	sub_6F01
		BNE	loc_75BF
		LDA	#0
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$0c
        beq cave_l_special
        cpx #$0f
        bne +
        lda #$01
        sta $8c
        lda #$3a
        !byte $2c
cave_l_special:
        lda #$10       
+
        }
		JSR	set_object
		LDA	#0
		STA	$B7
		RTS	
; ---------------------------------------------------------------------------

loc_75BF:				; CODE XREF: sub_75A9+
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        lda #$39
        jsr set_object_special
        +bra clear_rockford
+
        }
        
		LDA	#$39 ; '9'        
		JSR	set_object
clear_rockford:
		LDY	#$29 ; ')'
		LDA	#0
		JSR	set_object
		INC	$B7

locret_75CD:				; CODE XREF: sub_75A9+5
		RTS	
; End of function sub_75A9


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_75CE:				; CODE XREF: ROM:7645
		CMP	#$D
		BNE	loc_75E9
		LDA	$E5
		CMP	#6
		BNE	loc_75DD
		LDA	$EE
		BEQ	loc_75DD
		RTS	
; ---------------------------------------------------------------------------

loc_75DD:				; CODE XREF: sub_75CE+8 sub_75CE+C
		LDY	#$51 ; 'Q'
		JSR	sub_75A9
		LDA	$B7
        !if ORIGINAL = 0 {
        beq rockford_no_joy
        } else {
		BEQ	locret_75E8
        }
		INC	$45

locret_75E8:				; CODE XREF: sub_75CE+16
		RTS	
; ---------------------------------------------------------------------------

loc_75E9:				; CODE XREF: sub_75CE+2
		CMP	#$E
		BNE	loc_75F9
		LDY	#1
		JSR	sub_75A9
		LDA	$B7
        !if ORIGINAL = 0 {
        beq rockford_no_joy
        } else {
		BEQ	locret_75F8
        }
		DEC	$45

locret_75F8:				; CODE XREF: sub_75CE+26
		RTS	
; ---------------------------------------------------------------------------

loc_75F9:				; CODE XREF: sub_75CE+1D
		CMP	#8
		BCS	loc_7618
		LDA	$E6
		CMP	#8
		BNE	loc_7608
		LDA	$EA
		BEQ	loc_7608
		RTS	
; ---------------------------------------------------------------------------

loc_7608:				; CODE XREF: sub_75CE+33 sub_75CE+37
		LDA	#0
		STA	$98
		LDY	#$2A ; '*'
		JSR	sub_75A9
		LDA	$B7
        !if ORIGINAL = 0 {
        beq rockford_no_joy
        } else {
		BEQ	locret_7617
        }
		INC	$44

locret_7617:				; CODE XREF: sub_75CE+45
		RTS	
; ---------------------------------------------------------------------------

loc_7618:				; CODE XREF: sub_75CE+2D
		CMP	#$C
        !if ORIGINAL = 0 {
        bcs rockford_no_joy
        } else {
		BCS	locret_762B
        }
		LDA	#1
		STA	$98
		LDY	#$28 ; '('
		JSR	sub_75A9
		LDA	$B7
        !if ORIGINAL = 0 {
        beq rockford_no_joy
        } else {
		BEQ	locret_762B
        }
		DEC	$44

locret_762B:				; CODE XREF: sub_75CE+4C sub_75CE+59
		RTS	
; End of function sub_75CE

        !if ORIGINAL = 0 {
rockford_no_joy:
        lda dtv_flag
        beq locret_762B
        ldy #$29
        lda #$39
        jmp set_object_special
}
; ---------------------------------------------------------------------------

object_rockford:				; DATA XREF: ROM:5FD8o
		LDA	$A2
		BEQ	loc_7635
		LDA	$8B
		JMP	loc_7645
; ---------------------------------------------------------------------------

loc_7635:				; CODE XREF: ROM:762E
        !if ORIGINAL = 1 {
		LDA	$A4
		AND	$9D
		BEQ	loc_7640
		JSR	joy_direction2
		BNE	loc_7643
        }
loc_7640:				; CODE XREF: ROM:7639
		JSR	joy_direction1

loc_7643:				; CODE XREF: ROM:763E
		STA	$8B

loc_7645:				; CODE XREF: ROM:7632
		JSR	sub_75CE
		LDA	#0
		STA	$96
		JMP	object_continue
; ---------------------------------------------------------------------------
unk_764F:	!BYTE $1F ;		; DATA XREF: object_translate_to_other+6
unk_7650:	!BYTE	0 ;		; DATA XREF: object_translate_to_other+B
		!BYTE $1E ;  
		!BYTE $1F ;  
		!BYTE $1D ;  
		!BYTE $1E ;  
		!BYTE $1C ;  
		!BYTE $1D ;  
		!BYTE $1B ;  
		!BYTE $1C ;  
		!BYTE $24 ; $
		!BYTE $14 ;  
		!BYTE $23 ; #
		!BYTE $24 ; $
		!BYTE $22 ; "
		!BYTE $23 ; #
		!BYTE $21 ; !
		!BYTE $22 ; "
		!BYTE $20 ;  
		!BYTE $21 ; !
unk_7663:	!BYTE $28 ; (		; DATA XREF: ROM:7692
unk_7664:	!BYTE $38 ; 8		; DATA XREF: ROM:7697
		!BYTE $27 ; '
		!BYTE $28 ; (
		!BYTE $26 ; &
		!BYTE $27 ; '
		!BYTE $25 ; %
		!BYTE $26 ; &

; --------------- S U B	R O U T	I N E ---------------------------------------


object_translate_to_other:				; DATA XREF: ROM:5F9Eo	ROM:5FA0o !!!
		LDY	#$29 ; ')'
		LDA	($32),Y
		LDY	#0

loc_7671:				; CODE XREF: object_translate_to_other+12
		CMP	unk_764F,Y
		BNE	loc_7679
		LDX	unk_7650,Y

loc_7679:				; CODE XREF: object_translate_to_other+9
		INY	
		INY	
		CPY	#$14
		BNE	loc_7671
		TXA	
		LDY	#$29 ; ')'
		JSR	set_object
		JMP	object_continue
; End of function object_translate_to_other

; ---------------------------------------------------------------------------

object_rockford_birth:				; CODE XREF: ROM:76EF
					; DATA XREF: ROM:5FB4o	!!!
		LDA	$95
		BNE	loc_76A6
		LDY	#$29 ; ')'
		LDA	($32),Y
		LDY	#0

loc_7692:				; CODE XREF: ROM:769E
		CMP	unk_7663,Y
		BNE	loc_769A
		LDX	unk_7664,Y

loc_769A:				; CODE XREF: ROM:7695
		INY	
		INY	
		CPY	#8
		BNE	loc_7692
		TXA	
		LDY	#$29 ; ')'
		JSR	set_object

loc_76A6:				; CODE XREF: ROM:768A
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_76A9:				; CODE XREF: sub_76C1+17
		LDA	#$2E ; '!'
		LDY	#0
		STA	($36),Y
		CLC	
		ADC	#1
		INY	
		STA	($36),Y
		ADC	#$F
		LDY	#$50 ; 'P'
		STA	($36),Y
		ADC	#1
		INY	
		STA	($36),Y
		RTS	
; End of function sub_76A9


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_76C1:				; CODE XREF: ROM:76F2
		LDA	$92
		ASL	
		TAX	
		LDA	$91
		ASL	
		CLC	
		ADC	big_screen_line_addresses,X
		STA	$34
		LDA	#0
		ADC	big_screen_line_addresses+1,X
		STA	$35
		JSR	sub_7033
		JSR	sub_76A9
		RTS	
; End of function sub_76C1

; ---------------------------------------------------------------------------

object_exit_open:				; DATA XREF: ROM:5F72o	ROM:5FB2o
		LDY	#$29 ; ')'
		INC	$B9
		LDA	$B9
		AND	#1
		BNE	loc_76F2
		LDA	($32),Y
		JSR	set_object
		CMP	#$25 ; '%'
		BNE	loc_76F5
		JMP	object_rockford_birth
; ---------------------------------------------------------------------------

loc_76F2:				; CODE XREF: ROM:76E4
		JSR	sub_76C1

loc_76F5:				; CODE XREF: ROM:76ED
		JMP	object_continue
; ---------------------------------------------------------------------------

object_boulder:				; DATA XREF: ROM:5F88o
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		BNE	loc_7709
		LDA	#$13
		JSR	set_object
		JSR	sub_71EE
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7709:				; CODE XREF: ROM:76FC
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		JSR	check_free_field
		BNE	loc_773A
		LDY	#$50 ; 'P'
		LDA	($32),Y
		BNE	loc_7726
		LDY	#$28 ; '('
		LDA	($32),Y
		BNE	loc_7726
		LDA	#$13
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7726:				; CODE XREF: ROM:7716	ROM:771C
		LDY	#$52 ; 'R'
		LDA	($32),Y
		BNE	loc_773A
		LDY	#$2A ; '*'
		LDA	($32),Y
		BNE	loc_773A
		LDA	#$13
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_773A:				; CODE XREF: ROM:7710	ROM:772A !!!
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_773D:				; CODE XREF: ROM:77AC	ROM:77CB
		LDY	#$29 ; ')'
		LDA	#$11
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$0a
        beq cave_j_special
        cpx #$10
        beq cave_p_special
        cpx #$14
        beq cave_p_special
        !byte $2c
cave_j_special:
        lda #$02
        !byte $2c
cave_p_special:
        lda #$14       
+
        }
		JSR	set_object
		RTS	
; End of function sub_773D

; ---------------------------------------------------------------------------

object_boulder_falling:				; DATA XREF: ROM:5F8Co
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		BNE	loc_7753
		LDA	#$13
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7753:				; CODE XREF: ROM:7749
		CMP	#3
		BNE	loc_7778
		LDA	$8D
		BNE	loc_775F
		LDA	#1
		STA	$8D
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        jsr activate_magic_wall_gfx
+       lda #$01
        }

loc_775F:				; CODE XREF: ROM:7759
		CMP	#1
		BNE	loc_776E
		LDY	#$79 ; 'y'
		LDA	($32),Y
		BNE	loc_776E
		LDA	#$17
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        ldx $5e
        cpx #NUMBER_OF_GAMES-1
        bne +
        ldx $5d
        cpx #$0f
        bne +
        lda #$30
+
		}
		JSR	set_object

loc_776E:				; CODE XREF: ROM:7761	ROM:7767
		LDA	#0
		LDY	#$29 ; ')'
		JSR	set_object
		JMP	sub_71C0
; ---------------------------------------------------------------------------

loc_7778:				; CODE XREF: ROM:7755
		JSR	sub_71EE
		LDY	#$51 ; 'Q'
		LDA	($32),Y
		JSR	check_free_field
		BNE	loc_77B2
		LDY	#$50 ; 'P'
		LDA	($32),Y
		BNE	loc_7798
		LDY	#$28 ; '('
		LDA	($32),Y
		BNE	loc_7798
		LDA	#$13
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_7798:				; CODE XREF: ROM:7788	ROM:778E
		LDY	#$52 ; 'R'
		LDA	($32),Y
		BNE	loc_77AC
		LDY	#$2A ; '*'
		LDA	($32),Y
		BNE	loc_77AC
		LDA	#$13
		JSR	set_object
		JMP	object_erase_old
; ---------------------------------------------------------------------------

loc_77AC:				; CODE XREF: ROM:779C	ROM:77A2
		JSR	sub_773D
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_77B2:				; CODE XREF: ROM:7782
		CMP	#$38 ; '8'
		BNE	loc_77C0
		LDA	#$1C
		STA	$89
		JSR	sub_70BA
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_77C0:				; CODE XREF: ROM:77B4
		JSR	sub_7214
		BNE	loc_77CB
		JSR	sub_70BA
        !if ORIGINAL = 0 {
        ;special feature for frust dash
        lda $5e
        cmp #NUMBER_OF_GAMES-1
        bne +
        lda $5d
        cmp #$0d
        bne +
        lda $89
        cmp #$1d
        bcs +
        ldy #$51
        lda #$30
        sta $89
        jsr set_explosion
        ldy #$52
        jsr set_explosion
        ldy #$78
        jsr set_explosion
        ldy #$79
        jsr set_explosion
        
+
        }
		JMP	object_continue
; ---------------------------------------------------------------------------

loc_77CB:				; CODE XREF: ROM:77C3
		JSR	sub_773D
		JMP	object_continue

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_77D1:				; CODE XREF: sub_77EC+6
					; copy_gfx_and_init+5E
		LDA	#0
		STA	$3300
		STA	$3304
		STA	$3308
		STA	$330C
		STA	$3380
		STA	$3384
		STA	$3388
		STA	$338C
		RTS	
; End of function sub_77D1


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_77EC:				; CODE XREF: ROM:8025
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        lda $a8
        cmp #1
        bne bonus_flicker
        lda #$00
-       sta virtuald020+1
        dec $a8
        rts
bonus_flicker:
        lda virtuald020+1
        clc
        adc #$10
        +bra -
+
        }
		LDA	$A8
		CMP	#1
		BNE	loc_77F8
		JSR	sub_77D1
		DEC	$A8
		RTS	
; ---------------------------------------------------------------------------

loc_77F8:				; CODE XREF: sub_77EC+4
		JSR	random
        !if ORIGINAL = 0 {
        and #$33
        }
		STA	$3300
		STA	$330C
		JSR	random
        !if ORIGINAL = 0 {
        and #$cc
        }
		STA	$3384
		STA	$3388
		JSR	random
        !if ORIGINAL = 0 {
        and #$33
        }
		STA	$3304
		STA	$3308
		JSR	random
        !if ORIGINAL = 0 {
        and #$cc
        }
		STA	$3380
		STA	$338C
		DEC	$A8
		RTS	
; End of function sub_77EC


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_781F:				; CODE XREF: sub_87EE+17
		LDY	$2000
		LDX	#0

loc_7824:				; CODE XREF: sub_781F+E
		LDA	$2001,X
		STA	$2000,X
		INX	
		CPX	#7
		BNE	loc_7824
		STY	$2007
		RTS	
; End of function sub_781F

; ---------------------------------------------------------------------------
unk_7833:	!BYTE	3 ;		; DATA XREF: sub_79E2+6 sub_79E2+23
unk_7834:	!BYTE $C0 ; 		; DATA XREF: sub_79E2+B
unk_7835:	!BYTE $FF ;		; DATA XREF: sub_79E2+10
		!BYTE	7 ;  
		!BYTE	0 ;  
		!BYTE	0 ;  
		!BYTE	8 ;  
		!BYTE	0 ;  
		!BYTE	0 ;  
		!BYTE  $C ;  
		!BYTE $40 ; @
		!BYTE	0 ;  
unk_783F:	!BYTE	3 ;		; DATA XREF: sub_79E2+37 sub_79E2+54
unk_7840:	!BYTE $C0 ; 		; DATA XREF: sub_79E2+3C
unk_7841:	!BYTE $FF ;		; DATA XREF: sub_79E2+41
		!BYTE	9 ;  
		!BYTE	0 ;  
		!BYTE	0 ;  
		!BYTE  $A ;  
		!BYTE	0 ;  
		!BYTE	0 ;  
		!BYTE $10 ;  
		!BYTE $40 ; @
		!BYTE	0 ;  

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_784B:				; CODE XREF: sub_7A45+9
		LDA	$E1
		BNE	loc_785D
		LDA	$E2
		BNE	loc_785D
; End of function sub_784B


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7853:				; CODE XREF: sub_78F1+58
		LDA	$E8
		LSR	
		EOR	#-1
		SEC	
		ADC	$44
		STA	$E6

loc_785D:				; CODE XREF: sub_784B+2 sub_784B+6
		LDA	$E3
		BNE	locret_786F
		LDA	$E4
		BNE	locret_786F
; End of function sub_7853


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7865:				; CODE XREF: sub_7878+55
		LDA	$EC
		LSR	
		EOR	#-1
		SEC	
		ADC	$45
		STA	$E5

locret_786F:				; CODE XREF: sub_7853+C sub_7853+10
		RTS	
; End of function sub_7865

; ---------------------------------------------------------------------------
scroll_left_values:!BYTE $15 ;		; DATA XREF: sub_78F1+2D
		!BYTE $13 ;  
		!BYTE $11 ;  
		!BYTE $17 ;  
scroll_right_values:!BYTE $17 ;		; DATA XREF: sub_7878+2F
		!BYTE $15 ;  
		!BYTE $13 ;  
		!BYTE $11 ;  

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7878:				; CODE XREF: sub_7A45+15
		LDA	$E3
		BNE	loc_788D
		LDA	$E4
		BNE	loc_788D
		LDA	$C2
		AND	#1
		BEQ	loc_7887
		RTS	
; ---------------------------------------------------------------------------

loc_7887:				; CODE XREF: sub_7878+C
		LDA	$ED
		CMP	#-$40 ;	''
		BEQ	loc_78DA

loc_788D:				; CODE XREF: sub_7878+2 sub_7878+6
		LDA	$EB
		CLC	
		ADC	$ED
		STA	$EB
		LDA	$EC
		ADC	$EE
		STA	$EC
		LDA	$EB
		CLC	
		ROL	
		ROL	
		ROL	
		ROL	
		AND	#7
		LSR	
		STA	$E3
		TAX	
		LDA	scroll_right_values,X
		STA	$54
		LDA	$E3
		CMP	#1
		BNE	loc_78C3
		LDA	$E4
		BNE	loc_78C3
		LDA	$D6
		CLC	
		ADC	#$50 ; 'P'
		STA	$D6
		LDA	$D7
		ADC	#0
		STA	$D7

loc_78C3:				; CODE XREF: sub_7878+38 sub_7878+3C
		LDA	$E3
		BNE	loc_78EC
		LDA	$E4
		CMP	#1
		BNE	loc_78EC
		JSR	sub_7865
		LDA	$EC
		BEQ	loc_78EC
		LDA	$E5
		CMP	#7
		BEQ	loc_78EC

loc_78DA:				; CODE XREF: sub_7878+13
		LDA	$D6
		SEC	
		SBC	#$50 ; 'P'
		STA	$D6
		LDA	$D7
		SBC	#0
		STA	$D7
		LDA	#3
		STA	$E4
		RTS	
; ---------------------------------------------------------------------------

loc_78EC:				; CODE XREF: sub_7878+4D sub_7878+53 !!!
		LDA	$E3
		STA	$E4
		RTS	
; End of function sub_7878


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_78F1:				; CODE XREF: sub_7A45+12
		LDA	$E1
		BNE	loc_7906
		LDA	$E2
		BNE	loc_7906
		LDA	$C2
		AND	#1
		BEQ	loc_7900
		RTS	
; ---------------------------------------------------------------------------

loc_7900:				; CODE XREF: sub_78F1+C
		LDA	$E9
		CMP	#-$40 ;	''
		BEQ	loc_7956

loc_7906:				; CODE XREF: sub_78F1+2 sub_78F1+6
		LDA	$E7
		CLC	
		ADC	$E9
		STA	$E7
		LDA	$E8
		ADC	$EA
		STA	$E8
		LDA	$E7
		CLC	
		ROL	
		ROL	
		ROL	
		AND	#3
		STA	$E1
		TAX	
		LDA	scroll_left_values,X
		LDX	$95
		BNE	loc_792D
		LDX	$5D
		CPX	#$11
		BCC	loc_792D
		ORA	#8

loc_792D:				; CODE XREF: sub_78F1+32 sub_78F1+38
		STA	$56
		LDA	$E1
		CMP	#1
		BNE	loc_793F
		LDA	$E2
		BNE	loc_793F
		INC	$D6
		BNE	loc_793F
		INC	$D7

loc_793F:				; CODE XREF: sub_78F1+42 sub_78F1+46 !!!
		LDA	$E1
		BNE	loc_7968
		LDA	$E2
		CMP	#1
		BNE	loc_7968
		JSR	sub_7853
		LDA	$E8
		BEQ	loc_7968
		LDA	$E6
		CMP	#9
		BEQ	loc_7968

loc_7956:				; CODE XREF: sub_78F1+13
		LDA	$D6
		SEC	
		SBC	#1
		STA	$D6
		LDA	$D7
		SBC	#0
		STA	$D7
		LDA	#3
		STA	$E2
		RTS	
; ---------------------------------------------------------------------------

loc_7968:				; CODE XREF: sub_78F1+50 sub_78F1+56 !!!
		LDA	$E1
		STA	$E2
		RTS	
; End of function sub_78F1


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_796D:				; CODE XREF: sub_7A45+F
		LDX	#0
		LDA	$EB
		BNE	loc_798B
		LDA	$EC
		BNE	loc_797F
		LDY	$EE
		BEQ	loc_797F
		STX	$ED
		STX	$EE

loc_797F:				; CODE XREF: sub_796D+8 sub_796D+C
		CMP	#$15
		BNE	loc_798B
		LDY	$EE
		BNE	loc_798B
		STX	$ED
		STX	$EE

loc_798B:				; CODE XREF: sub_796D+4 sub_796D+14	!!!
		LDA	$E7
		BNE	locret_79A7
		LDA	$E8
		BNE	loc_799B
		LDY	$EA
		BEQ	loc_799B
		STX	$E9
		STX	$EA

loc_799B:				; CODE XREF: sub_796D+24 sub_796D+28
		CMP	#$2A ; '*'
		BNE	locret_79A7
		LDY	$EA
		BNE	locret_79A7
		STX	$E9
		STX	$EA

locret_79A7:				; CODE XREF: sub_796D+20 sub_796D+30 !!!
		RTS	
; End of function sub_796D


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_79A8:				; CODE XREF: sub_79E2+2E
		LDA	$E5
		CMP	#$B
		BMI	loc_79B6
		LDA	#$40 ; '@'
		STA	$ED
		LDA	#0
		STA	$EE

loc_79B6:				; CODE XREF: sub_79A8+4
		LDA	$E5
		CMP	#5
		BPL	locret_79C4
		LDA	#-$40 ;	''
		STA	$ED
		LDA	#-1
		STA	$EE

locret_79C4:				; CODE XREF: sub_79A8+12
		RTS	
; End of function sub_79A8


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_79C5:				; CODE XREF: sub_79E2+5F
		LDA	$E6
		CMP	#$11
		BMI	loc_79D3
		LDA	#$40 ; '@'
		STA	$E9
		LDA	#0
		STA	$EA

loc_79D3:				; CODE XREF: sub_79C5+4
		LDA	$E6
		CMP	#3
		BPL	locret_79E1
		LDA	#-$40 ;	''
		STA	$E9
		LDA	#-1
		STA	$EA

locret_79E1:				; CODE XREF: sub_79C5+12
		RTS	
; End of function sub_79C5


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_79E2:				; CODE XREF: sub_7A45+C
		LDY	#9
		LDX	#4

loc_79E6:				; CODE XREF: sub_79E2+2C
		LDA	$E5
		CMP	unk_7833,Y
		BNE	loc_79F7

loc_79ED:				; CODE XREF: sub_79E2+26
		LDA	unk_7834,Y
		STA	$ED
		LDA	unk_7835,Y
		STA	$EE

loc_79F7:				; CODE XREF: sub_79E2+9
		LDA	$EC
		BEQ	loc_7A0A
		LDA	$ED
		BNE	loc_7A0A
		LDA	$95
		BEQ	loc_7A0A
		LDA	$E5
		CMP	unk_7833,Y
		BCC	loc_79ED

loc_7A0A:				; CODE XREF: sub_79E2+17 sub_79E2+1B !!!
		DEY	
		DEY	
		DEY	
		DEX	
		BNE	loc_79E6
		JSR	sub_79A8
		LDY	#9
		LDX	#4

loc_7A17:				; CODE XREF: sub_79E2+5D
		LDA	$E6
		CMP	unk_783F,Y
		BNE	loc_7A28

loc_7A1E:				; CODE XREF: sub_79E2+57
		LDA	unk_7840,Y
		STA	$E9
		LDA	unk_7841,Y
		STA	$EA

loc_7A28:				; CODE XREF: sub_79E2+3A
		LDA	$E8
		BEQ	loc_7A3B
		LDA	$E9
		BNE	loc_7A3B
		LDA	$95
		BEQ	loc_7A3B
		LDA	$E6
		CMP	unk_783F,Y
		BCC	loc_7A1E

loc_7A3B:				; CODE XREF: sub_79E2+48 sub_79E2+4C !!!
		DEY	
		DEY	
		DEY	
		DEX	
		BNE	loc_7A17
		JSR	sub_79C5
		RTS	
; End of function sub_79E2


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7A45:				; CODE XREF: sub_7EC3+16
		LDA	$A6
		BEQ	loc_7A4E
		LDA	$95
		BNE	loc_7A4E
		RTS	
; ---------------------------------------------------------------------------

loc_7A4E:				; CODE XREF: sub_7A45+2 sub_7A45+6
		JSR	sub_784B
		JSR	sub_79E2
		JSR	sub_796D
		JSR	sub_78F1
		JSR	sub_7878
		RTS	
; End of function sub_7A45


; --------------- S U B	R O U T	I N E ---------------------------------------


inc_level_ptr:				; CODE XREF: copy_level_to_bigscreen+15
					; init_random_stones+E
		INC	$32
		BNE	inc_level_ptr_end
		INC	$33

inc_level_ptr_end:			; CODE XREF: inc_level_ptr+2
		RTS	
; End of function inc_level_ptr


; --------------- S U B	R O U T	I N E ---------------------------------------


init_level_ptr:				; CODE XREF: sub_7AF8+8
					; copy_level_to_bigscreen+7 !!!
		BEQ	loc_7A69
		LDA	#$28 ; '('

loc_7A69:				; CODE XREF: init_level_ptr
		CLC	
		ADC	#$27 ; '''
		STA	$32
		LDA	#8
		STA	$33
		RTS	
; End of function init_level_ptr


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7A73:				; CODE XREF: sub_83C6+35 sub_8E38+5
		LDX	#0

loc_7A75:				; CODE XREF: sub_7A73+1B
		LDA	big_screen_line_addresses,X
		STA	$34
		LDA	big_screen_line_addresses+1,X
		STA	$35
		LDY	#0
		LDA	#$7C ; '|'

loc_7A83:				; CODE XREF: sub_7A73+15
		STA	($34),Y
		INY	
		CPY	#-$60 ;	''
		BNE	loc_7A83
		INX	
		INX	
		CPX	#$2C ; ','
		BNE	loc_7A75
		RTS	
; End of function sub_7A73


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7A91:				; CODE XREF: sub_83C6+32
		LDA	$D6
		STA	2
		LDA	$D7
		STA	3
		LDX	#0

loc_7A9B:				; CODE XREF: sub_7A91+1B
		LDA	2,X
		CLC	
		ADC	#$50 ; 'P'
		STA	4,X
		LDA	3,X
		ADC	#0
		STA	5,X
		INX	
		INX	
		CPX	#$2E ; '!'
		BNE	loc_7A9B
		LDA	#0
		STA	$91

loc_7AB2:				; CODE XREF: sub_7A91+51
		LDX	#0

loc_7AB4:				; CODE XREF: sub_7A91+49
		LDA	#0
		STA	$BA
		LDA	2,X
		STA	$36
		LDA	3,X
		STA	$37

loc_7AC0:				; CODE XREF: sub_7A91+36
		JSR	random
		AND	#$3F ; '?'
		CMP	#$2B ; '+'
		BCS	loc_7AC0
		TAY	
		INC	$BA
		BNE	loc_7AD2
		LDA	#0
		STA	($36),Y

loc_7AD2:				; CODE XREF: sub_7A91+3B
		LDA	#$7C ; '|'
		STA	($36),Y
		INX	
		INX	
		CPX	#$30 ; '0'
		BNE	loc_7AB4
		INC	$91
		LDA	$91
		CMP	#$30 ; '0'
		BNE	loc_7AB2
		RTS	
; End of function sub_7A91


; --------------- S U B	R O U T	I N E ---------------------------------------


complete_bigscreen:			; CODE XREF: copy_level_to_bigscreen+28
		LDX	#0
		LDA	#$4A ; 'J'

complete_bigscreen_down:		; CODE XREF: complete_bigscreen+8
		STA	BIG_SCREEN+$DC3,X
		DEX	
		BNE	complete_bigscreen_down
		LDX	#2

complete_bigscreen_edge:		; CODE XREF: complete_bigscreen+10
		STA	BIG_SCREEN,X
		DEX	
		BPL	complete_bigscreen_edge
		RTS	
; End of function complete_bigscreen


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7AF8:				; CODE XREF: copy_level_to_bigscreen
		LDA	#$45 ; 'E'
		STA	$BB

loc_7AFC:				; CODE XREF: sub_7AF8+46
		LDA	#0
		STA	$92
		JSR	init_level_ptr

loc_7B03:				; CODE XREF: sub_7AF8+15 sub_7AF8+42
		JSR	random
		STA	$91
		LDA	#$27 ; '''
		SEC	
		SBC	$91
		BCC	loc_7B03
		STA	$BC
		INC	$BC
		LDA	$32
		CLC	
		ADC	$91
		STA	$32
		LDA	$33
		ADC	#0
		STA	$33
		LDY	#$29 ; ')'
		LDA	($32),Y
		JSR	set_object
		LDA	$32
		CLC	
		ADC	$BC
		STA	$32
		LDA	$33
		ADC	#0
		STA	$33
		INC	$92
		LDA	$92
		CMP	#$16
		BNE	loc_7B03
		DEC	$BB
		BNE	loc_7AFC
		RTS	
; End of function sub_7AF8


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7B41:				; CODE XREF: sub_7EC3+8
		LDA	$BD
		BEQ	loc_7B90
		LDA	#0
		STA	VARIABLES +$0D
		INC	VARIABLES +$0B
		LDA	VARIABLES +$0B
		CMP	#2
		BEQ	loc_7B78
		CMP	#1
		BNE	loc_7B6E
		LDA	#5
		STA	$D40C
		JSR	random
		AND	#$7F ; ''
		ADC	#$64 ; 'd'
		STA	$D408
		LDA	#$11
		STA	$D40B
		BNE	loc_7B78

loc_7B6E:				; CODE XREF: sub_7B41+15
		LDX	#0
		STX	VARIABLES +$0B
		LDA	#$10
		STA	$D40B

loc_7B78:				; CODE XREF: sub_7B41+11 sub_7B41+2B
		LDA	$33E0
		STA	$4A
		LDX	#0

loc_7B7F:				; CODE XREF: sub_7B41+47
		LDA	$33E1,X
		STA	$33E0,X
		INX	
		CPX	#7
		BNE	loc_7B7F
		LDA	$4A
		STA	$33E7
		RTS	
; ---------------------------------------------------------------------------

loc_7B90:				; CODE XREF: sub_7B41+2
		LDA	#0
		STA	VARIABLES +$0B
		RTS	
; End of function sub_7B41


; --------------- S U B	R O U T	I N E ---------------------------------------


copy_level_to_bigscreen:		; CODE XREF: initialize_level+19
		JSR	sub_7AF8
		LDA	#0
		STA	$92
		JSR	init_level_ptr

copy_level_next_row:			; CODE XREF: copy_level_to_bigscreen+26
		LDA	#0
		STA	$91

copy_level_next_col:			; CODE XREF: copy_level_to_bigscreen+1E
		LDY	#$29 ; ')'
		LDA	($32),Y
		JSR	set_object
		JSR	inc_level_ptr
		INC	$91
		LDA	$91
		CMP	#$28 ; '('
		BNE	copy_level_next_col
		INC	$92
		LDA	$92
		CMP	#$16
		BNE	copy_level_next_row
		JSR	complete_bigscreen
		RTS	
; End of function copy_level_to_bigscreen


; --------------- S U B	R O U T	I N E ---------------------------------------


animate_rockford:				; CODE XREF: char_anim+85
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        rts
+
        }
		LDA	$8B
		CMP	#$F
		BEQ	loc_7C04
		LDA	#0
		STA	$BE
		STA	$BF
		LDA	$98
		BNE	loc_7BEB
		LDA	byte_65E8,X
		STA	$3260,Y
		LDA	byte_65F0,X
		STA	$3268,Y
		LDA	byte_6668,X
		STA	$32E0,Y
		LDA	byte_6670,X
		STA	$32E8,Y
		RTS	
; ---------------------------------------------------------------------------

loc_7BEB:				; CODE XREF: animate_rockford+E
		LDA	byte_64E8,X
		STA	$3260,Y
		LDA	byte_64F0,X
		STA	$3268,Y
		LDA	byte_6568,X
		STA	$32E0,Y
		LDA	byte_6570,X
		STA	$32E8,Y
		RTS	
; ---------------------------------------------------------------------------

loc_7C04:				; CODE XREF: animate_rockford+4
		CPX	#0
		BNE	loc_7C24
		LDA	#0
		STA	$BF
		JSR	random
		AND	#3
		BNE	loc_7C17
		LDA	#1
		STA	$BF

loc_7C17:				; CODE XREF: animate_rockford+4F
		JSR	random
		AND	#$F
		BNE	loc_7C24
		LDA	#1
		EOR	$BE
		STA	$BE

loc_7C24:				; CODE XREF: animate_rockford+44 animate_rockford+5A
		LDA	$BF
		BEQ	loc_7C37
		LDA	byte_63E8,X
		STA	$3260,Y
		LDA	byte_63F0,X
		STA	$3268,Y
		JMP	loc_7C43
; ---------------------------------------------------------------------------

loc_7C37:				; CODE XREF: animate_rockford+64
		LDA	$3210,Y
		STA	$3260,Y
		LDA	$3218,Y
		STA	$3268,Y

loc_7C43:				; CODE XREF: animate_rockford+72
		LDA	$BE
		BEQ	loc_7C54
		LDA	byte_6468,X
		STA	$32E0,Y
		LDA	byte_6470,X
		STA	$32E8,Y
		RTS	
; ---------------------------------------------------------------------------

loc_7C54:				; CODE XREF: animate_rockford+83
		LDA	$3290,Y
		STA	$32E0,Y
		LDA	$3298,Y
		STA	$32E8,Y
		RTS	
; End of function animate_rockford


; --------------- S U B	R O U T	I N E ---------------------------------------


char_anim:				; CODE XREF: sub_7E8F+9
		LDA	$95
		BNE	loc_7C6C
		LDA	$94
		BEQ	loc_7C6C
		JSR	sub_749D
loc_7C6C:				; CODE XREF: char_anim+2 char_anim+6
        !if ORIGINAL = 0 {
        lda animrotate+1
        bne +
-       rts
+       lda dtv_flag
        beq +
        ldx #$00
-       dex
        bne -
        rts
+
        }

		LDA	$C0
		ASL	
		TAX	
		LDY	#0

char_anim_loop:				; CODE XREF: char_anim+8C
		LDA	diamant_charanim,X
		STA	$3240,Y
		LDA	diamant_charanim2,X
		STA	$3248,Y
		LDA	diamant_charanim3,X
		STA	$32C0,Y
		LDA	diamant_charanim4,X
		STA	$32C8,Y
		LDA	$FF
		BEQ	loc_7CE6
		CMP	#4
		BCC	loc_7CAA
		LDA	byte_5406,X
		STA	$3200,Y
		LDA	byte_540E,X
		STA	$3208,Y
		LDA	byte_5486,X
		STA	$3280,Y
		LDA	byte_548E,X
		STA	$3288,Y

loc_7CAA:				; CODE XREF: char_anim+2F
		LDA	$FF
		AND	#2
		BEQ	loc_7CC8
		LDA	byte_5706,X
		STA	$3100,Y
		LDA	byte_570E,X
		STA	$3108,Y
		LDA	byte_5786,X
		STA	$3180,Y
		LDA	byte_578E,X
		STA	$3188,Y

loc_7CC8:				; CODE XREF: char_anim+4D
		LDA	$FF
		AND	#1
		BEQ	loc_7CE6
		LDA	byte_5506,X
		STA	$3320,Y
		LDA	byte_550E,X
		STA	$3328,Y
		LDA	byte_5586,X
		STA	$33A0,Y
		LDA	byte_558E,X
		STA	$33A8,Y

loc_7CE6:				; CODE XREF: char_anim+2B
					; char_anim+6B
		JSR	animate_rockford
		INX	
		INY	
		CPY	#8
		BNE	char_anim_loop
		RTS	
; End of function char_anim


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7CF0:				; CODE XREF: sub_7EC3+5
        !if ORIGINAL = 0 {
        lda dtv_flag
        bne locret_7D08
        }
		LDA	$A5
		BEQ	locret_7D08
		LDA	#1
		STA	$D021
		STA	$D020
		DEC	$A5
		BNE	locret_7D08
		LDA	#0
		STA	$D021
		STA	$D020

locret_7D08:				; CODE XREF: sub_7CF0+2 sub_7CF0+E
		RTS	
; End of function sub_7CF0


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7D09:				; CODE XREF: sub_7EC3+11
		LDA	#$F
		STA	$D418
		LDA	$9B
		BEQ	loc_7D13
		RTS	
; ---------------------------------------------------------------------------

loc_7D13:				; CODE XREF: sub_7D09+7
		LDA	$D8
		BEQ	loc_7D38
		LDA	$D9
		BNE	loc_7D2D
		JSR	stimme2_init
		LDX	#6

loc_7D20:				; CODE XREF: sub_7D09+1E
		LDA	unk_7418,X
		STA	$D40E,X
		DEX	
		BPL	loc_7D20
		LDA	#$21 ; '!'
		STA	$D9

loc_7D2D:				; CODE XREF: sub_7D09+10
		DEC	$D9
		BNE	loc_7D38
		LDA	#0
		STA	$D8
		JSR	stimme2_init

loc_7D38:				; CODE XREF: sub_7D09+C sub_7D09+26
		LDA	$D9
		BNE	loc_7D6A
		LDA	$94
		BEQ	loc_7D61
		LDA	$43
		BEQ	loc_7D61
		LDA	#$10
		STA	$D412

loc_7D49:				; CODE XREF: sub_7D09+47
		JSR	random
		AND	#$1F
		CMP	#8
		BCC	loc_7D49
		STA	$D40F
		LDA	#$30 ; '0'
		STA	$D413
		LDA	#$11
		STA	$D412
		BNE	loc_7D6A

loc_7D61:				; CODE XREF: sub_7D09+35 sub_7D09+39
		LDA	$8D
		CMP	#1
		BEQ	loc_7D6A
		JSR	stimme2_init

loc_7D6A:				; CODE XREF: sub_7D09+31 sub_7D09+56 !!!
		INC	VARIABLES +$0F
		LDA	VARIABLES +$0F
		AND	VARIABLES +$78
		BNE	loc_7DCA
		LDA	VARIABLES+ $0D
		AND	#$7F ; ''
		BEQ	loc_7DA5
		LDX	VARIABLES +$7A
		DEX	
		STX	$D404
		CPX	#-$80 ;	''
		BNE	loc_7D8C
		LDA	#8
		STA	$D404

loc_7D8C:				; CODE XREF: sub_7D09+7C
		LDX	#6

loc_7D8E:				; CODE XREF: sub_7D09+8F
		LDA	VARIABLES +$7D,X
		STA	VARIABLES +$76,X
		STA	$D400,X
		DEX	
		BPL	loc_7D8E
		LDA	VARIABLES +$0D
		AND	#-$80 ;	''
		STA	VARIABLES +$0D
		JMP	loc_7DCA
; ---------------------------------------------------------------------------

loc_7DA5:				; CODE XREF: sub_7D09+71
		LSR	VARIABLES+ $7C
		LDA	VARIABLES +$7C
		AND	#-$10 ;	''
		STA	VARIABLES +$7C
		STA	$D406
		BEQ	loc_7DC0
		CMP	#4
		BCS	loc_7DCA
		LDX	VARIABLES +$7A
		CPX	#$11
		BNE	loc_7DCA

loc_7DC0:				; CODE XREF: sub_7D09+AA
		LDX	#8
		STX	$D404
		LDA	#0
		STA	VARIABLES +$7C

loc_7DCA:				; CODE XREF: sub_7D09+6A sub_7D09+99 !!!
		LDA	$BD
		BEQ	loc_7DCF
		RTS	
; ---------------------------------------------------------------------------

loc_7DCF:				; CODE XREF: sub_7D09+C3
		LDA	VARIABLES +$11
		BEQ	loc_7DD7
		DEC	VARIABLES +$11

loc_7DD7:				; CODE XREF: sub_7D09+C9
		LDA	VARIABLES +$0D
		AND	#-$80 ;	''
		BEQ	loc_7DDF
		RTS	
; ---------------------------------------------------------------------------

loc_7DDF:				; CODE XREF: sub_7D09+D3
		LDA	VARIABLES +$11
		BEQ	loc_7DE5
		RTS	
; ---------------------------------------------------------------------------

loc_7DE5:				; CODE XREF: sub_7D09+D9
		LDA	VARIABLES +$09
		BNE	loc_7E17
		LDY	VARIABLES +$08
		BEQ	loc_7E1B
		JSR	stimme1_init
		STY	$D408
		LDA	#0
		STA	VARIABLES +$08
		LDA	#-$40 ;	''
		STA	$D40D
		LDA	#$30 ; '0'
		STA	$D40C
		LDA	#-$7F ;	''
		STA	$D40B
		LDA	VARIABLES +$0A
		CMP	#2
		BEQ	loc_7E14
		LSR	
		STA	VARIABLES +$0A

loc_7E14:				; CODE XREF: sub_7D09+105
		STA	VARIABLES+ $09

loc_7E17:				; CODE XREF: sub_7D09+DF
		DEC	VARIABLES +$09
		RTS	
; ---------------------------------------------------------------------------

loc_7E1B:				; CODE XREF: sub_7D09+E4
		JMP	stimme1_init
; End of function sub_7D09


; --------------- S U B	R O U T	I N E ---------------------------------------


reset_charanims:			; CODE XREF: sub_7E77+D
					; init_game_variables+20
		LDX	#7

reset_charanims_loop:			; CODE XREF: reset_charanims+12
		LDA	$3270,X
		STA	$3110,X
		STA	$3118,X
		STA	$3190,X
		STA	$3198,X
		DEX	
		BPL	reset_charanims_loop
		RTS	
; End of function reset_charanims

; ---------------------------------------------------------------------------

loc_7E33:				; CODE XREF: sub_7E77+6
		LDA	$C2
		AND	#1
		BEQ	loc_7E5A
		LDA	#$10
		STA	$D412
		JSR	random
		AND	#3
		ASL	
		ASL	
		ASL	
		ADC	#-$7A ;	''
		STA	$D40F
		LDA	#0
		STA	$D413
		LDA	#-$60 ;	''
		STA	$D414
		LDA	#$11
		STA	$D412

loc_7E5A:				; CODE XREF: ROM:7E37
		LDA	$C0
		AND	#$1F
		TAX	
		LDY	#0

loc_7E61:				; CODE XREF: ROM:7E74
		LDA	$3360,X
		STA	$3110,Y
		STA	$3118,Y
		STA	$3190,Y
		STA	$3198,Y
		INX	
		INY	
		CPY	#8
		BNE	loc_7E61
		RTS	

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7E77:				; CODE XREF: sub_7E8F+C
		LDA	$8D
		CMP	#1
		BNE	loc_7E80
		JMP	loc_7E33
; ---------------------------------------------------------------------------

loc_7E80:				; CODE XREF: sub_7E77+4
		CMP	#2
		BNE	locret_7E8E
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq +
        jsr deactivate_magic_wall_gfx
+       }
		JSR	reset_charanims
		JSR	stimme2_init
		LDA	#3
		STA	$8D

locret_7E8E:				; CODE XREF: sub_7E77+B
		RTS	
; End of function sub_7E77


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7E8F:				; CODE XREF: ROM:801E
		LDA	$C0
		CLC	
		ADC	#8
		AND	#$3F ; '?'
		STA	$C0
		JSR	char_anim
		JSR	sub_7E77
		RTS	
; End of function sub_7E8F


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7E9F:				; CODE XREF: sub_7EC3+B
		LDA	$9B
		EOR	#1
		AND	$8D
		CMP	#1
		BNE	locret_7EC2
		INC	$8E
		LDA	$8E
		CMP	#$3C ; '<'
		BNE	locret_7EC2
		LDA	#0
		STA	$8E
		INC	$8F
		LDA	$8F
		CMP	ACTUAL_LEVEL + $01
		BNE	locret_7EC2
		LDA	#2
		STA	$8D

locret_7EC2:				; CODE XREF: sub_7E9F+8 sub_7E9F+10	!!!
		RTS	
; End of function sub_7E9F


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_7EC3:				; CODE XREF: ROM:8A8D
		LDA	$A7
		BEQ	loc_7EC8
		RTS	
; ---------------------------------------------------------------------------

loc_7EC8:				; CODE XREF: sub_7EC3+2
		JSR	sub_7CF0
		JSR	sub_7B41
		JSR	sub_7E9F
		JSR	sub_74A9
		JSR	sub_7D09
		INC	$C2
		JSR	sub_7A45
		LDA	$C2
		AND	#1
		BNE	loc_7EED	; code after this copied to CODE_COPY (for selfmodification)
					; 
		LDA	VARIABLES+ $07
		STA	$58
        !if ORIGINAL = 0 {
        ldx dtv_flag
        bne no_second_screen
        }
		EOR	#-$80 ;	''
no_second_screen:
		STA	VARIABLES +$07
		RTS	
; ---------------------------------------------------------------------------

loc_7EED:				; CODE XREF: sub_7EC3+1D
		JMP	CODE_COPY		; code after this copied to CODE_COPY (for selfmodification)
; End of function sub_7EC3		; 

; ---------------------------------------------------------------------------

repaint_window:				; DATA XREF: ROM:8EAF	ROM:8EB5
		LDA	$D6		; copy from big	char picture (at 0x4000) one 1k	window
		CLC	
		ADC	#$20 ; ' '
		STA	CODE_COPY + $51
		LDA	$D7
		ADC	#3
		STA	CODE_COPY+ $52
		LDA	VARIABLES +$07
		LSR	
		LSR	
		EOR	#3
		CLC	
		ADC	#1
		STA	CODE_COPY +$55
		LDA	#-$48 ;	''
		STA	CODE_COPY +$54
		LDX	#0

loc_7F13:				; CODE XREF: ROM:7F3C
		LDA	CODE_COPY + $51,X
		CLC	
		ADC	#$50 ; 'P'
		STA	CODE_COPY +$57,X
		LDA	CODE_COPY +$52,X
		ADC	#0
		STA	CODE_COPY +$58,X
		LDA	CODE_COPY +$54,X
		CLC	
		ADC	#$28 ; '('
		STA	CODE_COPY +$5A,X
		LDA	CODE_COPY +$55,X
		ADC	#0
		STA	CODE_COPY +$5B,X
		TXA	
		CLC	
		ADC	#6
		TAX	
		CPX	#$4E ; 'N'
		BCC	loc_7F13
		LDX	#$27 ; '''

loc_7F40:				; CODE XREF: ROM:7F95
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		DEX	
		BPL	loc_7F40
		LDA	VARIABLES +$07
		LSR	
		LSR	
		EOR	#3
		STA	CODE_COPY +$F4
		LDA	#$28 ; '('
		STA	CODE_COPY +$F3
		LDA	$D6
		STA	CODE_COPY +$F0
		LDA	$D7
		STA	CODE_COPY +$F1
		LDX	#0

loc_7FB2:				; CODE XREF: ROM:7FDB
		LDA	CODE_COPY +$F0,X
		CLC	
		ADC	#$50 ; 'P'
		STA	CODE_COPY+ $F6,X
		LDA	CODE_COPY+ $F1,X
		ADC	#0
		STA	CODE_COPY+ $F7,X
		LDA	CODE_COPY+ $F3,X
		CLC	
		ADC	#$28 ; '('
		STA	CODE_COPY+ $F9,X
		LDA	CODE_COPY+ $F4,X
		ADC	#0
		STA	CODE_COPY+ $FA,X
		TXA	
		CLC	
		ADC	#6
		TAX	
		CPX	#$36 ; '6'
		BCC	loc_7FB2
		LDX	#$27 ; '''

loc_7FDF:				; CODE XREF: ROM:801C
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		LDA	charset,X
		STA	$C50,X
		DEX	
		BPL	loc_7FDF
		JSR	sub_7E8F
		LDA	$A8
		BEQ	locret_8028
		JSR	sub_77EC

locret_8028:				; CODE XREF: ROM:8023
		RTS	

; --------------- S U B	R O U T	I N E ---------------------------------------


init_single_random_stone:		; CODE XREF: init_random_stones+B
		LDX	#1
		JSR	sub_7085
		LDY	#0

interate_stone_table:			; CODE XREF: init_single_random_stone+12
		CMP	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $1C,Y
		BCS	interate_low
		LDX	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $18,Y

interate_low:				; CODE XREF: init_single_random_stone+
		INY	
		CPY	#4
		BNE	interate_stone_table
		TXA	
		LDY	#$29 ; ')'
		STA	($32),Y
		RTS	
; End of function init_single_random_stone


; --------------- S U B	R O U T	I N E ---------------------------------------


init_random_stones:			; CODE XREF: initialize_level+3
		LDA	#1
		STA	$92
		JSR	init_level_ptr

init_random_next_row:			; CODE XREF: init_random_stones+1F
		LDA	#0
		STA	$91

init_random_next_column:		; CODE XREF: init_random_stones+17
		JSR	init_single_random_stone
		JSR	inc_level_ptr
		INC	$91
		LDA	$91
		CMP	#$28 ; '('
		BNE	init_random_next_column
		INC	$92
		LDA	$92
		CMP	#$16
		BNE	init_random_next_row
		RTS	
; End of function init_random_stones

; ---------------------------------------------------------------------------
        !if ORIGINAL = 1 {
level_speed_tab:!BYTE  $C ;		; DATA XREF: init_game_variables+25
		!BYTE	6 ;  
		!BYTE	3 ;  
		!BYTE	1 ;  
		!BYTE	0 ;  
        }

; --------------- S U B	R O U T	I N E ---------------------------------------


sleep_for_level:			; CODE XREF: sub_8171+56
		LDY	$9C
		BEQ	conditional_sleep_end

cond_sleep_l1:				; CODE XREF: sleep_for_level+
		LDX	#$10

cond_sleep_l2:				; CODE XREF: sleep_for_level+7
		DEX	
		BNE	cond_sleep_l2
		DEY	
		BNE	cond_sleep_l1

conditional_sleep_end:			; CODE XREF: sleep_for_level+2
		RTS	
; End of function sleep_for_level


; --------------- S U B	R O U T	I N E ---------------------------------------


stimme0_init:				; CODE XREF: sound_init
		LDX	#4
		BNE	stimme_init
; End of function stimme0_init


; --------------- S U B	R O U T	I N E ---------------------------------------


stimme1_init:				; CODE XREF: explosion+34p sub_7435+5p !!!
		LDX	#$B
		BNE	stimme_init
; End of function stimme1_init


; --------------- S U B	R O U T	I N E ---------------------------------------


stimme2_init:				; CODE XREF: sub_7D09+12p sub_7D09+2Cp !!!
		LDX	#$12

stimme_init:				; CODE XREF: stimme0_init+2
					; stimme1_init+2
		LDA	#8
		STA	$D400,X
		LDA	#0
		STA	$D400,X
		RTS	
; End of function stimme2_init


; --------------- S U B	R O U T	I N E ---------------------------------------


sound_init:				; CODE XREF: sub_8103+ sub_83C6+2F	!!!
		JSR	stimme0_init
		JSR	stimme1_init
		JSR	stimme2_init
		LDA	#$4F ; 'O'
		STA	$D418
		RTS	
; End of function sound_init


; --------------- S U B	R O U T	I N E ---------------------------------------


sleep:					; CODE XREF: quadsleep quadsleep+3 !!!
		LDY	#-$80 ;	''

sleep_loop:				; CODE XREF: sleep+3 sleep+6
		DEX	
		BNE	sleep_loop
		DEY	
		BNE	sleep_loop
		RTS	
; End of function sleep


; --------------- S U B	R O U T	I N E ---------------------------------------


quadsleep:				; CODE XREF: sub_8336+B sub_83C6+3C	!!!
		JSR	sleep
		JSR	sleep
		JSR	sleep
		JSR	sleep
		RTS	
; End of function quadsleep


; --------------- S U B	R O U T	I N E ---------------------------------------

        !if ORIGINAL = 1 {
sub_80B1:				; CODE XREF: pause_mode+1B pause_mode+29 !!!
		LDY	#-$70 ;	''

loc_80B3:				; CODE XREF: sub_80B1+F
		LDX	#0

loc_80B5:				; CODE XREF: sub_80B1+C
		LDA	$FC
		CMP	#-$11 ;	''
		BNE	loc_80BC
		RTS	
; ---------------------------------------------------------------------------

loc_80BC:				; CODE XREF: sub_80B1+8
		DEX	
		BNE	loc_80B5
		DEY	
		BNE	loc_80B3
		RTS	
; End of function sub_80B1
}

; --------------- S U B	R O U T	I N E ---------------------------------------

        !if ORIGINAL = 1 {
pause_mode:				; CODE XREF: pause_mode+36 sub_8103+F
        !if ORIGINAL = 0 {
        lda #$00
        sta animrotate+1
        }
		JSR	sub_6E9C
		LDA	#<continue_text
		STA	$46
		LDA	#>continue_text
		STA	$47
		JSR	sub_6EAE
		LDA	$9B
		CMP	#1
		BNE	loc_80DE
		INC	$9B
		JSR	sleep
		STA	$FC

loc_80DE:				; CODE XREF: pause_mode+12
		JSR	sub_80B1
		LDA	#<(VARIABLES+ $62)
		STA	$46
		LDA	#>(VARIABLES +$62)
		STA	$47
		JSR	sub_6EAE
		JSR	sub_80B1
		JSR	sub_80B1
		JSR	sub_80B1
        !if ORIGINAL = 0 {
        lda $dc00
        and #$10
        beq +
        }
		LDA	$FC
		CMP	#-3 ; ''
		BNE	pause_mode
        !if ORIGINAL = 0 {
+       lda #$01
        sta animrotate+1
        }
		JSR	sleep
		LDA	#0
		STA	$FC
		RTS	
; End of function pause_mode
} else {
pause_mode:				; CODE XREF: pause_mode+36 sub_8103+F
        lda #$00
        sta pause_counter+1        
        lda #$00
        sta animrotate+1
		JSR	sub_6E9C
pause_counter:
        lda #$00
        cmp #$60
        bcs loc_80DE

		LDA	#<continue_text
		STA	$46
		LDA	#>continue_text
		STA	$47
		JSR	sub_6EAE
        jmp inc_pause_counter
		LDA	$9B
		CMP	#1
		BNE	loc_80DE
		INC	$9B
		JSR	sleep
		STA	$FC

loc_80DE:				; CODE XREF: pause_mode+12
		;JSR	sub_80B1
		LDA	#<(VARIABLES+ $62) ; ???
		STA	$46
		LDA	#>(VARIABLES +$62) ; ???
		STA	$47
		JSR	sub_6EAE
inc_pause_counter:
        lda $d012
        cmp #$c0
        bne inc_pause_counter
        inc pause_counter+1        

        lda $dc00
        and #$10
;        beq +
;		LDA	$FC
;		CMP	#-3 ; ''
		BNE	pause_counter
+       lda #$01
        sta animrotate+1
		JSR	sleep
		LDA	#0
		STA	$FC
		RTS	
}

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8103:				; CODE XREF: sub_8171+61
        !if ORIGINAL = 0 {
        ldx #$7f
        stx $dc00
        ldx #$ff
        lda $dc01
        stx $dc00
        and #$10
        beq +
        }
		LDA	$FC
		CMP	#-3 ; ''
		BNE	loc_811B
+		LDX	#0
		STX	$94
		JSR	sound_init
		INC	$9B
		JSR	pause_mode
		LDA	#0
		STA	$9B
		INC	$94

loc_811B:				; CODE XREF: sub_8103+4
        !if ORIGINAL = 0 {
        ldx #$7f
        stx $dc00
        ldx #$ff
        lda $dc01
        stx $dc00
        cmp #$7f
        beq +
        }
		LDA	$FC
		CMP	#-5 ; ''
		BNE	loc_812D
+		LDA	$95
		BNE	loc_812D
		LDA	#0
		STA	$94
		LDA	#2
		STA	$97

loc_812D:				; CODE XREF: sub_8103+1C sub_8103+20
		LDA	#0
		STA	$FC
		LDA	$FB
		CMP	#-$11 ;	''
		BNE	locret_813A
		JMP	start

; ---------------------------------------------------------------------------

locret_813A:				; CODE XREF: sub_8103+32
		RTS	
; End of function sub_8103


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_813B:				; CODE XREF: sub_8171+20
		LDA	$42
		BNE	loc_8147
		LDA	$43
		BEQ	loc_8147
		LDA	#0
		STA	$8C

loc_8147:				; CODE XREF: sub_813B+2 sub_813B+6
		LDA	$42
		STA	$43
		LDA	#0
		STA	$42
		LDA	VARIABLES +$02
		STA	VARIABLES +$03
		LDA	#0
		STA	VARIABLES +$02
		RTS	
; End of function sub_813B


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_815B:				; CODE XREF: sub_8171+1D
		JSR	sub_6F01
		LDA	$96
		CMP	#$10
		BNE	locret_8170
		LDA	$B8
		BNE	locret_8170
		LDA	$AF
		BEQ	locret_8170
		LDA	#2
		STA	$97

locret_8170:				; CODE XREF: sub_815B+7 sub_815B+B !!!
		RTS	
; End of function sub_815B


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8171:				; CODE XREF: sub_8C92	sub_8CAA+34
		LDA	#$16
		STA	2
		LDA	$5D
		CMP	#$11
		BCC	loc_817F
		LDA	#$F
		STA	2

loc_817F:				; CODE XREF: sub_8171+8
		LDA	#1
		STA	$92
		JSR	init_level_ptr
		LDA	#$10
		CMP	$96
		BEQ	loc_818E
		INC	$96

loc_818E:				; CODE XREF: sub_8171+19
		JSR	sub_815B
		JSR	sub_813B

loc_8194:				; CODE XREF: sub_8171+5F
		LDA	#0
		STA	$91

loc_8198:				; CODE XREF: sub_8171+54
		LDY	#$29 ; ')'
		LDA	($32),Y
		ASL	
		TAX	
		LDA	object_callback_tab+1,X
		BEQ	object_continue
		STA	$39
		LDA	object_callback_tab,X
		STA	$38
		JMP	($38)
; ---------------------------------------------------------------------------

object_continue:			; CODE XREF: ROM:7082	ROM:70F7 !!!
		LDY	#0
		LDA	($32),Y
		TAX	
		LDA	object_replace_tab,X
		BEQ	loc_81B9
		STA	($32),Y

loc_81B9:				; CODE XREF: sub_8171+44
		INC	$32
		BNE	loc_81BF
		INC	$33

loc_81BF:				; CODE XREF: sub_8171+4A
		INC	$91
		LDA	$91
		CMP	#$28 ; '('
		BNE	loc_8198
		JSR	sleep_for_level
		INC	$92
		LDA	$92
		CMP	2
		BNE	loc_8194
		JSR	sub_8103
		RTS	
; End of function sub_8171

; ---------------------------------------------------------------------------
unk_81D6:	!BYTE	0 ;		; DATA XREF: sub_81D9+12
		!BYTE	0 ;  
		!BYTE	1 ;  

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_81D9:				; CODE XREF: init_game_variables+31
					; init_game_variables+49 !!!
		LDX	#2
		LDA	#0

loc_81DD:				; CODE XREF: sub_81D9+7
		STA	$C3,X
		DEX	
		BPL	loc_81DD
		LDA	$C6
		BEQ	locret_81FD

loc_81E6:				; CODE XREF: sub_81D9+22
		LDX	#2
		CLC	

loc_81E9:				; CODE XREF: sub_81D9+1E
		LDA	$C3,X
		ADC	unk_81D6,X
		CMP	#$A
		BCC	loc_81F4
		SBC	#$A

loc_81F4:				; CODE XREF: sub_81D9+17
		STA	$C3,X
		DEX	
		BPL	loc_81E9
		DEC	$C6
		BNE	loc_81E6

locret_81FD:				; CODE XREF: sub_81D9+B
		RTS	
; End of function sub_81D9

; ---------------------------------------------------------------------------
level_next_tab:
    	!BYTE 2, 0, 3, 0, 4, 0,	$11, 0,	6, 0, 7, 0, 8, 0, $12
					; DATA XREF: copy_level_to_abs+
					; sub_839E+4 !!!
		!BYTE 0, $A, 0,	$B, 0, $C, 0, $13, 0, $E, 0, $F, 0, $10
		!BYTE 0, $14, 0, 5, 1, 9, 1, $D, 1, $15, 1
; --------------- S U B	R O U T	I N E ---------------------------------------


copy_level_to_abs:			; CODE XREF: initialize_level
		LDA	$5D
		CMP	$99
		BEQ	loc_8250
		STA	$99
		ASL	
		TAX	
		LDA	level_next_tab-1,X
		STA	$A6
        !if ORIGINAL = 1 {
		CLC	
		LDA	#<caves
		ADC	level_offsets-2,X
		STA	$3C
		LDA	#>caves
		ADC	level_offsets-1,X
		STA	$3D
        } else {
        lda #<(level_offsets-2)
        sta $3e
        lda #>(level_offsets-2)
        sta $3f
        txa
        tay
        ldx $5e
        cpx #$00
        beq table_correct
copy_level_find_start:
        ;count up level base
        lda $3e
        clc
        adc #20*2
        sta $3e
        bcc count_up_no_high
        inc $3f
count_up_no_high:
        dex
        bne copy_level_find_start
table_correct:
        clc
        lda ($3e),y
        adc #<caves
        sta $3c
        iny
        lda ($3e),y
        adc #>caves
        sta $3d
        lda #$80 
wait_for_sync:
        cmp $d012
        bne wait_for_sync
        sei
        lda $01
        pha
        lda #$30
        sta $01
                      
        }
		LDY	#0

loc_8246:				; CODE XREF: copy_level_to_abs+28
		LDA	($3C),Y
        !if ORIGINAL = 1 {
		STA	ACTUAL_LEVEL + $00,Y
        } else {
		STA	ACTUAL_LEVEL + $01,Y
        }
		INY	
		CPY	#-$10 ;	''
		BNE	loc_8246
        !if ORIGINAL = 0 {
        pla
        sta $01
        cli
        }

loc_8250:				; CODE XREF: copy_level_to_abs+4
        !if ORIGINAL = 1 {
		LDX	$5E
		LDA	ACTUAL_LEVEL + $04,X
        } else {
        LDA	ACTUAL_LEVEL + $04
        }
		STA	$3E
		STA	$40
		LDA	#0
		STA	$3F
		STA	$41
        !if ORIGINAL = 1 {
		LDA	ACTUAL_LEVEL + $13
		STA	$D022
		LDA	ACTUAL_LEVEL + $14
		STA	$D023
		LDY	#$28 ; '('
		LDA	ACTUAL_LEVEL + $15
		JSR	initialize_colorram
        } else {
        ldx $5d
        lda color22-1,x
		STA	$D022
        lda color23-1,x
        sta $d023
        ldy #$28
        lda colorram-1,x
		JSR	initialize_colorram
        lda dtv_flag
        beq +
        jsr reset_magic_wall_gfx
        ;set different colors for different levels
        ldx $5d
        ldy dtv_colors_stone-1,x
        ldx #OBJ_BOULDER
        lda #$00
        jsr set_new_font_element
        ldx $5d
        ldy dtv_colors_dirt-1,x
        ldx #OBJ_DIRT
        lda #$00
        jsr set_new_font_element        
+               
        }
		RTS	
; End of function copy_level_to_abs

        !if ORIGINAL = 0 {
color22: !byte $8,$a,$9,$4,$9,$e,$9,$2,$8,$6,$b,$c,$6,$c,$8,$9,$e,$6,$6,$6        
color23: !byte $b,$4,$8,$8,$a,$a,$a,$e,$4,$8,$8,$a,$8,$8,$e,$a,$2,$F,$8,$8        
colorram:!byte $9,$9,$9,$9,$d,$9,$9,$9,$9,$d,$9,$9,$D,$9,$9,$9,$9,$9,$9,$9

dtv_colors_stone:
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1
            !byte CS_BOULDER+2
            !byte CS_BOULDER
            !byte CS_BOULDER+1

dtv_colors_dirt:
            !byte CS_DIRT
            !byte CS_DIRT+3
            !byte CS_DIRT+2
            !byte CS_DIRT+1
            !byte CS_DIRT+3
            !byte CS_DIRT+2
            !byte CS_DIRT
            !byte CS_DIRT+1
            !byte CS_DIRT+3
            !byte CS_DIRT+1
            !byte CS_DIRT+2
            !byte CS_DIRT+1
            !byte CS_DIRT
            !byte CS_DIRT+3
            !byte CS_DIRT+2
            !byte CS_DIRT+1
            !byte CS_DIRT
            !byte CS_DIRT+1
            !byte CS_DIRT+2
            !byte CS_DIRT+3
}

; --------------- S U B	R O U T	I N E ---------------------------------------


init_game_variables:			; CODE XREF: initialize_level+C
		LDA	#0
		STA	$42
		STA	$43
		STA	$96
		STA	$97
		STA	$8D
		STA	$8E
		STA	$8F
		STA	$90
		STA	VARIABLES +$02
		STA	$AF
		STA	$AE
		STA	$9F
		STA	$9B
		STA	VARIABLES +$78
		JSR	reset_charanims
        !if ORIGINAL = 1 {
		LDX	$5E
		LDA	level_speed_tab,X
        } else {
        lda #$0c
        }
		STA	$9C
        !if ORIGINAL = 1 {
		LDA	ACTUAL_LEVEL + $0E,X
        } else {
        LDA	ACTUAL_LEVEL + $0E
        }
		STA	$C7
		STA	$C6
		JSR	sub_81D9
		LDX	#2

loc_82AA:				; CODE XREF: init_game_variables+40
		LDA	$C3,X
		STA	$AB,X
		ORA	#$10
		STA	VARIABLES +$44,X
		DEX	
		BPL	loc_82AA
        !if ORIGINAL = 1 {
		LDX	$5E
		LDA	ACTUAL_LEVEL + $09,X
        } else {
        LDA	ACTUAL_LEVEL + $09
        }
		STA	$C6
		JSR	sub_81D9
		LDX	#1

loc_82C2:				; CODE XREF: init_game_variables+53
		LDA	$C4,X
		STA	$B2,X
		DEX	
		BPL	loc_82C2
		JSR	sub_74DC
		LDA	ACTUAL_LEVEL + $02
		STA	$C6
		JSR	sub_81D9
		LDX	#2

loc_82D6:				; CODE XREF: init_game_variables+67
		LDA	$C3,X
		STA	$51,X
		DEX	
		BPL	loc_82D6
		LDA	ACTUAL_LEVEL + $03
		STA	$C6
		JSR	sub_81D9
		LDX	#2

loc_82E7:				; CODE XREF: init_game_variables+78
		LDA	$C3,X
		STA	$B4,X
		DEX	
		BPL	loc_82E7
		JSR	sub_74E9
		LDA	#0
		STA	$B0
		STA	$B1
		ORA	#$10
		STA	VARIABLES +$41
		STA	VARIABLES +$42
		LDA	#1
		STA	$8C
		STA	$93
        !if ORIGINAL = 1 {
		LDA	#4
        } else {
        lda $5e
        cmp #$01
        bne +
        lda $5d
        cmp #$13
        bne +
        lda #5 ; slower birth for level s/2
        !byte $2c
+       lda #4 
        }
		STA	$95
        !if ORIGINAL = 1 {
		LDA	$9F     ;slower birth for 2 players
		BNE	loc_8319
		LDA	$A4
		EOR	#1
		AND	$9E
		BEQ	loc_8319
		LDA	#6
		STA	$95
        }
loc_8319:				; CODE XREF: init_game_variables+97
					; init_game_variables+9F
		LDA	$5D
		CMP	#2
		BNE	loc_8321
		INC	$95

loc_8321:				; CODE XREF: init_game_variables+A9
		LDA	#$7F ; ''
		STA	$9A
		LDA	#7
		STA	$FF
        !if ORIGINAL = 1 {
		LDX	$5D
		CPX	#$11
		BCS	locret_8335
		DEX	
		LDA	char_ani_activ_leveltab,X
		STA	$FF
        }
        
!if ORIGINAL = 0 {
        ; paint the inital score
}
locret_8335:				; CODE XREF: init_game_variables+B9
		RTS	
; End of function init_game_variables


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8336:				; CODE XREF: sub_83C6+1A
		LDA	#<game_over_text
		STA	$46
		LDA	#>game_over_text
		STA	$47
		JSR	sub_6EAE
		JSR	quadsleep
		RTS	
; End of function sub_8336


; --------------- S U B	R O U T	I N E ---------------------------------------


check_button_or_pause:			; CODE XREF: sub_8366+13 sub_8366+21 !!!
		LDY	#$75 ; 'u'

check_button_outer_loop:		; CODE XREF: check_button_or_pause+1E
		LDX	#-$80 ;	''

check_button_inner_loop:		; CODE XREF: check_button_or_pause+1B
		LDA	$A6
		BNE	button_check_first_joy
		LDA	$9D
		EOR	#1
		JMP	check_other_button
; ---------------------------------------------------------------------------

button_check_first_joy:			; CODE XREF: check_button_or_pause+6
		LDA	$9D

check_other_button:			; CODE XREF: check_button_or_pause+C
		JSR	check_button_with_test
		BNE	do_pause
		LDY	#1
		LDX	#1

do_pause:				; CODE XREF: check_button_or_pause+14
		DEX	
		BNE	check_button_inner_loop
		DEY	
		BNE	check_button_outer_loop
		RTS	
; End of function check_button_or_pause


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8366:				; CODE XREF: sub_83C6+F
		LDA	#$14
		STA	VARIABLES +$06

loc_836B:				; CODE XREF: sub_8366+35
		JSR	sub_6E9C
		LDA	#<byte_6FB4
		STA	$46
		LDA	#>byte_6FB4
		STA	$47
		JSR	sub_6EAE
		JSR	check_button_or_pause
		LDA	#<(VARIABLES +$62)
		STA	$46
		LDA	#>(VARIABLES +$62)
		STA	$47
		JSR	sub_6EAE
		JSR	check_button_or_pause
		JSR	check_button_or_pause
		JSR	check_button_or_pause
		DEC	VARIABLES +$06
		BNE	loc_8399
		LDA	#0
		STA	$B8

loc_8399:				; CODE XREF: sub_8366+2D
		LDA	$B8
		BNE	loc_836B
		RTS	
; End of function sub_8366


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_839E:				; CODE XREF: sub_83C6+28
		LDA	$5D
		ASL	
		TAX	
		LDA	level_next_tab-1,X
		STA	$A6
		BEQ	loc_83BA
		LDA	#<byte_6FC8
		STA	$46
		LDA	#>byte_6FC8
		STA	$47
		JSR	sub_6EAE
!if ORIGINAL = 1 {
		JSR	add_bonuslife
}
		JMP	locret_83C5
; ---------------------------------------------------------------------------

loc_83BA:				; CODE XREF: sub_839E+9
		LDA	#<(VARIABLES + $4E)
		STA	$46
		LDA	#>(VARIABLES + $4e)
		STA	$47
		JSR	sub_6EAE

locret_83C5:				; CODE XREF: sub_839E+19
		RTS	
; End of function sub_839E


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_83C6:				; CODE XREF: ROM:8F2E
		LDA	$AF
		CMP	$C7
		BNE	loc_83D8
		LDA	#0
		STA	$94
		LDA	#$10
		STA	$C18
		JSR	sub_8366

loc_83D8:				; CODE XREF: sub_83C6+4
		LDA	$A0
		BEQ	loc_83EA
		LDA	#0
		STA	$94
		JSR	sub_8336
		LDA	#2
		STA	$8D
		JMP	loc_83F1
; ---------------------------------------------------------------------------

loc_83EA:				; CODE XREF: sub_83C6+14
		LDA	$5D
		BEQ	loc_83F1
		JSR	sub_839E

loc_83F1:				; CODE XREF: sub_83C6+21 sub_83C6+26
		LDA	#1
		STA	$BD
		JSR	sound_init
		JSR	sub_7A91
		JSR	sub_7A73
		LDA	$A0
		BEQ	locret_8405
		JSR	quadsleep

locret_8405:				; CODE XREF: sub_83C6+3A
		RTS	
; End of function sub_83C6

; ---------------------------------------------------------------------------
line_tab:	
        !WORD $800		; DATA XREF: coord_to_ptr+5
					; coord_to_ptr+C
		!WORD $828
		!WORD $850
		!WORD $878
		!WORD $8A0
		!WORD $8C8
		!WORD $8F0
		!WORD $918
		!WORD $940
		!WORD $968
		!WORD $990
		!WORD $9B8
		!WORD $9E0
		!WORD $A08
		!WORD $A30
		!WORD $A58
		!WORD $A80
		!WORD $AA8
		!WORD $AD0
		!WORD $AF8
		!WORD $B20
		!WORD $B48
		!WORD $B70
		!WORD $B98

; --------------- S U B	R O U T	I N E ---------------------------------------


coord_to_ptr:				; CODE XREF: level_plot level_line !!!
		LDA	$DC
		ASL	
		TAY	
		CLC	
		LDA	line_tab,Y
		ADC	$DB
		STA	$3A
		LDA	line_tab+1,Y
		ADC	#0
		STA	$3B
		RTS	
; End of function coord_to_ptr


; --------------- S U B	R O U T	I N E ---------------------------------------


level_plot:				; CODE XREF: paint_level+42
		JSR	coord_to_ptr
		LDA	$DA
		LDY	#0
		STA	($3A),Y
		RTS	
; End of function level_plot

; ---------------------------------------------------------------------------
direction_tab:	!WORD $FFD8		; DATA XREF: paint_line+4
					; paint_line+9
		!WORD $FFD9
		!WORD 1
		!WORD $29
		!WORD $28
		!WORD $27
		!WORD $FFFF
		!WORD $FFD7

; --------------- S U B	R O U T	I N E ---------------------------------------


paint_line:				; CODE XREF: level_line+9
					; paint_frame+B !!!
		LDY	#0
		ASL	
		TAX	
		LDA	direction_tab,X
		STA	$C9
		LDA	direction_tab+1,X
		STA	$CA

paint_line_loop:			; CODE XREF: paint_line+23
		DEC	$C8
		BMI	paint_line_quit
		LDA	$DA
		STA	($3A),Y
		CLC	
		LDA	$3A
		ADC	$C9
		STA	$3A
		LDA	$3B
		ADC	$CA
		STA	$3B
		JMP	paint_line_loop
; ---------------------------------------------------------------------------

paint_line_quit:			; CODE XREF: paint_line+10
		RTS	
; End of function paint_line


; --------------- S U B	R O U T	I N E ---------------------------------------


level_line:				; CODE XREF: paint_level+4F
		JSR	coord_to_ptr
		LDA	$DD
		STA	$C8
		LDA	$DF
		JSR	paint_line
		RTS	
; End of function level_line


; --------------- S U B	R O U T	I N E ---------------------------------------


paint_box:				; CODE XREF: paint_box_with_frame
					; paint_box_with_frame+13
		JSR	coord_to_ptr
		LDA	$DF
		STA	$C8

paint_box_new_y:			; CODE XREF: paint_box+24
		DEC	$C8
		BMI	paint_box_end
		LDY	$DD

paint_box_new_x:			; CODE XREF: paint_box+14
		DEY	
		BMI	paint_box_end_x
		LDA	$DA
		STA	($3A),Y
		JMP	paint_box_new_x
; ---------------------------------------------------------------------------

paint_box_end_x:			; CODE XREF: paint_box+E
		CLC	
		LDA	$3A
		ADC	#$28 ; '('
		STA	$3A
		LDA	$3B
		ADC	#0
		STA	$3B
		JMP	paint_box_new_y
; ---------------------------------------------------------------------------

paint_box_end:				; CODE XREF: paint_box+9
		RTS	
; End of function paint_box


; --------------- S U B	R O U T	I N E ---------------------------------------


paint_box_with_frame:			; CODE XREF: paint_level+5C
		JSR	paint_box
		LDA	$E0
		STA	$DA
		INC	$DB
		INC	$DC
		DEC	$DD
		DEC	$DD
		DEC	$DF
		DEC	$DF
		JSR	paint_box
		RTS	
; End of function paint_box_with_frame


; --------------- S U B	R O U T	I N E ---------------------------------------


paint_frame:				; CODE XREF: paint_level+69
					; paint_outer_frame+14 !!!
		JSR	coord_to_ptr
		LDA	$DD
		STA	$C8
		DEC	$C8
		LDA	#2
		JSR	paint_line
		LDA	$DF
		STA	$C8
		DEC	$C8
		LDA	#4
		JSR	paint_line
		LDA	$DD
		STA	$C8
		DEC	$C8
		LDA	#6
		JSR	paint_line
		LDA	$DF
		STA	$C8
		DEC	$C8
		LDA	#0
		JSR	paint_line
		RTS	
; End of function paint_frame


; --------------- S U B	R O U T	I N E ---------------------------------------


level_index_inc_3:			; CODE XREF: level_index_inc_5+2
					; paint_level+3F
		INY	
		INY	
		INY	
		STY	$CB
		RTS	
; End of function level_index_inc_3


; --------------- S U B	R O U T	I N E ---------------------------------------


level_index_inc_5:			; CODE XREF: level_index_inc_6+1
					; paint_level+4C !!!
		INY	
		INY	
		JSR	level_index_inc_3
		RTS	
; End of function level_index_inc_5


; --------------- S U B	R O U T	I N E ---------------------------------------


level_index_inc_6:			; CODE XREF: paint_level+59
		INY	
		JSR	level_index_inc_5
		RTS	
; End of function level_index_inc_6


; --------------- S U B	R O U T	I N E ---------------------------------------


paint_level:				; CODE XREF: initialize_level+9
		LDY	#0
		STY	$CB

paint_level_loop:			; CODE XREF: paint_level+6C
		LDY	$CB
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $20,Y
		CMP	#-1
		BEQ	paint_level_end
		AND	#$3F ; '?'
		STA	$DA
		CMP	#$25 ; '%'
		BNE	no_extra_info
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $21,Y
		STA	$44
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $22,Y
		STA	$45

no_extra_info:				; CODE XREF: paint_level+13
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $21,Y
		STA	$DB
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $22,Y
		STA	$DC
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $23,Y
		STA	$DD
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $24,Y
		STA	$DF
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $25,Y
		STA	$E0
		LDA	ACTUAL_LEVEL - ACTUAL_LEVEL_OFFSET + $20,Y
		AND	#-$40 ;	''
		BNE	no_plot
		JSR	level_index_inc_3
		JSR	level_plot
		JMP	no_frame
; ---------------------------------------------------------------------------

no_plot:				; CODE XREF: paint_level+3D
		CMP	#$40 ; '@'
		BNE	no_line
		JSR	level_index_inc_5
		JSR	level_line
		JMP	no_frame
; ---------------------------------------------------------------------------

no_line:				; CODE XREF: paint_level+4A
		CMP	#-$80 ;	''
		BNE	no_box
		JSR	level_index_inc_6
		JSR	paint_box_with_frame
		JMP	no_frame
; ---------------------------------------------------------------------------

no_box:					; CODE XREF: paint_level+57
		CMP	#-$40 ;	''
		BNE	no_frame
		JSR	level_index_inc_5
		JSR	paint_frame

no_frame:				; CODE XREF: paint_level+45
					; paint_level+52 !!!
		JMP	paint_level_loop
; ---------------------------------------------------------------------------

paint_level_end:			; CODE XREF: paint_level+B
		RTS	
; End of function paint_level


; --------------- S U B	R O U T	I N E ---------------------------------------


init_pic_paint_player_number:		; CODE XREF: paint_init_picture+102
					; sub_880F+2E	!!!
		LDA	$A3
		BNE	locret_85A6
		LDA	$9E
		CLC	
		ADC	#$11
        !if ORIGINAL = 1 {
		STA	$B70
        } else {
		STA	$B88
        }        
		ADC	#$34 ; '4'
        !if ORIGINAL = 1 {        
		STA	$B71
        } else {
        sta $B89
        }
        !if ORIGINAL = 1 {
		LDA	$A4
		CLC	
		ADC	#$11
		STA	$B84
		ADC	#$34 ; '4'
		STA	$B85
        }
locret_85A6:				; CODE XREF: init_pic_paint_player_number+2
		RTS	
; End of function init_pic_paint_player_number


; --------------- S U B	R O U T	I N E ---------------------------------------


paint_outer_frame:			; CODE XREF: initialize_level+6
		LDA	#7
		STA	$DA
		LDA	#0
		STA	$DB
		LDA	#2
		STA	$DC
		LDA	#$28 ; '('
		STA	$DD
		LDA	#$16
		STA	$DF
		JSR	paint_frame
		RTS	
; End of function paint_outer_frame


; --------------- S U B	R O U T	I N E ---------------------------------------


paintliepa:
        !if ORIGINAL = 0 {
		LDX	#0
		LDY	#0

loc_8600:				; CODE XREF: paint_init_picture+52
		LDA	by_peter_lipa_text1,Y
		STA	$AF8,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$AF8,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_8600
        rts
        }

paint_init_picture:			; CODE XREF: configuration_screen+14
					; sub_89AC
        !if ORIGINAL = 0 {
        lda #$00
        sta enable_scroll+1
        jsr init_sprites_old
        }
		LDX	#0
		TXA	

loc_85C2:				; CODE XREF: paint_init_picture+F
		STA	$828,X
		STA	$968,X
		STA	$AA8,X
		INX	
		CPX	#$50 ; 'P'
		BNE	loc_85C2
		LDX	#0

loc_85D2:				; CODE XREF: paint_init_picture+22
		LDA	init_picture_dat1,X
		STA	$850,X
		LDA	init_picture_dat2,X
		STA	$990,X
		INX	
		CPX	#$10
		BNE	loc_85D2
		LDX	#0

loc_85E5:				; CODE XREF: paint_init_picture+35
		LDA	init_picture_dat3,X
		STA	$878,X
		LDA	init_picture_dat4,X
		STA	$9B8,X
		INX	
		CPX	#-$10 ;	''
		BNE	loc_85E5
                ; selection which start picture
		LDA	$CC
		ORA	$A2
		BEQ	loc_8644
        !if ORIGINAL = 1 {
		LDX	#0
		LDY	#0

loc_8600:				; CODE XREF: paint_init_picture+52
		LDA	by_peter_lipa_text1,Y
		STA	$AF8,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$AF8,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_8600
        } else {
        jsr paintliepa
        }
		LDX	#0
		LDY	#0

loc_8617:				; CODE XREF: paint_init_picture+69
		LDA	with_chris_grey_text2,Y
		STA	$B20,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B20,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_8617
		LDX	#0
		LDY	#0

loc_862E:				; CODE XREF: paint_init_picture+80
		LDA	press_button_to_play_text3,Y
		STA	$B48,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B48,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_862E
		JMP	loc_8689
; ---------------------------------------------------------------------------

loc_8644:				; CODE XREF: paint_init_picture+3B
		LDX	#0
		LDY	#0

loc_8648:				; CODE XREF: paint_init_picture+9A
		LDA	init_picture_text4,Y
		STA	$AF8,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$AF8,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_8648
		LDX	#0
		LDY	#0

loc_865F:				; CODE XREF: paint_init_picture+B1
		LDA	VARIABLES+ $12,Y
		STA	$B20,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B20,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_865F
		LDX	#0
		LDY	#0

loc_8676:				; CODE XREF: paint_init_picture+C8
		LDA	VARIABLES +$26,Y
		STA	$B48,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B48,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_8676

loc_8689:				; CODE XREF: paint_init_picture+82
		LDX	#0
		LDY	#0

loc_868D:				; CODE XREF: paint_init_picture+DF
		LDA	cave_level_text,Y
		STA	$B98,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B98,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_868D
		LDX	#0
		LDY	#0

loc_86A4:				; CODE XREF: paint_init_picture+F6
		LDA	player_selection_text,Y
		STA	$B70,X
		INX	
		CLC	
		ADC	#$34 ; '4'
		STA	$B70,X
		INX	
		INY	
		CPY	#$14
		BNE	loc_86A4
		LDX	#$27 ; '''
		LDA	#$20 ; ' '

loc_86BB:				; CODE XREF: paint_init_picture+100
		STA	$BC0,X
		DEX	
		BPL	loc_86BB
		JSR	init_pic_paint_player_number
		LDA	#3
		STA	$DA
		LDA	#0
		STA	$DB
		STA	$DC
		LDA	#$28 ; '('
		STA	$DD
		LDA	#$13
		STA	$DF
		JSR	paint_frame
		LDA	#0
		STA	$CC
		RTS	
; End of function paint_init_picture

; ---------------------------------------------------------------------------
note_tab:	
        !WORD $2DC		; DATA XREF: play_sound_with_test+2C
					; play_sound_with_test+32 !!!
		!WORD $30A
		!WORD $33A
		!WORD $36C
		!WORD $3A0
		!WORD $3D2
		!WORD $412
		!WORD $44C
		!WORD $492
		!WORD $4D6
		!WORD $520
		!WORD $56E
		!WORD $5B8
		!WORD $614
		!WORD $674
		!WORD $6D8
		!WORD $740
		!WORD $7A4
		!WORD $824
		!WORD $898
		!WORD $924
		!WORD $9AC
		!WORD $A40
		!WORD $ADC
		!WORD $B70
		!WORD $C28
		!WORD $CE8
		!WORD $DB0
		!WORD $E80
		!WORD $F48
		!WORD $1048
		!WORD $1130
		!WORD $1248
		!WORD $1358
		!WORD $1480
		!WORD $15B8
		!WORD $16E0
		!WORD $1850
		!WORD $19D0
		!WORD $1B60
		!WORD $1D00
		!WORD $1E90
		!WORD $2090
		!WORD $2260
		!WORD $2490
		!WORD $26B0
		!WORD $2900
		!WORD $2B70
		!WORD $2DC0
    !if ORIGINAL = 1 {
char_ani_activ_leveltab:
        !BYTE	0 ;	; DATA XREF: init_game_variables+BCr
		!BYTE	1 ;  
		!BYTE	0 ;  
		!BYTE	2 ;  
		!BYTE	1 ;  
		!BYTE	1 ;  
		!BYTE	5 ;  
		!BYTE	1 ;  
		!BYTE	0 ;  
		!BYTE	1 ;  
		!BYTE	1 ;  
		!BYTE	1 ;  
		!BYTE	6 ;  
		!BYTE	3 ;  
		!BYTE	1 ;  
		!BYTE	1 ;  
		!BYTE	2 ;  
		!BYTE	1 ;  
		!BYTE	1 ;  
		!BYTE	1 ; 
        } 

; --------------- S U B	R O U T	I N E ---------------------------------------


play_sound_with_test:			; CODE XREF: sub_87EE+1D
		LDA	$C1
		AND	#1
		BNE	play_sound
		RTS	
; ---------------------------------------------------------------------------

play_sound:				; CODE XREF: play_sound_with_test+4
		LDA	VARIABLES +$0C
		CMP	#-$60 ;	''
		BNE	loc_87A5
		LDA	#$10
		STA	$D404
		STA	$D40B
		LDA	#-$58 ;	''
		STA	$D40C
		STA	$D40D
		LDX	VARIABLES +$00
		INC	VARIABLES +$00
		INC	VARIABLES +$00
		LDA	melody_tab+1,X
		ASL	
		TAY	
		LDA	note_tab-20,Y
		STA	$D400
		LDA	note_tab-19,Y
		STA	$D401
		LDA	melody_tab,X
		ASL	
		TAY	
		LDA	note_tab-20,Y
		STA	$D407
		LDA	note_tab-19,Y
		STA	$D408
		LDA	VARIABLES +$00
		BNE	loc_87A5
		INC	VARIABLES +$01

loc_87A5:				; CODE XREF: play_sound_with_test+C
					; play_sound_with_test+4C
		LDA	VARIABLES +$0C
		EOR	#7
		ADC	#4
		ASL	
		ASL	
		ASL	
		ASL	
		STA	$D406
		LDA	#$11
		STA	$D404
		STA	$D40B
		LDA	VARIABLES +$0C
		CLC	
		ADC	#1
		AND	#-$59 ;	''
		STA	VARIABLES +$0C
		LDA	$A2
		BEQ	locret_87D5
		LDA	VARIABLES +$01
		CMP	#2
		BNE	locret_87D5
		LDA	#1
		STA	$CD

locret_87D5:				; CODE XREF: play_sound_with_test+74
					; play_sound_with_test+7B
		RTS	
; End of function play_sound_with_test


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_87D6:				; CODE XREF: sub_87EE+1A
		LDX	#7

loc_87D8:				; CODE XREF: sub_87D6+15
		LDA	$2030,X
		ORA	$2000,X
		STA	$2048,X
		LDA	$2038,X
		ORA	$2000,X
		STA	$2050,X
		DEX	
		BPL	loc_87D8
		RTS	
; End of function sub_87D6


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_87EE:				; CODE XREF: ROM:8A81
		LDA	$CF
		BNE	loc_87F9
		LDA	#1
		STA	$CF
		JMP	locret_880E
; ---------------------------------------------------------------------------

loc_87F9:				; CODE XREF: sub_87EE+2
		INC	$C1
		LDA	$C1
		CMP	#4
		BCC	loc_880B
		LDA	#0
		STA	$C1
		JSR	sub_781F
		JSR	sub_87D6

loc_880B:				; CODE XREF: sub_87EE+11
		JSR	play_sound_with_test

locret_880E:				; CODE XREF: sub_87EE+8
		RTS	
; End of function sub_87EE


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_880F:				; CODE XREF: configuration_screen
		LDA	$FB         ; f3 test for players
        !if ORIGINAL = 0 {
        cmp #$fe
        beq likef3
        }
		CMP	#-$21 ;	''
		BNE	loc_8843
likef3:
		LDA	#0
		STA	VARIABLES +$01
		INC	$D0
		LDA	$D0
        !if ORIGINAL = 1 {
		CMP	#4
        } else {
        cmp #3   ; no 2 joysticks selectable
        }
		BNE	loc_882D
		LDX	#1
		STX	$D0
		DEX	
		STX	$9E
		STX	$A4
		BEQ	loc_883D

loc_882D:				; CODE XREF: sub_880F+11
		LDA	$D0
		CMP	#2
		BNE	loc_8835
		INC	$9E

loc_8835:				; CODE XREF: sub_880F+22
        !if ORIGINAL = 1 {
		LDA	$D0
		CMP	#3       ; no 2 joysticks selectable
		BNE	loc_883D
		INC	$A4
        }
        
loc_883D:				; CODE XREF: sub_880F+1C sub_880F+2A
		JSR	init_pic_paint_player_number
		JSR	quadsleep

loc_8843:				; CODE XREF: sub_880F+4
		LDA	#0
		STA	$FB
		JMP	init_pic_paint_player_number
; End of function sub_880F


; --------------- S U B	R O U T	I N E ---------------------------------------


configuration_with_joystick:		; CODE XREF: configuration_screen+3
		JSR	joy_direction1
!if ORIGINAL = 1 {
		CMP	#$F
		BEQ	loc_88BC
		LDX	#0
		STX	VARIABLES +$01
		CMP	#$D
		BNE	loc_8860
		LDX	$5E
		BEQ	loc_8860
		DEC	$5E

loc_8860:				; CODE XREF: configuration_with_joystick+E
					; configuration_with_joystick+12
		CMP	#$E
		BNE	loc_8876
		LDA	#4
		CMP	$5E
		BEQ	loc_886C
		INC	$5E

loc_886C:				; CODE XREF: configuration_with_joystick+1E
		LDA	$5E
		CMP	#3
		BNE	loc_8876
		LDA	#1
		STA	$5D

loc_8876:				; CODE XREF: configuration_with_joystick+18
					; configuration_with_joystick+26
		JSR	joy_direction1
		CMP	#$B
		BNE	loc_8887
		LDA	$5D
		CMP	#5
		BCC	loc_8887
		SBC	#4
		STA	$5D

loc_8887:				; CODE XREF: configuration_with_joystick+31
					; configuration_with_joystick+37
		JSR	joy_direction1
		CMP	#7
		BNE	loc_889E
		LDA	$5E
		CMP	#3
		BCS	loc_889E
		LDA	$5D
		CMP	#$D
		BCS	loc_889E
		ADC	#4
		STA	$5D

loc_889E:				; CODE XREF: configuration_with_joystick+42
					; configuration_with_joystick+48 !!!
		LDA	$A3
		BNE	loc_88BC
		LDA	$5E
		CLC	
		ADC	#$11
		STA	$BBA
		ADC	#$34 ; '4'
		STA	$BBB
		LDA	$5D
		CLC	
		ADC	#$20 ; ' '
		STA	$BA6
		ADC	#$34 ; '4'
		STA	$BA7
} else {
		CMP	#$F
		BEQ	loc_88BC
		LDX	#0
		STX	VARIABLES +$01
		CMP	#$D
		BNE	loc_8860
		LDX	$5E
		BEQ	loc_8860
		DEC	$5E

loc_8860:				; CODE XREF: configuration_with_joystick+E
					; configuration_with_joystick+12
		CMP	#$E
		BNE	loc_8876
		LDA	#NUMBER_OF_GAMES-1
		CMP	$5E
		BEQ	loc_886C
		INC	$5E

loc_886C:				; CODE XREF: configuration_with_joystick+1E

loc_8876:				; CODE XREF: configuration_with_joystick+18
					; configuration_with_joystick+26
		JSR	joy_direction1
		CMP	#$B
		BNE	loc_8887
		LDA	$5D
		CMP	#2
		BCC	loc_8887
		SBC	#1
		STA	$5D

loc_8887:				; CODE XREF: configuration_with_joystick+31
					; configuration_with_joystick+37
		JSR	joy_direction1
		CMP	#7
		BNE	loc_889E
		LDA	$5D
		CMP	#20
		BCS	loc_889E
		ADC	#1
		STA	$5D

loc_889E:				; CODE XREF: configuration_with_joystick+42
					; configuration_with_joystick+48 !!!
		LDA	$A3
		BNE	loc_88BC
		LDA	$5E
        cmp #$09
        bcc +
        adc #$06 ; +1 cause sec
+:
		ADC	#$11
		STA	$BBA
		ADC	#$34 ; '4'
		STA	$BBB
		LDA	$5D
		CLC	
		ADC	#$20 ; ' '
		STA	$BA6
		ADC	#$34 ; '4'
		STA	$BA7
}
loc_88BC:				; CODE XREF: configuration_with_joystick+5
					; configuration_with_joystick+56
		JSR	sleep
		RTS	
; End of function configuration_with_joystick


; --------------- S U B	R O U T	I N E ---------------------------------------


configuration_screen:			; CODE XREF: configuration_screen+69
					; sub_892C+13
		JSR	sub_880F
		JSR	configuration_with_joystick
		LDA	$A3
		BEQ	set_color_values
        !if ORIGINAL = 0 {
        ldx #$7f
        stx $dc00
        lda $dc01
        ldx #$ff
        stx $dc00
        and #$10
        beq +
        } 
		LDA	$FB
		CMP	#-$11 ;	''
		BNE	loc_8918
+		LDA	#1
		STA	$CC
		JSR	paint_init_picture

set_color_values:			; CODE XREF: configuration_screen+8
        !if ORIGINAL = 1 {
		LDA	#$E
        } else {
        lda #$c
        }
		LDX	#1

color_of_values_loop:			; CODE XREF: configuration_screen+28
        !if ORIGINAL = 1 {
		STA	$DB84,X
		STA	$DB70,X
        } else {
        STA	$DB88,X        ; other possition of players selection
        }
		STA	$DBA6,X
		STA	$DBBA,X
		DEX	
		BPL	color_of_values_loop
		LDA	$5E
        !if ORIGINAL = 0 {
        cmp #$09
        bcc +
        adc #$06 ; +1 cause carry is set
+:
        }
		CLC	
		ADC	#$11
		STA	$BBA
		ADC	#$34 ; '4'
		STA	$BBB
		LDA	$5D
		CLC	
		ADC	#$20 ; ' '
		STA	$BA6
		ADC	#$34 ; '4'
		STA	$BA7
		LDA	$9E
		CMP	#-1
		BNE	loc_890C
		INC	$9E

loc_890C:				; CODE XREF: configuration_screen+48
        !if ORIGINAL = 1 {
		LDA	$9E
		CLC	
		ADC	#$11
		STA	$B70
        }
		LDA	#0
		STA	$A3

loc_8918:				; CODE XREF: configuration_screen+E
		LDA	$A3
		BNE	no_button_pressed
        !if ORIGINAL = 0 {
        lda dtv_possible_flag
        sta dtv_flag
        ldx #$fe
        stx $dc00
        lda $dc01
        inx
        stx $dc00
        cmp #$f7
        bne +
        lda #$00
        sta dtv_flag
        beq button_pressed   
+
        }
		JSR	check_button
		BNE	no_button_pressed
button_pressed:
		STA	$A2
		LDA	#1
		STA	$CD

no_button_pressed:			; CODE XREF: configuration_screen+5A
        !if ORIGINAL = 0 {
        lda dtv_possible_flag
        beq +
        sei   ; set to default speed
        +sac $99
        lda #$00
        +sac $00
        cli
+
        }
					; configuration_screen+5F
		LDA	$CD
        !if ORIGINAL = 1 {
		BEQ	configuration_screen
        } else {
        bne +
		jmp	configuration_screen
+
        lda $5d
        sta initialcave+1
        lda $5e
        sta initiallevel+1
        }
		RTS	
; End of function configuration_screen


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_892C:				; CODE XREF: ROM:8EF5
		LDX	#0

loc_892E:				; CODE XREF: sub_892C+B
		LDA	$2058,X
		STA	$2000,X
		INX	
		CPX	#8
		BNE	loc_892E
        !if ORIGINAL = 0 {
initiallevel:
        lda #$00
        sta $5e
initialcave:
        lda #$01
        sta $5d
        } else {
		LDA	#1
		STA	$5D
        }
		STA	$A2
		JSR	configuration_screen
		LDA	#1
		STA	$BD
		STA	$C2
		SEI	
		LDX	#7

loc_894B:				; CODE XREF: sub_892C+25
		LDA	initial_54_values2,X
		STA	$54,X
		DEX	
		BPL	loc_894B
        !if ORIGINAL = 0 {
        lda #$00
        sta enable_scroll+1
        jsr init_sprites_old
        lda dtv_flag
        beq no_init_video_dtv
        jsr init_dtv_video_mode
no_init_video_dtv:
        }
		CLI	
		LDA	#0
		STA	$CE
		STA	$C1
		STA	$FB
		STA	$FC
		JSR	sound_init
		LDA	$A2
		BEQ	loc_896C
		LDX	#0
		STX	$5E
		INX	
		STX	$5D

loc_896C:				; CODE XREF: sub_892C+37
		LDA	#$13
		STA	VARIABLES +$58
		STA	$95
		LDA	$5D
		CLC	
		ADC	#$20 ; ' '
		STA	VARIABLES +$5E
		LDA	$5E
        !if ORIGINAL = 0 {
        cmp #$09
        bcc +
        adc #$06 ; +1 cause sec
+:
        }
		CLC	
		ADC	#$11
		STA	VARIABLES +$60
		LDA	#0
		STA	$94
		LDA	#<(VARIABLES+$4e) ; 'N'
		STA	$46
		LDA	#>(VARIABLES+$4e) ;	''
		STA	$47
		JSR	sub_6EAE
		LDA	#2
		STA	$97
		RTS	
; End of function sub_892C

; ---------------------------------------------------------------------------
global_colors:
        !BYTE	0 ;		; DATA XREF: sub_89AC+1E
		!BYTE	0 ;  
		!BYTE	6 ;  
		!BYTE  $E ;  
		!BYTE	9 ;  
initial_54_values:
        !if ORIGINAL = 1 {
        !BYTE $3B ; for $d011		; DATA XREF: sub_8E38+B
        } else {
        !BYTE $1B ; for $d011		; DATA XREF: sub_8E38+B
        }        
		!BYTE $1B ;  
		!BYTE $18 ; for $d016 
		!BYTE $18 ;  
		!BYTE $28 ; for $d018
		!BYTE $28 ; 
		!BYTE $28 ; for $d012
		!BYTE $CA ; 
initial_54_values2:
        !BYTE	$10 ;		; DATA XREF: sub_892C+1Fr
		!BYTE $1B ;  
		!BYTE $10 ;  
		!BYTE $18 ;  
		!BYTE $3C ; <
		!BYTE $38 ; 8
		!BYTE $28 ; (
		!BYTE $3B ; ;

; --------------- S U B	R O U T	I N E ---------------------------------------


sub_89AC:				; CODE XREF: ROM:8EF2
		JSR	paint_init_picture
        !if ORIGINAL = 0 {
        lda dtv_flag
        beq no_exit_dtv_video_mode
        jsr exit_dtv_video_mode
no_exit_dtv_video_mode:
        } 
        LDA	$A3
		BEQ	loc_89BF
        !if ORIGINAL = 0 {
        jsr init_sprites
        lda #$01
        sta enable_scroll+1
        lda #$20
        } else {
		LDA	#$6E ; 'n'
        }
		LDY	#0

loc_89B7:				; CODE XREF: sub_89AC+11
		STA	$AF8,Y
		INY	
		CPY	#-$10 ;	''
		BNE	loc_89B7

loc_89BF:				; CODE XREF: sub_89AC+5
		LDA	#0
		STA	$CD
		LDA	#$28 ; '('
		STA	$D018
		LDX	#4

d020_values_init_loop:			; CODE XREF: sub_89AC+25
		LDA	global_colors,X
		STA	$D020,X
		DEX	
		BPL	d020_values_init_loop
        !if ORIGINAL = 0 {
        jsr paintliepa
        sei
        ldx #40-1
        lda #$20
-       sta $0c00,x
        dex
        bpl -
        cli
        }
		LDA	#9
		LDY	#0
		JSR	initialize_colorram
		INC	$46
		DEC	$47
		LDA	#1

loc_89E0:				; CODE XREF: sub_89AC+37
		STA	($46),Y
		INY	
		BNE	loc_89E0
		LDA	#0
		STA	$CF
		LDA	#1
		STA	$CE

loc_89ED:				; CODE XREF: sub_89AC+43
		LDA	$CF
		BEQ	loc_89ED
		LDA	#0
		STA	VARIABLES+$00
		STA	VARIABLES+$01
		STA	VARIABLES+$0B
		STA	VARIABLES+$0E
		STA	VARIABLES+$0F
		STA	VARIABLES+$09
		STA	VARIABLES+$08
		STA	VARIABLES+$11
		RTS	
; End of function sub_89AC

; ---------------------------------------------------------------------------

irq:					; DATA XREF: sub_8E38+25 sub_8E38+2A
		LDA	$D019
		STA	$D019
		AND	#1
		BEQ	loc_8A34
		DEC	$A7
		BPL	loc_8A1E
		LDA	#1
		STA	$A7

loc_8A1E:				; CODE XREF: ROM:8A18
		LDX	$A7
		LDA	$54,X
		STA	$D011
		LDA	$56,X
		STA	$D016
		LDA	$58,X
		STA	$D018
		LDA	$5A,X
		STA	$D012
        !if ORIGINAL = 0 {
        txa
        beq +
enable_scroll:
        lda #$00
        beq +
        jsr movesprite
+
        }
loc_8A34:				; CODE XREF: ROM:8A14
		JSR	get_keyboard
		LDA	#-2 ; ''
		STA	$DC00
		LDA	$DC01
		CMP	#-1
		BEQ	loc_8A4D
		CMP	$FD
		BNE	loc_8A4B
		STA	$FB
		BEQ	loc_8A4D

loc_8A4B:				; CODE XREF: ROM:8A45
		STA	$FD

loc_8A4D:				; CODE XREF: ROM:8A41	ROM:8A49
		LDA	#-2 ; ''
		STA	$DC00
		LDA	$DC01
		CMP	#-1
		BEQ	loc_8A63
		CMP	$FE
		BNE	loc_8A61
		STA	$FC
		BEQ	loc_8A63

loc_8A61:				; CODE XREF: ROM:8A5B
		STA	$FE

loc_8A63:				; CODE XREF: ROM:8A57	ROM:8A5F
		JSR	get_keyboard

loc_8A66:				; CODE XREF: get_keyboard+1A
		LDA	$CE
		CMP	#1
		BNE	loc_8A84
		LDA	$A3
		BNE	loc_8A74
		LDA	#$1B
		STA	$54

loc_8A74:				; CODE XREF: ROM:8A6E
        !if ORIGINAL = 0 {
        lda enable_scroll+1
        beq +
        lda #$ff
        !byte $2c
+
        }
		LDA	#0
		STA	$D015
		LDA	#$18
		STA	$56
		LDA	#$28 ; '('
		STA	$58
		JSR	sub_87EE

loc_8A84:				; CODE XREF: ROM:8A6A
		LDA	$CE
		BNE	loc_8A90
		LDA	#$7F ; ''
		STA	$D015
		JSR	sub_7EC3

loc_8A90:				; CODE XREF: ROM:8A86

		LDA	#0
		STA	$D01B
		PLA	
		TAY	
		PLA	
		TAX	
		PLA	
		RTI	

; --------------- S U B	R O U T	I N E ---------------------------------------


get_keyboard:				; CODE XREF: ROM:8A34p	ROM:8A63p
		LDA	#-1
		STA	$DC00
		LDA	$DC01
		AND	#$1F
		CMP	#$1F
		BEQ	no_key
		LDA	#-1
		STA	$FB
		STA	$FC
		STA	$FD
		STA	$FE
		PLA	
		PLA	
		JMP	loc_8A66
; ---------------------------------------------------------------------------

no_key:					; CODE XREF: get_keyboard+C
		RTS	
; End of function get_keyboard


; --------------- S U B	R O U T	I N E ---------------------------------------


initialize_level:			; CODE XREF: ROM:8F11
		JSR	copy_level_to_abs
		JSR	init_random_stones
		JSR	paint_outer_frame
		JSR	paint_level
		JSR	init_game_variables
		LDA	#0
		STA	$ED
		STA	$EE
		STA	$E9
		STA	$EA
		JSR	copy_level_to_bigscreen
		LDA	#0
		STA	$BD
		JSR	sound_init
		RTS	
; End of function initialize_level


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8ADD:				; CODE XREF: ROM:8F0B
		LDA	#0
		STA	$9D
		STA	$A0
		LDX	#5

loc_8AE5:				; CODE XREF: sub_8ADD+D
		STA	$5F,X
		STA	$4E,X
		DEX	
		BPL	loc_8AE5
		LDA	#3
		STA	$5C
		LDX	#8

loc_8AF2:				; CODE XREF: sub_8ADD+1C
		LDA	$5C,X
		STA	$6B,X
		STA	$7A,X
		DEX	
		BPL	loc_8AF2
		LDX	#5

loc_8AFD:				; CODE XREF: sub_8ADD+25
		LDA	$74,X
		STA	$65,X
		DEX	
		BPL	loc_8AFD
		RTS	
; End of function sub_8ADD


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8B05:				; CODE XREF: sub_8C2E+3
		DEC	$5C
		LDA	$9D
		BNE	loc_8B16
		LDX	#$E

loc_8B0D:				; CODE XREF: sub_8B05+D
		LDA	$5C,X
		STA	$6B,X
		DEX	
		BPL	loc_8B0D
		BMI	loc_8B1F

loc_8B16:				; CODE XREF: sub_8B05+4
		LDX	#$E

loc_8B18:				; CODE XREF: sub_8B05+18
		LDA	$5C,X
		STA	$7A,X
		DEX	
		BPL	loc_8B18

loc_8B1F:				; CODE XREF: sub_8B05+F
		LDA	$9E
		BEQ	loc_8B36
		LDA	$9D
		BNE	loc_8B30
		LDA	$7A
		BEQ	loc_8B36
		INC	$9D
		JMP	loc_8B36
; ---------------------------------------------------------------------------

loc_8B30:				; CODE XREF: sub_8B05+20
		LDA	$6B
		BEQ	loc_8B36
		DEC	$9D

loc_8B36:				; CODE XREF: sub_8B05+1C sub_8B05+24 !!!
		LDA	$9D
		BNE	loc_8B45
		LDX	#$E

loc_8B3C:				; CODE XREF: sub_8B05+3C
		LDA	$6B,X
		STA	$5C,X
		DEX	
		BPL	loc_8B3C
		BMI	loc_8B4E

loc_8B45:				; CODE XREF: sub_8B05+33
		LDX	#$E

loc_8B47:				; CODE XREF: sub_8B05+47
		LDA	$7A,X
		STA	$5C,X
		DEX	
		BPL	loc_8B47

loc_8B4E:				; CODE XREF: sub_8B05+3E
		LDA	$5C
		BNE	locret_8B5E
		LDA	#1
		STA	$A0
		LDA	#3
		STA	$5C
		LDA	#0
		STA	$9D

locret_8B5E:				; CODE XREF: sub_8B05+4B
		RTS	
; End of function sub_8B05


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8B5F:				; CODE XREF: add_time_points+2C
		DEC	3
		LDX	#$F

loc_8B63:				; CODE XREF: sub_8B5F+2A
		LDA	#$10
		STA	$D412
		STX	2
		ASL	2
		LDA	3
		SEC	
		SBC	2
		STA	$D40F
		LDA	#-$60 ;	''
		STA	$D414
		LDA	#0
		STA	$D413
		LDA	#$11
		STA	$D412
		LDY	#-$40 ;	''

loc_8B85:				; CODE XREF: sub_8B5F+27
		DEY	
		BNE	loc_8B85
		DEX	
		BNE	loc_8B63
		LDA	#$10
		STA	$D412
		RTS	
; End of function sub_8B5F


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8B91:				; CODE XREF: sub_8C2E
		LDA	#0
		TAX	
		STA	$A1

loc_8B96:				; CODE XREF: sub_8B91+17
		LDA	$65,X
		CMP	VARIABLES+$48,X
		BEQ	loc_8BA5
		LDX	#5
		BCS	loc_8BA5
		LDA	#1
		STA	$A1

loc_8BA5:				; CODE XREF: sub_8B91+ sub_8B91+E
		INX	
		CPX	#6
		BNE	loc_8B96
		LDA	$A1
		BEQ	locret_8BB8
		LDX	#5

loc_8BB0:				; CODE XREF: sub_8B91+25
		LDA	VARIABLES+$48,X
		STA	$65,X
		DEX	
		BPL	loc_8BB0

locret_8BB8:				; CODE XREF: sub_8B91+1B
		RTS	
; End of function sub_8B91


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8BB9:				; CODE XREF: sub_8C2E+10
		LDX	#5

loc_8BBB:				; CODE XREF: sub_8BB9+1C
		LDA	$74,X
		STA	VARIABLES+$27,X
		LDA	$83,X
		STA	VARIABLES+$33,X
		LDA	$6E,X
		CLC	
		ADC	#$10
		STA	VARIABLES+$13,X
		LDA	$7D,X
		ADC	#$10
		STA	VARIABLES+$1F,X
		DEX	
		BPL	loc_8BBB
		RTS	
; End of function sub_8BB9


; --------------- S U B	R O U T	I N E ---------------------------------------


next_level:				; CODE XREF: add_time_points+3A sub_8C42+12
		LDA	$5D
		ASL	
		TAX	
		LDA	level_next_tab-2,X
		CMP	#$15
		BNE	loc_8BED
        !if ORIGINAL = 1 {
		LDA	$5E
		CMP	#4
		BEQ	loc_8BEB
		INC	$5E
        } else {
        inc $5e
        lda $5e
        cmp #NUMBER_OF_GAMES
        bne loc_8BEB
        lda #$00
        sta $5e
        }

loc_8BEB:				; CODE XREF: next_level+F
		LDA	#1

loc_8BED:				; CODE XREF: next_level+9
		STA	$5D
		RTS	
; End of function next_level


; --------------- S U B	R O U T	I N E ---------------------------------------


add_time_points:				; CODE XREF: sub_8C42+8
		LDX	#0
		LDA	#0

loc_8BF4:				; CODE XREF: add_time_points+9
		STA	$4E,X
		INX	
		CPX	#6
		BNE	loc_8BF4
!if ORIGINAL = 1 {
		LDA	$5E
		CLC	
		ADC	#1
} else {
        lda #$01
}
		STA	$53
		LDA	#0
		STA	$97
		STA	2
		LDA	#-$30 ;	''
		STA	3
		JSR	sub_7424
		JSR	sound_init

loc_8C12:				; CODE XREF: add_time_points+2F
		LDA	$97
		BNE	loc_8C21
		JSR	sub_745D
		JSR	add_score
		JSR	sub_8B5F
		BNE	loc_8C12

loc_8C21:				; CODE XREF: add_time_points+24
!if ORIGINAL = 0 {
            ; add bonuslife for completed bonus level
        lda $a6
        beq +
        jsr add_bonuslife
+
        }
		JSR	sub_7435
		JSR	quadsleep
		JSR	sound_init
		JSR	next_level
		RTS	
; End of function add_time_points


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8C2E:				; CODE XREF: sub_8C42+18
		JSR	sub_8B91
		JSR	sub_8B05
		LDA	$A0
		BEQ	locret_8C41
        !if ORIGINAL = 0 {
        lda $5d
        sta initialcave+1
        lda $5e
        sta initiallevel+1
        }
		LDA	#0
		STA	$5D
		STA	$5E
		JSR	sub_8BB9

locret_8C41:				; CODE XREF: sub_8C2E+8
		RTS	
; End of function sub_8C2E


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8C42:				; CODE XREF: sub_8C92+ sub_8CAA+43
		LDX	#1
		STX	$9B
		LDA	$9F
		BEQ	loc_8C50
		JSR	add_time_points ;level completed
		JMP	loc_8C5D
; ---------------------------------------------------------------------------

loc_8C50:				; CODE XREF: sub_8C42+6
		LDA	$A6         
		BEQ	loc_8C5A    
		JSR	next_level  
		JMP	loc_8C5D
; ---------------------------------------------------------------------------

loc_8C5A:				; CODE XREF: sub_8C42+10
		JSR	sub_8C2E

loc_8C5D:				; CODE XREF: sub_8C42+B sub_8C42+15
		LDA	$A2
		BNE	loc_8C8D
		LDA	$9D
		CLC	
		ADC	#$11
		STA	VARIABLES+$55
		LDA	$5C
		CLC	
		ADC	#$10
		STA	VARIABLES+$58
		TAX	
		LDA	#$25 ; '%'
		CPX	#$11
		BNE	loc_8C7A
		LDA	#$21 ; '!'

loc_8C7A:				; CODE XREF: sub_8C42+34
		STA	VARIABLES+$5B
		LDA	$5D
		CLC	
		ADC	#$20 ; ' '
		STA	VARIABLES+$5E
		LDA	$5E
        !if ORIGINAL = 0 {
        cmp #$09
        bcc +
        adc #$06 ; +1 cause carry is set
+:
        }
		CLC	
		ADC	#$11
		STA	VARIABLES+$60

loc_8C8D:				; CODE XREF: sub_8C42+1D
		LDA	#0
		STA	$94
		RTS	
; End of function sub_8C42


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8C92:				; CODE XREF: sub_8C92+5 ROM:8F27
		JSR	sub_8171
		LDA	$97
		BEQ	sub_8C92
		JSR	sound_init
		JSR	sub_8C42

loc_8C9F:				; CODE XREF: sub_8C92+F
		LDA	$A8
		BNE	loc_8C9F
		STA	VARIABLES+$08
		STA	VARIABLES+$11
		RTS	
; End of function sub_8C92


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8CAA:				; CODE XREF: ROM:8F1D
		LDA	#0
		STA	$D3
		STA	$D4
		STA	$D2

loc_8CB2:				; CODE XREF: sub_8CAA+39
		LDA	$D2
		BNE	loc_8CD1
		LDX	$D3
		LDA	demo,X
		STA	$D2
		AND	#$F
		STA	$8B
		BNE	loc_8CC7
		LDA	#1
		STA	$D4

loc_8CC7:				; CODE XREF: sub_8CAA+17
		LSR	$D2
		LSR	$D2
		LSR	$D2
		LSR	$D2
		INC	$D3

loc_8CD1:				; CODE XREF: sub_8CAA+
		JSR	check_button
		BNE	loc_8CDA
		LDA	#1
		STA	$D4

loc_8CDA:				; CODE XREF: sub_8CAA+2A
		LDA	$D4
		BNE	loc_8CE6
		JSR	sub_8171
		DEC	$D2
		JMP	loc_8CB2
; ---------------------------------------------------------------------------

loc_8CE6:				; CODE XREF: sub_8CAA+32
		JSR	sound_init
		LDA	$9F
		BEQ	loc_8CF0
		JSR	sub_8C42

loc_8CF0:				; CODE XREF: sub_8CAA+41
		LDA	#0
		STA	$5D
        !if ORIGINAL = 0 {
        sei
        lda #$00
        sta $d01a
        jmp start
        }
		RTS	
; End of function sub_8CAA


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8CF5:				; CODE XREF: copy_gfx_and_init+65
		LDX	#$13

loc_8CF7:				; CODE XREF: sub_8CF5+14
		LDA	byte_6F64,X
		STA	VARIABLES+$12,X
		LDA	byte_6F78,X
		STA	VARIABLES+$26,X
		LDA	#$20 ; ' '
		STA	VARIABLES+$3A,X
		DEX	
		BPL	loc_8CF7
		LDA	#$3C ; '<'
		STA	VARIABLES+$3D
		RTS	
; End of function sub_8CF5


; --------------- S U B	R O U T	I N E ---------------------------------------


copy_init_gfx:				; CODE XREF: copy_gfx_and_init+68
		LDX	#0
copy_gfx_loop1:				; CODE XREF: copy_init_gfx+33
		LDA	charset,X
		STA	$2000,X
		LDA	charset_100,X
		STA	$2100,X
		LDA	charset_200,X
		STA	$2200,X
		LDA	charset_300,X
		STA	$2300,X
		LDA	melody_tab,X
		STA	$3000,X
		LDA	byte_60E8,X
		STA	$3100,X
		LDA	byte_61E8,X
		STA	$3200,X
		LDA	byte_62E8,X
		STA	$3300,X
		INX	
		BNE	copy_gfx_loop1
        !if ORIGINAL = 1 {
		LDX	#-$41

copy_first_star_software:			; CODE XREF: copy_init_gfx+78
		LDA	#0
		STA	$37C0,X
		STA	$3900,X
		STA	$3A40,X
		STA	$3B80,X
		LDA	byte_6BE8,X
		STA	$3CC0,X
		LDA	byte_6D28,X
		STA	$3E00,X
		LDA	byte_68E8,X
		STA	$3840,X
		LDA	byte_69A8,X
		STA	$3980,X
		LDA	byte_6A68,X
		STA	$3AC0,X
		LDA	byte_6B28,X
		STA	$3C00,X
		LDA	byte_6C68,X
		STA	$3D40,X
		LDA	byte_6DA8,X
		STA	$3E80,X
		DEX	
		CPX	#-1
		BNE	copy_first_star_software
        } else {
;        ldx #$bf
;-       lda #$00
;		STA	$37C0,X
;		STA	$3900,X
;		STA	$3A40,X
;		STA	$3B80,X
;        sta $3CC0,x
;        sta $3E00,x
;        sta $3840,x
;        sta $3980,x
;        sta $3AC0,x
;        sta $3C00,x
;        sta $3D40,x
;        sta $3E80,x
;        dex
;        cpx #-1
;        bne -
init_sprites_old:
        }
		LDX	#$27 ; '''

loc_8D8D:				; CODE XREF: copy_init_gfx+87
		LDA	#-1
		STA	$3770,X
		LDA	#0
		STA	$3798,X
		DEX	
		BPL	loc_8D8D
		LDX	#7

init_sprite_ptr_loop:			; CODE XREF: copy_init_gfx+99
		LDA	#-$22 ;	''
		STA	$FF8,X
		STA	$2FF8,X
		LDA	#0
		STA	$D027,X
		DEX	
		BPL	init_sprite_ptr_loop
		LDY	#$C
		LDA	#$37 ; '7'

init_sprite_coord_loop:			; CODE XREF: copy_init_gfx+AE
		STA	$D000,Y
		TAX	
		LDA	#$3A ; ':'
		STA	$D001,Y
		TXA	
		SEC	
		SBC	#$30 ; '0'
		DEY	
		DEY	
		BPL	init_sprite_coord_loop
		LDA	#-1
		STA	$D01D
		LDA	#$60 ; '`'
		STA	$D010
		RTS	
; End of function copy_init_gfx


; --------------- S U B	R O U T	I N E ---------------------------------------


copy_gfx_and_init:			; CODE XREF: ROM:8EA5
		JSR	sound_init
		LDX	#-1
		STX	$99
		STX	$CE
		STX	$FB
		STX	$FC
		STX	$FD
		STX	$FE
		INX	
		STX	$E7
		STX	$E8
		STX	$EB
		STX	$EC
		STX	$A5
		STX	$5D
		STX	$5E
		STX	$C0
		STX	$C1
		STX	$E3
		STX	$E4
		STX	$E1
		STX	$E2
		STX	$D8
		STX	$D9
		INX	
		STX	$CC
		STX	$A2
		STX	$A3
		LDA	$D5
		BEQ	locret_8E37
		LDX	#4
		LDA	#0

loc_8E0B:				; CODE XREF: copy_gfx_and_init+43
		STA	$D020,X
		DEX	
		BPL	loc_8E0B
		LDX	#0
		LDA	#$10

loc_8E15:				; CODE XREF: copy_gfx_and_init+52
		STA	$74,X
		STA	$83,X
		STA	$65,X
		INX	
		CPX	#6
		BNE	loc_8E15
		LDA	#0
		STA	$D5
		STA	$A4
		STA	$9E
		STA	$A8
		JSR	sub_77D1
		LDA	#1
		STA	$D0
		JSR	sub_8CF5
		JSR	copy_init_gfx

locret_8E37:				; CODE XREF: copy_gfx_and_init+39
		RTS	
; End of function copy_gfx_and_init


; --------------- S U B	R O U T	I N E ---------------------------------------


sub_8E38:				; CODE XREF: ROM:8EEF
		LDA	#$3C ; '<'
		STA	VARIABLES+$07
		JSR	sub_7A73
		SEI	
		LDX	#7

loc_8E43:				; CODE XREF: sub_8E38+11
		LDA	initial_54_values,X
		STA	$54,X
		DEX	
		BPL	loc_8E43
		LDX	#1
		STX	$D01A
		INX	
		STX	$A7
		LDA	#$28 ; '('
		STA	$D012
		LDA	#$18
		STA	$D011
		LDA	#<irq
		STA	$314
		LDA	#>irq
		STA	$315
		CLI	
		RTS	
; End of function sub_8E38

; ---------------------------------------------------------------------------

nmi_restart:				; DATA XREF: ROM:8E96	ROM:8E9B
        !if ORIGINAL = 0 {
        bit dtv_possible_flag
        beq +
        +sac $ff
        lda #$03
        +sac $ee
        lda #$02
        +sac $dd
        lda #$01
        +sac $cc
        lda #$00
        +sac $99
        lda #$00
        +sac $00
        +sir $12
+
        }
		CLI	

start:					; CODE XREF: sub_8103+34
        !if ORIGINAL = 0 {
        lda #00
        sta init_dtv_video_mode_flag+1
        sta $d01a
        inc $d019
        ldx #$1f
-       sta $d400,x
        dex
        bpl -
        sta $d020
        sta $d011
        jsr convert_charset
        lda #$01
        sta $d03f
        sta $d000
        sta dtv_flag
        sta dtv_possible_flag
        cmp $d040
        bne is_dtv
        dec dtv_possible_flag
        dec dtv_flag
        ldx #20-1
-
        lda press_button_to_play_text3_replace,x
        sta press_button_to_play_text3,x
        lda #$20
        sta with_chris_grey_text2,x
        dex
        bpl -
        bmi is_no_dtv
is_dtv: 
        sei
        +sac $99
        lda #$00
        +sac $00
        cli
        jsr init_font_elements
        jsr set_zee_colors
is_no_dtv:       
        }
		LDX	#-1
		TXS	
		LDA	#$7F ; ''
		STA	$DC0D
		STA	$DD0D
		LDA	#-1
		STA	$DC04
		STA	$DC05
		LDA	#-$60 ;	''
		STA	$DD04
		STA	$DD05
		LDA	#$68 ; 'h'
		STA	$DD06
		STA	$DD07
		LDA	#$17
		STA	$DD0E
		STA	$DD0F
		SEI	
		LDA	#<nmi_restart
		STA	$318
		LDA	#>nmi_restart
		STA	$319
		CLI	
		LDA	#$36 ; '6'
		STA	1
		JSR	copy_gfx_and_init
		LDA	#8
		STA	VARIABLES+$0A
		LDY	#0
		LDX	#<repaint_window ; copy	from big char picture (at 0x4000) one 1k window
		STX	2
		STX	4
		LDX	#>repaint_window ; copy	from big char picture (at 0x4000) one 1k window
		STX	3
		INX	
		STX	5

copy_9e00_code:				; CODE XREF: ROM:8EC7
		LDA	(2),Y
		STA	CODE_COPY,Y
		LDA	(4),Y
		STA	CODE_COPY+$100,Y
		INY	
		BNE	copy_9e00_code
		LDA	#3
		STA	$D6
		LDA	#>BIG_SCREEN ; '@'
		STA	$D7
		LDX	#$13

loc_8ED3:				; CODE XREF: ROM:8EDA
		LDA	byte_6FA0,X
		STA	VARIABLES+$4E,X
		DEX	
		BPL	loc_8ED3
		LDA	#$10
		LDX	#5

loc_8EE0:				; CODE XREF: ROM:8EE4
		STA	VARIABLES+$48,X
		DEX	
		BPL	loc_8EE0

loc_8EE6:				; CODE XREF: ROM:8F3B
		LDA	$5D
		BNE	loc_8F11
		LDA	#-$60 ;	''
		STA	VARIABLES+$0C
		JSR	sub_8E38
		JSR	sub_89AC
		JSR	sub_892C
		LDX	#0
		LDA	#$7C ; '|'

loc_8EFC:				; CODE XREF: ROM:8F09
		STA	$C50,X
		STA	$D00,X
		STA	$E00,X
		STA	$EF8,X
		INX	
		BNE	loc_8EFC
		JSR	sub_8ADD
		JMP	loc_8F31
; ---------------------------------------------------------------------------

loc_8F11:				; CODE XREF: ROM:8EE8
		JSR	initialize_level
		LDA	#$11
		STA	VARIABLES+$7C
		LDA	$A2
		BEQ	loc_8F27
		JSR	sub_8CAA
		LDA	#0
		STA	$A3
		JMP	loc_8F2E
; ---------------------------------------------------------------------------

loc_8F27:				; CODE XREF: ROM:8F1B
		JSR	sub_8C92
		LDA	#0
		STA	$42

loc_8F2E:				; CODE XREF: ROM:8F24
		JSR	sub_83C6

loc_8F31:				; CODE XREF: ROM:8F0E
		LDX	#7
		LDA	#0

loc_8F35:				; CODE XREF: ROM:8F39
		STA	$2000,X
		DEX	
		BPL	loc_8F35
		BMI	loc_8EE6

!if ORIGINAL = 0 {


exit_dtv_video_mode:
        sei
		lda	#$28 ; '('
		sta	$D012
        lda #$00
        sta $a7
        lda #<irq
        sta $0314
        lda #>irq
        sta $0315
        lda #$00
        sta $d03c
        jsr set_zee_colors
        jsr init_sprites_old
        lda #$00
        sta enable_scroll+1
        lda #00
        sta init_dtv_video_mode_flag+1
        cli
noinit_dtv:
        rts
        

init_dtv_video_mode:
        sei
init_dtv_video_mode_flag:
        lda #$00
        bne noinit_dtv
		LDA	#$3C ; '<'
		STA	VARIABLES+$07 ;set video page 
        lda #01
        sta init_dtv_video_mode_flag+1
        lda #$00
        sta virtuald020+1
        lda #$01
        sta animrotate+1
        lda #<dtv_irq
        sta $0314
        lda #>dtv_irq
        sta $0315
        lda #$2f
        sta $d012
        lda #$63
        sta $d03c
        LDA #$57	; BMM=0 ECM=1	
        STA $D011
        LDA #$10	; MCM=1
        STA $D016
        LDA #$19
        STA $D018
        lda #$00
        sta $d015

        ;LDA #$00
        ;STA $D03D ; DEFAULT VIC BANK
        ;LDA #<$00  ; $0000
        ;STA $D036 ; COLOR BANK LOW
        ;LDA #>$40
        ;STA $D037; COLOR BANK HI
        LDA #<(80-40)
        STA $D038 ; LINEAR COUNT MOD
        LDA #>(80-40)
        STA $D039 ; LINEAR COUNT MOD
        LDA #^(BIG_SCREEN)           
        STA $D045 ; LINEAR COUNT START Bank
        LDA #$01
        STA $D046 ;LINEAR COUNT STEP
        LDA #<0
        STA $D047 ; LINEAR COUNT B MOD
        LDA #>0
        STA $D048 ; LINEAR COUNT B MOD
        LDA #<$100000
        STA $D049 ; LINEAR COUNT BSTART
        LDA #>$100000
        STA $D04A ; LINEAR COUNT BSTART
        LDA #^$100000
        STA $D04B ;LINEAR COUNT BSTART bank
        LDA #$00
        STA $D04C ;LINEAR COUNT BSTEP
        ldx #$0f
-       txa
        sta $d200,x
        dex
        bpl -
        lda #$1d
        sta $d201
        ldx #$10
-       lda d000tab,x
        sta $d000,x
        dex
        bpl -
        lda #$7f
        sta $d015
        sta $d01d
        ldx #$07
        lda #$0f
-       sta $d027,x
        dex
        bpl -
        ldy #($2c00/64)
        ldx #$00
-       tya
        sta $07f8,x
        iny
        inx
        cpx #$08
        bne -
        ldx #$00
        txa
-       sta $2c00,x
        sta $2d00,x
        inx
        bne -      
        cli
        rts

xpos:   !word 100
ypos:   !word 100


        +align4
        
dtv_irq:
        ;enable burst and skip and make the irq stable
        +sac $99
        lda #$03
        +sac $22
        lda #$e0
        nop
        nop
        nop
        nop
        nop
        ora $d044
-       inx
        bne -
virtuald020:
        lda #$00
        sta $d020
        lda #$65
        sta $d03c
        +sac $99
        lda #$00
        +sac $00
        lda $d019
        sta $d019
        lda #$f8 
        sta $d012
        lda #<dtv_irq2
        sta $0314
        lda #>dtv_irq2
        sta $0315
        cli
color_d200:
        lda #$00
        sta $d200
        beq no_dec_color
        dec color_d200+1
no_dec_color:
        +sac $99
        lda #$03
        +sac $00
        jsr set_charset_in_border        
dtv_irq_continue:
        cli
		DEC	$A7
		BPL	+
		LDA	#1
		STA	$A7
+		JSR	get_keyboard
		LDA	#-2 ; ''
		STA	$DC00
		LDA	$DC01
		CMP	#-1
		BEQ	new_8A4D
		CMP	$FD
		BNE	new_8A4B
		STA	$FB
		BEQ	new_8A4D

new_8A4B:				; CODE XREF: ROM:8A45
		STA	$FD

new_8A4D:				; CODE XREF: ROM:8A41	ROM:8A49
		LDA	#-2 ; ''
		STA	$DC00
		LDA	$DC01
		CMP	#-1
		BEQ	new_8A63
		CMP	$FE
		BNE	new_8A61
		STA	$FC
		BEQ	new_8A63

new_8A61:				; CODE XREF: ROM:8A5B
		STA	$FE

new_8A63:				; CODE XREF: ROM:8A57	ROM:8A5F
		JSR	get_keyboard
        +sac $99
        lda #$00
        +sac $00
		JSR	sub_7EC3
        pla
        tay
        pla
        tax
        pla
        rti

dtv_irq2:
        +sac $99
        lda #$01
        +sac $00
        lda $d019
        sta $d019
        lda #$2f
        sta $d012
        lda #$63
        sta $d03c
        lda #<dtv_irq
        sta $0314
        lda #>dtv_irq
        sta $0315
        lda $a6
        bne bonuslevel
        lda #<(639-280)
        sta xendpos1+1
        lda #>(639-280)
        sta xendpos2+1
        lda #<(400-240)
        sta yendpos1+1
        lda #>(400-240)
        sta yendpos2+1
        +bra no_bonuslevel
bonuslevel:     
        lda #<(320-288)
        sta xendpos1+1
        lda #>(320-288)
        sta xendpos2+1
        lda #<0
        sta yendpos1+1
        lda #>0
        sta yendpos2+1
no_bonuslevel:        
        jsr setpos
        jsr calcnew
font_pos_mid:
        LDA #>$100000
        STA $D04A ; LINEAR COUNT BSTART
font_pos_high:
        LDA #^$100000
        STA $D04B ;LINEAR COUNT BSTART bank
animrotate:
        lda #$01
        beq font_change_end
font_change_loop:
        lda #$4
        bne no_font_change
        lda #$4
        sta font_change_loop+1        
        lda font_pos_mid+1
        clc
        adc #$40
        sta font_pos_mid+1
        bcc no_font_change
        inc font_pos_high+1
        lda font_pos_high+1
        cmp #^$140000
        bne no_font_change
        lda #^$100000
        sta font_pos_high+1

no_font_change:
        dec font_change_loop+1
font_change_end:
        lda $a6
        beq no_bonuslevel2
        lda xpos
        cmp #<31
        lda xpos+1
        sbc #>31
        bcs bonuslevel2
        lda #$18
        sta setpos_border+1
        lda #31
        sta xpos
        +bra bonuslevel2
no_bonuslevel2:
        lda #$10
        sta setpos_border+1
bonuslevel2:                
;        lda #<(BIG_SCREEN)
;        STA $D03A ; LINEAR COUNT START
;        lda #>(BIG_SCREEN)
;        STA $D03B ; LINEAR COUNT START
        jmp dtv_irq_continue



setpos:
        lda xpos
        eor #$07
        and #$07
setpos_border:
        ora #$10
        sta $d016
        ldx xpos
        lda xpos+1
        lsr
        +sac $22
        ror
        +sac $00
        lsr
        +sac $22
        ror
        +sac $00
        lsr
        +sac $22
        ror
        +sac $00
        stx addxval1+1
        clc
        adc #>(BIG_SCREEN)
        sta addxval2+1
        lda ypos
        eor #$07
        and #$07
        ora #$50
        sta $d011
        lda ypos
        and #$f8
        ldx ypos+1
        asl
        +sac $22
        rol
        +sac $00
        sta addval1+1
        stx addval2+1
        asl
        +sac $22
        rol
        +sac $00
        asl
        +sac $22
        rol
        +sac $00
        clc
addval1:adc #$00
        +sac $22
addval2:adc #$00
        +sac $00
        clc
addxval1:
        adc #$00
        +sac $22
addxval2:
        adc #$00
        +sac $00
        sta $d03a
        stx $d03b
        rts

calcnew:
        lda $44
        sec
        sbc #7
        bcs +
        lda #$00
+       ldx #$00
        ldy #$04
-
        asl
        +sac $22
        rol
        +sac $00
        dey
        bne -
        sec
        sbc #$09
        bcs +
        dex
        bpl +
        clc
        adc #$09
        inx
+
        sec
        sbc xpos
        +sac $22
        sbc xpos+1
        +sac $00
        bcs xgreater
        ldy #$02
        cpx #$ff
        bne +
        cmp #$d0
        bcc +
        ldy #$01
+       lda xpos
        cmp #<24
        lda xpos+1
        sbc #>24
        bcc xsmaller
-       lda xpos
        bne +
        dec xpos+1
+       dec xpos
        dey
        bne -
        +bra xsmaller
xgreater:
        cmp #$00
        bne +
        cpx #$00
        beq xsmaller
+       ldy #$02
        cpx #$00
        bne +
        cmp #$30
        bcs +
        ldy #$01
+       lda xpos
xendpos1:
        cmp #<(639-280)
        lda xpos+1
xendpos2:
        sbc #>(639-280)
        bcs xsmaller
        lda $a6 ; test auf bonuslevel
        bne xsmaller
-       inc xpos
        bne +
        inc xpos+1
+       dey
        bne -
xsmaller:        


        lda $45
        sec
        sbc #7
        bcs +
        lda #$00
+       ldx #$00
        ldy #$04
-
        asl
        +sac $22
        rol
        +sac $00
        dey
        bne -
        sec
;        sbc #$09
;        bcs +
;        dex
;        bpl +
;        clc
;        adc #$09
;        inx
;+
        sec
        sbc ypos
        +sac $22
        sbc ypos+1
        +sac $00
        bcs ygreater
        ldy #$02
        cpx #$ff
        bne +
        cmp #$d8
        bcc +
        ldy #$01
+       lda ypos
        cmp #<1
        lda ypos+1
        sbc #>1
        bcc ysmaller
-       lda ypos
        bne +
        dec ypos+1
+       dec ypos
        dey
        bne -
        +bra ysmaller
ygreater:
        cmp #$00
        bne +
        cpx #$00
        beq ysmaller
+       ldy #$02
        cpx #$00
        bne +
        cmp #$28
        bcs +
        ldy #$01
+       lda ypos
yendpos1:
        cmp #<(400-240)
        lda ypos+1
yendpos2:
        sbc #>(400-240)
        bcs ysmaller
-       inc ypos
        bne +
        inc ypos+1
+       dey
        bne -
ysmaller:        
        rts
                
d000tab:
        !byte $18, $27 , $48, $27, $78, $27, $a8, $27, $d8, $27, $08, $27, $38, $27, $00, $00
        !byte $e0

char_start_adresses_low:
        !byte <$2c00, <$2c01, <$2c02, <$2c40, <$2c41, <$2c42, <$2c80, <$2c81, <$2c82
        !byte <$2cc0, <$2cc1, <$2cc2, <$2d00, <$2d01, <$2d02, <$2d40, <$2d41, <$2d42
        !byte <$2d80, <$2d81

char_start_adresses_high:
        !byte >$2c00, >$2c01, >$2c02, >$2c40, >$2c41, >$2c42, >$2c80, >$2c81, >$2c82
        !byte >$2cc0, >$2cc1, >$2cc2, >$2d00, >$2d01, >$2d02, >$2d40, >$2d41, >$2d42
        !byte >$2d80, >$2d81
        
set_charset_in_border:
        ldx #$00
set_char_loop:
        txa
        pha
        asl
        tay
        lda $0c00,y
        ldy #$00
        asl
        asl
        asl
        bcc +
        ldy #$01
+       clc
        adc #<charset_for_tab
        sta charsource+1
        tya
        adc #>charset_for_tab
        sta charsource+2
        lda char_start_adresses_low,x
        sta chardest+1
        lda char_start_adresses_high,x
        sta chardest+2
        ldx #$00
        ldy #$00
charsource:
        lda $ffff,x
chardest:
        sta $ffff,y
        inx
        iny
        iny
        iny
        cpx #$08
        bne charsource
        pla
        tax
        inx
        cpx #20
        bne set_char_loop
        rts

convert_charset:
;        lda #$00
;        bne end_convert_charset
;        inc convert_charset+1
        lda #<charset
        sta $02
        lda #>charset
        sta $03
        lda #<charset_for_tab
        sta $04
        lda #>charset_for_tab
        sta $05
        lda #$00
        sta $06
        sta $07
convert_charset_loop:
        ldy #$00
        lda ($02),y
        sta $08
        inc $03
        ldy #$a0
        lda ($02),y
        sta $09
        dec $03
        ldx #$08
-       asl $09
        rol $08
        asl $09
        rol $08
        rol
        dex
        bne -
        ldy #$00
        sta ($04),y
        inc $02
        bne +
        inc $03
+       inc $04
        bne +
        inc $05
+        

        inc $06
        bne convert_charset_loop
        inc $07
        lda $07
        and #$01
        bne convert_charset_loop
end_convert_charset:
        rts
        

CS_SPACE = 0
CS_DIRT = 1
CS_WALL = 5
CS_DIAMOND = 6
CS_FIREFLY = $16
CS_BUTTERFLY = $26
CS_AMOEBA = $36
CS_BOULDER = $46
CS_STEEL = $49
CS_ROCKFORD = $4a
CS_EXPLOSION1 = $5a
CS_EXPLOSION2 = $5b
CS_EXPLOSION3 = $5c
CS_MAGIC = $5d
CS_DIAMANT_BIRTH1 = $6d
CS_DIAMANT_BIRTH2 = $6e
CS_DIAMANT_BIRTH3 = $0f
CS_ROCKFORD_RIGHT = $70
CS_ROCKFORD_LEFT = $80
CS_ROCKFORD_DOWN = $90
CS_ROCKFORD_UP = $a0
;CS_ROCKFORD_S_RIGHT = $b0
;CS_ROCKFORD_S_LEFT = $c0

OBJ_SPACE = $00
OBJ_DIRT = $01
OBJ_WALL = $02
OBJ_DIAMOND = $14
OBJ_FIREFLY = $08
OBJ_BUTTERFLY = $30
OBJ_ROCKFORD = $38
OBJ_AMOEBA = $3A
OBJ_BOULDER = $10
OBJ_STEEL = $07
OBJ_EXIT = $04
OBJ_EXIT_OPEN = $05

OBJ_EXPLOSION1 = $1d
OBJ_EXPLOSION2 = $1e
OBJ_EXPLOSION3 = $1f
OBJ_EXPLOSION4 = $20
OBJ_EXPLOSION5 = $21

OBJ_DIAMANT_EXPLOSION1 =$18
OBJ_DIAMANT_EXPLOSION2 =$19
OBJ_DIAMANT_EXPLOSION3 =$1a
OBJ_DIAMANT_EXPLOSION4 =$1b
OBJ_DIAMANT_EXPLOSION5 =$1c
OBJ_MAGIC = $03


CH_ROCKFORD_NORMAL = $4C
CH_ROCKFORD_RIGHT = $80
CH_ROCKFORD_LEFT = $82
CH_ROCKFORD_DOWN = $84
CH_ROCKFORD_UP = $86

CH_EXPLOSION1 = $66
CH_EXPLOSION2 = $68
CH_EXPLOSION3 = $6a

CH_DIAMOND_BIRTH1 = $24
CH_DIAMOND_BIRTH2 = $26
CH_DIAMOND_BIRTH3 = $28
CH_DIAMOND_BIRTH4 = $2a
CH_DIAMOND_BIRTH5 = $2c

initial_set_test_end:
        rts
        
init_font_elements:
        lda #$00
        bne initial_set_test_end
        lda #$ff
        sta init_font_elements+1

        ldx #$00
-       lda blttab,x
        sta $d320,x
        inx
        cpx #$20
        bne -

         
        ldy #CS_SPACE
        ldx #OBJ_SPACE
        lda #$00
        jsr set_new_font_element
        ldy #CS_SPACE
        ldx #OBJ_EXIT_OPEN
        lda #$00
        jsr set_new_font_element

        ldy #CS_DIRT
        ldx #OBJ_DIRT
        lda #$00
        jsr set_new_font_element
        ldy #CS_WALL
        ldx #OBJ_WALL
        lda #$00
        jsr set_new_font_element
        ldy #CS_DIAMOND
        ldx #OBJ_DIAMOND
        lda #$01
        jsr set_new_font_element
        ldy #CS_FIREFLY
        ldx #OBJ_FIREFLY
        lda #$01
        jsr set_new_font_element
        ldy #CS_BUTTERFLY
        ldx #OBJ_BUTTERFLY
        lda #$01
        jsr set_new_font_element
        ldy #CS_ROCKFORD
        ldx #OBJ_ROCKFORD
        lda #$01
        jsr set_new_font_element
        ldy #CS_AMOEBA
        ldx #OBJ_AMOEBA
        lda #$01
        jsr set_new_font_element
        ldy #CS_BOULDER
        ldx #OBJ_BOULDER
        lda #$00
        jsr set_new_font_element
        ldy #CS_STEEL
        ldx #OBJ_STEEL
        lda #$00
        jsr set_new_font_element
        ldy #CS_STEEL
        ldx #OBJ_EXIT
        lda #$00
        jsr set_new_font_element

        ldy #CS_EXPLOSION1
        ldx #CH_EXPLOSION1
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_EXPLOSION2
        ldx #CH_EXPLOSION2
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_EXPLOSION3
        ldx #CH_EXPLOSION3
        lda #$00
        jsr set_new_font_element_with_charsetoffset
        
        ldy #CS_EXPLOSION3
        ldx #CH_DIAMOND_BIRTH1
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_EXPLOSION1
        ldx #CH_DIAMOND_BIRTH2
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_DIAMANT_BIRTH1
        ldx #CH_DIAMOND_BIRTH3
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_DIAMANT_BIRTH2
        ldx #CH_DIAMOND_BIRTH4
        lda #$00
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_DIAMANT_BIRTH3
        ldx #CH_DIAMOND_BIRTH5
        lda #$00
        jsr set_new_font_element_with_charsetoffset
        
        ldy #CS_ROCKFORD_RIGHT
        ldx #CH_ROCKFORD_RIGHT
        lda #$01
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_ROCKFORD_LEFT
        ldx #CH_ROCKFORD_LEFT
        lda #$01
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_ROCKFORD_DOWN
        ldx #CH_ROCKFORD_DOWN
        lda #$01
        jsr set_new_font_element_with_charsetoffset

        ldy #CS_ROCKFORD_UP
        ldx #CH_ROCKFORD_UP
        lda #$01
        jsr set_new_font_element_with_charsetoffset


        ldy #CS_WALL
        ldx #OBJ_MAGIC
        lda #$00
        jsr set_new_font_element
        ldy #CS_MAGIC
        ldx #$7c
        lda #$01
        jsr set_new_font_element_with_charsetoffset
-       lda blt_status
        lsr
        bcs -
        rts        

activate_magic_wall_gfx:
        ldy #CS_MAGIC
        ldx #OBJ_MAGIC
        lda #$01
        jmp set_new_font_element

deactivate_magic_wall_gfx:
        ldy #CS_MAGIC+8
        ldx #OBJ_MAGIC
        lda #$00
        jmp set_new_font_element

reset_magic_wall_gfx:
        ldy #CS_WALL
        ldx #OBJ_MAGIC
        lda #$00
        jmp set_new_font_element


blttab:
tab_blt_a_low:              !byte 0         ; = $d320
tab_blt_a_mid:              !byte 0         ; = $d321
tab_blt_a_high:             !byte 4         ; = $d322
tab_blt_a_mod_low:          !byte 0         ; = $d323
tab_blt_a_mod_mid:          !byte 0        ; = $d324
tab_blt_a_llength_low:      !byte $ff       ; = $d325
tab_blt_a_llength_mid:      !byte $ff       ; = $d326
tab_blt_a_frac_step:        !byte 16        ; = $d327

tab_blt_b_low:              !byte 0         ; = $d328
tab_blt_b_mid:              !byte 0         ; = $d329
tab_blt_b_high:             !byte 0         ; = $d32a
tab_blt_b_mod_low:          !byte 0         ; = $d32b
tab_blt_b_mod_mid:          !byte 0         ; = $d32c
tab_blt_b_llength_low:      !byte 0         ; = $d32d
tab_blt_b_llength_mid:      !byte 0         ; = $d32e
tab_blt_b_frac_step:        !byte 0         ; = $d32f

tab_blt_d_low:              !byte <$100000   ; = $d330
tab_blt_d_mid:              !byte >$100000   ; = $d331
tab_blt_d_high:             !byte ^$100000   ; = $d332
tab_blt_d_mod_low:          !byte 0         ; = $d333
tab_blt_d_mod_mid:          !byte 0         ; = $d334
tab_blt_d_llength_low:      !byte $ff       ; = $d335
tab_blt_d_llength_mid:      !byte $ff       ; = $d336
tab_blt_d_frac_step:        !byte 16        ; = $d337

tab_blt_length_low:         !byte <128      ; = $d338
tab_blt_length_mid:         !byte >128      ; = $d339
tab_blt_ctrl_0:             !byte 0         ; = $d33a
tab_blt_ctrl_1:             !byte %001      ; = $d33b
                            !byte 0         ; = $d33c
                            !byte 0         ; = $d33d
tab_blt_shift:              !byte %11000    ; = $d33e
tab_blt_status:             !byte 0         ; = $d33f
                
set_zee_colors:
        ldx #$1f
-       lda zee_colors,x
        sta $d200,x
        dex
        bpl -
        rts
                
zee_colors:
        !byte $00, $0f, $35, $bc, $67, $e9, $84, $1e
        !byte $27, $14, $39, $05, $09, $ee, $89, $0c

set_new_font_element_with_charsetoffset:
        ;in x character
        ;in y source grafik number
        ;in a step for source
        cmp #$00
        bne +
        lda #$ea
        !byte $2c
+       lda #$c8
        sta iny_code
        lda #$10
        sta help
        lda #^$100000
        sta blt_high_dest+1
        txa
        lsr
        lsr
        +bra set_new_font_element_continue
        
set_new_font_element:
        ;in x object
        ;in y source grafik number
        ;in a step for source
        cmp #$00
        bne +
        lda #$ea
        !byte $2c
+       lda #$c8
        sta iny_code
        lda #$10
        sta help
        lda #^$100000
        sta blt_high_dest+1
        lda	obj_to_charset_tab,x
        lsr
        lsr
set_new_font_element_continue:
        sta blt_d_mid_copy+1
        lda #$00
        bcc +
        lda #$80
+       sta blt_d_low_copy+1
set_new_element_loop:
-       lda blt_status
        lsr
        bcs -
blt_d_mid_copy:
        lda #$00
        sta blt_d_mid
blt_d_low_copy:
        lda #$00
        sta blt_d_low
        lda #$00
        sta blt_a_low
        tya
        sta blt_a_mid
blt_high_dest:
        lda #$00
        sta blt_d_high                
        lda #%00001011
        sta blt_ctrl_0
-       lda blt_status
        lsr
        bcs -
        lda #$80
        sta blt_a_low
        lda blt_d_mid_copy+1
        clc
        adc #>(64*16)
        sta blt_d_mid
        lda #%00001011
        sta blt_ctrl_0
        lda blt_d_mid_copy+1
        clc
        adc #$40
        sta blt_d_mid_copy+1
        bcc iny_code
        inc blt_high_dest+1
iny_code:
        nop
        dec help
        bne set_new_element_loop
        rts

set_object_special:				; CODE XREF: set_explosion+8
					; ROM:70F4 !!!
		STA	$8A
		STA	($32),Y
		LDA	$92
		ASL	
		TAX	
		LDA	$91
		ASL	
		CLC	
		ADC	big_screen_line_addresses,X
		STA	$34
		LDA	#0
		ADC	big_screen_line_addresses+1,X
		STA	$35
		JSR	sub_7033
		JSR	plot_4size_special
		LDA	$8A
		RTS	


plot_4size_special:	    ; CODE XREF: set_object+1B ROM:707F
        lda $8b
        and #$0f
        tax
        lda rockfordtab,x
		LDY	#0
		STA	($36),Y
		CLC	
		ADC	#1
		INY	
		STA	($36),Y
		ADC	#$F
		LDY	#$50 ; 'P'
		STA	($36),Y
		ADC	#1
		INY	
		STA	($36),Y
		RTS	


!macro initspritex {
         lda #$18
         sta $d000
         lda #$18+$30
         sta $d002
         lda #$18+$30*2
         sta $d004
         lda #$18+$30*3
         sta $d006
         lda #$18+$30*4
         sta $d008
         lda #<($18+$30*5)
         sta $d00a
         lda #<($18+$30*6)
         sta $d00c
         lda #<($18+$30*7)
         sta $d00e
         lda #$e0
         sta $d010
}

!macro subxcoord .v {
         lda $d000+(.v*2)
         bne +
         lda $d010
         eor #(1 <<.v)
         sta $d010
         and #(1 <<.v)
         beq +
         lda #$f8
         sta $d000+(.v*2)
+        dec $d000+(.v*2)
         dec $d000+(.v*2)
}
        
init_sprites:
        lda #$00
        sta spritedowncount
        lda #<scrolltext
        ldx #>scrolltext
        jsr set_text
        +initspritex
        ldx #00
        lda #$00
-       sta $2c00,x
        sta $2d00,x
        inx
        bne -
                          
        ldx #07
        sec
        lda #($2c00/64)+7
-       sta $0bf8,x
        sbc #1
        dex
        bpl -

        ldx #$0e
        lda #$e0
-       sta $d001,x
        dex
        dex
        bpl -
        
        ldx #07
        lda #$01
-       sta $d027,x
        dex
        bpl -
                 
        lda #$ff
        sta $d015
        sta $d01d
        lda #$00
        sta $d017
        sta $d01b
        sta $d01c
        rts


movesprite:
        lda spritedowncount
        bne +
        lda #$18
        sta spritedowncount
        ldx #00
        lda $0bf8
        pha
-
        lda $0bf9,x
        sta $0bf8,x
        inx
        cpx #$08
        bne -
        pla
        sta $0bff
        +initspritex
        
        jsr getchar
        ldx $0bff
        ldy #00
        jsr plotchar
        jsr getchar
        ldx $0bff
        ldy #01
        jsr plotchar
        jsr getchar
        ldx $0bff
        ldy #02
        jsr plotchar

+
        +subxcoord 0
        +subxcoord 1
        +subxcoord 2
        +subxcoord 3
        +subxcoord 4
        +subxcoord 5
        +subxcoord 6
        +subxcoord 7
sprite_end:
        dec spritedowncount
        rts       

set_text:
        sei
        sta getchar+1
        stx getchar+2
        cli
        rts

getchar:
        lda scrolltext
        beq no_char
        inc getchar+1
        bne +
        inc getchar+2
+       rts
        
no_char:
        lda #$20
        rts


plotchar:
        ;in x spritenr
        ;in y 0,1 or 2 for position
        ;in a char
        pha
        txa
        ldx #0
        lsr
        bcc +
        inx
+        lsr
        bcc +
        inx
        inx
        
+
        sta spritedest+2
        lda spritelowtab,x
        sta spritedest+1
        lda #00
        sta temp
        pla
        asl
        rol temp
        asl
        rol temp
        asl
        rol temp
        adc #<charset_for_tab
        sta spritesource+1
        lda temp
        adc #>charset_for_tab
        sta spritesource+2

        ldx #00
spritesource
        lda $ffff,x
spritedest
        sta $ffff,y
        iny
        iny
        iny
        inx
        cpx #08
        bne spritesource        
        rts

scrolltext:
        !byte $3c, $3e, $3c, $20, $2b, $25, $39, $33
        !byte $20, $35, $33, $25, $24, $20, $29, $2e
        !byte $20, $34, $28, $29, $33, $20, $27, $21
        !byte $2d, $25, $20, $1a, $20, $24, $34, $36
        !byte $20, $22, $35, $34, $34, $2f, $2e, $20
        !byte $21, $20, $2f, $32, $20, $26, $11, $20
        !byte $1a, $20, $27, $2f, $34, $2f, $20, $23
        !byte $2f, $2e, $26, $29, $27, $35, $32, $21
        !byte $34, $29, $2f, $2e, $20, $33, $23, $32
        !byte $25, $25, $2e, $20, $3c, $3e, $3c, $20
        !byte $24, $34, $36, $20, $22, $35, $34, $34
        !byte $2f, $2e, $20, $23, $20, $2f, $32, $20
        !byte $33, $30, $21, $23, $25, $20, $1a, $20
        !byte $27, $2f, $34, $2f, $20, $30, $21, $35
        !byte $33, $25, $20, $2d, $2f, $24, $25, $20
        !byte $3c, $3e, $3c, $20, $32, $35, $2e, $0f
        !byte $33, $34, $2f, $30, $20, $2f, $32, $20
        !byte $24, $34, $36, $20, $22, $35, $34, $34
        !byte $2f, $2e, $20, $24, $20, $1a, $20, $33
        !byte $35, $32, $32, $25, $2e, $24, $25, $32
        !byte $20, $2c, $25, $36, $25, $2c, $20, $3c
        !byte $3e, $3c, $20, $32, $25, $33, $34, $2f
        !byte $32, $25, $20, $1a, $20, $32, $25, $33
        !byte $25, $34, $20, $27, $21, $2d, $25, $20
        !byte $3c, $3e, $3c, $20, $2e, $2f, $37, $20
        !byte $30, $32, $25, $33, $33, $20, $24, $34
        !byte $36, $20, $22, $35, $34, $34, $2f, $2e
        !byte $20, $21, $20, $2f, $32, $20, $33, $30
        !byte $21, $23, $25, $20, $34, $2f, $20, $27
        !byte $2f, $20, $2f, $2e, $20, $3c, $3e, $3c
        !byte $20, $20, $00

spritelowtab:
        !byte $00,$40,$80,$c0

temp:   !byte 0

spritedowncount:
        !byte 0


dtv_possible_flag:
        !byte 0
        
rockfordtab:
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_RIGHT
        !byte CH_ROCKFORD_RIGHT
        !byte CH_ROCKFORD_RIGHT
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_LEFT
        !byte CH_ROCKFORD_LEFT
        !byte CH_ROCKFORD_LEFT
        !byte CH_ROCKFORD_NORMAL
        !byte CH_ROCKFORD_DOWN
        !byte CH_ROCKFORD_UP
        !byte CH_ROCKFORD_NORMAL
        
        
level_offsets:	
        !WORD cave01-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave02-caves
		!WORD cave03-caves
		!WORD cave04-caves
		!WORD cave05-caves
		!WORD cave06-caves
		!WORD cave07-caves
		!WORD cave08-caves
		!WORD cave09-caves
		!WORD cave10-caves
		!WORD cave11-caves
		!WORD cave12-caves
		!WORD cave13-caves
		!WORD cave14-caves
		!WORD cave15-caves
		!WORD cave16-caves
		!WORD cave17-caves
		!WORD cave18-caves
		!WORD cave19-caves
		!WORD cave20-caves

        !WORD cave21-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave22-caves
		!WORD cave23-caves
		!WORD cave24-caves
		!WORD cave25-caves
		!WORD cave26-caves
		!WORD cave27-caves
		!WORD cave28-caves
		!WORD cave29-caves
		!WORD cave30-caves
		!WORD cave31-caves
		!WORD cave32-caves
		!WORD cave33-caves
		!WORD cave34-caves
		!WORD cave35-caves
		!WORD cave36-caves
		!WORD cave37-caves
		!WORD cave38-caves
		!WORD cave39-caves
		!WORD cave40-caves

        !WORD cave41-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave42-caves
		!WORD cave43-caves
		!WORD cave44-caves
		!WORD cave45-caves
		!WORD cave46-caves
		!WORD cave47-caves
		!WORD cave48-caves
		!WORD cave49-caves
		!WORD cave50-caves
		!WORD cave51-caves
		!WORD cave52-caves
		!WORD cave53-caves
		!WORD cave54-caves
		!WORD cave55-caves
		!WORD cave56-caves
		!WORD cave57-caves
		!WORD cave58-caves
		!WORD cave59-caves
		!WORD cave60-caves

        !WORD cave61-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave62-caves
		!WORD cave63-caves
		!WORD cave64-caves
		!WORD cave65-caves
		!WORD cave66-caves
		!WORD cave67-caves
		!WORD cave68-caves
		!WORD cave69-caves
		!WORD cave70-caves
		!WORD cave71-caves
		!WORD cave72-caves
		!WORD cave73-caves
		!WORD cave74-caves
		!WORD cave75-caves
		!WORD cave76-caves
		!WORD cave77-caves
		!WORD cave78-caves
		!WORD cave79-caves
		!WORD cave80-caves

        !WORD cave81-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave82-caves
		!WORD cave83-caves
		!WORD cave84-caves
		!WORD cave85-caves
		!WORD cave86-caves
		!WORD cave87-caves
		!WORD cave88-caves
		!WORD cave89-caves
		!WORD cave90-caves
		!WORD cave91-caves
		!WORD cave92-caves
		!WORD cave93-caves
		!WORD cave94-caves
		!WORD cave95-caves
		!WORD cave96-caves
		!WORD cave97-caves
		!WORD cave98-caves
		!WORD cave99-caves
		!WORD cave100-caves

        !WORD cave101-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave102-caves
		!WORD cave103-caves
		!WORD cave104-caves
		!WORD cave105-caves
		!WORD cave106-caves
		!WORD cave107-caves
		!WORD cave108-caves
		!WORD cave109-caves
		!WORD cave110-caves
		!WORD cave111-caves
		!WORD cave112-caves
		!WORD cave113-caves
		!WORD cave114-caves
		!WORD cave115-caves
		!WORD cave116-caves
		!WORD cave117-caves
		!WORD cave118-caves
		!WORD cave119-caves
		!WORD cave120-caves

        !WORD cave121-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave122-caves
		!WORD cave123-caves
		!WORD cave124-caves
		!WORD cave125-caves
		!WORD cave126-caves
		!WORD cave127-caves
		!WORD cave128-caves
		!WORD cave129-caves
		!WORD cave130-caves
		!WORD cave131-caves
		!WORD cave132-caves
		!WORD cave133-caves
		!WORD cave134-caves
		!WORD cave135-caves
		!WORD cave136-caves
		!WORD cave137-caves
		!WORD cave138-caves
		!WORD cave139-caves
		!WORD cave140-caves

        !WORD cave141-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave142-caves
		!WORD cave143-caves
		!WORD cave144-caves
		!WORD cave145-caves
		!WORD cave146-caves
		!WORD cave147-caves
		!WORD cave148-caves
		!WORD cave149-caves
		!WORD cave150-caves
		!WORD cave151-caves
		!WORD cave152-caves
		!WORD cave153-caves
		!WORD cave154-caves
		!WORD cave155-caves
		!WORD cave156-caves
		!WORD cave157-caves
		!WORD cave158-caves
		!WORD cave159-caves
		!WORD cave160-caves

        !WORD cave161-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave162-caves
		!WORD cave163-caves
		!WORD cave164-caves
		!WORD cave165-caves
		!WORD cave166-caves
		!WORD cave167-caves
		!WORD cave168-caves
		!WORD cave169-caves
		!WORD cave170-caves
		!WORD cave171-caves
		!WORD cave172-caves
		!WORD cave173-caves
		!WORD cave174-caves
		!WORD cave175-caves
		!WORD cave176-caves
		!WORD cave177-caves
		!WORD cave178-caves
		!WORD cave179-caves
		!WORD cave180-caves

        !WORD cave181-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave182-caves
		!WORD cave183-caves
		!WORD cave184-caves
		!WORD cave185-caves
		!WORD cave186-caves
		!WORD cave187-caves
		!WORD cave188-caves
		!WORD cave189-caves
		!WORD cave190-caves
		!WORD cave191-caves
		!WORD cave192-caves
		!WORD cave193-caves
		!WORD cave194-caves
		!WORD cave195-caves
		!WORD cave196-caves
		!WORD cave197-caves
		!WORD cave198-caves
		!WORD cave199-caves
		!WORD cave200-caves

        !WORD cave201-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave202-caves
		!WORD cave203-caves
		!WORD cave204-caves
		!WORD cave205-caves
		!WORD cave206-caves
		!WORD cave207-caves
		!WORD cave208-caves
		!WORD cave209-caves
		!WORD cave210-caves
		!WORD cave211-caves
		!WORD cave212-caves
		!WORD cave213-caves
		!WORD cave214-caves
		!WORD cave215-caves
		!WORD cave216-caves
		!WORD cave217-caves
		!WORD cave218-caves
		!WORD cave219-caves
		!WORD cave220-caves

        !WORD cave221-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave222-caves
		!WORD cave223-caves
		!WORD cave224-caves
		!WORD cave225-caves
		!WORD cave226-caves
		!WORD cave227-caves
		!WORD cave228-caves
		!WORD cave229-caves
		!WORD cave230-caves
		!WORD cave231-caves
		!WORD cave232-caves
		!WORD cave233-caves
		!WORD cave234-caves
		!WORD cave235-caves
		!WORD cave236-caves
		!WORD cave237-caves
		!WORD cave238-caves
		!WORD cave239-caves
		!WORD cave240-caves

        !WORD cave241-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave242-caves
		!WORD cave243-caves
		!WORD cave244-caves
		!WORD cave245-caves
		!WORD cave246-caves
		!WORD cave247-caves
		!WORD cave248-caves
		!WORD cave249-caves
		!WORD cave250-caves
		!WORD cave251-caves
		!WORD cave252-caves
		!WORD cave253-caves
		!WORD cave254-caves
		!WORD cave255-caves
		!WORD cave256-caves
		!WORD cave257-caves
		!WORD cave258-caves
		!WORD cave259-caves
		!WORD cave260-caves

        !WORD cave261-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave262-caves
		!WORD cave263-caves
		!WORD cave264-caves
		!WORD cave265-caves
		!WORD cave266-caves
		!WORD cave267-caves
		!WORD cave268-caves
		!WORD cave269-caves
		!WORD cave270-caves
		!WORD cave271-caves
		!WORD cave272-caves
		!WORD cave273-caves
		!WORD cave274-caves
		!WORD cave275-caves
		!WORD cave276-caves
		!WORD cave277-caves
		!WORD cave278-caves
		!WORD cave279-caves
		!WORD cave280-caves

        !WORD cave281-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave282-caves
		!WORD cave283-caves
		!WORD cave284-caves
		!WORD cave285-caves
		!WORD cave286-caves
		!WORD cave287-caves
		!WORD cave288-caves
		!WORD cave289-caves
		!WORD cave290-caves
		!WORD cave291-caves
		!WORD cave292-caves
		!WORD cave293-caves
		!WORD cave294-caves
		!WORD cave295-caves
		!WORD cave296-caves
		!WORD cave297-caves
		!WORD cave298-caves
		!WORD cave299-caves
		!WORD cave300-caves

        !WORD cave301-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave302-caves
		!WORD cave303-caves
		!WORD cave304-caves
		!WORD cave305-caves
		!WORD cave306-caves
		!WORD cave307-caves
		!WORD cave308-caves
		!WORD cave309-caves
		!WORD cave310-caves
		!WORD cave311-caves
		!WORD cave312-caves
		!WORD cave313-caves
		!WORD cave314-caves
		!WORD cave315-caves
		!WORD cave316-caves
		!WORD cave317-caves
		!WORD cave318-caves
		!WORD cave319-caves
		!WORD cave320-caves

        !WORD cave321-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave322-caves
		!WORD cave323-caves
		!WORD cave324-caves
		!WORD cave325-caves
		!WORD cave326-caves
		!WORD cave327-caves
		!WORD cave328-caves
		!WORD cave329-caves
		!WORD cave330-caves
		!WORD cave331-caves
		!WORD cave332-caves
		!WORD cave333-caves
		!WORD cave334-caves
		!WORD cave335-caves
		!WORD cave336-caves
		!WORD cave337-caves
		!WORD cave338-caves
		!WORD cave339-caves
		!WORD cave340-caves

        !WORD cave341-caves			; DATA XREF: copy_level_to_abs+12
					; copy_level_to_abs+19
		!WORD cave342-caves
		!WORD cave343-caves
		!WORD cave344-caves
		!WORD cave345-caves
		!WORD cave346-caves
		!WORD cave347-caves
		!WORD cave348-caves
		!WORD cave349-caves
		!WORD cave350-caves
		!WORD cave351-caves
		!WORD cave352-caves
		!WORD cave353-caves
		!WORD cave354-caves
		!WORD cave355-caves
		!WORD cave356-caves
		!WORD cave357-caves
		!WORD cave358-caves
		!WORD cave359-caves
		!WORD cave360-caves


caves:

cave01:
        !BYTE $14,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$0c,$0c,$0c,$0c,$0c,$96,$6e,$46
        !BYTE $28,$1e,$00,$10,$14,$00,$3c,$32,$09,$00,$42,$01,$09,$1e,$02,$42
        !BYTE $09,$10,$1e,$02,$25,$03,$04,$04,$26,$12,$ff
cave02:
        !BYTE $14,$14,$32,$03,$00,$01,$57,$58,$0a,$0c,$09,$0d,$0a,$96,$6e,$46
        !BYTE $46,$46,$00,$10,$14,$08,$3c,$32,$09,$02,$42,$01,$08,$26,$02,$42
        !BYTE $01,$0f,$26,$02,$42,$08,$03,$14,$04,$42,$10,$03,$14,$04,$42,$18
        !BYTE $03,$14,$04,$42,$20,$03,$14,$04,$40,$01,$05,$26,$02,$40,$01,$0b
        !BYTE $26,$02,$40,$01,$12,$26,$02,$40,$14,$03,$14,$04,$25,$12,$15,$04
        !BYTE $12,$16,$ff
cave03:
        !BYTE $00,$0f,$19,$00,$32,$36,$34,$37,$18,$17,$18,$17,$15,$96,$64,$5a
        !BYTE $50,$46,$02,$10,$14,$00,$64,$32,$09,$00,$25,$03,$04,$04,$27,$14
        !BYTE $ff
cave04:
        !BYTE $14,$05,$14,$00,$6e,$70,$73,$77,$24,$24,$24,$24,$24,$78,$64,$50
        !BYTE $3c,$32,$10,$00,$00,$00,$14,$00,$00,$00,$25,$01,$03,$04,$26,$16
        !BYTE $81,$08,$0a,$04,$04,$00,$30,$0a,$0b,$81,$10,$0a,$04,$04,$00,$30
        !BYTE $12,$0b,$81,$18,$0a,$04,$04,$00,$30,$1a,$0b,$81,$20,$0a,$04,$04
        !BYTE $00,$30,$22,$0b,$ff
cave05:
        !BYTE $14,$32,$5a,$00,$00,$00,$00,$00,$04,$05,$06,$07,$08,$96,$78,$5a
        !BYTE $3c,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$25,$01,$03,$04,$27,$16
        !BYTE $80,$08,$0a,$03,$03,$00,$80,$10,$0a,$03,$03,$00,$80,$18,$0a,$03
        !BYTE $03,$00,$80,$20,$0a,$03,$03,$00,$14,$09,$0c,$08,$0a,$0a,$14,$11
        !BYTE $0c,$08,$12,$0a,$14,$19,$0c,$08,$1a,$0a,$14,$21,$0c,$08,$22,$0a
        !BYTE $80,$08,$10,$03,$03,$00,$80,$10,$10,$03,$03,$00,$80,$18,$10,$03
        !BYTE $03,$00,$80,$20,$10,$03,$03,$00,$14,$09,$12,$08,$0a,$10,$14,$11
        !BYTE $12,$08,$12,$10,$14,$19,$12,$08,$1a,$10,$14,$21,$12,$08,$22,$10
        !BYTE $ff
cave06:
        !BYTE $14,$28,$3c,$00,$14,$15,$16,$17,$04,$06,$07,$08,$08,$96,$78,$64
        !BYTE $5a,$50,$10,$00,$00,$00,$32,$00,$00,$00,$82,$01,$03,$0a,$04,$00
        !BYTE $82,$01,$06,$0a,$04,$00,$82,$01,$09,$0a,$04,$00,$82,$01,$0c,$0a
        !BYTE $04,$00,$41,$0a,$03,$0d,$04,$14,$03,$05,$08,$04,$05,$14,$03,$08
        !BYTE $08,$04,$08,$14,$03,$0b,$08,$04,$0b,$14,$03,$0e,$08,$04,$0e,$82
        !BYTE $1d,$03,$0a,$04,$00,$82,$1d,$06,$0a,$04,$00,$82,$1d,$09,$0a,$04
        !BYTE $00,$82,$1d,$0c,$0a,$04,$00,$41,$1d,$03,$0d,$04,$14,$24,$05,$08
        !BYTE $23,$05,$14,$24,$08,$08,$23,$08,$14,$24,$0b,$08,$23,$0b,$14,$24
        !BYTE $0e,$08,$23,$0e,$25,$03,$14,$04,$26,$14,$ff
cave07:
        !BYTE $4b,$0a,$14,$02,$07,$08,$0a,$09,$0f,$14,$19,$19,$19,$78,$78,$78
        !BYTE $78,$78,$00,$10,$08,$00,$64,$28,$02,$00,$42,$01,$07,$0c,$02,$42
        !BYTE $1c,$05,$0b,$02,$7a,$13,$15,$02,$02,$14,$04,$06,$14,$04,$0e,$14
        !BYTE $04,$16,$14,$22,$04,$14,$22,$0c,$14,$22,$16,$25,$14,$03,$04,$27
        !BYTE $07,$ff
cave08:
        !BYTE $14,$0a,$14,$01,$03,$04,$05,$06,$0a,$0f,$14,$14,$14,$78,$6e,$64
        !BYTE $5a,$50,$00,$10,$08,$00,$5a,$32,$02,$00,$14,$04,$06,$14,$22,$04
        !BYTE $14,$22,$0c,$04,$00,$05,$25,$14,$03,$42,$01,$07,$0c,$02,$42,$01
        !BYTE $0f,$0c,$02,$42,$1c,$05,$0b,$02,$42,$1c,$0d,$0b,$02,$43,$0e,$11
        !BYTE $08,$02,$14,$0c,$10,$00,$0e,$12,$14,$13,$12,$41,$0e,$0f,$08,$02
        !BYTE $ff
cave09:
        !BYTE $14,$05,$0a,$64,$89,$8c,$fb,$33,$4b,$4b,$50,$55,$5a,$96,$96,$82
        !BYTE $82,$78,$10,$14,$00,$00,$f0,$78,$00,$00,$82,$05,$0a,$0d,$0d,$00
        !BYTE $01,$0c,$0a,$82,$19,$0a,$0d,$0d,$00,$01,$1f,$0a,$42,$11,$12,$09
        !BYTE $02,$40,$11,$13,$09,$02,$25,$07,$0c,$04,$08,$0c,$ff
cave10:
        !BYTE $14,$19,$3c,$00,$00,$00,$00,$00,$0c,$0c,$0c,$0c,$0c,$96,$82,$78
        !BYTE $6e,$64,$00,$00,$00,$00,$00,$00,$00,$00,$25,$0d,$03,$04,$27,$16
        !BYTE $54,$05,$04,$11,$03,$54,$15,$04,$11,$05,$80,$05,$0b,$11,$03,$08
        !BYTE $c2,$01,$04,$15,$11,$00,$0d,$04,$c2,$07,$06,$0d,$0d,$00,$0d,$06
        !BYTE $c2,$09,$08,$09,$09,$00,$0d,$08,$c2,$0b,$0a,$05,$05,$00,$0d,$0a
        !BYTE $82,$03,$06,$03,$0f,$08,$00,$04,$06,$54,$04,$10,$04,$04,$ff
cave11:
        !BYTE $14,$32,$00,$00,$04,$66,$97,$64,$06,$06,$06,$06,$06,$78,$78,$96
        !BYTE $96,$f0,$00,$10,$08,$00,$64,$50,$02,$00,$42,$0a,$03,$09,$04,$42
        !BYTE $14,$03,$09,$04,$42,$1e,$03,$09,$04,$42,$09,$16,$09,$00,$42,$0c
        !BYTE $0f,$11,$02,$42,$05,$0b,$09,$02,$42,$0f,$0b,$09,$02,$42,$19,$0b
        !BYTE $09,$02,$42,$1c,$13,$0b,$01,$14,$04,$03,$14,$0e,$03,$14,$18,$03
        !BYTE $14,$22,$03,$14,$04,$16,$14,$23,$15,$25,$14,$14,$04,$26,$11,$ff
cave12:
        !BYTE $14,$14,$19,$00,$3c,$02,$3b,$66,$13,$13,$0e,$10,$15,$b4,$aa,$a0
        !BYTE $a0,$a0,$00,$10,$14,$00,$3c,$32,$09,$00,$42,$0a,$05,$12,$04,$42
        !BYTE $0e,$05,$12,$04,$42,$12,$05,$12,$04,$42,$16,$05,$12,$04,$42,$02
        !BYTE $06,$0b,$02,$42,$02,$0a,$0b,$02,$42,$02,$0e,$0f,$02,$42,$02,$12
        !BYTE $0b,$02,$81,$1e,$04,$04,$04,$00,$08,$20,$05,$81,$1e,$09,$04,$04
        !BYTE $00,$08,$20,$0a,$81,$1e,$0e,$04,$04,$00,$08,$20,$0f,$25,$03,$14
        !BYTE $04,$27,$16,$ff
cave13:
        !BYTE $8c,$05,$08,$00,$01,$02,$03,$04,$32,$37,$3c,$46,$50,$a0,$9b,$96
        !BYTE $91,$8c,$10,$00,$00,$00,$28,$00,$00,$00,$25,$12,$03,$04,$0a,$03
        !BYTE $3a,$14,$03,$42,$05,$12,$1e,$02,$70,$05,$13,$1e,$02,$50,$05,$14
        !BYTE $1e,$02,$c1,$05,$15,$1e,$02,$ff
cave14:
        !BYTE $14,$0a,$14,$00,$00,$00,$00,$00,$1e,$23,$28,$2a,$2d,$96,$91,$8c
        !BYTE $87,$82,$10,$00,$00,$00,$00,$00,$00,$00,$81,$0a,$0a,$0d,$0d,$00
        !BYTE $70,$0b,$0b,$0c,$03,$c1,$0c,$0a,$03,$0d,$c1,$10,$0a,$03,$0d,$c1
        !BYTE $14,$0a,$03,$0d,$50,$16,$08,$0c,$02,$48,$16,$07,$0c,$02,$c1,$17
        !BYTE $06,$03,$04,$c1,$1b,$06,$03,$04,$c1,$1f,$06,$03,$04,$25,$03,$03
        !BYTE $04,$27,$14,$00,$16,$07,$00,$1a,$07,$00,$1e,$07,$ff
cave15:
        !BYTE $08,$0a,$14,$01,$1d,$1e,$1f,$20,$0f,$14,$14,$19,$1e,$78,$78,$78
        !BYTE $78,$8c,$00,$10,$08,$00,$64,$50,$02,$00,$42,$02,$04,$0a,$03,$42
        !BYTE $0f,$0d,$0a,$01,$41,$0c,$0e,$03,$02,$43,$0c,$0f,$03,$02,$04,$14
        !BYTE $16,$25,$14,$03,$ff
cave16:
        !BYTE $14,$0a,$14,$01,$78,$81,$7e,$7b,$0c,$0f,$0f,$0f,$0c,$96,$96,$96
        !BYTE $96,$96,$10,$00,$00,$00,$32,$00,$00,$00,$25,$01,$03,$04,$27,$04
        !BYTE $81,$08,$13,$04,$04,$00,$08,$0a,$14,$c2,$07,$0a,$06,$08,$43,$07
        !BYTE $0a,$06,$02,$81,$10,$13,$04,$04,$00,$08,$12,$14,$c2,$0f,$0a,$06
        !BYTE $08,$43,$0f,$0a,$06,$02,$81,$18,$13,$04,$04,$00,$08,$1a,$14,$81
        !BYTE $20,$13,$04,$04,$00,$08,$22,$14,$ff
!if 1 = 1 {
cave17:
        !BYTE $14,$1e,$32,$0a,$0b,$0c,$0d,$0e,$06,$06,$06,$06,$06,$0a,$0a,$0a
        !BYTE $0a,$0a,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$32,$0a,$0c,$10,$0a,$04,$01,$0a,$05,$25
        !BYTE $03,$05,$04,$12,$0c,$ff
cave18:
        !BYTE $14,$0a,$32,$0a,$0b,$0c,$0d,$0e,$10,$10,$10,$10,$10,$0f,$0f,$0f
        !BYTE $0f,$0f,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$50,$01,$03,$09,$03,$48,$02,$03,$08,$03
        !BYTE $54,$01,$05,$08,$03,$50,$01,$06,$07,$03,$50,$12,$03,$09,$05,$54
        !BYTE $12,$05,$08,$05,$50,$12,$06,$07,$05,$25,$01,$04,$04,$12,$04,$ff
cave19:
        !BYTE $04,$0a,$19,$0a,$0b,$0c,$0d,$0e,$0e,$0e,$0e,$0e,$0e,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$54,$01,$0c,$12,$02,$88,$0f,$09,$04,$04
        !BYTE $08,$25,$08,$03,$04,$12,$07,$ff
cave20:
        !BYTE $03,$1e,$32,$00,$00,$00,$00,$00,$06,$06,$06,$06,$06,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$d0,$0b,$03,$03,$02,$80,$0b,$07,$03,$06
        !BYTE $00,$43,$0b,$06,$03,$02,$43,$0b,$0a,$03,$02,$50,$08,$07,$03,$03
        !BYTE $25,$03,$03,$04,$09,$0a,$ff
} else {
cave17:		!BYTE $11, $14,	$1E, 0,	$A, $B,	$C, $D,	$E, 6, 6, 6, 6
		!BYTE 6, $A, $A, $A, $A, $A, $E, 2, 9, 0, 0, 0,	$14, 0
		!BYTE 0, $FF, 9, 0, 0, $87, 0, 2, $28, $16, 7, $87, 0
		!BYTE 2, $14, $C, 0, $32, $A, $C, $10, $A, 4, 1, $A, 5
		!BYTE $25, 3, 5, 4, $12, $C, $FF
cave18:		!BYTE $12, $14,	$A, 0, $A, $B, $C, $D, $E, $10,	$10, $10
		!BYTE $10, $10,	$F, $F,	$F, $F,	$F, 6, $F, 9, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	0, $87,	0, 2, $28, $16,	7, $87
		!BYTE 0, 2, $14, $C, 1,	$50, 1,	3, 9, 3, $48, 2, 3, 8
		!BYTE 3, $54, 1, 5, 8, 3, $50, 1, 6, 7,	3, $50,	$12, 3
		!BYTE 9, 5, $54, $12, 5, 8, 5, $50, $12, 6, 7, 5, $25
		!BYTE 1, 4, 4, $12, 4, $FF
cave19:		!BYTE $13, 4, $A, 0, $A, $B, $C, $D, $E, $E, $E, $E, $E
		!BYTE $E, $14, $14, $14, $14, $14, 6, 8, 9, 0, 0, 0, 0
		!BYTE 0, 0, 0, 0, 0, 0,	$87, 0,	2, $28,	$16, 7,	$87, 0
		!BYTE 2, $14, $C, 0, $54, 1, $C, $12, 2, $88, $F, 9, 4
		!BYTE 4, 8, $25, 8, 3, 4, $12, 7, $FF
cave20:		!BYTE $14, 3, $1E, 0, 0, 0, 0, 0, 0, 6,	6, 6, 6, 6, $14
		!BYTE $14, $14,	$14, $14, 6, 8,	9, 0, 0, 0, 0, 0, 0, 0
		!BYTE 0, 0, 0, $87, 0, 2, $28, $16, 7, $87, 0, 2, $14
		!BYTE $C, 1, $D0, $B, 3, 3, 2, $80, $B,	7, 3, 6, 0, $43
		!BYTE $B, 6, 3,	2, $43,	$B, $A,	3, 2, $50, 8, 7, 3, 3
		!BYTE $25, 3, 3, 4, 9, $A, $FF
}
cave21:
        !BYTE $14,$0a,$0f,$0a,$bb,$0c,$ad,$0f,$50,$50,$50,$50,$50,$96,$6e,$6e
        !BYTE $6e,$6e,$01,$00,$10,$14,$fe,$40,$40,$25,$42,$01,$04,$0d,$03,$42
        !BYTE $1f,$03,$0a,$05,$42,$01,$14,$20,$02,$c2,$0e,$09,$05,$05,$c2,$1b
        !BYTE $09,$08,$07,$01,$10,$0d,$01,$1d,$0f,$25,$10,$0a,$04,$08,$17,$ff
cave22:
        !BYTE $14,$0f,$14,$08,$80,$90,$a0,$b3,$32,$32,$32,$32,$32,$96,$6e,$6e
        !BYTE $6e,$6e,$01,$10,$00,$00,$10,$20,$00,$00,$c2,$02,$0a,$06,$07,$c2
        !BYTE $09,$0a,$05,$07,$c2,$12,$0a,$05,$07,$c2,$18,$0a,$08,$07,$d4,$03
        !BYTE $0b,$04,$05,$d4,$0a,$0b,$03,$05,$d4,$13,$0b,$03,$05,$d4,$19,$0b
        !BYTE $06,$05,$48,$11,$03,$06,$04,$25,$05,$17,$04,$04,$17,$01,$05,$16
        !BYTE $ff
cave23:
        !BYTE $40,$0a,$0f,$01,$22,$03,$04,$05,$28,$28,$28,$28,$28,$c9,$96,$96
        !BYTE $6e,$6e,$00,$03,$10,$14,$30,$70,$40,$10,$04,$04,$04,$25,$05,$05
        !BYTE $ff
cave24:
        !BYTE $4b,$0f,$14,$a2,$b0,$c0,$d0,$d4,$4b,$4b,$4b,$4b,$4b,$c9,$c9,$96
        !BYTE $96,$6e,$00,$10,$00,$00,$20,$30,$00,$00,$50,$09,$03,$0c,$03,$50
        !BYTE $07,$04,$0c,$03,$70,$08,$03,$0c,$03,$70,$08,$05,$0c,$03,$42,$07
        !BYTE $05,$0c,$03,$50,$23,$03,$0c,$05,$70,$24,$03,$0c,$05,$42,$24,$04
        !BYTE $0c,$05,$3a,$0c,$0c,$25,$03,$03,$04,$07,$03,$ff
cave25:
        !BYTE $14,$14,$19,$11,$22,$33,$44,$55,$14,$14,$14,$14,$14,$96,$6e,$6e
        !BYTE $6e,$6e,$00,$12,$08,$14,$20,$30,$10,$0a,$25,$26,$10,$04,$04,$04
        !BYTE $ff
cave26:
        !BYTE $14,$0a,$19,$12,$34,$56,$78,$9b,$96,$96,$96,$96,$96,$96,$64,$64
        !BYTE $4b,$4b,$00,$10,$08,$14,$50,$40,$38,$25,$25,$24,$11,$04,$24,$10
        !BYTE $ff
cave27:
        !BYTE $43,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$19,$19,$19,$19,$19,$96,$96,$96
        !BYTE $96,$96,$00,$00,$10,$08,$00,$00,$20,$02,$42,$01,$0c,$10,$02,$48
        !BYTE $01,$0d,$10,$02,$50,$01,$0e,$10,$02,$50,$15,$03,$03,$04,$fa,$15
        !BYTE $03,$02,$10,$d4,$1a,$0a,$06,$06,$d4,$1b,$0b,$04,$04,$d4,$1c,$0c
        !BYTE $02,$02,$25,$02,$04,$04,$25,$04,$ff
cave28:
        !BYTE $20,$0a,$0f,$aa,$bb,$cc,$0d,$ee,$0f,$0f,$0f,$0f,$0f,$96,$96,$6e
        !BYTE $6e,$56,$10,$00,$00,$00,$30,$00,$00,$00,$43,$07,$08,$1d,$02,$43
        !BYTE $07,$0b,$1d,$02,$43,$07,$0f,$1d,$02,$25,$01,$03,$04,$02,$17,$ff
cave29:
        !BYTE $14,$0a,$0f,$31,$25,$2d,$34,$56,$5a,$5a,$5a,$5a,$5a,$96,$96,$6e
        !BYTE $6e,$6e,$00,$10,$14,$00,$00,$50,$35,$00,$42,$03,$03,$10,$04,$42
        !BYTE $06,$16,$10,$00,$42,$09,$03,$10,$04,$42,$0c,$16,$10,$00,$42,$0f
        !BYTE $03,$10,$04,$42,$12,$03,$10,$04,$42,$15,$16,$10,$00,$42,$19,$03
        !BYTE $10,$04,$42,$1c,$16,$10,$00,$42,$20,$03,$10,$04,$25,$02,$04,$04
        !BYTE $25,$04,$ff
cave30:
        !BYTE $00,$19,$00,$01,$01,$01,$01,$01,$0a,$0a,$0a,$0a,$0a,$96,$96,$6e
        !BYTE $6e,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$40,$0b,$06,$0c,$04,$40
        !BYTE $0a,$06,$0c,$04,$40,$0d,$06,$0c,$04,$40,$0f,$06,$0c,$04,$40,$11
        !BYTE $06,$0c,$04,$40,$13,$06,$0c,$04,$c1,$0a,$0e,$0b,$02,$42,$0a,$0c
        !BYTE $0b,$02,$54,$0a,$0b,$0b,$02,$54,$0a,$0d,$0b,$02,$48,$0a,$08,$0b
        !BYTE $02,$48,$0a,$0f,$0b,$02,$42,$0a,$06,$0c,$04,$42,$0a,$06,$0c,$04
        !BYTE $42,$0c,$06,$0c,$04,$42,$0e,$06,$0c,$04,$42,$10,$06,$0c,$04,$42
        !BYTE $12,$06,$0c,$04,$42,$14,$06,$0c,$04,$50,$16,$09,$0f,$02,$25,$02
        !BYTE $03,$04,$26,$14,$ff
cave31:
        !BYTE $30,$0a,$0f,$98,$8c,$91,$65,$55,$14,$15,$16,$17,$19,$96,$96,$6e
        !BYTE $6e,$6e,$00,$10,$08,$00,$00,$30,$05,$00,$3a,$12,$0d,$c2,$11,$0c
        !BYTE $05,$05,$25,$03,$03,$04,$26,$16,$c2,$10,$0c,$08,$05,$81,$11,$0d
        !BYTE $06,$03,$01,$3a,$14,$0d,$50,$11,$11,$03,$05,$50,$0f,$08,$03,$05
        !BYTE $ff
cave32:
        !BYTE $60,$0a,$0f,$56,$78,$6c,$98,$ab,$19,$19,$19,$19,$19,$96,$96,$96
        !BYTE $6e,$6e,$10,$00,$00,$00,$45,$00,$00,$00,$25,$0e,$0d,$08,$11,$0c
        !BYTE $fa,$0c,$0a,$05,$06,$50,$0a,$10,$0b,$02,$04,$27,$14,$50,$14,$03
        !BYTE $07,$04,$c1,$0d,$0b,$03,$02,$ff
cave33:
        !BYTE $8a,$0a,$0f,$56,$88,$90,$12,$ab,$5f,$5f,$5f,$5f,$5f,$96,$96,$6e
        !BYTE $6e,$6e,$10,$00,$00,$00,$20,$00,$00,$00,$d0,$0f,$07,$05,$05,$3a
        !BYTE $12,$09,$40,$02,$05,$0b,$03,$70,$02,$04,$0b,$03,$42,$02,$03,$0b
        !BYTE $03,$40,$25,$05,$0b,$05,$70,$25,$04,$0b,$05,$42,$25,$03,$0b,$05
        !BYTE $25,$04,$17,$04,$27,$15,$ff
cave34:
        !BYTE $5e,$0a,$0f,$aa,$66,$57,$c6,$56,$55,$55,$55,$55,$55,$96,$96,$6e
        !BYTE $6e,$6e,$10,$00,$00,$00,$15,$00,$00,$00,$c8,$04,$04,$09,$09,$3a
        !BYTE $08,$08,$42,$25,$04,$13,$04,$42,$23,$15,$13,$00,$70,$26,$03,$14
        !BYTE $04,$70,$24,$03,$14,$04,$00,$25,$03,$25,$04,$16,$04,$27,$15,$10
        !BYTE $08,$0d,$10,$22,$0e,$ff
cave35:
        !BYTE $3a,$05,$0a,$aa,$bb,$cc,$dd,$ee,$5f,$5f,$5f,$5f,$5f,$96,$96,$6e
        !BYTE $6e,$6e,$10,$00,$00,$00,$25,$00,$00,$00,$43,$03,$0c,$20,$02,$3a
        !BYTE $10,$16,$04,$01,$03,$25,$02,$03,$ff
cave36:
        !BYTE $20,$0a,$0f,$44,$55,$66,$77,$88,$5f,$5f,$5f,$5f,$5f,$96,$96,$6e
        !BYTE $6e,$6e,$10,$14,$00,$00,$50,$30,$00,$00,$43,$01,$0c,$25,$02,$40
        !BYTE $01,$0d,$25,$02,$48,$01,$0e,$25,$02,$25,$01,$03,$01,$26,$11,$c1
        !BYTE $25,$15,$02,$02,$41,$26,$0b,$04,$04,$04,$27,$16,$ff
cave37:
        !BYTE $14,$0a,$14,$aa,$ab,$ac,$ad,$ae,$63,$63,$63,$63,$63,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$54,$01,$03,$12,$02,$54,$01,$04,$12,$02
        !BYTE $54,$01,$05,$12,$02,$54,$01,$06,$12,$02,$54,$01,$07,$12,$02,$54
        !BYTE $01,$08,$12,$02,$54,$01,$09,$12,$02,$54,$01,$0a,$12,$02,$54,$01
        !BYTE $0b,$12,$02,$54,$01,$0c,$12,$02,$25,$01,$03,$04,$12,$0c,$08,$04
        !BYTE $04,$08,$09,$06,$08,$0f,$03,$08,$05,$09,$08,$0d,$0c,$ff
cave38:
        !BYTE $14,$0a,$14,$aa,$ab,$ac,$ad,$ae,$63,$63,$63,$63,$63,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$54,$01,$03,$12,$02,$54,$01,$04,$12,$02
        !BYTE $54,$01,$05,$12,$02,$54,$01,$06,$12,$02,$54,$01,$07,$12,$02,$54
        !BYTE $01,$08,$12,$02,$54,$01,$09,$12,$02,$54,$01,$0a,$12,$02,$54,$01
        !BYTE $0b,$12,$02,$54,$01,$0c,$12,$02,$25,$01,$03,$04,$12,$0c,$08,$04
        !BYTE $04,$08,$09,$06,$08,$0f,$03,$08,$05,$09,$08,$0d,$0c,$ff
cave39:
        !BYTE $14,$0f,$00,$aa,$bb,$cc,$dd,$ee,$09,$09,$09,$09,$09,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$25,$01,$03,$54,$01,$04,$09,$04,$50,$02
        !BYTE $03,$09,$04,$48,$03,$03,$09,$04,$42,$02,$0b,$02,$02,$04,$12,$0c
        !BYTE $42,$04,$04,$08,$04,$ff
cave40:
        !BYTE $25,$0e,$14,$00,$00,$00,$00,$00,$07,$07,$07,$07,$07,$0a,$0a,$0a
        !BYTE $0a,$0a,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$25,$01,$04,$10,$01,$03,$43,$01,$05,$07
        !BYTE $03,$41,$02,$04,$07,$03,$41,$02,$05,$07,$03,$50,$02,$03,$06,$03
        !BYTE $04,$12,$0c,$ff


cave41:
        !BYTE $14,$0a,$0f,$04,$10,$03,$0c,$09,$05,$06,$07,$08,$09,$5a,$50,$46
        !BYTE $3c,$32,$00,$10,$14,$00,$3c,$32,$07,$00,$42,$01,$05,$23,$02,$42
        !BYTE $24,$05,$0f,$04,$25,$04,$04,$04,$03,$04,$ff
cave42:
        !BYTE $14,$05,$0a,$03,$04,$05,$06,$08,$0a,$0b,$0c,$0d,$0f,$96,$6e,$46
        !BYTE $46,$46,$00,$10,$00,$00,$3c,$32,$00,$00,$90,$01,$03,$03,$14,$14
        !BYTE $25,$04,$03,$48,$0a,$03,$0f,$02,$04,$0a,$0a,$54,$0a,$16,$14,$02
        !BYTE $50,$0a,$15,$14,$02,$10,$09,$16,$10,$1f,$16,$ff
cave43:
        !BYTE $04,$1e,$28,$36,$03,$0b,$05,$0a,$0f,$0f,$0f,$0f,$0f,$5a,$55,$50
        !BYTE $4b,$46,$07,$10,$14,$00,$64,$32,$09,$00,$25,$03,$04,$04,$27,$10
        !BYTE $ff
cave44:
        !BYTE $14,$03,$05,$01,$04,$09,$06,$02,$4b,$50,$55,$5a,$5f,$fa,$e1,$c8
        !BYTE $af,$96,$10,$00,$00,$00,$27,$00,$00,$00,$25,$01,$03,$04,$26,$16
        !BYTE $b0,$08,$08,$1e,$06,$30,$c1,$0c,$0a,$16,$02,$10,$0d,$0a,$10,$0e
        !BYTE $0b,$10,$13,$0a,$10,$14,$0b,$10,$18,$0b,$d0,$1e,$0a,$02,$02,$ff
cave45:
        !BYTE $14,$05,$0a,$00,$00,$00,$00,$00,$14,$19,$1e,$23,$28,$96,$8c,$82
        !BYTE $78,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $82,$01,$03,$26,$14,$01,$25,$02,$15,$04,$03,$15,$82,$03,$05,$22
        !BYTE $10,$01,$82,$05,$07,$1e,$0c,$01,$82,$07,$09,$1a,$08,$01,$82,$09
        !BYTE $0b,$16,$04,$14,$10,$04,$15,$00,$05,$14,$10,$07,$0c,$00,$0b,$0b
        !BYTE $01,$09,$07,$08,$07,$06,$08,$09,$0a,$10,$1e,$06,$40,$08,$06,$16
        !BYTE $02,$ff
cave46:
        !BYTE $14,$05,$0f,$00,$01,$02,$03,$05,$4b,$50,$55,$5a,$5f,$64,$64,$64
        !BYTE $64,$64,$14,$08,$00,$00,$32,$0a,$00,$00,$25,$04,$05,$04,$04,$06
        !BYTE $ff
cave47:
        !BYTE $4b,$03,$05,$02,$05,$0a,$0b,$13,$32,$32,$32,$32,$32,$fa,$fa,$fa
        !BYTE $fa,$fa,$00,$10,$08,$00,$64,$28,$02,$00,$25,$14,$0f,$04,$01,$03
        !BYTE $ba,$01,$13,$10,$03,$3a,$90,$01,$04,$26,$05,$10,$c1,$01,$04,$26
        !BYTE $02,$c1,$01,$13,$0f,$03,$ff
cave48:
        !BYTE $14,$0a,$14,$01,$07,$08,$10,$0b,$05,$06,$07,$08,$09,$96,$8c,$82
        !BYTE $78,$6e,$00,$10,$08,$00,$5a,$1e,$02,$00,$42,$02,$04,$0b,$03,$42
        !BYTE $26,$03,$0c,$05,$25,$26,$03,$43,$0c,$0e,$10,$02,$04,$03,$05,$41
        !BYTE $0d,$0d,$0e,$02,$ff
cave49:
        !BYTE $14,$05,$0a,$64,$65,$66,$67,$68,$50,$55,$5a,$60,$63,$96,$91,$82
        !BYTE $82,$78,$10,$14,$00,$00,$f0,$96,$00,$00,$25,$01,$16,$04,$26,$03
        !BYTE $ff
cave50:
        !BYTE $14,$23,$32,$02,$06,$08,$0d,$0f,$0a,$0a,$0a,$0a,$0a,$96,$82,$78
        !BYTE $6e,$64,$10,$00,$00,$00,$10,$00,$00,$00,$82,$0a,$0a,$05,$05,$01
        !BYTE $14,$0c,$0c,$82,$01,$05,$03,$12,$00,$08,$02,$06,$82,$24,$05,$03
        !BYTE $12,$00,$08,$25,$06,$00,$03,$15,$00,$23,$15,$82,$03,$14,$22,$03
        !BYTE $00,$00,$03,$15,$00,$24,$15,$25,$01,$03,$04,$26,$03,$82,$18,$0a
        !BYTE $05,$05,$01,$14,$1a,$0c,$08,$13,$03,$10,$0c,$09,$10,$1a,$09,$10
        !BYTE $02,$03,$10,$09,$09,$54,$0b,$0d,$03,$02,$54,$19,$0d,$03,$02,$54
        !BYTE $13,$15,$02,$02,$10,$13,$04,$ff
cave51:
        !BYTE $02,$03,$05,$09,$09,$00,$97,$64,$5a,$5a,$5a,$5a,$5a,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$00,$00,$00,$00,$00,$00,$00,$82,$01,$03,$0d,$14,$00
        !BYTE $ba,$02,$13,$03,$03,$00,$25,$02,$15,$00,$0d,$15,$00,$0d,$15,$08
        !BYTE $0b,$13,$90,$0e,$03,$19,$0a,$10,$81,$0e,$0d,$19,$0a,$01,$08,$0b
        !BYTE $14,$08,$04,$13,$04,$23,$03,$40,$02,$13,$02,$02,$40,$04,$14,$02
        !BYTE $04,$3a,$03,$14,$82,$02,$04,$0b,$07,$02,$ff
cave52:
        !BYTE $10,$08,$0f,$00,$3c,$02,$3b,$66,$3c,$3c,$3c,$3c,$3c,$b4,$aa,$a0
        !BYTE $a0,$a0,$00,$10,$08,$00,$3c,$32,$09,$00,$25,$01,$03,$82,$0f,$06
        !BYTE $14,$0e,$02,$80,$10,$07,$0f,$0c,$02,$3a,$11,$07,$40,$12,$0d,$0c
        !BYTE $02,$04,$1f,$0d,$ff
cave53:
        !BYTE $8c,$05,$08,$00,$01,$02,$06,$04,$4b,$50,$55,$5a,$5f,$a0,$9b,$96
        !BYTE $91,$8c,$10,$00,$00,$00,$10,$00,$00,$00,$b0,$0a,$05,$14,$0a,$01
        !BYTE $94,$0c,$07,$10,$06,$14,$25,$01,$16,$04,$01,$03,$ff
cave54:
        !BYTE $14,$05,$0a,$00,$01,$02,$04,$06,$1e,$23,$28,$2d,$32,$96,$91,$8c
        !BYTE $87,$82,$10,$00,$00,$00,$1e,$00,$00,$00,$25,$0a,$0a,$04,$09,$0a
        !BYTE $70,$01,$03,$26,$02,$70,$01,$16,$26,$02,$70,$01,$03,$14,$04,$70
        !BYTE $26,$03,$14,$04,$90,$0b,$0a,$05,$03,$3a,$00,$0d,$0a,$ff
cave55:
        !BYTE $08,$03,$05,$01,$1d,$1e,$1f,$20,$4b,$50,$55,$5a,$5f,$78,$78,$78
        !BYTE $78,$8c,$00,$00,$00,$00,$00,$00,$00,$00,$94,$01,$03,$26,$14,$14
        !BYTE $25,$01,$16,$04,$26,$03,$88,$01,$09,$19,$0b,$08,$41,$01,$04,$26
        !BYTE $02,$c7,$1b,$11,$0d,$03,$c7,$1b,$0d,$0d,$03,$c7,$1b,$09,$0d,$03
        !BYTE $47,$1b,$0c,$05,$04,$14,$1c,$11,$14,$26,$0f,$14,$1c,$0d,$14,$1c
        !BYTE $09,$14,$26,$0b,$14,$26,$13,$c1,$01,$05,$26,$02,$48,$01,$14,$19
        !BYTE $02,$ff
cave56:
        !BYTE $14,$19,$23,$17,$7f,$88,$8e,$89,$0a,$0a,$0a,$0a,$0a,$3c,$32,$28
        !BYTE $1e,$14,$02,$10,$14,$00,$55,$18,$08,$00,$c0,$03,$05,$16,$0a,$08
        !BYTE $03,$06,$25,$05,$11,$04,$07,$17,$ff
cave57:
        !BYTE $14,$14,$32,$0a,$0b,$0c,$0d,$0e,$10,$10,$10,$10,$10,$02,$02,$02
        !BYTE $02,$02,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$54,$01,$05,$12,$02,$65,$01,$06,$12,$02
        !BYTE $44,$01,$07,$12,$02,$ff
cave58:
        !BYTE $04,$5a,$5a,$00,$0b,$0c,$0d,$0e,$01,$01,$01,$01,$01,$0f,$0f,$0f
        !BYTE $0f,$0f,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$13,$0c,$00,$88,$01,$03,$11,$06,$08,$a5,$01,$09,$11
        !BYTE $04,$25,$04,$0a,$04,$14,$0a,$03,$ff
cave59:
        !BYTE $04,$05,$02,$0a,$0b,$0c,$0d,$0e,$0f,$0f,$0f,$0f,$0f,$14,$11,$0e
        !BYTE $0b,$08,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$06,$07
        !BYTE $87,$00,$02,$13,$0c,$14,$43,$02,$08,$0f,$02,$25,$01,$0c,$04,$10
        !BYTE $03,$25,$01,$07,$14,$01,$0c,$87,$01,$0e,$12,$09,$07,$87,$13,$08
        !BYTE $14,$0f,$07,$ff
cave60:
        !BYTE $03,$1e,$32,$00,$00,$00,$00,$00,$05,$06,$07,$08,$09,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$13,$0c,$00,$3a,$0a,$0a,$25,$09,$0a,$3a,$0b,$0a,$04
        !BYTE $03,$03,$41,$09,$09,$05,$02,$d0,$04,$03,$0e,$02,$d0,$04,$05,$0e
        !BYTE $02,$ff


cave61:
        !BYTE $14,$14,$0f,$0a,$0b,$0c,$0d,$0e,$0a,$0c,$0e,$0c,$0c,$96,$6e,$6e
        !BYTE $5a,$5a,$10,$00,$00,$00,$1b,$00,$00,$00,$43,$01,$03,$11,$03,$42
        !BYTE $01,$06,$11,$03,$25,$25,$04,$04,$25,$15,$41,$0a,$0f,$08,$03,$ff
cave62:
        !BYTE $14,$14,$28,$03,$20,$0b,$5f,$64,$0a,$0a,$0a,$0a,$0a,$96,$6e,$64
        !BYTE $5a,$50,$10,$00,$00,$00,$10,$00,$00,$00,$87,$0d,$0a,$0e,$03,$14
        !BYTE $42,$13,$0a,$02,$02,$08,$0c,$08,$08,$1b,$08,$10,$02,$03,$10,$04
        !BYTE $03,$10,$25,$03,$10,$23,$03,$25,$13,$13,$04,$14,$13,$10,$1c,$08
        !BYTE $50,$13,$04,$02,$03,$ff
cave63:
        !BYTE $00,$0f,$19,$00,$32,$36,$34,$37,$14,$14,$14,$14,$14,$96,$64,$5a
        !BYTE $50,$46,$10,$10,$14,$00,$64,$32,$09,$00,$25,$02,$04,$04,$25,$04
        !BYTE $ff
cave64:
        !BYTE $14,$32,$4b,$00,$6e,$70,$73,$77,$05,$05,$05,$05,$05,$96,$6e,$6e
        !BYTE $6e,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$0f,$08,$09,$0c,$00
        !BYTE $c7,$11,$0b,$05,$07,$01,$0f,$0e,$01,$15,$0e,$50,$12,$0a,$03,$02
        !BYTE $70,$12,$10,$03,$02,$30,$13,$0a,$01,$13,$0f,$14,$13,$0e,$25,$01
        !BYTE $0e,$04,$26,$0e,$ff
cave65:
        !BYTE $14,$32,$4b,$00,$00,$00,$00,$00,$02,$02,$02,$02,$02,$96,$78,$6e
        !BYTE $6e,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$82,$01,$03,$14,$14,$00
        !BYTE $c2,$03,$05,$12,$10,$c2,$05,$07,$0e,$0e,$c2,$05,$09,$0c,$0a,$c2
        !BYTE $07,$09,$08,$08,$c2,$09,$0b,$06,$06,$00,$13,$14,$00,$05,$13,$00
        !BYTE $06,$09,$00,$0e,$0a,$00,$14,$04,$01,$09,$0f,$14,$0b,$0f,$14,$0c
        !BYTE $0f,$50,$0b,$0e,$02,$02,$48,$0b,$0e,$02,$02,$08,$14,$04,$25,$26
        !BYTE $03,$04,$26,$16,$ff
cave66:
        !BYTE $50,$0a,$0f,$00,$14,$15,$16,$17,$28,$2c,$30,$34,$36,$96,$78,$64
        !BYTE $5a,$50,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $94,$0a,$11,$13,$06,$14,$42,$0a,$11,$06,$04,$42,$0c,$11,$06,$04
        !BYTE $42,$0e,$11,$06,$04,$42,$10,$11,$06,$04,$42,$12,$11,$06,$04,$42
        !BYTE $14,$11,$06,$04,$42,$16,$11,$06,$04,$42,$18,$11,$06,$04,$42,$1a
        !BYTE $11,$06,$04,$42,$1c,$11,$06,$04,$10,$0a,$10,$10,$0c,$10,$10,$0e
        !BYTE $10,$10,$10,$10,$10,$12,$10,$10,$14,$10,$10,$16,$10,$10,$18,$10
        !BYTE $10,$1a,$10,$10,$1c,$10,$3a,$13,$03,$25,$0a,$03,$04,$1c,$03,$ff
cave67:
        !BYTE $4b,$0a,$19,$02,$07,$08,$0a,$09,$0f,$0f,$0f,$0f,$0f,$96,$8c,$82
        !BYTE $78,$6e,$10,$14,$00,$00,$28,$08,$00,$00,$42,$13,$03,$14,$04,$c2
        !BYTE $10,$0a,$04,$05,$7a,$13,$0b,$03,$04,$48,$01,$03,$12,$02,$25,$01
        !BYTE $0c,$04,$26,$0c,$ff
cave68:
        !BYTE $14,$0a,$14,$01,$03,$04,$05,$06,$2d,$2d,$2d,$32,$32,$96,$6e,$6e
        !BYTE $6e,$64,$10,$3a,$00,$00,$f0,$78,$00,$00,$87,$02,$04,$09,$12,$07
        !BYTE $87,$1d,$04,$09,$12,$07,$c0,$01,$03,$26,$14,$41,$02,$04,$24,$02
        !BYTE $50,$02,$03,$24,$02,$47,$02,$15,$24,$02,$25,$02,$15,$04,$25,$15
        !BYTE $ff
cave69:
        !BYTE $14,$0a,$0f,$64,$89,$8c,$fb,$33,$23,$24,$25,$26,$27,$fa,$fa,$c8
        !BYTE $96,$96,$10,$00,$00,$00,$32,$00,$00,$00,$87,$00,$02,$0c,$16,$00
        !BYTE $43,$02,$0a,$08,$02,$43,$01,$16,$0a,$02,$81,$01,$03,$0a,$07,$10
        !BYTE $41,$0b,$15,$02,$00,$25,$26,$03,$04,$26,$16,$ff
cave70:
        !BYTE $14,$19,$1e,$00,$06,$17,$18,$19,$0f,$12,$14,$14,$14,$96,$82,$6e
        !BYTE $5a,$46,$10,$00,$00,$00,$10,$00,$00,$00,$42,$09,$04,$09,$03,$42
        !BYTE $1d,$04,$09,$05,$90,$0e,$04,$03,$03,$10,$90,$16,$04,$03,$03,$10
        !BYTE $43,$12,$0e,$03,$02,$43,$12,$0e,$03,$02,$43,$12,$16,$03,$02,$48
        !BYTE $0f,$03,$03,$02,$48,$20,$12,$03,$02,$42,$03,$03,$14,$04,$10,$04
        !BYTE $09,$25,$26,$0c,$04,$02,$0c,$ff
cave71:
        !BYTE $14,$32,$4b,$fd,$0a,$67,$98,$64,$05,$05,$05,$05,$05,$96,$8c,$82
        !BYTE $78,$6e,$00,$10,$08,$00,$c8,$23,$02,$00,$41,$02,$03,$14,$04,$47
        !BYTE $01,$06,$26,$02,$47,$01,$0a,$26,$02,$47,$01,$0e,$26,$02,$47,$01
        !BYTE $12,$26,$02,$47,$01,$16,$26,$02,$c0,$25,$03,$02,$14,$14,$01,$05
        !BYTE $14,$01,$09,$14,$01,$0d,$14,$01,$11,$14,$01,$15,$25,$26,$16,$04
        !BYTE $26,$03,$ff
cave72:
        !BYTE $14,$0f,$19,$00,$3c,$08,$3b,$66,$0f,$0f,$0f,$0f,$0f,$c8,$b4,$a0
        !BYTE $8c,$78,$00,$10,$14,$00,$3c,$32,$11,$00,$42,$01,$07,$26,$02,$42
        !BYTE $01,$0c,$26,$02,$42,$01,$12,$26,$02,$42,$09,$03,$14,$04,$42,$13
        !BYTE $03,$14,$04,$42,$1d,$03,$14,$04,$c0,$05,$03,$1f,$11,$c0,$05,$08
        !BYTE $1f,$08,$40,$05,$11,$06,$04,$40,$23,$11,$06,$04,$48,$23,$08,$08
        !BYTE $04,$50,$1e,$0d,$05,$02,$c2,$09,$0c,$15,$07,$25,$05,$16,$04,$13
        !BYTE $0f,$10,$1e,$0d,$01,$1e,$0e,$01,$08,$0e,$10,$08,$0d,$ff
cave73:
        !BYTE $8c,$08,$0f,$f3,$06,$0e,$13,$33,$28,$2d,$32,$37,$3c,$a0,$9b,$96
        !BYTE $91,$8c,$10,$00,$00,$00,$10,$00,$00,$00,$80,$0c,$08,$10,$0f,$00
        !BYTE $3a,$13,$0f,$30,$0c,$12,$90,$0c,$04,$10,$03,$10,$f0,$21,$10,$05
        !BYTE $05,$25,$01,$03,$04,$23,$12,$ff
cave74:
        !BYTE $04,$03,$05,$00,$04,$06,$10,$11,$3c,$41,$46,$4b,$50,$d2,$be,$aa
        !BYTE $aa,$aa,$10,$00,$00,$00,$19,$00,$00,$00,$48,$13,$03,$14,$02,$47
        !BYTE $01,$07,$1e,$02,$47,$01,$12,$1e,$02,$c7,$08,$0c,$1f,$02,$43,$01
        !BYTE $12,$07,$02,$90,$02,$09,$05,$03,$10,$70,$1f,$07,$05,$02,$70,$1f
        !BYTE $12,$05,$02,$3a,$08,$16,$80,$01,$13,$07,$04,$00,$25,$01,$03,$04
        !BYTE $01,$16,$50,$0f,$16,$04,$01,$ff
cave75:
        !BYTE $08,$02,$04,$01,$1d,$1e,$1f,$20,$3c,$41,$46,$4b,$50,$78,$6e,$64
        !BYTE $5a,$50,$14,$00,$00,$00,$4a,$00,$00,$00,$c8,$1f,$03,$08,$0d,$42
        !BYTE $03,$14,$03,$04,$42,$01,$14,$03,$02,$14,$04,$13,$25,$21,$05,$04
        !BYTE $01,$16,$ff
cave76:
        !BYTE $14,$0a,$0f,$01,$78,$81,$7e,$7b,$23,$23,$24,$24,$25,$96,$96,$96
        !BYTE $96,$96,$00,$00,$00,$00,$00,$00,$00,$00,$80,$10,$06,$03,$11,$02
        !BYTE $80,$17,$0a,$10,$0d,$00,$43,$19,$11,$0a,$02,$81,$18,$0b,$0c,$06
        !BYTE $10,$40,$0f,$0d,$05,$04,$40,$13,$0d,$05,$04,$08,$17,$0a,$08,$10
        !BYTE $06,$c2,$10,$0e,$03,$03,$10,$10,$03,$50,$02,$0d,$08,$01,$25,$26
        !BYTE $16,$04,$11,$0f,$10,$0c,$03,$10,$0d,$04,$10,$14,$04,$10,$15,$03
        !BYTE $10,$12,$03,$ff
cave77:
        !BYTE $14,$1e,$32,$0a,$0b,$0c,$0d,$0e,$0a,$0a,$0a,$0a,$0a,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$54,$09,$06,$03,$03,$30,$09,$05,$25,$01
        !BYTE $03,$04,$02,$03,$ff
cave78:
        !BYTE $14,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$0f,$14,$19,$1e,$23,$32,$32,$32
        !BYTE $32,$32,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$50,$07,$03,$0c,$02,$50,$02,$03,$0a,$04
        !BYTE $42,$0a,$03,$0a,$04,$42,$0d,$03,$0a,$04,$42,$10,$03,$0a,$04,$70
        !BYTE $01,$05,$08,$04,$25,$03,$03,$04,$12,$0c,$41,$0a,$03,$0a,$04,$41
        !BYTE $0d,$03,$0a,$04,$ff
cave79:
        !BYTE $04,$05,$0a,$0a,$0b,$0c,$0d,$0e,$be,$5a,$5a,$5a,$5a,$14,$14,$14
        !BYTE $14,$0f,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$14,$42,$09,$03,$0a,$04,$48,$09,$07,$02,$04
        !BYTE $25,$01,$07,$04,$12,$08,$ff
cave80:
        !BYTE $03,$32,$00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$01,$01,$01
        !BYTE $01,$01,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $14,$08,$07,$25,$07,$07,$04,$09,$07,$ff



cave81:
        !BYTE $14,$05,$0a,$0a,$0b,$0c,$0d,$0e,$50,$50,$50,$50,$50,$96,$8c,$82
        !BYTE $78,$6e,$10,$14,$00,$00,$37,$2d,$00,$00,$42,$08,$06,$1f,$02,$42
        !BYTE $01,$09,$09,$02,$25,$26,$03,$04,$26,$16,$ff
cave82:
        !BYTE $14,$14,$19,$03,$00,$01,$57,$58,$0f,$0f,$0f,$0f,$0f,$96,$82,$6e
        !BYTE $5a,$46,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $07,$26,$06,$87,$12,$08,$06,$07,$14,$47,$03,$03,$14,$04,$50,$13
        !BYTE $0d,$04,$02,$01,$18,$04,$01,$14,$0e,$08,$16,$07,$08,$11,$0a,$08
        !BYTE $12,$0f,$08,$18,$0e,$08,$18,$0b,$25,$26,$0a,$04,$03,$08,$10,$18
        !BYTE $03,$00,$26,$06,$ff
cave83:
        !BYTE $00,$05,$08,$00,$32,$36,$34,$37,$5a,$5a,$5a,$5a,$5a,$96,$8c,$82
        !BYTE $78,$6e,$14,$10,$00,$00,$80,$40,$00,$00,$25,$03,$04,$04,$27,$14
        !BYTE $ff
cave84:
        !BYTE $14,$05,$0f,$00,$0c,$02,$10,$04,$32,$3c,$46,$50,$5a,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$00,$00,$00,$19,$00,$00,$00,$70,$0f,$03,$10,$04,$70
        !BYTE $08,$16,$0e,$02,$70,$15,$03,$14,$04,$82,$24,$0c,$04,$07,$14,$47
        !BYTE $27,$0a,$07,$04,$25,$01,$03,$04,$26,$11,$47,$27,$11,$02,$04,$10
        !BYTE $24,$0b,$50,$14,$0a,$02,$04,$ff
cave85:
        !BYTE $14,$0f,$14,$00,$00,$00,$00,$00,$10,$11,$12,$13,$14,$96,$8c,$82
        !BYTE $78,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$07,$04,$07,$06,$14
        !BYTE $87,$10,$09,$07,$06,$00,$87,$1c,$03,$03,$0c,$00,$47,$09,$09,$05
        !BYTE $04,$47,$0b,$09,$03,$04,$47,$0b,$0b,$06,$02,$47,$09,$0d,$08,$02
        !BYTE $47,$12,$03,$07,$04,$47,$14,$04,$06,$04,$47,$14,$04,$09,$02,$01
        !BYTE $0a,$09,$01,$13,$09,$48,$13,$04,$06,$04,$48,$1d,$04,$05,$04,$41
        !BYTE $1c,$03,$03,$02,$25,$16,$03,$04,$02,$07,$40,$0a,$0a,$03,$04,$40
        !BYTE $0a,$0c,$07,$02,$ff
cave86:
        !BYTE $14,$14,$1e,$00,$14,$15,$16,$17,$14,$16,$18,$1a,$1c,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$88,$02,$09,$03,$03,$08
        !BYTE $88,$06,$04,$03,$03,$08,$42,$07,$0a,$07,$04,$43,$07,$11,$07,$02
        !BYTE $48,$07,$12,$07,$02,$50,$08,$0b,$06,$02,$42,$0e,$0a,$07,$01,$87
        !BYTE $11,$0d,$0a,$08,$00,$48,$12,$13,$08,$02,$41,$16,$11,$04,$02,$54
        !BYTE $16,$10,$04,$02,$01,$11,$0e,$50,$1e,$04,$07,$02,$c2,$1a,$06,$04
        !BYTE $04,$c0,$1d,$0d,$08,$08,$08,$1d,$0d,$08,$1d,$14,$08,$24,$0d,$08
        !BYTE $24,$14,$94,$1f,$0f,$04,$03,$14,$50,$1f,$12,$04,$02,$25,$01,$03
        !BYTE $04,$1b,$08,$50,$0e,$03,$07,$02,$81,$06,$04,$03,$03,$01,$81,$02
        !BYTE $09,$03,$03,$01,$10,$06,$12,$ff
cave87:
        !BYTE $10,$02,$0a,$03,$07,$10,$16,$39,$37,$3c,$41,$46,$4b,$96,$96,$96
        !BYTE $96,$96,$10,$00,$00,$00,$27,$00,$00,$00,$42,$01,$12,$26,$02,$80
        !BYTE $01,$13,$26,$04,$00,$48,$22,$03,$0d,$05,$48,$23,$09,$04,$02,$47
        !BYTE $15,$13,$04,$04,$3a,$13,$16,$25,$26,$03,$04,$14,$16,$81,$16,$12
        !BYTE $07,$05,$01,$42,$1d,$13,$04,$04,$47,$1e,$12,$09,$02,$10,$1d,$11
        !BYTE $04,$26,$16,$3a,$14,$16,$ff
cave88:
        !BYTE $14,$0a,$14,$03,$21,$05,$0b,$2a,$0e,$10,$12,$14,$16,$96,$96,$78
        !BYTE $78,$78,$10,$00,$00,$00,$19,$00,$00,$00,$48,$0e,$03,$0a,$03,$47
        !BYTE $01,$08,$0e,$02,$47,$0e,$0d,$19,$02,$90,$1b,$05,$05,$06,$14,$54
        !BYTE $01,$09,$0e,$03,$48,$01,$16,$0d,$02,$c2,$16,$10,$03,$06,$10,$15
        !BYTE $0f,$10,$17,$0f,$10,$19,$0f,$25,$09,$05,$04,$17,$14,$ff
cave89:
        !BYTE $14,$0a,$14,$64,$89,$8c,$fb,$33,$0a,$0b,$0c,$0d,$0e,$c8,$c8,$c8
        !BYTE $c8,$be,$10,$00,$00,$00,$2d,$00,$00,$00,$47,$01,$07,$15,$02,$43
        !BYTE $11,$0b,$16,$02,$43,$11,$0e,$16,$02,$43,$11,$12,$16,$02,$43,$0d
        !BYTE $0a,$0d,$05,$25,$0e,$16,$04,$01,$03,$ff
cave90:
        !BYTE $40,$0f,$23,$00,$02,$07,$08,$0a,$0f,$10,$11,$12,$14,$c8,$b4,$b4
        !BYTE $b4,$b4,$10,$14,$00,$00,$19,$09,$00,$00,$42,$02,$05,$0c,$03,$42
        !BYTE $07,$04,$07,$05,$42,$0c,$0f,$07,$05,$42,$0f,$12,$05,$03,$42,$11
        !BYTE $06,$0b,$03,$42,$1a,$03,$0a,$05,$42,$1c,$03,$0f,$04,$42,$1d,$0d
        !BYTE $08,$03,$48,$02,$0a,$05,$02,$48,$01,$0f,$08,$03,$48,$10,$05,$06
        !BYTE $05,$03,$13,$08,$03,$0b,$0e,$25,$26,$03,$04,$26,$16,$14,$18,$0c
        !BYTE $14,$19,$08,$14,$03,$04,$14,$03,$07,$10,$06,$15,$41,$07,$15,$02
        !BYTE $03,$10,$01,$10,$ff
cave91:
        !BYTE $0f,$0f,$19,$00,$04,$66,$97,$11,$0f,$0f,$0f,$0f,$0f,$b4,$b4,$b4
        !BYTE $96,$96,$00,$00,$00,$00,$00,$00,$00,$00,$54,$01,$03,$14,$04,$42
        !BYTE $01,$08,$08,$02,$42,$01,$0d,$08,$02,$42,$01,$12,$08,$02,$42,$09
        !BYTE $03,$14,$04,$50,$1d,$03,$0a,$02,$10,$0a,$03,$10,$0a,$12,$10,$0a
        !BYTE $08,$10,$0a,$0d,$42,$1f,$03,$14,$04,$42,$23,$03,$14,$04,$41,$25
        !BYTE $14,$02,$02,$48,$0a,$07,$0e,$02,$25,$14,$03,$04,$26,$16,$ff
cave92:
        !BYTE $40,$19,$32,$00,$44,$0b,$4d,$68,$0a,$0a,$0a,$0a,$0a,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$23,$00,$00,$00,$42,$0f,$03,$14,$04,$42
        !BYTE $15,$03,$14,$04,$42,$1b,$03,$14,$04,$42,$21,$03,$14,$04,$42,$10
        !BYTE $09,$17,$02,$42,$10,$10,$17,$02,$43,$16,$09,$05,$02,$43,$07,$09
        !BYTE $08,$03,$50,$16,$03,$05,$02,$c0,$12,$05,$13,$10,$48,$18,$14,$07
        !BYTE $02,$42,$01,$0e,$09,$03,$c8,$01,$03,$02,$02,$25,$24,$05,$04,$02
        !BYTE $15,$41,$0e,$09,$07,$04,$41,$10,$0b,$05,$04,$10,$10,$11,$10,$10
        !BYTE $0a,$10,$10,$03,$50,$03,$03,$02,$04,$40,$07,$0a,$08,$03,$40,$07
        !BYTE $0b,$08,$03,$40,$07,$0c,$08,$03,$40,$07,$13,$08,$02,$40,$07,$12
        !BYTE $08,$02,$40,$07,$11,$08,$02,$40,$07,$10,$07,$02,$40,$07,$0f,$06
        !BYTE $02,$40,$07,$0e,$05,$02,$40,$07,$0d,$04,$02,$42,$06,$13,$04,$04
        !BYTE $81,$07,$14,$03,$03,$01,$10,$07,$13,$80,$16,$0a,$05,$06,$00,$10
        !BYTE $14,$0a,$ff
cave93:
        !BYTE $8c,$0a,$1e,$00,$01,$02,$03,$04,$14,$14,$14,$14,$14,$b4,$aa,$a0
        !BYTE $96,$8c,$10,$00,$00,$00,$37,$00,$00,$00,$43,$01,$09,$0a,$02,$43
        !BYTE $01,$0c,$0a,$02,$43,$01,$11,$0a,$02,$70,$26,$03,$04,$04,$3a,$13
        !BYTE $0b,$25,$26,$16,$04,$12,$03,$42,$02,$09,$25,$02,$42,$01,$0c,$25
        !BYTE $02,$42,$02,$11,$25,$02,$41,$01,$11,$04,$02,$41,$01,$09,$0d,$02
        !BYTE $41,$1e,$0c,$09,$02,$41,$09,$11,$09,$01,$41,$08,$11,$09,$01,$41
        !BYTE $07,$11,$09,$01,$41,$06,$11,$09,$01,$3a,$13,$0c,$10,$25,$06,$3a
        !BYTE $05,$11,$3a,$26,$12,$ff
cave94:
        !BYTE $14,$0a,$14,$c5,$00,$05,$09,$f0,$5a,$5a,$5a,$5a,$5a,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$00,$00,$00,$1e,$00,$00,$00,$40,$05,$03,$06,$04,$40
        !BYTE $01,$08,$05,$02,$08,$05,$03,$08,$05,$08,$08,$01,$08,$08,$0c,$04
        !BYTE $08,$1f,$04,$50,$0d,$04,$12,$02,$90,$0e,$0d,$04,$03,$10,$94,$21
        !BYTE $0f,$04,$05,$14,$b0,$03,$0f,$05,$05,$30,$25,$01,$06,$04,$01,$05
        !BYTE $ff
cave95:
        !BYTE $08,$4b,$5f,$01,$1d,$1e,$1f,$20,$01,$01,$02,$02,$03,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $40,$13,$03,$14,$04,$41,$01,$0d,$26,$02,$14,$01,$0d,$25,$13,$0d
        !BYTE $04,$26,$0d,$08,$13,$03,$40,$01,$04,$26,$02,$14,$01,$04,$14,$26
        !BYTE $04,$ff
cave96:
        !BYTE $08,$14,$19,$03,$81,$96,$9b,$71,$0f,$0f,$0f,$0f,$0f,$c8,$be,$b4
        !BYTE $aa,$a0,$10,$00,$00,$00,$32,$00,$00,$00,$50,$0f,$05,$09,$02,$42
        !BYTE $0a,$05,$0a,$05,$42,$07,$08,$06,$03,$42,$0d,$0e,$09,$04,$40,$01
        !BYTE $09,$0e,$04,$c3,$0e,$0a,$0b,$04,$54,$0f,$0c,$09,$02,$48,$03,$14
        !BYTE $03,$05,$08,$01,$0b,$08,$25,$15,$25,$01,$03,$04,$03,$16,$54,$0f
        !BYTE $0b,$09,$02,$08,$26,$08,$10,$25,$08,$ff
cave97:
        !BYTE $14,$1e,$32,$0a,$0b,$0c,$0d,$0e,$05,$05,$05,$05,$05,$14,$0f,$0f
        !BYTE $0f,$0f,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$10,$02,$04,$10,$10,$05,$30,$10,$04,$25
        !BYTE $03,$03,$04,$12,$03,$ff
cave98:
        !BYTE $14,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$32,$32,$32,$32,$32,$2c,$2b,$2a
        !BYTE $29,$29,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$d4,$01,$03,$12,$0a,$c8,$03,$05,$0e,$06
        !BYTE $40,$04,$0a,$0a,$02,$40,$0e,$0a,$02,$02,$25,$01,$03,$04,$08,$07
        !BYTE $ff
cave99:
        !BYTE $04,$05,$0a,$0a,$0b,$0c,$0d,$0e,$5a,$5a,$5a,$5a,$5a,$14,$12,$10
        !BYTE $0e,$0c,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$14,$c0,$01,$03,$12,$0a,$07,$11,$0c,$04,$12
        !BYTE $0c,$25,$01,$03,$ff
cave100:
        !BYTE $03,$5f,$00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$08,$08,$08
        !BYTE $08,$08,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $c0,$01,$03,$12,$0a,$41,$13,$03,$02,$02,$41,$13,$06,$02,$02,$41
        !BYTE $13,$09,$02,$02,$41,$13,$0c,$02,$02,$07,$01,$04,$14,$01,$05,$25
        !BYTE $01,$03,$04,$15,$09,$ff


cave101:
        !BYTE $14,$0a,$05,$0a,$0b,$0c,$0d,$0e,$32,$37,$3c,$41,$46,$4b,$4b,$4b
        !BYTE $4b,$4b,$10,$14,$00,$00,$4b,$1b,$00,$00,$42,$0a,$03,$14,$03,$50
        !BYTE $12,$0b,$04,$03,$25,$01,$16,$04,$26,$03,$ff
cave102:
        !BYTE $14,$0a,$23,$03,$00,$01,$57,$58,$20,$20,$20,$20,$20,$96,$6e,$46
        !BYTE $46,$46,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $c0,$01,$03,$26,$14,$40,$01,$07,$26,$02,$40,$01,$0b,$26,$02,$40
        !BYTE $01,$0e,$26,$02,$40,$01,$12,$26,$02,$40,$0a,$03,$14,$04,$d4,$13
        !BYTE $03,$02,$14,$48,$1d,$03,$14,$04,$25,$02,$04,$04,$02,$05,$ff
cave103:
        !BYTE $1a,$05,$0a,$00,$32,$36,$34,$37,$1e,$1e,$1e,$1e,$1e,$c8,$b4,$a0
        !BYTE $8c,$78,$10,$00,$00,$00,$41,$00,$00,$00,$25,$03,$04,$04,$04,$05
        !BYTE $3a,$20,$0d,$c1,$1f,$0c,$03,$03,$ff
cave104:
        !BYTE $14,$05,$14,$00,$6e,$70,$73,$77,$14,$14,$14,$14,$14,$c8,$be,$af
        !BYTE $a0,$96,$10,$00,$00,$00,$28,$00,$00,$00,$80,$01,$07,$26,$10,$00
        !BYTE $43,$03,$12,$22,$02,$43,$03,$0e,$22,$02,$03,$05,$10,$03,$13,$10
        !BYTE $03,$22,$10,$70,$26,$09,$0c,$04,$25,$01,$03,$04,$26,$03,$41,$01
        !BYTE $07,$26,$02,$ff
cave105:
        !BYTE $14,$0f,$05,$00,$00,$00,$00,$00,$28,$28,$28,$28,$28,$32,$30,$2e
        !BYTE $2c,$2a,$00,$00,$00,$00,$00,$00,$00,$00,$54,$01,$03,$19,$02,$42
        !BYTE $1a,$03,$13,$05,$42,$1c,$04,$12,$04,$50,$1e,$03,$0a,$04,$50,$1e
        !BYTE $0e,$08,$04,$50,$1f,$0b,$08,$01,$50,$1f,$0e,$08,$01,$54,$1f,$0c
        !BYTE $08,$01,$54,$1f,$0d,$08,$01,$48,$1f,$0a,$08,$01,$10,$1c,$03,$25
        !BYTE $26,$05,$04,$1a,$04,$ff
cave106:
        !BYTE $14,$0a,$19,$00,$14,$15,$16,$17,$28,$2a,$2c,$2e,$30,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$47,$13,$03,$14,$04,$47
        !BYTE $01,$0c,$26,$02,$c1,$12,$0b,$03,$03,$87,$1f,$0e,$05,$06,$14,$50
        !BYTE $1b,$11,$07,$02,$54,$1b,$14,$07,$02,$48,$1b,$13,$07,$02,$42,$08
        !BYTE $15,$09,$01,$42,$0b,$16,$08,$01,$54,$07,$15,$09,$01,$08,$07,$14
        !BYTE $94,$03,$04,$06,$04,$14,$50,$0b,$03,$08,$02,$42,$07,$03,$09,$04
        !BYTE $42,$08,$03,$09,$03,$42,$1a,$03,$07,$04,$42,$19,$05,$03,$04,$01
        !BYTE $1a,$06,$c2,$1c,$03,$0b,$07,$08,$16,$03,$10,$1b,$03,$25,$13,$0c
        !BYTE $04,$25,$04,$c7,$06,$0c,$03,$03,$01,$06,$0d,$50,$07,$0b,$02,$04
        !BYTE $10,$16,$04,$41,$1b,$11,$04,$02,$07,$1f,$11,$54,$20,$11,$02,$02
        !BYTE $14,$17,$03,$14,$15,$03,$ff
cave107:
        !BYTE $4b,$05,$0a,$02,$07,$08,$0a,$09,$32,$32,$32,$32,$32,$b4,$aa,$a0
        !BYTE $9b,$96,$00,$00,$00,$00,$00,$00,$00,$00,$c2,$10,$05,$07,$08,$c0
        !BYTE $0a,$07,$03,$05,$d0,$11,$09,$05,$02,$43,$10,$0c,$07,$02,$08,$0c
        !BYTE $07,$08,$0a,$0b,$3a,$13,$0f,$25,$13,$03,$04,$01,$03,$d0,$11,$06
        !BYTE $05,$02,$ff
cave108:
        !BYTE $14,$4b,$4b,$02,$08,$09,$0b,$0d,$03,$03,$03,$03,$03,$fa,$f0,$e6
        !BYTE $dc,$d2,$10,$08,$00,$00,$1e,$03,$00,$00,$87,$0e,$07,$0b,$0a,$10
        !BYTE $87,$20,$05,$03,$12,$01,$42,$0e,$0f,$0b,$02,$02,$21,$15,$41,$0f
        !BYTE $0f,$09,$02,$01,$21,$05,$14,$13,$0f,$14,$20,$15,$14,$22,$15,$41
        !BYTE $13,$07,$08,$04,$10,$1f,$04,$25,$01,$03,$04,$21,$16,$47,$21,$05
        !BYTE $10,$04,$81,$22,$11,$04,$06,$01,$42,$22,$15,$02,$04,$10,$23,$13
        !BYTE $14,$01,$16,$ff
cave109:
        !BYTE $14,$0a,$05,$64,$89,$8c,$fb,$33,$46,$46,$4b,$4b,$4b,$fa,$e1,$c8
        !BYTE $af,$96,$10,$14,$00,$00,$c8,$60,$00,$00,$c1,$01,$03,$12,$14,$c1
        !BYTE $14,$03,$13,$09,$47,$13,$04,$13,$04,$43,$14,$0c,$0f,$02,$41,$14
        !BYTE $16,$12,$02,$01,$13,$03,$25,$26,$16,$04,$0b,$07,$ff
cave110:
        !BYTE $14,$0f,$19,$00,$01,$02,$03,$04,$0f,$10,$11,$12,$13,$c8,$b4,$a0
        !BYTE $8c,$78,$10,$00,$00,$00,$23,$00,$00,$00,$82,$01,$03,$0d,$08,$00
        !BYTE $01,$02,$0a,$48,$0c,$04,$06,$04,$54,$04,$09,$07,$02,$82,$01,$0e
        !BYTE $0c,$06,$00,$48,$01,$0f,$04,$04,$54,$03,$12,$07,$02,$01,$0c,$12
        !BYTE $82,$11,$07,$0b,$09,$00,$48,$1a,$08,$07,$04,$54,$15,$0e,$05,$02
        !BYTE $01,$13,$0f,$50,$23,$16,$04,$01,$25,$14,$03,$04,$26,$16,$42,$23
        !BYTE $12,$05,$04,$42,$24,$12,$03,$02,$41,$22,$12,$05,$04,$50,$23,$10
        !BYTE $02,$04,$41,$24,$14,$02,$04,$ff
cave111:
        !BYTE $14,$0a,$0f,$00,$04,$66,$97,$64,$26,$26,$26,$26,$26,$b4,$aa,$a0
        !BYTE $96,$8c,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $54,$01,$03,$26,$02,$50,$01,$04,$26,$02,$41,$01,$05,$26,$02,$7a
        !BYTE $12,$05,$04,$02,$41,$12,$06,$04,$02,$48,$1a,$16,$0d,$02,$42,$13
        !BYTE $09,$02,$02,$42,$12,$0a,$02,$04,$42,$15,$0a,$02,$04,$14,$12,$09
        !BYTE $14,$15,$09,$07,$14,$0a,$07,$13,$16,$25,$13,$0a,$04,$14,$16,$00
        !BYTE $13,$16,$02,$14,$0a,$ff
cave112:
        !BYTE $14,$0a,$0f,$00,$3c,$02,$3b,$66,$3c,$3c,$3c,$3c,$3c,$dc,$d2,$c8
        !BYTE $be,$b4,$10,$14,$00,$00,$f0,$91,$00,$00,$c7,$01,$03,$10,$08,$c7
        !BYTE $16,$03,$11,$08,$87,$01,$0a,$12,$0d,$00,$87,$14,$0a,$13,$0d,$00
        !BYTE $87,$11,$03,$05,$07,$07,$c1,$11,$06,$05,$05,$42,$08,$0a,$03,$02
        !BYTE $42,$1c,$0a,$03,$02,$40,$13,$07,$04,$04,$48,$13,$0b,$0c,$04,$08
        !BYTE $02,$15,$08,$15,$15,$3a,$09,$0a,$3a,$1d,$0a,$25,$13,$05,$04,$13
        !BYTE $04,$ff
cave113:
        !BYTE $8c,$05,$08,$00,$01,$02,$03,$04,$4b,$4b,$4b,$4b,$4b,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$00,$00,$00,$14,$00,$00,$00,$80,$01,$08,$26,$0f,$00
        !BYTE $3a,$13,$07,$70,$01,$09,$0e,$04,$03,$03,$11,$43,$03,$11,$22,$02
        !BYTE $25,$13,$08,$04,$01,$03,$82,$03,$0b,$22,$0b,$02,$40,$11,$0b,$0a
        !BYTE $05,$40,$12,$0b,$0a,$05,$40,$12,$0b,$0a,$04,$40,$13,$0b,$0a,$04
        !BYTE $40,$14,$0b,$0a,$03,$40,$15,$0b,$0a,$03,$40,$14,$10,$05,$03,$40
        !BYTE $11,$10,$05,$05,$40,$11,$11,$04,$05,$40,$14,$11,$04,$03,$3a,$13
        !BYTE $03,$f0,$04,$0c,$02,$09,$50,$05,$03,$05,$04,$50,$06,$14,$02,$02
        !BYTE $01,$07,$15,$01,$03,$10,$ff
cave114:
        !BYTE $14,$19,$23,$00,$00,$00,$00,$00,$06,$06,$06,$06,$06,$b4,$b4,$b4
        !BYTE $b4,$b4,$10,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $80,$04,$03,$07,$0d,$00,$c1,$0f,$04,$12,$07,$41,$26,$03,$0f,$04
        !BYTE $41,$04,$03,$23,$02,$70,$0a,$04,$06,$04,$10,$11,$04,$10,$1e,$04
        !BYTE $08,$26,$11,$14,$04,$0f,$14,$26,$12,$25,$0c,$03,$04,$17,$09,$40
        !BYTE $24,$11,$02,$02,$ff
cave115:
        !BYTE $08,$0a,$14,$05,$1f,$2d,$2e,$38,$23,$23,$23,$23,$23,$aa,$a5,$a0
        !BYTE $9b,$96,$10,$00,$00,$00,$29,$14,$00,$00,$48,$01,$0c,$26,$02,$50
        !BYTE $01,$0d,$05,$02,$43,$01,$12,$05,$02,$d4,$1e,$03,$09,$03,$25,$26
        !BYTE $16,$04,$03,$13,$40,$1e,$05,$09,$02,$54,$01,$03,$0d,$02,$54,$12
        !BYTE $04,$05,$04,$54,$17,$07,$05,$04,$ff
cave116:
        !BYTE $14,$0a,$00,$01,$03,$87,$7d,$03,$0a,$0a,$0a,$0a,$0a,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$00,$00,$00,$14,$00,$00,$00,$47,$01,$06,$12,$02,$48
        !BYTE $12,$06,$08,$04,$43,$15,$06,$08,$04,$47,$15,$06,$12,$02,$82,$01
        !BYTE $0c,$0c,$0b,$00,$42,$13,$0d,$02,$02,$82,$1f,$10,$08,$07,$01,$02
        !BYTE $1f,$13,$48,$0b,$0d,$08,$04,$54,$02,$15,$0a,$02,$08,$02,$03,$08
        !BYTE $25,$03,$25,$08,$03,$04,$26,$13,$10,$02,$04,$08,$02,$03,$42,$15
        !BYTE $06,$08,$04,$ff
cave117:
        !BYTE $14,$08,$0a,$0a,$0b,$0c,$0d,$0e,$3c,$3c,$3c,$3c,$3c,$28,$28,$28
        !BYTE $28,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$94,$0b,$03,$08,$06,$30,$07,$08,$08,$25
        !BYTE $01,$03,$04,$12,$0c,$01,$08,$08,$ff
cave118:
        !BYTE $14,$0f,$19,$0a,$0b,$0c,$0d,$0e,$1e,$1e,$1e,$1e,$1e,$28,$23,$1e
        !BYTE $19,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$42,$03,$03,$0a,$04,$42,$0f,$03,$0a,$04
        !BYTE $40,$04,$0c,$06,$02,$50,$0e,$06,$02,$04,$08,$07,$0c,$08,$09,$0c
        !BYTE $14,$12,$0c,$10,$0e,$04,$25,$04,$07,$04,$01,$0c,$42,$03,$04,$0c
        !BYTE $02,$94,$10,$03,$03,$0a,$14,$10,$0f,$03,$50,$05,$03,$02,$04,$01
        !BYTE $03,$03,$ff
cave119:
        !BYTE $04,$32,$3c,$0a,$0b,$0c,$0d,$0e,$04,$05,$06,$07,$08,$32,$32,$32
        !BYTE $32,$32,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$54,$0b,$03,$08,$03,$48,$0c,$03,$07,$03
        !BYTE $25,$01,$03,$04,$12,$03,$ff
cave120:
        !BYTE $03,$4b,$5a,$00,$00,$00,$00,$00,$05,$05,$05,$05,$05,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$42,$07,$08,$04,$01,$42,$0a,$08,$04,$01
        !BYTE $01,$0b,$04,$10,$0b,$03,$43,$07,$09,$04,$02,$3a,$0b,$0c,$25,$01
        !BYTE $03,$04,$12,$03,$ff


cave121:
        !BYTE $14,$14,$19,$0a,$0b,$10,$0d,$0e,$14,$14,$14,$14,$14,$3c,$3a,$38
        !BYTE $36,$34,$00,$10,$14,$00,$3c,$32,$09,$00,$42,$0f,$03,$0d,$05,$42
        !BYTE $0e,$16,$11,$01,$25,$02,$04,$04,$0e,$03,$ff
cave122:
        !BYTE $14,$32,$4b,$03,$00,$01,$57,$58,$02,$03,$04,$05,$06,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $87,$02,$04,$25,$0a,$07,$50,$0a,$04,$0b,$04,$54,$15,$04,$05,$04
        !BYTE $14,$0a,$08,$48,$1a,$03,$0d,$02,$47,$02,$0f,$10,$02,$47,$11,$0f
        !BYTE $07,$04,$47,$1e,$0e,$08,$04,$3a,$23,$11,$25,$26,$16,$04,$0b,$07
        !BYTE $80,$0d,$05,$07,$08,$00,$80,$17,$05,$10,$08,$00,$c0,$13,$0a,$05
        !BYTE $03,$00,$26,$0d,$00,$1f,$0d,$ff
cave123:
        !BYTE $00,$14,$1e,$00,$32,$36,$34,$37,$23,$1e,$1e,$19,$19,$96,$96,$96
        !BYTE $96,$96,$10,$14,$3a,$00,$28,$0f,$02,$00,$25,$26,$16,$04,$01,$0a
        !BYTE $ff
cave124:
        !BYTE $14,$0a,$0f,$70,$78,$71,$73,$78,$23,$23,$23,$23,$23,$78,$73,$6e
        !BYTE $69,$64,$00,$30,$00,$00,$30,$19,$00,$00,$70,$0d,$0c,$05,$02,$7a
        !BYTE $0d,$16,$05,$02,$42,$0c,$03,$14,$04,$42,$0e,$03,$14,$04,$42,$10
        !BYTE $03,$14,$04,$42,$12,$03,$14,$04,$25,$26,$03,$04,$01,$16,$41,$0d
        !BYTE $14,$02,$04,$41,$0f,$13,$02,$04,$ff
cave125:
        !BYTE $19,$08,$0f,$00,$00,$00,$00,$00,$32,$32,$32,$32,$32,$aa,$a0,$8c
        !BYTE $82,$78,$00,$00,$00,$00,$00,$00,$00,$00,$48,$05,$08,$08,$04,$50
        !BYTE $01,$10,$06,$02,$47,$01,$14,$1f,$02,$47,$1c,$03,$11,$04,$02,$05
        !BYTE $14,$c2,$1a,$07,$03,$09,$10,$22,$05,$10,$1b,$08,$48,$1e,$04,$08
        !BYTE $02,$3a,$0f,$16,$d0,$1d,$03,$0a,$03,$d0,$11,$03,$02,$03,$42,$0e
        !BYTE $09,$03,$01,$42,$11,$09,$03,$01,$43,$0e,$0a,$04,$02,$43,$0e,$0c
        !BYTE $04,$02,$43,$0e,$0e,$04,$02,$43,$0e,$10,$04,$02,$43,$0e,$12,$04
        !BYTE $02,$41,$26,$13,$02,$04,$25,$21,$14,$04,$26,$16,$80,$0e,$0c,$04
        !BYTE $07,$00,$ff
cave126:
        !BYTE $14,$14,$3c,$00,$14,$15,$16,$17,$14,$14,$14,$14,$14,$fa,$fa,$fa
        !BYTE $fa,$fa,$00,$00,$00,$00,$00,$00,$00,$00,$50,$01,$03,$0f,$02,$43
        !BYTE $01,$06,$0f,$02,$80,$01,$07,$0f,$03,$00,$48,$01,$0a,$0f,$02,$42
        !BYTE $01,$0b,$07,$02,$42,$08,$0b,$0c,$04,$d4,$02,$0d,$04,$02,$41,$02
        !BYTE $0f,$04,$02,$48,$01,$10,$07,$02,$48,$07,$0d,$07,$04,$04,$26,$14
        !BYTE $50,$1b,$03,$02,$02,$10,$26,$04,$50,$10,$07,$0e,$03,$88,$0d,$0f
        !BYTE $04,$05,$14,$50,$23,$08,$0b,$04,$42,$24,$08,$03,$02,$10,$25,$09
        !BYTE $42,$24,$0e,$03,$02,$10,$25,$0f,$42,$24,$13,$03,$02,$88,$23,$14
        !BYTE $03,$03,$14,$01,$23,$15,$25,$01,$05,$41,$23,$16,$03,$02,$01,$23
        !BYTE $14,$10,$09,$0b,$10,$10,$08,$01,$11,$08,$40,$07,$0c,$0b,$04,$50
        !BYTE $0d,$14,$05,$02,$47,$0d,$16,$04,$02,$01,$0f,$08,$01,$06,$10,$00
        !BYTE $03,$10,$01,$0d,$11,$01,$10,$11,$ff
cave127:
        !BYTE $4b,$14,$05,$02,$07,$08,$0a,$09,$5a,$5a,$5a,$5a,$5a,$f0,$e6,$dc
        !BYTE $d2,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$47,$01,$10,$09,$02,$50
        !BYTE $0b,$03,$0a,$02,$87,$15,$03,$0f,$13,$07,$c8,$25,$03,$02,$14,$3a
        !BYTE $01,$16,$25,$01,$03,$04,$26,$03,$41,$17,$09,$0e,$02,$3a,$17,$09
        !BYTE $ff
cave128:
        !BYTE $34,$05,$0a,$01,$03,$04,$05,$06,$28,$28,$28,$28,$28,$c8,$b4,$a0
        !BYTE $8c,$78,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$08,$05,$07
        !BYTE $50,$05,$03,$05,$04,$08,$04,$03,$04,$06,$03,$50,$09,$03,$08,$02
        !BYTE $43,$09,$06,$08,$02,$47,$01,$09,$26,$02,$02,$0c,$09,$3a,$01,$16
        !BYTE $25,$01,$08,$87,$15,$03,$12,$06,$07,$02,$0c,$0a,$01,$0c,$09,$ff
cave129:
        !BYTE $14,$14,$00,$64,$89,$8c,$fb,$33,$0a,$0a,$0a,$0a,$0a,$50,$4b,$46
        !BYTE $41,$3c,$00,$00,$00,$00,$00,$00,$00,$00,$50,$06,$04,$13,$04,$42
        !BYTE $22,$04,$13,$05,$42,$26,$03,$13,$05,$25,$06,$03,$04,$17,$16,$03
        !BYTE $07,$10,$03,$07,$13,$42,$16,$16,$10,$01,$ff
cave130:
        !BYTE $14,$0f,$19,$64,$89,$8c,$fb,$33,$14,$14,$14,$14,$14,$b4,$a0,$8c
        !BYTE $78,$64,$10,$14,$00,$00,$4b,$25,$00,$00,$87,$02,$04,$14,$09,$07
        !BYTE $87,$0f,$0d,$07,$09,$07,$87,$16,$13,$10,$03,$07,$47,$25,$04,$0f
        !BYTE $04,$c0,$01,$03,$26,$14,$47,$01,$15,$0e,$02,$80,$02,$0d,$0d,$08
        !BYTE $00,$40,$11,$14,$02,$04,$41,$02,$0d,$08,$04,$48,$05,$14,$06,$02
        !BYTE $48,$01,$0a,$0b,$04,$25,$01,$16,$04,$0f,$0d,$ff
cave131:
        !BYTE $14,$0f,$19,$00,$04,$66,$97,$64,$1e,$1e,$1e,$1e,$1e,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $40,$08,$05,$1b,$02,$40,$14,$05,$0f,$04,$40,$13,$13,$06,$06,$40
        !BYTE $15,$11,$0a,$01,$40,$15,$12,$0a,$01,$80,$03,$05,$05,$05,$00,$80
        !BYTE $07,$0f,$07,$05,$08,$80,$19,$0f,$0a,$06,$14,$25,$05,$07,$04,$1f
        !BYTE $08,$40,$22,$05,$0a,$04,$c1,$11,$07,$07,$04,$10,$14,$09,$ff
cave132:
        !BYTE $14,$0a,$19,$00,$3c,$02,$3b,$66,$23,$23,$23,$23,$23,$b4,$b4,$b4
        !BYTE $a0,$a0,$14,$00,$00,$00,$1b,$00,$00,$00,$42,$01,$13,$08,$01,$42
        !BYTE $09,$0b,$0b,$04,$42,$0b,$0b,$0b,$04,$42,$0c,$0c,$07,$03,$50,$0a
        !BYTE $03,$09,$04,$48,$12,$03,$0f,$04,$50,$13,$03,$13,$04,$04,$20,$16
        !BYTE $25,$13,$16,$42,$1f,$0e,$09,$04,$42,$20,$0e,$07,$02,$50,$20,$11
        !BYTE $05,$02,$42,$20,$13,$04,$03,$50,$25,$03,$02,$02,$08,$11,$05,$08
        !BYTE $14,$08,$ff
cave133:
        !BYTE $08,$07,$0f,$00,$01,$02,$03,$04,$23,$28,$2d,$32,$37,$50,$50,$50
        !BYTE $50,$50,$00,$00,$00,$00,$00,$00,$00,$00,$82,$0a,$04,$0c,$05,$00
        !BYTE $3a,$0b,$05,$80,$18,$04,$08,$05,$30,$00,$15,$05,$25,$25,$16,$04
        !BYTE $26,$16,$ff
cave134:
        !BYTE $14,$0a,$14,$00,$00,$00,$00,$00,$14,$14,$14,$14,$14,$c8,$af,$96
        !BYTE $7d,$64,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$19,$0d,$01
        !BYTE $42,$02,$05,$09,$03,$42,$0c,$0d,$0a,$01,$48,$0a,$0e,$03,$02,$3a
        !BYTE $0b,$03,$50,$07,$0f,$09,$02,$41,$0b,$10,$01,$02,$80,$07,$13,$09
        !BYTE $04,$00,$70,$07,$09,$09,$02,$25,$26,$03,$04,$0b,$16,$40,$0b,$10
        !BYTE $03,$04,$ff
cave135:
        !BYTE $08,$14,$1e,$01,$1d,$1e,$1f,$20,$0b,$0c,$0d,$0e,$0f,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$00,$00,$00,$00,$00,$00,$00,$88,$11,$0a,$05,$05,$02
        !BYTE $90,$10,$0f,$07,$05,$14,$50,$11,$09,$05,$02,$14,$19,$05,$25,$24
        !BYTE $05,$04,$13,$0c,$01,$19,$05,$ff
cave136:
        !BYTE $14,$4b,$96,$01,$78,$81,$7e,$7b,$03,$03,$04,$04,$05,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$c2,$0d,$03,$14,$15,$c2
        !BYTE $0d,$07,$14,$05,$c2,$0d,$0f,$14,$05,$50,$21,$04,$05,$03,$48,$21
        !BYTE $03,$04,$03,$14,$0e,$16,$14,$0e,$12,$14,$0e,$0e,$14,$0e,$0a,$14
        !BYTE $0e,$06,$10,$0e,$13,$47,$0d,$17,$14,$02,$04,$01,$03,$25,$26,$0d
        !BYTE $ff
cave137:
        !BYTE $14,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$1e,$1e,$1e,$1e,$1e,$19,$18,$17
        !BYTE $16,$15,$00,$00,$00,$00,$00,$00,$00,$00,$c7,$00,$02,$14,$0c,$25
        !BYTE $01,$03,$10,$0e,$03,$90,$07,$06,$04,$04,$14,$70,$07,$05,$04,$02
        !BYTE $04,$12,$0c,$ff
cave138:
        !BYTE $08,$19,$00,$0a,$0b,$0c,$0d,$0e,$19,$19,$19,$19,$19,$1e,$1c,$1a
        !BYTE $18,$16,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$25,$01,$03,$03,$09,$05,$01,$09,$04,$10
        !BYTE $09,$03,$47,$05,$0c,$04,$01,$47,$0a,$09,$04,$03,$3a,$09,$0c,$04
        !BYTE $12,$03,$ff
cave139:
        !BYTE $04,$0a,$14,$0a,$0b,$0c,$0d,$0e,$0f,$12,$15,$18,$1b,$19,$19,$19
        !BYTE $19,$19,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$14,$0c,$01
        !BYTE $94,$01,$08,$05,$05,$14,$10,$09,$06,$30,$07,$0c,$42,$12,$03,$0a
        !BYTE $04,$04,$13,$0a,$25,$01,$03,$30,$09,$05,$10,$11,$06,$30,$04,$09
        !BYTE $30,$01,$0a,$01,$07,$0c,$ff
cave140:
        !BYTE $03,$0a,$32,$00,$00,$00,$00,$00,$0a,$0a,$0a,$0a,$0a,$32,$32,$32
        !BYTE $32,$32,$00,$00,$00,$00,$00,$00,$00,$00,$25,$01,$03,$04,$02,$03
        !BYTE $90,$05,$04,$04,$03,$10,$10,$04,$07,$10,$09,$07,$43,$05,$09,$04
        !BYTE $02,$50,$05,$0a,$04,$02,$48,$05,$03,$04,$02,$c7,$00,$02,$14,$0c
        !BYTE $ff



cave141:
        !BYTE $24,$05,$0a,$0a,$0b,$0c,$0d,$0e,$55,$55,$55,$55,$55,$64,$5a,$55
        !BYTE $50,$4b,$00,$00,$00,$00,$00,$00,$00,$00,$3a,$12,$15,$d0,$07,$0d
        !BYTE $17,$02,$25,$03,$05,$04,$24,$05,$ff
cave142:
        !BYTE $14,$14,$19,$dc,$60,$09,$16,$4e,$0f,$0f,$0f,$0f,$0f,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$10,$14,$00,$36,$25,$0a,$00,$42,$03,$08,$22,$02,$42
        !BYTE $03,$10,$22,$02,$42,$0a,$05,$10,$04,$42,$14,$05,$10,$04,$42,$1e
        !BYTE $05,$10,$04,$48,$04,$03,$02,$05,$08,$0f,$03,$08,$18,$03,$48,$22
        !BYTE $03,$03,$03,$08,$01,$0a,$08,$0d,$0a,$08,$18,$0a,$25,$04,$06,$04
        !BYTE $23,$12,$00,$0f,$04,$40,$22,$04,$02,$03,$00,$18,$09,$00,$0e,$0a
        !BYTE $00,$01,$0b,$10,$04,$04,$00,$19,$03,$ff
cave143:
        !BYTE $00,$05,$08,$00,$32,$36,$34,$37,$46,$46,$46,$46,$46,$96,$64,$5a
        !BYTE $50,$46,$10,$14,$07,$00,$64,$32,$09,$00,$25,$0a,$0a,$04,$0f,$0a
        !BYTE $ff
cave144:
        !BYTE $14,$05,$0a,$06,$07,$0e,$17,$1c,$46,$46,$46,$46,$46,$fa,$fa,$fa
        !BYTE $fa,$fa,$14,$00,$00,$00,$14,$00,$00,$00,$70,$01,$03,$14,$03,$70
        !BYTE $13,$03,$13,$05,$25,$01,$0b,$70,$14,$03,$13,$03,$70,$26,$03,$14
        !BYTE $05,$80,$12,$03,$04,$14,$00,$04,$26,$0b,$14,$1d,$0d,$14,$0a,$0d
        !BYTE $14,$0a,$0b,$14,$1d,$0b,$14,$0f,$08,$14,$22,$08,$14,$1a,$0a,$14
        !BYTE $19,$11,$14,$0f,$12,$14,$03,$14,$14,$01,$08,$ff
cave145:
        !BYTE $14,$0a,$0f,$00,$00,$00,$00,$00,$3e,$3e,$3e,$3e,$3e,$dc,$d2,$c8
        !BYTE $be,$b4,$00,$00,$00,$00,$00,$00,$00,$00,$82,$00,$02,$28,$16,$02
        !BYTE $54,$01,$08,$0d,$04,$54,$26,$08,$0d,$04,$48,$01,$03,$05,$04,$48
        !BYTE $26,$03,$05,$04,$41,$02,$14,$24,$02,$40,$04,$04,$0d,$04,$40,$23
        !BYTE $04,$0d,$04,$40,$04,$11,$20,$02,$40,$07,$05,$0a,$04,$40,$20,$05
        !BYTE $0a,$04,$40,$08,$0e,$18,$02,$41,$14,$0c,$0b,$04,$80,$0a,$05,$14
        !BYTE $07,$01,$48,$0a,$05,$01,$04,$48,$1d,$05,$01,$04,$94,$0e,$07,$0c
        !BYTE $03,$14,$25,$14,$15,$04,$14,$16,$ff
cave146:
        !BYTE $14,$05,$0a,$00,$14,$15,$16,$17,$63,$63,$63,$63,$63,$fa,$e6,$d2
        !BYTE $be,$aa,$00,$00,$00,$00,$00,$00,$00,$00,$47,$01,$04,$26,$02,$54
        !BYTE $01,$05,$26,$02,$47,$01,$06,$26,$02,$54,$01,$07,$26,$02,$47,$01
        !BYTE $08,$26,$02,$54,$01,$09,$26,$02,$47,$01,$0a,$26,$02,$40,$01,$0b
        !BYTE $26,$02,$47,$01,$0c,$26,$02,$54,$01,$0d,$26,$02,$47,$01,$0e,$26
        !BYTE $02,$40,$01,$0f,$26,$02,$c0,$06,$03,$02,$08,$c0,$06,$03,$02,$08
        !BYTE $c8,$19,$04,$02,$07,$c0,$06,$03,$02,$08,$c0,$0a,$0b,$02,$05,$c0
        !BYTE $13,$0b,$02,$05,$c0,$1c,$0b,$02,$05,$87,$01,$10,$26,$07,$07,$25
        !BYTE $01,$0f,$04,$26,$03,$41,$03,$0b,$07,$02,$ff
cave147:
        !BYTE $4b,$0a,$0f,$40,$41,$42,$43,$44,$14,$14,$14,$14,$14,$f0,$e6,$dc
        !BYTE $d2,$c8,$10,$08,$00,$00,$19,$08,$04,$00,$48,$01,$03,$0e,$02,$48
        !BYTE $01,$16,$0e,$02,$50,$06,$03,$14,$03,$50,$0d,$03,$14,$03,$50,$19
        !BYTE $03,$14,$05,$50,$20,$03,$14,$05,$3a,$13,$0f,$25,$13,$16,$04,$13
        !BYTE $03,$50,$0b,$10,$02,$01,$50,$16,$0f,$02,$01,$ff
cave148:
        !BYTE $14,$0a,$14,$01,$03,$04,$05,$06,$1e,$1e,$1e,$1e,$1e,$fa,$e6,$d2
        !BYTE $be,$aa,$00,$00,$00,$00,$00,$00,$00,$00,$50,$0c,$08,$14,$02,$90
        !BYTE $0d,$03,$12,$04,$10,$43,$0c,$10,$14,$02,$c3,$0c,$0c,$14,$01,$42
        !BYTE $0c,$13,$14,$02,$10,$05,$0f,$10,$08,$12,$48,$0c,$07,$14,$02,$48
        !BYTE $02,$0f,$07,$03,$50,$01,$0f,$08,$03,$25,$01,$16,$04,$03,$16,$ff
cave149:
        !BYTE $14,$05,$0a,$64,$89,$8c,$fb,$33,$42,$42,$42,$42,$42,$40,$3c,$39
        !BYTE $34,$30,$00,$00,$00,$00,$00,$00,$00,$00,$94,$01,$03,$0b,$06,$14
        !BYTE $42,$01,$09,$25,$02,$c2,$02,$0b,$25,$03,$c2,$01,$0f,$25,$03,$c2
        !BYTE $02,$13,$25,$03,$25,$26,$16,$04,$27,$16,$ff
cave150:
        !BYTE $04,$05,$0a,$00,$00,$00,$00,$00,$28,$2d,$32,$37,$3c,$c8,$b4,$a0
        !BYTE $8c,$78,$00,$00,$00,$00,$00,$00,$00,$00,$70,$07,$14,$03,$02,$c2
        !BYTE $06,$06,$10,$11,$43,$07,$0f,$0e,$02,$c2,$15,$03,$04,$07,$3a,$01
        !BYTE $16,$04,$05,$16,$80,$07,$10,$0e,$07,$00,$01,$07,$11,$10,$16,$03
        !BYTE $10,$16,$0a,$10,$19,$03,$00,$15,$0e,$08,$17,$08,$48,$1e,$0a,$03
        !BYTE $03,$25,$26,$16,$10,$1e,$0b,$10,$20,$0d,$10,$07,$10,$42,$04,$0f
        !BYTE $08,$04,$02,$05,$0f,$08,$0c,$16,$10,$15,$0e,$82,$06,$06,$0f,$0a
        !BYTE $02,$c1,$10,$10,$02,$07,$10,$10,$15,$82,$02,$04,$03,$0a,$02,$c2
        !BYTE $06,$03,$0e,$02,$42,$02,$0e,$09,$04,$3a,$05,$0e,$ff
cave151:
        !BYTE $14,$05,$0a,$00,$04,$66,$97,$64,$4b,$4b,$4b,$4b,$4b,$78,$6e,$64
        !BYTE $5a,$50,$00,$00,$00,$00,$00,$00,$00,$00,$82,$01,$03,$26,$14,$02
        !BYTE $40,$22,$04,$12,$04,$94,$14,$10,$0d,$06,$14,$48,$1d,$0d,$06,$02
        !BYTE $25,$07,$0e,$04,$06,$0e,$41,$08,$05,$0a,$04,$10,$08,$04,$41,$09
        !BYTE $04,$07,$03,$41,$09,$05,$08,$03,$81,$11,$04,$11,$09,$01,$01,$10
        !BYTE $0b,$10,$1f,$04,$10,$20,$05,$40,$02,$08,$06,$02,$08,$02,$08,$ff
cave152:
        !BYTE $14,$02,$03,$00,$3c,$02,$3b,$66,$63,$63,$63,$63,$63,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$00,$00,$00,$00,$00,$00,$00,$04,$01,$16,$00,$01,$15
        !BYTE $42,$02,$04,$13,$04,$42,$02,$04,$0d,$02,$42,$0e,$04,$12,$04,$42
        !BYTE $12,$03,$14,$04,$10,$13,$05,$42,$16,$03,$14,$04,$10,$17,$05,$42
        !BYTE $19,$03,$13,$04,$10,$1f,$0a,$48,$01,$14,$01,$04,$48,$1f,$09,$02
        !BYTE $05,$10,$1e,$0b,$42,$19,$15,$0c,$02,$25,$1d,$16,$94,$03,$05,$0b
        !BYTE $12,$14,$42,$03,$05,$0a,$03,$42,$0d,$10,$06,$05,$42,$0a,$0f,$06
        !BYTE $05,$42,$07,$0d,$05,$05,$42,$04,$0d,$02,$02,$42,$08,$07,$06,$02
        !BYTE $42,$0b,$09,$03,$03,$42,$03,$0b,$02,$01,$42,$03,$15,$04,$02,$42
        !BYTE $0b,$15,$04,$02,$40,$01,$13,$04,$00,$ff
cave153:
        !BYTE $8c,$05,$0f,$00,$01,$02,$03,$04,$32,$37,$3c,$46,$4b,$a0,$9b,$96
        !BYTE $91,$8c,$10,$00,$00,$00,$28,$00,$00,$00,$70,$01,$15,$13,$01,$3a
        !BYTE $26,$03,$25,$1c,$03,$04,$26,$08,$10,$03,$14,$10,$08,$0f,$10,$0a
        !BYTE $0d,$10,$0d,$0a,$10,$11,$06,$81,$13,$04,$13,$0b,$01,$ff
cave154:
        !BYTE $14,$0a,$14,$00,$00,$00,$00,$00,$28,$2a,$2c,$2e,$30,$96,$82,$6e
        !BYTE $64,$5a,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$11,$07,$07
        !BYTE $87,$01,$0f,$11,$08,$07,$87,$17,$03,$10,$07,$07,$87,$17,$0f,$10
        !BYTE $08,$07,$70,$15,$03,$13,$04,$50,$01,$0b,$26,$02,$00,$15,$07,$01
        !BYTE $15,$0f,$00,$15,$10,$00,$15,$14,$25,$01,$0f,$04,$26,$0f,$ff
cave155:
        !BYTE $a8,$05,$23,$01,$1d,$1e,$1f,$20,$63,$63,$63,$63,$63,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$10,$00,$00,$00,$11,$00,$00,$42,$0d,$03,$12,$04,$88
        !BYTE $01,$03,$0c,$0b,$08,$94,$01,$0e,$0c,$09,$14,$25,$26,$03,$04,$20
        !BYTE $03,$3a,$1e,$0b,$ff
cave156:
        !BYTE $08,$07,$0a,$05,$86,$87,$84,$76,$5f,$5f,$5f,$5f,$5f,$c8,$b4,$aa
        !BYTE $a0,$96,$08,$00,$00,$00,$26,$1e,$00,$00,$87,$23,$02,$04,$16,$01
        !BYTE $87,$01,$13,$22,$04,$07,$41,$22,$03,$14,$04,$41,$0f,$14,$13,$02
        !BYTE $48,$0f,$14,$05,$02,$41,$14,$16,$0e,$02,$3a,$23,$03,$47,$21,$03
        !BYTE $11,$04,$10,$20,$03,$01,$21,$06,$01,$21,$0e,$10,$20,$0d,$07,$20
        !BYTE $0f,$25,$22,$14,$04,$02,$04,$40,$14,$14,$02,$02,$08,$03,$03,$08
        !BYTE $03,$05,$08,$01,$05,$40,$03,$04,$02,$05,$40,$01,$06,$02,$04,$40
        !BYTE $01,$03,$02,$02,$ff
cave157:
        !BYTE $14,$5f,$63,$0a,$0b,$0c,$0d,$0e,$01,$01,$01,$01,$01,$0f,$0f,$0f
        !BYTE $0f,$0f,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$14,$0c,$01
        !BYTE $25,$01,$03,$04,$11,$0a,$14,$01,$0a,$48,$0c,$03,$08,$05,$48,$0f
        !BYTE $05,$08,$05,$40,$04,$0a,$08,$01,$40,$09,$0c,$08,$01,$ff
cave158:
        !BYTE $14,$0a,$14,$0a,$0b,$0c,$0d,$0e,$23,$23,$28,$28,$2d,$2d,$2d,$28
        !BYTE $28,$28,$00,$00,$00,$00,$00,$00,$00,$00,$c7,$00,$02,$14,$0c,$47
        !BYTE $09,$03,$0a,$04,$47,$01,$08,$12,$02,$c0,$08,$07,$03,$03,$70,$0a
        !BYTE $03,$04,$04,$3a,$01,$0c,$25,$01,$03,$04,$03,$03,$07,$01,$05,$08
        !BYTE $12,$0c,$01,$01,$05,$40,$0b,$09,$08,$02,$40,$12,$0a,$02,$04,$01
        !BYTE $09,$0a,$01,$0b,$08,$01,$09,$06,$01,$07,$08,$ff
cave159:
        !BYTE $04,$1e,$32,$0f,$0b,$0c,$0d,$0e,$0a,$0a,$0a,$0a,$0a,$18,$18,$18
        !BYTE $18,$18,$30,$00,$10,$14,$32,$2a,$22,$17,$c7,$00,$02,$14,$0c,$42
        !BYTE $1e,$03,$0a,$04,$c1,$01,$03,$03,$03,$c1,$10,$0a,$03,$03,$04,$11
        !BYTE $0b,$25,$02,$04,$87,$01,$0e,$26,$09,$07,$87,$14,$03,$13,$0b,$07
        !BYTE $10,$0c,$05,$ff
cave160:
        !BYTE $03,$14,$32,$00,$00,$00,$00,$00,$18,$18,$18,$18,$18,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$14,$0c,$02
        !BYTE $40,$12,$03,$0a,$04,$81,$09,$03,$08,$05,$01,$54,$11,$0c,$11,$06
        !BYTE $d0,$0d,$03,$04,$03,$25,$0a,$07,$04,$01,$0c,$48,$0d,$04,$04,$02
        !BYTE $54,$05,$03,$09,$04,$c1,$0b,$07,$06,$03,$41,$0d,$03,$03,$02,$ff



cave161:
        !BYTE $08,$05,$08,$0c,$0d,$11,$12,$10,$41,$41,$41,$41,$41,$c8,$be,$b4
        !BYTE $af,$aa,$10,$14,$00,$00,$37,$18,$00,$00,$43,$15,$0d,$12,$02,$48
        !BYTE $16,$10,$10,$02,$25,$26,$03,$04,$26,$16,$ff
cave162:
        !BYTE $08,$0a,$00,$0c,$0d,$11,$12,$10,$2d,$2d,$2d,$2d,$2d,$6e,$64,$5a
        !BYTE $50,$4b,$00,$00,$00,$00,$00,$00,$00,$00,$42,$03,$10,$06,$04,$42
        !BYTE $07,$10,$03,$04,$42,$08,$13,$03,$04,$42,$04,$10,$03,$02,$42,$04
        !BYTE $12,$03,$02,$42,$04,$13,$04,$02,$42,$04,$15,$04,$02,$02,$0b,$15
        !BYTE $42,$0d,$10,$06,$04,$42,$10,$10,$06,$04,$42,$0e,$13,$02,$02,$42
        !BYTE $12,$10,$06,$04,$42,$13,$10,$03,$02,$42,$13,$12,$02,$02,$42,$13
        !BYTE $15,$03,$02,$42,$17,$10,$06,$04,$42,$1a,$10,$06,$04,$42,$18,$10
        !BYTE $02,$02,$42,$18,$13,$02,$02,$42,$1c,$10,$06,$04,$42,$1f,$11,$04
        !BYTE $04,$42,$1d,$10,$02,$02,$42,$1d,$15,$02,$02,$42,$01,$0a,$23,$02
        !BYTE $42,$0b,$03,$07,$04,$10,$0c,$03,$10,$16,$06,$30,$16,$05,$54,$02
        !BYTE $0c,$24,$02,$25,$13,$11,$04,$01,$03,$42,$21,$10,$04,$02,$42,$21
        !BYTE $12,$04,$02,$42,$21,$15,$04,$02,$42,$21,$11,$01,$02,$42,$24,$13
        !BYTE $02,$04,$ff
cave163:
        !BYTE $4a,$03,$05,$0c,$0d,$11,$12,$10,$63,$63,$63,$63,$63,$c8,$be,$b4
        !BYTE $af,$aa,$10,$00,$00,$00,$1a,$00,$00,$00,$b0,$14,$04,$11,$03,$30
        !BYTE $50,$16,$07,$0c,$02,$48,$0f,$07,$0e,$05,$50,$0f,$08,$0d,$05,$3a
        !BYTE $04,$04,$04,$01,$16,$25,$06,$04,$ff
cave164:
        !BYTE $08,$0a,$19,$0c,$0d,$11,$12,$10,$28,$29,$2a,$2b,$2c,$64,$64,$64
        !BYTE $64,$64,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $47,$11,$05,$0b,$04,$47,$04,$0f,$0d,$02,$47,$06,$09,$06,$02,$47
        !BYTE $0b,$09,$06,$02,$47,$18,$03,$0d,$04,$47,$18,$10,$06,$02,$47,$21
        !BYTE $10,$06,$02,$94,$1a,$03,$0b,$06,$14,$90,$1a,$09,$0b,$06,$10,$88
        !BYTE $01,$0e,$0f,$03,$08,$94,$02,$04,$07,$04,$14,$88,$0b,$04,$06,$04
        !BYTE $08,$25,$25,$16,$04,$01,$03,$c0,$0b,$05,$06,$03,$c0,$02,$0e,$0d
        !BYTE $03,$ff
cave165:
        !BYTE $14,$0a,$0f,$03,$03,$03,$03,$03,$28,$28,$28,$28,$28,$fa,$f0,$e6
        !BYTE $e1,$dc,$10,$08,$00,$00,$37,$08,$00,$00,$42,$01,$0d,$17,$02,$42
        !BYTE $17,$03,$0a,$04,$42,$01,$0a,$10,$02,$42,$10,$03,$07,$04,$42,$01
        !BYTE $08,$09,$02,$42,$09,$03,$05,$04,$42,$1e,$13,$09,$02,$42,$1e,$14
        !BYTE $03,$04,$25,$02,$15,$04,$24,$15,$94,$01,$03,$08,$05,$14,$10,$05
        !BYTE $11,$10,$01,$14,$ff
cave166:
        !BYTE $4a,$05,$0a,$01,$0b,$12,$17,$1a,$50,$55,$5a,$5f,$63,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$08,$00,$00,$19,$08,$00,$00,$82,$07,$06,$06,$0a,$30
        !BYTE $82,$0b,$0b,$06,$08,$08,$3a,$1a,$04,$25,$01,$03,$04,$27,$0d,$ff
cave167:
        !BYTE $08,$0a,$0e,$06,$21,$23,$25,$26,$2d,$2f,$31,$35,$37,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$08,$00,$00,$21,$0d,$04,$00,$82,$07,$06,$07,$06,$14
        !BYTE $82,$12,$06,$07,$06,$14,$82,$1d,$06,$07,$06,$14,$25,$05,$15,$04
        !BYTE $25,$04,$10,$20,$10,$10,$0f,$0e,$50,$0c,$13,$03,$03,$ff
cave168:
        !BYTE $08,$0a,$0f,$00,$01,$04,$05,$06,$46,$46,$46,$46,$46,$fa,$f5,$f0
        !BYTE $eb,$e6,$10,$14,$30,$00,$37,$2d,$0f,$00,$42,$0c,$04,$0a,$05,$42
        !BYTE $16,$03,$10,$05,$42,$1a,$06,$11,$05,$42,$26,$04,$12,$05,$25,$02
        !BYTE $04,$04,$01,$03,$ff
cave169:
        !BYTE $e0,$03,$05,$28,$3d,$4a,$e8,$4b,$63,$63,$63,$63,$63,$fa,$f0,$e6
        !BYTE $dc,$d2,$10,$08,$00,$00,$1c,$05,$00,$00,$82,$07,$06,$0b,$0b,$00
        !BYTE $82,$16,$06,$0b,$0b,$30,$3a,$0b,$0b,$25,$01,$03,$ff
cave170:
        !BYTE $40,$0a,$14,$00,$01,$04,$06,$0a,$73,$73,$78,$78,$78,$c8,$be,$b4
        !BYTE $aa,$a0,$10,$08,$00,$00,$46,$05,$00,$00,$43,$06,$0d,$17,$02,$25
        !BYTE $13,$16,$04,$0a,$04,$ff
cave171:
        !BYTE $a0,$03,$05,$00,$00,$00,$00,$00,$63,$63,$63,$63,$63,$f0,$e6,$dc
        !BYTE $d2,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$42,$05,$08,$0f,$03,$42
        !BYTE $08,$08,$0b,$03,$42,$1e,$09,$0a,$05,$42,$21,$09,$0e,$05,$3a,$12
        !BYTE $03,$80,$15,$03,$12,$04,$30,$42,$13,$03,$0f,$04,$42,$14,$03,$0f
        !BYTE $04,$10,$25,$07,$25,$01,$16,$04,$26,$03,$ff
cave172:
        !BYTE $64,$03,$08,$00,$00,$00,$00,$00,$4b,$4b,$4b,$4b,$4b,$f0,$e0,$d0
        !BYTE $c0,$b0,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $82,$07,$09,$1a,$04,$30,$47,$12,$0d,$0a,$04,$47,$16,$0d,$09,$04
        !BYTE $41,$13,$0d,$03,$02,$50,$13,$0c,$03,$02,$47,$17,$15,$0e,$02,$3a
        !BYTE $13,$03,$25,$0f,$0e,$04,$26,$03,$ff
cave173:
        !BYTE $08,$14,$32,$02,$02,$02,$02,$02,$0f,$10,$11,$12,$13,$f0,$f0,$f0
        !BYTE $f0,$f0,$10,$08,$14,$00,$19,$19,$0a,$00,$47,$01,$0f,$1c,$02,$47
        !BYTE $01,$08,$1c,$02,$42,$07,$10,$07,$04,$42,$0e,$10,$07,$04,$42,$15
        !BYTE $10,$07,$04,$42,$1c,$10,$07,$04,$42,$0c,$03,$05,$04,$42,$1c,$03
        !BYTE $05,$04,$10,$0d,$03,$10,$1d,$03,$10,$08,$10,$10,$0f,$10,$10,$16
        !BYTE $10,$10,$1d,$10,$14,$01,$03,$14,$01,$10,$14,$0b,$10,$14,$12,$10
        !BYTE $14,$18,$10,$25,$26,$16,$04,$17,$03,$10,$1a,$0d,$10,$1a,$0e,$10
        !BYTE $0e,$0d,$10,$20,$04,$10,$25,$0b,$10,$25,$15,$10,$21,$12,$14,$15
        !BYTE $04,$10,$10,$0b,$10,$16,$0b,$ff
cave174:
        !BYTE $08,$63,$00,$00,$00,$00,$00,$00,$01,$01,$01,$01,$01,$64,$5a,$50
        !BYTE $46,$3c,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $47,$04,$15,$1d,$02,$47,$08,$13,$19,$02,$47,$0c,$11,$19,$02,$47
        !BYTE $0f,$0f,$10,$02,$47,$03,$14,$12,$01,$47,$08,$12,$0d,$01,$47,$0d
        !BYTE $10,$08,$01,$47,$11,$0e,$04,$01,$47,$22,$10,$0e,$07,$47,$1d,$0e
        !BYTE $09,$07,$47,$18,$0d,$05,$07,$14,$15,$0b,$08,$07,$16,$08,$02,$16
        !BYTE $25,$01,$16,$04,$20,$0f,$ff
cave175:
        !BYTE $08,$03,$0a,$01,$02,$08,$0c,$12,$5a,$5a,$5a,$5a,$5a,$78,$6e,$64
        !BYTE $5a,$55,$10,$14,$00,$00,$46,$28,$00,$00,$42,$06,$03,$13,$04,$42
        !BYTE $0c,$04,$13,$04,$42,$12,$03,$13,$04,$42,$18,$04,$13,$04,$42,$1e
        !BYTE $03,$13,$04,$42,$24,$04,$13,$04,$25,$01,$03,$04,$01,$17,$14,$1f
        !BYTE $15,$14,$1f,$16,$ff
cave176:
        !BYTE $4a,$02,$06,$00,$01,$02,$03,$05,$63,$63,$63,$63,$63,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$14,$00,$00,$00,$42,$0d,$07,$0e,$02,$42
        !BYTE $0b,$16,$12,$02,$42,$0d,$09,$06,$05,$42,$1c,$0e,$06,$05,$42,$0b
        !BYTE $0e,$06,$03,$42,$1a,$09,$06,$03,$70,$01,$03,$14,$04,$70,$26,$03
        !BYTE $14,$04,$70,$02,$03,$24,$02,$3a,$13,$0c,$25,$13,$14,$04,$13,$03
        !BYTE $ff
cave177:
        !BYTE $08,$14,$1e,$52,$54,$56,$58,$5a,$09,$09,$09,$09,$09,$28,$28,$28
        !BYTE $28,$28,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$42,$01,$07,$06,$02,$42,$07,$05,$05,$04
        !BYTE $10,$08,$03,$30,$10,$08,$10,$10,$09,$04,$01,$03,$25,$01,$06,$ff
cave178:
        !BYTE $80,$14,$32,$52,$54,$56,$58,$5a,$0f,$0f,$0f,$0f,$0f,$28,$28,$28
        !BYTE $28,$28,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$3a,$11,$03,$25,$01,$03,$04,$12,$0b,$70
        !BYTE $07,$04,$06,$02,$ff
cave179:
        !BYTE $80,$0f,$19,$52,$54,$56,$58,$5a,$14,$14,$14,$14,$14,$28,$28,$28
        !BYTE $28,$28,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$25,$02,$03,$04,$02,$0b,$3a,$09,$03,$90
        !BYTE $02,$05,$05,$05,$30,$90,$0c,$05,$05,$05,$30,$ff
cave180:
        !BYTE $08,$1e,$32,$52,$54,$56,$58,$5a,$0a,$0a,$0a,$0a,$0a,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$43,$07,$08,$07,$02,$25,$05,$04,$04,$02
        !BYTE $03,$10,$0a,$03,$10,$0b,$03,$10,$08,$04,$10,$0c,$04,$10,$0d,$04
        !BYTE $10,$07,$05,$10,$0a,$05,$10,$0c,$05,$10,$09,$06,$10,$0d,$06,$ff



cave181:
        !BYTE $09,$0a,$14,$0f,$09,$0b,$10,$23,$23,$23,$23,$23,$23,$be,$b4,$aa
        !BYTE $a0,$96,$00,$00,$00,$00,$00,$00,$00,$00,$02,$0c,$06,$02,$0c,$08
        !BYTE $02,$0c,$0a,$02,$0c,$0c,$02,$0c,$0e,$02,$0c,$10,$02,$0c,$12,$02
        !BYTE $0c,$14,$02,$0f,$0e,$02,$0f,$10,$02,$0f,$12,$02,$0f,$14,$02,$0f
        !BYTE $06,$02,$0f,$08,$02,$0f,$0a,$02,$0f,$0c,$02,$12,$06,$02,$12,$08
        !BYTE $02,$12,$0a,$02,$12,$0c,$02,$12,$0e,$02,$12,$10,$02,$12,$12,$02
        !BYTE $12,$14,$02,$15,$06,$02,$15,$08,$02,$15,$0a,$02,$15,$0c,$02,$15
        !BYTE $0e,$02,$15,$10,$02,$15,$12,$02,$15,$14,$25,$01,$03,$04,$02,$16
        !BYTE $10,$0c,$05,$10,$0f,$05,$10,$12,$05,$10,$15,$05,$10,$23,$06,$30
        !BYTE $23,$07,$01,$23,$06,$10,$23,$08,$10,$26,$04,$30,$26,$03,$30,$25
        !BYTE $0c,$10,$25,$0d,$10,$01,$04,$30,$01,$05,$30,$03,$0b,$10,$03,$0a
        !BYTE $01,$03,$0a,$10,$03,$0c,$01,$01,$04,$10,$01,$06,$ff
cave182:
        !BYTE $09,$05,$0a,$0a,$0f,$10,$17,$0b,$37,$3c,$41,$46,$4b,$c8,$c8,$c8
        !BYTE $c8,$c8,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $47,$05,$04,$13,$04,$47,$0a,$04,$13,$04,$47,$0f,$04,$13,$04,$47
        !BYTE $14,$04,$13,$04,$47,$19,$04,$13,$04,$47,$1e,$04,$13,$04,$42,$23
        !BYTE $03,$14,$04,$04,$26,$03,$10,$1d,$04,$01,$1d,$05,$01,$18,$05,$01
        !BYTE $22,$04,$10,$22,$03,$10,$18,$04,$10,$13,$04,$01,$13,$05,$01,$0e
        !BYTE $05,$10,$0e,$04,$10,$09,$04,$01,$09,$05,$01,$04,$05,$10,$04,$04
        !BYTE $25,$0b,$16,$70,$07,$10,$06,$04,$70,$0e,$11,$06,$04,$70,$13,$11
        !BYTE $06,$04,$70,$18,$11,$06,$04,$70,$1d,$11,$06,$04,$70,$22,$11,$06
        !BYTE $04,$40,$07,$10,$02,$04,$40,$0e,$11,$02,$04,$40,$13,$11,$02,$04
        !BYTE $40,$18,$11,$02,$04,$40,$1d,$11,$02,$04,$40,$22,$11,$02,$04,$40
        !BYTE $07,$12,$04,$04,$70,$09,$13,$04,$04,$ff
cave183:
        !BYTE $09,$05,$0a,$1b,$1b,$29,$32,$33,$19,$19,$1e,$1e,$1e,$96,$96,$8c
        !BYTE $82,$78,$10,$08,$14,$07,$06,$19,$10,$00,$47,$26,$14,$26,$06,$00
        !BYTE $1b,$16,$40,$0c,$15,$10,$02,$10,$13,$15,$40,$1c,$15,$0b,$02,$25
        !BYTE $01,$15,$04,$25,$12,$08,$21,$15,$00,$1b,$14,$42,$1f,$03,$11,$04
        !BYTE $10,$1e,$03,$10,$17,$04,$ff
cave184:
        !BYTE $4b,$03,$05,$11,$16,$11,$07,$24,$5f,$5f,$5f,$5f,$5f,$fa,$f0,$e6
        !BYTE $dc,$d2,$08,$10,$00,$00,$0a,$05,$00,$00,$42,$14,$06,$0d,$03,$42
        !BYTE $13,$06,$0d,$05,$3a,$14,$09,$25,$09,$11,$04,$26,$16,$42,$06,$03
        !BYTE $14,$04,$b0,$01,$03,$05,$14,$30,$10,$07,$03,$10,$1c,$07,$10,$24
        !BYTE $08,$ff
cave185:
        !BYTE $80,$0a,$0f,$09,$09,$09,$09,$09,$23,$23,$23,$23,$23,$96,$91,$8c
        !BYTE $87,$82,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $82,$02,$04,$03,$13,$14,$82,$0a,$04,$03,$13,$14,$82,$12,$04,$03
        !BYTE $13,$14,$82,$1a,$04,$03,$13,$14,$82,$22,$04,$03,$13,$14,$47,$22
        !BYTE $04,$13,$04,$47,$1a,$04,$13,$04,$47,$12,$04,$13,$04,$47,$0a,$04
        !BYTE $13,$04,$47,$02,$04,$13,$04,$10,$05,$04,$01,$05,$05,$01,$0d,$05
        !BYTE $10,$0d,$04,$10,$15,$04,$01,$15,$05,$25,$17,$06,$10,$1d,$04,$01
        !BYTE $1d,$05,$01,$25,$05,$10,$25,$04,$04,$22,$04,$48,$1d,$0c,$06,$04
        !BYTE $48,$15,$0d,$06,$04,$48,$01,$09,$0d,$04,$ff
cave186:
        !BYTE $08,$0a,$1e,$30,$4e,$50,$54,$25,$0f,$0f,$0f,$0f,$0f,$96,$96,$96
        !BYTE $96,$96,$10,$00,$00,$00,$0c,$00,$00,$00,$90,$15,$05,$0d,$03,$10
        !BYTE $43,$14,$09,$0f,$02,$43,$14,$0c,$0f,$02,$43,$14,$0f,$0f,$02,$48
        !BYTE $14,$11,$0f,$02,$04,$01,$03,$25,$12,$16,$41,$14,$11,$05,$02,$ff
cave187:
        !BYTE $68,$05,$0a,$6f,$68,$84,$71,$86,$2d,$32,$37,$3c,$41,$f0,$eb,$e6
        !BYTE $e1,$dc,$00,$00,$00,$00,$00,$00,$00,$00,$82,$03,$10,$05,$05,$14
        !BYTE $82,$0e,$10,$05,$05,$14,$82,$19,$10,$05,$05,$14,$82,$21,$03,$05
        !BYTE $05,$14,$82,$18,$03,$05,$05,$14,$82,$0f,$03,$05,$05,$14,$82,$06
        !BYTE $03,$05,$05,$14,$82,$22,$0d,$05,$05,$14,$08,$21,$0c,$10,$21,$0d
        !BYTE $08,$26,$12,$10,$26,$13,$25,$26,$16,$10,$1e,$11,$08,$1e,$10,$08
        !BYTE $19,$0f,$08,$1a,$0f,$10,$18,$10,$10,$12,$0f,$10,$0e,$0f,$08,$0e
        !BYTE $0e,$08,$12,$0e,$08,$08,$0c,$10,$08,$0d,$10,$02,$0f,$08,$02,$10
        !BYTE $10,$02,$10,$10,$05,$03,$10,$0e,$03,$10,$17,$03,$10,$20,$03,$10
        !BYTE $26,$08,$48,$26,$03,$05,$04,$04,$0f,$08,$ff
cave188:
        !BYTE $80,$05,$08,$52,$62,$73,$83,$a9,$63,$63,$63,$63,$63,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$04,$10,$03,$25,$11,$03
        !BYTE $3a,$01,$03,$3a,$01,$16,$3a,$26,$16,$3a,$26,$03,$82,$16,$09,$0a
        !BYTE $0b,$30,$10,$15,$09,$10,$14,$09,$30,$0c,$07,$10,$0c,$08,$10,$08
        !BYTE $08,$30,$08,$07,$ff
cave189:
        !BYTE $24,$03,$05,$52,$52,$52,$54,$52,$50,$50,$50,$50,$50,$c8,$be,$b4
        !BYTE $aa,$a0,$03,$10,$14,$00,$76,$32,$22,$00,$25,$01,$05,$04,$01,$10
        !BYTE $01,$01,$06,$ff
cave190:
        !BYTE $4a,$02,$05,$52,$54,$56,$58,$5a,$63,$63,$63,$63,$63,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$47,$07,$0d,$0a,$03,$47
        !BYTE $0a,$0c,$08,$03,$47,$14,$10,$03,$05,$47,$17,$13,$03,$07,$47,$18
        !BYTE $12,$07,$01,$47,$18,$16,$0a,$01,$07,$14,$16,$07,$14,$0a,$47,$14
        !BYTE $04,$04,$05,$47,$15,$05,$03,$03,$47,$1b,$03,$04,$05,$47,$10,$06
        !BYTE $04,$07,$47,$10,$0a,$08,$07,$47,$18,$0a,$08,$01,$3a,$14,$05,$25
        !BYTE $0a,$03,$04,$20,$03,$10,$21,$0d,$10,$07,$0d,$70,$08,$0d,$0a,$03
        !BYTE $70,$09,$0d,$0a,$03,$70,$0a,$0d,$0a,$03,$70,$1e,$0d,$0a,$05,$70
        !BYTE $1f,$0d,$0a,$05,$70,$20,$0d,$0a,$05,$70,$16,$14,$02,$05,$70,$16
        !BYTE $13,$03,$05,$70,$15,$13,$03,$05,$70,$15,$12,$03,$05,$70,$14,$12
        !BYTE $03,$05,$70,$14,$11,$03,$05,$01,$1e,$0c,$01,$0a,$0c,$ff
cave191:
        !BYTE $08,$05,$0a,$32,$33,$34,$35,$3a,$2e,$2f,$30,$31,$32,$fa,$fa,$fa
        !BYTE $fa,$fa,$00,$00,$00,$00,$00,$00,$00,$00,$47,$26,$08,$26,$06,$47
        !BYTE $26,$0e,$26,$06,$47,$08,$03,$05,$04,$47,$10,$03,$0a,$04,$47,$18
        !BYTE $03,$0b,$04,$47,$20,$03,$0b,$04,$07,$10,$0d,$47,$08,$09,$05,$04
        !BYTE $90,$01,$03,$07,$05,$14,$90,$11,$03,$07,$05,$14,$90,$21,$03,$06
        !BYTE $05,$14,$94,$19,$03,$07,$05,$10,$94,$09,$03,$07,$05,$10,$80,$09
        !BYTE $09,$07,$05,$00,$80,$01,$09,$07,$05,$00,$80,$11,$09,$07,$05,$00
        !BYTE $80,$19,$09,$07,$05,$00,$80,$21,$09,$06,$05,$00,$48,$22,$0d,$05
        !BYTE $02,$48,$19,$0d,$05,$02,$48,$11,$0d,$05,$02,$48,$09,$0d,$05,$02
        !BYTE $48,$01,$0d,$05,$02,$01,$03,$08,$01,$0c,$08,$01,$14,$08,$01,$1c
        !BYTE $08,$01,$24,$08,$01,$24,$0e,$01,$1c,$0e,$01,$14,$0e,$01,$0c,$0e
        !BYTE $01,$03,$0e,$25,$01,$15,$10,$16,$03,$04,$16,$03,$10,$16,$03,$04
        !BYTE $21,$03,$ff
cave192:
        !BYTE $08,$03,$05,$72,$73,$74,$75,$76,$46,$50,$55,$5a,$5f,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$1c,$00,$00,$00,$70,$01,$03,$26,$02,$82
        !BYTE $10,$0f,$07,$07,$02,$40,$13,$0f,$06,$04,$25,$13,$14,$04,$13,$16
        !BYTE $ff
cave193:
        !BYTE $80,$02,$05,$b2,$b3,$b4,$b7,$b6,$5f,$5f,$5f,$5f,$5f,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$82,$0f,$09,$09,$0e,$30
        !BYTE $10,$18,$09,$10,$18,$11,$10,$0e,$11,$10,$0e,$09,$48,$03,$10,$03
        !BYTE $04,$48,$03,$09,$03,$04,$48,$24,$09,$03,$04,$48,$24,$10,$03,$04
        !BYTE $10,$24,$13,$10,$24,$0c,$10,$03,$0c,$10,$03,$13,$3a,$11,$03,$04
        !BYTE $26,$04,$25,$01,$03,$3a,$13,$03,$3a,$15,$03,$47,$17,$09,$09,$06
        !BYTE $47,$18,$0a,$03,$04,$47,$17,$0a,$04,$04,$47,$0f,$0a,$04,$04,$41
        !BYTE $18,$0a,$04,$04,$ff
cave194:
        !BYTE $08,$03,$08,$52,$52,$52,$52,$52,$50,$50,$50,$50,$50,$be,$b4,$aa
        !BYTE $a0,$96,$00,$00,$00,$00,$0c,$00,$00,$00,$47,$25,$04,$25,$06,$47
        !BYTE $26,$06,$25,$06,$47,$25,$08,$25,$06,$48,$1b,$13,$02,$02,$50,$1b
        !BYTE $14,$02,$02,$42,$21,$16,$06,$00,$42,$22,$11,$05,$02,$b0,$22,$12
        !BYTE $05,$05,$30,$10,$21,$10,$50,$1f,$09,$1f,$06,$25,$15,$16,$04,$01
        !BYTE $03,$40,$02,$03,$25,$02,$40,$01,$05,$26,$02,$40,$01,$07,$26,$02
        !BYTE $00,$01,$06,$00,$26,$04,$00,$26,$08,$ff
cave195:
        !BYTE $4d,$0a,$19,$52,$64,$5c,$5d,$5e,$14,$15,$16,$17,$18,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$00,$00,$00,$2c,$00,$00,$00,$43,$02,$06,$08,$02,$43
        !BYTE $08,$09,$08,$02,$43,$0e,$0c,$08,$02,$43,$15,$0f,$08,$02,$43,$1b
        !BYTE $12,$08,$02,$43,$0e,$12,$08,$02,$43,$08,$0f,$08,$02,$43,$02,$0c
        !BYTE $08,$02,$43,$15,$09,$08,$02,$43,$0e,$06,$08,$02,$43,$1c,$0c,$08
        !BYTE $02,$25,$1d,$03,$25,$26,$0c,$04,$26,$0d,$10,$1d,$03,$ff
cave196:
        !BYTE $05,$0a,$14,$12,$12,$12,$12,$12,$19,$19,$19,$19,$19,$c8,$be,$b4
        !BYTE $b9,$b9,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$01,$03,$26,$14,$00,$42,$01,$0c,$25
        !BYTE $02,$42,$08,$0d,$0a,$04,$42,$12,$03,$14,$04,$42,$20,$03,$14,$04
        !BYTE $42,$1b,$03,$06,$04,$42,$0a,$03,$09,$04,$42,$1b,$09,$05,$02,$01
        !BYTE $26,$0c,$25,$26,$16,$54,$1a,$16,$05,$02,$48,$1f,$13,$04,$00,$48
        !BYTE $11,$14,$04,$00,$48,$07,$15,$04,$00,$54,$06,$16,$05,$06,$54,$10
        !BYTE $16,$05,$06,$54,$10,$0b,$05,$06,$54,$19,$0b,$05,$06,$48,$18,$0a
        !BYTE $04,$02,$48,$0d,$0a,$04,$02,$01,$0b,$04,$10,$0b,$03,$10,$13,$03
        !BYTE $01,$13,$04,$04,$0e,$03,$01,$1c,$04,$10,$1c,$03,$10,$21,$03,$01
        !BYTE $21,$04,$48,$22,$0b,$04,$02,$10,$21,$0d,$01,$21,$0e,$01,$13,$0e
        !BYTE $10,$13,$0d,$10,$09,$0d,$01,$09,$0e,$94,$04,$09,$03,$03,$14,$ff
cave197:
        !BYTE $08,$0a,$19,$01,$02,$03,$04,$05,$19,$19,$19,$19,$19,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$01,$03,$12,$0a,$00,$47,$01,$06,$06
        !BYTE $02,$47,$0c,$06,$07,$02,$94,$01,$03,$12,$03,$14,$48,$02,$0c,$05
        !BYTE $02,$25,$12,$07,$04,$0e,$03,$00,$12,$07,$25,$01,$03,$ff
cave198:
        !BYTE $04,$0a,$0f,$52,$52,$52,$52,$52,$0f,$0f,$0f,$0f,$0f,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$42,$0d,$0c,$0a,$00,$42,$06,$0c,$0a,$00
        !BYTE $10,$05,$03,$10,$03,$08,$30,$03,$07,$30,$09,$08,$10,$09,$09,$10
        !BYTE $0c,$03,$04,$0f,$03,$25,$01,$03,$ff
cave199:
        !BYTE $08,$0a,$19,$52,$52,$52,$52,$52,$0f,$0f,$0f,$0f,$0f,$1e,$1e,$1e
        !BYTE $1e,$1e,$02,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$01,$03,$12,$0a,$00,$47,$02,$04,$11
        !BYTE $02,$47,$01,$0b,$11,$02,$54,$01,$0a,$11,$02,$47,$02,$09,$05,$00
        !BYTE $48,$05,$03,$0a,$02,$04,$12,$03,$25,$01,$0c,$25,$03,$05,$00,$01
        !BYTE $0c,$40,$06,$03,$02,$02,$40,$05,$03,$02,$02,$40,$08,$03,$02,$02
        !BYTE $ff
cave200:
        !BYTE $08,$19,$00,$52,$52,$52,$52,$52,$09,$09,$09,$09,$09,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$01,$03,$12,$0a,$00,$41,$01,$0b,$12
        !BYTE $02,$41,$01,$09,$12,$02,$41,$01,$07,$12,$02,$41,$01,$05,$12,$02
        !BYTE $41,$01,$03,$12,$02,$14,$09,$04,$14,$12,$04,$14,$12,$06,$14,$12
        !BYTE $08,$14,$12,$0a,$14,$01,$04,$14,$01,$06,$14,$01,$08,$14,$01,$0a
        !BYTE $08,$09,$08,$08,$09,$0a,$08,$09,$06,$08,$0e,$04,$08,$05,$04,$04
        !BYTE $09,$03,$25,$0e,$0c,$00,$0e,$0c,$25,$01,$07,$ff


cave201:
        !BYTE $0e,$03,$06,$0f,$09,$0b,$10,$26,$32,$32,$32,$32,$32,$c8,$c8,$c8
        !BYTE $c8,$c8,$14,$00,$10,$00,$4d,$3a,$30,$00,$14,$03,$09,$04,$11,$15
        !BYTE $25,$0f,$03,$ff
cave202:
        !BYTE $90,$03,$05,$0f,$0f,$0f,$0f,$0f,$63,$63,$63,$63,$63,$fa,$f0,$e6
        !BYTE $dc,$d2,$10,$08,$00,$00,$08,$06,$00,$00,$47,$01,$03,$04,$03,$47
        !BYTE $0d,$03,$04,$05,$47,$11,$06,$04,$07,$47,$17,$06,$04,$01,$47,$1b
        !BYTE $03,$04,$03,$47,$26,$03,$04,$05,$3a,$21,$03,$3a,$14,$03,$3a,$07
        !BYTE $03,$82,$0b,$0d,$06,$0a,$30,$82,$18,$0d,$06,$0a,$30,$10,$1e,$0d
        !BYTE $10,$17,$0d,$10,$11,$0d,$10,$0a,$0d,$10,$07,$04,$10,$02,$0b,$10
        !BYTE $04,$11,$10,$14,$15,$10,$14,$14,$10,$24,$16,$04,$26,$04,$25,$01
        !BYTE $04,$10,$09,$12,$10,$25,$15,$10,$25,$16,$ff
cave203:
        !BYTE $09,$0a,$0f,$09,$09,$09,$09,$09,$14,$15,$16,$17,$18,$96,$96,$96
        !BYTE $96,$96,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $47,$01,$04,$11,$02,$47,$02,$06,$11,$04,$47,$06,$06,$11,$04,$47
        !BYTE $08,$06,$11,$04,$47,$0c,$06,$11,$04,$47,$0e,$06,$11,$04,$47,$12
        !BYTE $06,$11,$04,$47,$14,$06,$11,$04,$47,$18,$06,$11,$04,$47,$1a,$06
        !BYTE $11,$04,$47,$1e,$06,$11,$04,$47,$20,$06,$11,$04,$47,$24,$06,$11
        !BYTE $04,$47,$16,$03,$02,$04,$47,$1c,$03,$02,$04,$47,$22,$03,$02,$04
        !BYTE $47,$23,$04,$02,$04,$40,$23,$04,$02,$04,$04,$26,$16,$25,$01,$03
        !BYTE $14,$11,$03,$14,$01,$16,$54,$03,$16,$03,$02,$54,$09,$16,$03,$02
        !BYTE $54,$0f,$16,$03,$02,$54,$15,$16,$03,$02,$54,$21,$16,$03,$02,$54
        !BYTE $1b,$16,$03,$02,$14,$1f,$16,$14,$19,$16,$14,$13,$16,$14,$0d,$16
        !BYTE $14,$07,$16,$14,$25,$16,$48,$25,$12,$04,$04,$48,$1f,$12,$04,$04
        !BYTE $ff
cave204:
        !BYTE $3a,$03,$0a,$f0,$f0,$f0,$f0,$f0,$1e,$1e,$1e,$1e,$1e,$fa,$f5,$f0
        !BYTE $eb,$e6,$30,$10,$00,$00,$45,$39,$1e,$00,$42,$0d,$03,$0d,$05,$42
        !BYTE $19,$03,$14,$05,$42,$24,$03,$14,$05,$42,$26,$0e,$09,$05,$04,$26
        !BYTE $16,$25,$05,$03,$01,$0d,$03,$01,$0d,$0f,$01,$1b,$0c,$01,$20,$14
        !BYTE $01,$14,$13,$01,$08,$14,$01,$05,$0b,$ff
cave205:
        !BYTE $80,$0a,$00,$09,$09,$09,$09,$09,$28,$28,$28,$28,$28,$be,$b4,$aa
        !BYTE $a0,$96,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $81,$02,$04,$06,$07,$00,$81,$0a,$04,$06,$07,$00,$81,$12,$04,$06
        !BYTE $07,$00,$81,$1a,$04,$06,$07,$00,$81,$21,$04,$06,$07,$00,$81,$21
        !BYTE $0e,$06,$07,$00,$81,$1a,$0e,$06,$07,$00,$81,$12,$0e,$06,$07,$00
        !BYTE $81,$0a,$0e,$06,$07,$00,$81,$02,$0e,$06,$07,$00,$25,$01,$03,$04
        !BYTE $26,$03,$54,$22,$09,$04,$02,$54,$22,$13,$04,$02,$54,$1b,$13,$04
        !BYTE $02,$54,$13,$13,$04,$02,$54,$0b,$13,$04,$02,$54,$03,$13,$04,$02
        !BYTE $54,$03,$09,$04,$02,$54,$0b,$09,$04,$02,$54,$13,$09,$04,$02,$54
        !BYTE $1b,$09,$04,$02,$48,$0d,$0c,$0d,$02,$48,$0d,$16,$0d,$02,$48,$04
        !BYTE $0f,$02,$02,$48,$14,$0f,$02,$02,$48,$23,$0f,$02,$02,$48,$23,$05
        !BYTE $02,$02,$48,$14,$05,$02,$02,$48,$04,$05,$02,$02,$48,$05,$08,$02
        !BYTE $02,$ff
cave206:
        !BYTE $60,$03,$05,$30,$30,$30,$30,$2f,$c7,$63,$63,$63,$63,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$42,$08,$09,$05,$02,$42
        !BYTE $1b,$09,$05,$02,$42,$20,$0a,$02,$03,$42,$1a,$0a,$02,$05,$42,$0e
        !BYTE $0b,$02,$07,$42,$06,$0b,$02,$01,$42,$06,$11,$02,$03,$42,$0d,$12
        !BYTE $02,$01,$42,$19,$11,$02,$03,$42,$21,$11,$02,$05,$42,$1f,$13,$05
        !BYTE $06,$42,$0c,$13,$05,$06,$42,$16,$0d,$06,$06,$42,$14,$16,$14,$00
        !BYTE $10,$13,$03,$10,$13,$0e,$10,$05,$0d,$10,$22,$0d,$3a,$1d,$0a,$b0
        !BYTE $08,$0a,$05,$09,$30,$70,$06,$0c,$05,$04,$70,$07,$0b,$07,$04,$70
        !BYTE $0d,$0b,$07,$04,$70,$0e,$0c,$05,$04,$50,$04,$0e,$02,$02,$50,$22
        !BYTE $0e,$02,$02,$04,$26,$03,$25,$01,$03,$42,$03,$08,$03,$03,$42,$24
        !BYTE $08,$03,$05,$10,$24,$07,$10,$03,$07,$ff
cave207:
        !BYTE $68,$05,$0a,$8c,$83,$82,$85,$6b,$32,$32,$32,$32,$32,$fa,$fa,$fa
        !BYTE $fa,$fa,$00,$10,$14,$00,$00,$5c,$20,$00,$42,$08,$03,$14,$04,$42
        !BYTE $10,$03,$14,$04,$42,$18,$03,$14,$04,$42,$20,$03,$14,$04,$42,$01
        !BYTE $0a,$26,$02,$42,$01,$11,$26,$02,$25,$01,$03,$25,$26,$12,$04,$26
        !BYTE $12,$25,$01,$03,$41,$06,$0a,$05,$02,$41,$06,$11,$05,$02,$41,$0e
        !BYTE $11,$05,$02,$41,$0e,$0a,$05,$02,$41,$16,$0a,$05,$02,$41,$16,$11
        !BYTE $05,$02,$41,$1e,$11,$05,$02,$41,$1e,$0a,$05,$02,$ff
cave208:
        !BYTE $68,$05,$00,$62,$62,$62,$62,$62,$50,$50,$50,$50,$50,$96,$91,$8c
        !BYTE $87,$82,$07,$14,$00,$00,$81,$29,$11,$00,$25,$02,$03,$04,$26,$03
        !BYTE $ff
cave209:
        !BYTE $50,$03,$06,$52,$52,$52,$52,$51,$5f,$5f,$5f,$5f,$5f,$fa,$f0,$e6
        !BYTE $dc,$d2,$00,$00,$00,$00,$00,$00,$00,$00,$82,$02,$05,$15,$03,$30
        !BYTE $82,$02,$09,$15,$03,$30,$82,$02,$0d,$15,$03,$30,$82,$02,$11,$15
        !BYTE $03,$30,$10,$17,$10,$10,$17,$0c,$10,$17,$08,$10,$17,$04,$3a,$24
        !BYTE $03,$70,$26,$10,$07,$04,$50,$25,$10,$07,$04,$04,$01,$03,$25,$1e
        !BYTE $03,$ff
cave210:
        !BYTE $08,$05,$08,$52,$54,$56,$58,$5a,$32,$34,$36,$38,$3a,$96,$96,$96
        !BYTE $96,$96,$14,$10,$00,$00,$35,$1e,$00,$00,$42,$18,$03,$0f,$03,$42
        !BYTE $11,$03,$14,$03,$42,$0a,$03,$14,$03,$42,$03,$03,$14,$03,$42,$01
        !BYTE $07,$10,$03,$42,$01,$0c,$09,$01,$42,$01,$13,$11,$01,$42,$05,$16
        !BYTE $14,$01,$42,$0d,$16,$14,$01,$42,$1c,$16,$0b,$01,$42,$14,$16,$13
        !BYTE $01,$01,$17,$13,$01,$1a,$13,$01,$1f,$13,$01,$22,$10,$01,$22,$0d
        !BYTE $01,$1e,$09,$01,$19,$0b,$01,$17,$09,$01,$20,$0a,$01,$1e,$05,$01
        !BYTE $14,$06,$01,$0d,$06,$01,$0e,$07,$01,$10,$10,$01,$14,$0f,$01,$09
        !BYTE $0f,$01,$0b,$09,$01,$04,$0a,$01,$05,$08,$01,$06,$06,$01,$01,$13
        !BYTE $01,$0c,$0c,$01,$10,$0b,$01,$11,$0c,$01,$14,$0d,$25,$01,$03,$04
        !BYTE $01,$17,$01,$06,$15,$01,$14,$14,$01,$1a,$09,$01,$04,$0b,$01,$02
        !BYTE $16,$14,$01,$16,$01,$21,$0a,$01,$02,$0d,$01,$03,$0b,$ff
cave211:
        !BYTE $08,$05,$08,$32,$33,$34,$35,$36,$32,$32,$32,$32,$32,$96,$8c,$82
        !BYTE $78,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $41,$04,$05,$20,$02,$50,$04,$04,$20,$02,$47,$06,$0c,$03,$03,$47
        !BYTE $08,$10,$03,$05,$47,$0c,$12,$03,$07,$47,$0a,$0e,$03,$01,$47,$0e
        !BYTE $0c,$03,$03,$47,$10,$10,$03,$05,$47,$14,$12,$03,$07,$47,$14,$0c
        !BYTE $03,$05,$47,$18,$0e,$03,$07,$47,$16,$12,$03,$01,$47,$1c,$12,$03
        !BYTE $07,$47,$1a,$0e,$03,$01,$47,$1e,$0c,$03,$03,$47,$20,$10,$03,$05
        !BYTE $47,$24,$12,$03,$07,$47,$22,$0e,$03,$01,$f0,$1c,$0e,$03,$03,$f0
        !BYTE $14,$0e,$03,$03,$f0,$0c,$0e,$03,$03,$48,$01,$09,$03,$04,$48,$23
        !BYTE $03,$03,$06,$04,$27,$04,$25,$01,$04,$ff
cave212:
        !BYTE $60,$0a,$0f,$60,$61,$62,$64,$65,$14,$14,$14,$14,$14,$fa,$f5,$f0
        !BYTE $eb,$e6,$10,$00,$00,$00,$29,$00,$00,$00,$43,$08,$05,$03,$04,$43
        !BYTE $0c,$05,$03,$04,$43,$10,$05,$03,$04,$43,$14,$05,$03,$04,$43,$18
        !BYTE $05,$03,$04,$43,$1c,$05,$03,$04,$43,$20,$05,$03,$04,$43,$1f,$08
        !BYTE $03,$06,$43,$17,$08,$03,$06,$43,$0f,$08,$03,$06,$43,$07,$08,$03
        !BYTE $06,$43,$04,$07,$03,$00,$43,$09,$0d,$03,$02,$43,$11,$0d,$03,$02
        !BYTE $43,$19,$0d,$03,$02,$43,$20,$0f,$03,$04,$43,$1c,$0f,$03,$04,$43
        !BYTE $18,$0f,$03,$04,$43,$14,$0f,$03,$04,$43,$10,$0f,$03,$04,$43,$0c
        !BYTE $0f,$03,$04,$43,$08,$0f,$03,$04,$43,$04,$0f,$03,$04,$43,$07,$12
        !BYTE $03,$06,$43,$0f,$12,$03,$06,$43,$17,$12,$03,$06,$43,$1f,$12,$03
        !BYTE $06,$25,$01,$03,$04,$26,$16,$ff
cave213:
        !BYTE $48,$08,$0a,$b2,$b3,$b4,$b7,$b6,$14,$15,$16,$17,$18,$96,$91,$8c
        !BYTE $87,$82,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $47,$13,$04,$03,$03,$47,$1a,$08,$04,$06,$47,$1b,$09,$04,$05,$47
        !BYTE $1b,$11,$04,$07,$47,$1a,$12,$04,$06,$47,$16,$12,$04,$05,$47,$12
        !BYTE $15,$04,$07,$47,$0e,$12,$04,$06,$47,$0a,$11,$04,$01,$47,$0a,$09
        !BYTE $04,$03,$47,$0b,$08,$04,$02,$47,$0f,$07,$04,$01,$07,$16,$07,$14
        !BYTE $17,$07,$14,$18,$0d,$14,$1b,$10,$14,$16,$11,$14,$13,$14,$14,$12
        !BYTE $14,$14,$0f,$11,$14,$0a,$10,$14,$0d,$0d,$14,$0a,$08,$14,$1b,$08
        !BYTE $14,$0e,$07,$14,$0d,$0b,$14,$18,$0b,$14,$13,$03,$14,$12,$03,$25
        !BYTE $01,$03,$04,$26,$03,$48,$17,$11,$03,$02,$48,$0c,$11,$03,$02,$47
        !BYTE $06,$0d,$03,$02,$47,$1d,$0d,$03,$02,$54,$1d,$0c,$03,$02,$54,$06
        !BYTE $0c,$03,$02,$48,$0f,$16,$03,$02,$48,$14,$16,$03,$02,$54,$12,$16
        !BYTE $02,$02,$ff
cave214:
        !BYTE $08,$0a,$0f,$3d,$3d,$3d,$3d,$3d,$41,$41,$41,$41,$41,$fa,$f0,$e6
        !BYTE $dc,$d2,$10,$30,$00,$00,$34,$1d,$14,$00,$42,$0c,$04,$05,$04,$42
        !BYTE $0d,$04,$02,$02,$42,$0d,$08,$03,$02,$42,$0d,$06,$02,$02,$02,$0f
        !BYTE $07,$02,$0f,$05,$02,$11,$08,$42,$13,$08,$05,$00,$42,$15,$08,$05
        !BYTE $00,$42,$17,$08,$05,$00,$02,$14,$06,$02,$18,$06,$02,$18,$04,$02
        !BYTE $18,$08,$42,$1a,$08,$05,$00,$42,$1c,$08,$05,$00,$42,$1e,$08,$05
        !BYTE $00,$02,$1b,$04,$02,$1b,$06,$42,$1f,$08,$02,$02,$42,$21,$07,$03
        !BYTE $00,$42,$1f,$04,$02,$02,$42,$24,$04,$02,$02,$02,$23,$05,$42,$24
        !BYTE $06,$02,$02,$02,$25,$07,$42,$23,$08,$03,$02,$42,$26,$0b,$1e,$06
        !BYTE $42,$08,$03,$14,$04,$42,$13,$0c,$0b,$04,$42,$1e,$0c,$0b,$04,$10
        !BYTE $1d,$0c,$10,$12,$0c,$10,$07,$03,$01,$26,$0b,$54,$25,$09,$1a,$06
        !BYTE $25,$01,$03,$04,$27,$03,$ff
cave215:
        !BYTE $70,$03,$05,$52,$5b,$5c,$5d,$58,$5f,$5f,$5f,$5f,$5f,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$12,$00,$00,$00,$88,$1b,$04,$0b,$0d,$01
        !BYTE $3a,$20,$0a,$b0,$01,$0d,$07,$0a,$30,$42,$01,$0c,$07,$02,$42,$08
        !BYTE $0c,$0b,$04,$10,$09,$0c,$25,$01,$03,$04,$0f,$17,$41,$1b,$04,$0b
        !BYTE $02,$ff
cave216:
        !BYTE $05,$0a,$0f,$12,$12,$12,$12,$12,$23,$23,$23,$23,$23,$dc,$d2,$c8
        !BYTE $be,$b4,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $c1,$22,$04,$05,$04,$c1,$1d,$04,$05,$04,$c1,$1d,$08,$05,$04,$c1
        !BYTE $22,$08,$05,$04,$c1,$22,$0c,$05,$04,$c1,$1d,$0c,$05,$04,$08,$1e
        !BYTE $0d,$08,$1e,$09,$08,$1e,$05,$08,$23,$05,$08,$23,$09,$08,$23,$0d
        !BYTE $47,$10,$04,$10,$06,$47,$10,$0a,$10,$06,$47,$10,$10,$10,$06,$42
        !BYTE $11,$16,$13,$00,$41,$12,$16,$13,$00,$10,$12,$10,$10,$12,$0a,$10
        !BYTE $12,$04,$54,$03,$05,$0a,$02,$54,$03,$0b,$0a,$02,$54,$03,$11,$0a
        !BYTE $02,$47,$1d,$10,$0a,$02,$42,$1d,$11,$06,$04,$01,$1c,$12,$10,$1c
        !BYTE $11,$54,$21,$11,$05,$02,$25,$01,$03,$04,$27,$07,$08,$25,$05,$08
        !BYTE $20,$09,$08,$25,$0d,$30,$20,$0d,$30,$20,$05,$30,$25,$09,$10,$21
        !BYTE $04,$10,$21,$09,$10,$21,$0c,$ff
cave217:
        !BYTE $08,$1e,$32,$01,$02,$03,$04,$05,$0a,$0a,$0a,$0a,$0a,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$90,$06,$06,$04,$04,$01,$90,$05,$05,$06
        !BYTE $06,$01,$90,$04,$04,$08,$08,$01,$d4,$05,$05,$06,$06,$90,$06,$06
        !BYTE $04,$04,$01,$25,$07,$07,$04,$10,$04,$70,$03,$04,$08,$04,$70,$0c
        !BYTE $04,$08,$04,$ff
cave218:
        !BYTE $04,$32,$00,$52,$52,$52,$50,$52,$05,$05,$05,$05,$05,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$01,$03,$12,$0a,$00,$81,$02,$04,$03
        !BYTE $03,$14,$81,$05,$04,$03,$03,$08,$81,$08,$04,$03,$03,$14,$81,$0b
        !BYTE $04,$03,$03,$08,$81,$0e,$04,$03,$03,$14,$81,$0e,$07,$03,$03,$08
        !BYTE $81,$0b,$07,$03,$03,$14,$81,$08,$07,$03,$03,$08,$81,$05,$07,$03
        !BYTE $03,$14,$81,$02,$07,$03,$03,$08,$25,$01,$03,$04,$09,$07,$48,$07
        !BYTE $0c,$05,$02,$01,$02,$03,$01,$01,$04,$ff
cave219:
        !BYTE $08,$05,$0a,$52,$52,$52,$52,$52,$1e,$23,$28,$2d,$2d,$32,$32,$32
        !BYTE $32,$32,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$94,$01,$03,$12,$0a,$14,$47,$02,$04,$02
        !BYTE $03,$47,$05,$05,$02,$05,$47,$09,$06,$02,$07,$47,$0d,$07,$02,$02
        !BYTE $47,$0e,$0a,$02,$03,$47,$0a,$08,$02,$04,$47,$07,$09,$02,$05,$47
        !BYTE $08,$0b,$02,$01,$47,$05,$08,$02,$04,$47,$03,$09,$02,$05,$47,$10
        !BYTE $0a,$02,$05,$47,$11,$05,$02,$07,$47,$0c,$05,$02,$01,$25,$01,$03
        !BYTE $04,$11,$0b,$08,$0f,$09,$08,$0a,$07,$08,$0b,$04,$08,$04,$07,$ff
cave220:
        !BYTE $08,$0a,$0f,$52,$52,$52,$52,$52,$0a,$0a,$0a,$0a,$0a,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$50,$08,$06,$07,$04,$50,$0b,$06,$07,$04
        !BYTE $70,$09,$06,$07,$04,$70,$0a,$06,$07,$04,$50,$0d,$06,$08,$06,$54
        !BYTE $0d,$05,$08,$06,$25,$01,$03,$04,$12,$07,$ff


cave221:
        !BYTE $14,$0a,$14,$1d,$10,$11,$12,$14,$19,$19,$19,$19,$19,$55,$4b,$41
        !BYTE $37,$2d,$10,$14,$00,$00,$30,$0f,$00,$00,$42,$12,$05,$12,$05,$42
        !BYTE $15,$05,$12,$03,$25,$01,$15,$04,$26,$15,$41,$13,$04,$02,$03,$c1
        !BYTE $25,$13,$02,$02,$c1,$01,$13,$02,$02,$01,$13,$05,$ff
cave222:
        !BYTE $14,$05,$0a,$03,$00,$01,$57,$58,$3c,$41,$46,$4b,$50,$96,$90,$8a
        !BYTE $84,$80,$00,$00,$00,$00,$00,$00,$00,$00,$94,$0a,$03,$14,$07,$14
        !BYTE $c0,$10,$0a,$02,$0b,$42,$01,$0a,$10,$02,$42,$12,$0a,$15,$02,$50
        !BYTE $03,$03,$07,$02,$42,$08,$03,$07,$04,$42,$04,$03,$07,$04,$c8,$01
        !BYTE $0b,$26,$09,$c0,$0f,$0f,$04,$06,$25,$10,$16,$04,$01,$03,$ff
cave223:
        !BYTE $00,$0f,$14,$11,$02,$03,$04,$05,$24,$26,$24,$22,$2b,$64,$64,$50
        !BYTE $50,$50,$3a,$14,$00,$00,$11,$10,$00,$00,$25,$03,$04,$04,$04,$05
        !BYTE $ff
cave224:
        !BYTE $14,$05,$14,$77,$6e,$71,$73,$77,$28,$28,$2d,$2d,$32,$d0,$c0,$b0
        !BYTE $a0,$a0,$10,$00,$00,$00,$28,$00,$00,$00,$80,$01,$03,$10,$14,$02
        !BYTE $42,$12,$03,$14,$04,$42,$13,$06,$13,$02,$10,$11,$03,$01,$10,$13
        !BYTE $01,$12,$05,$70,$01,$03,$10,$02,$25,$0d,$16,$04,$13,$09,$42,$13
        !BYTE $0a,$14,$02,$ff
cave225:
        !BYTE $14,$0f,$19,$5b,$54,$55,$7b,$5a,$1e,$20,$22,$24,$26,$f0,$e0,$d0
        !BYTE $c0,$b0,$00,$00,$00,$00,$00,$80,$00,$00,$48,$03,$16,$0e,$02,$42
        !BYTE $02,$13,$25,$02,$42,$01,$11,$26,$02,$54,$14,$12,$13,$02,$50,$01
        !BYTE $03,$26,$02,$42,$0a,$03,$0e,$04,$54,$01,$05,$09,$02,$54,$26,$04
        !BYTE $0d,$04,$42,$25,$04,$0d,$04,$43,$01,$0a,$08,$02,$00,$13,$11,$25
        !BYTE $01,$12,$04,$26,$16,$40,$11,$16,$05,$02,$40,$0c,$14,$16,$02,$ff
cave226:
        !BYTE $08,$0a,$1e,$52,$52,$52,$52,$52,$55,$55,$55,$55,$55,$f0,$c8,$aa
        !BYTE $a0,$8c,$3a,$00,$00,$00,$01,$00,$00,$00,$87,$04,$06,$20,$0e,$00
        !BYTE $42,$07,$03,$03,$04,$48,$10,$11,$08,$02,$42,$23,$04,$02,$04,$42
        !BYTE $07,$14,$03,$04,$42,$23,$14,$03,$04,$87,$08,$0a,$18,$06,$00,$48
        !BYTE $0a,$0e,$06,$02,$47,$12,$10,$03,$04,$47,$14,$10,$03,$04,$41,$13
        !BYTE $0f,$05,$04,$10,$23,$03,$50,$06,$03,$02,$02,$50,$07,$14,$02,$02
        !BYTE $54,$09,$0b,$16,$02,$50,$09,$0c,$16,$02,$41,$09,$0d,$16,$02,$14
        !BYTE $15,$11,$50,$13,$10,$01,$04,$14,$13,$0f,$14,$11,$11,$25,$10,$06
        !BYTE $04,$12,$0f,$ff
cave227:
        !BYTE $4b,$19,$1e,$4a,$57,$62,$40,$3d,$0a,$0a,$0a,$0a,$0a,$a0,$8c,$78
        !BYTE $6e,$64,$02,$00,$00,$00,$40,$00,$00,$00,$42,$07,$0f,$0b,$01,$c2
        !BYTE $05,$0e,$0a,$05,$40,$07,$0e,$0a,$01,$40,$06,$0e,$0a,$01,$3a,$0b
        !BYTE $10,$10,$12,$04,$08,$08,$0e,$25,$13,$03,$04,$12,$03,$81,$04,$13
        !BYTE $10,$04,$01,$c1,$08,$10,$03,$02,$c1,$10,$03,$02,$02,$41,$01,$0c
        !BYTE $0b,$04,$41,$13,$04,$02,$04,$ff
cave228:
        !BYTE $14,$0a,$0f,$52,$53,$54,$55,$56,$28,$28,$28,$28,$28,$a0,$90,$80
        !BYTE $70,$60,$10,$10,$00,$00,$80,$80,$00,$00,$80,$01,$10,$26,$07,$00
        !BYTE $87,$02,$0b,$24,$05,$01,$41,$03,$0b,$22,$02,$08,$17,$16,$47,$13
        !BYTE $0b,$05,$04,$3a,$18,$0e,$08,$0b,$0d,$01,$14,$0f,$08,$09,$0d,$40
        !BYTE $09,$0c,$03,$02,$10,$14,$0e,$25,$13,$10,$04,$0a,$0d,$ff
cave229:
        !BYTE $14,$05,$0a,$41,$42,$43,$41,$45,$4b,$50,$5a,$5a,$5a,$32,$32,$32
        !BYTE $28,$23,$10,$14,$00,$00,$80,$60,$00,$00,$42,$06,$06,$11,$04,$42
        !BYTE $0c,$03,$11,$04,$42,$12,$06,$11,$04,$42,$18,$03,$11,$04,$42,$1e
        !BYTE $06,$11,$04,$01,$25,$15,$25,$02,$15,$04,$25,$16,$ff
cave230:
        !BYTE $14,$32,$4b,$48,$45,$4c,$4c,$4f,$05,$05,$05,$05,$05,$a0,$90,$80
        !BYTE $70,$60,$00,$00,$00,$00,$00,$00,$00,$00,$c0,$01,$06,$0a,$0a,$80
        !BYTE $01,$03,$0a,$03,$08,$c0,$1a,$06,$0a,$0a,$80,$1a,$03,$0a,$03,$08
        !BYTE $82,$0e,$03,$0a,$10,$00,$41,$12,$12,$03,$02,$41,$13,$10,$03,$04
        !BYTE $54,$1d,$06,$08,$03,$3a,$13,$06,$10,$13,$0f,$14,$01,$16,$48,$02
        !BYTE $0f,$08,$02,$48,$1b,$0f,$08,$02,$25,$13,$12,$04,$06,$06,$ff
cave231:
        !BYTE $14,$1e,$32,$50,$51,$52,$53,$54,$0a,$0a,$0a,$0a,$0a,$46,$40,$3a
        !BYTE $30,$2a,$14,$00,$00,$00,$40,$00,$00,$00,$87,$01,$03,$22,$14,$07
        !BYTE $40,$09,$04,$12,$04,$40,$13,$04,$12,$04,$40,$1c,$04,$12,$04,$48
        !BYTE $12,$05,$04,$02,$40,$02,$06,$24,$02,$40,$02,$0d,$24,$02,$40,$02
        !BYTE $13,$24,$02,$40,$08,$04,$12,$03,$40,$09,$04,$12,$03,$08,$09,$04
        !BYTE $08,$10,$06,$08,$12,$0d,$08,$18,$13,$25,$01,$06,$04,$02,$14,$ff
cave232:
        !BYTE $14,$32,$50,$48,$45,$4c,$4c,$4f,$05,$06,$07,$08,$09,$f0,$e0,$d0
        !BYTE $c0,$b0,$10,$14,$00,$00,$00,$00,$00,$00,$82,$01,$03,$26,$03,$3a
        !BYTE $82,$15,$0a,$11,$03,$14,$80,$01,$12,$26,$05,$02,$41,$05,$05,$01
        !BYTE $02,$48,$1b,$16,$08,$02,$42,$01,$11,$26,$02,$42,$02,$0f,$25,$02
        !BYTE $42,$01,$0d,$25,$02,$42,$02,$08,$24,$02,$40,$22,$0b,$03,$02,$10
        !BYTE $24,$10,$02,$19,$16,$10,$26,$08,$01,$23,$11,$25,$1a,$16  ;,$01,$1b,$16
        !BYTE $04,$23,$14,$ff
cave233:
        !BYTE $8c,$03,$05,$4e,$4f,$56,$38,$36,$63,$63,$63,$63,$63,$c8,$be,$b4
        !BYTE $aa,$a0,$10,$00,$00,$00,$15,$00,$00,$00,$82,$10,$04,$07,$0c,$00
        !BYTE $3a,$13,$04,$70,$02,$12,$24,$02,$00,$13,$0f,$50,$02,$13,$24,$02
        !BYTE $25,$01,$16,$04,$01,$15,$ff
cave234:
        !BYTE $14,$0f,$1e,$4e,$59,$42,$43,$59,$19,$19,$19,$19,$19,$c0,$b8,$b0
        !BYTE $a8,$a0,$10,$00,$00,$00,$20,$00,$00,$00,$87,$02,$0e,$25,$09,$07
        !BYTE $80,$01,$03,$0a,$0b,$07,$40,$01,$0f,$20,$02,$40,$20,$0f,$08,$04
        !BYTE $40,$0b,$08,$1c,$02,$70,$01,$09,$0a,$04,$08,$20,$08,$08,$1e,$08
        !BYTE $08,$20,$11,$10,$1e,$0f,$3a,$26,$03,$25,$10,$0a,$04,$21,$16,$ff
cave235:
        !BYTE $08,$14,$1e,$52,$53,$58,$52,$56,$14,$14,$14,$14,$14,$a0,$98,$90
        !BYTE $88,$80,$10,$14,$00,$00,$80,$17,$00,$00,$43,$02,$0a,$25,$02,$41
        !BYTE $01,$09,$26,$02,$43,$01,$08,$25,$02,$41,$10,$07,$16,$02,$25,$26
        !BYTE $16,$04,$01,$03,$ff
cave236:
        !BYTE $14,$0a,$0f,$30,$31,$32,$33,$34,$3c,$3e,$40,$42,$44,$a0,$90,$80
        !BYTE $70,$60,$10,$00,$00,$00,$10,$00,$00,$00,$42,$01,$06,$26,$02,$42
        !BYTE $02,$13,$24,$02,$42,$10,$07,$0b,$04,$42,$14,$07,$0b,$04,$82,$04
        !BYTE $08,$09,$08,$14,$40,$11,$03,$10,$04,$82,$18,$0a,$0c,$06,$14,$07
        !BYTE $01,$03,$40,$12,$03,$0c,$04,$48,$13,$03,$10,$04,$10,$24,$08,$10
        !BYTE $0d,$08,$25,$18,$08,$04,$27,$03,$ff
cave237:
        !BYTE $14,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$3c,$3e,$40,$42,$44,$30,$2e,$2c
        !BYTE $2a,$28,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$94,$0b,$03,$08,$06,$30,$07,$08,$08,$25
        !BYTE $01,$03,$04,$12,$0c,$ff
cave238:
        !BYTE $14,$19,$32,$0a,$0b,$0c,$0d,$0e,$0f,$0f,$0f,$0f,$0f,$19,$19,$19
        !BYTE $19,$19,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$42,$06,$05,$06,$03,$42,$07,$0a,$06,$01
        !BYTE $54,$01,$03,$12,$02,$50,$01,$04,$12,$02,$08,$10,$0d,$08,$13,$0c
        !BYTE $02,$04,$09,$02,$0f,$09,$25,$04,$05,$04,$09,$09,$ff
cave239:
        !BYTE $04,$50,$63,$48,$45,$4c,$4c,$4f,$05,$05,$05,$05,$05,$1e,$1c,$1a
        !BYTE $18,$16,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$48,$03,$05,$06,$02,$54,$03,$06,$07,$02
        !BYTE $25,$01,$03,$04,$12,$03,$ff
cave240:
        !BYTE $03,$4b,$63,$00,$00,$00,$00,$00,$05,$05,$05,$05,$05,$50,$40,$30
        !BYTE $20,$20,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$c3,$07,$06,$05,$03,$50,$08,$05,$03,$02
        !BYTE $01,$07,$04,$01,$0b,$04,$50,$08,$04,$03,$02,$10,$09,$03,$25,$09
        !BYTE $06,$04,$0a,$07,$ff



cave241:
        !BYTE $14,$0a,$0f,$0a,$0e,$0c,$0a,$0e,$1e,$1e,$1e,$1e,$1e,$96,$80,$1d
        !BYTE $ad,$f7,$00,$10,$14,$00,$40,$30,$10,$00,$47,$02,$04,$13,$03,$47
        !BYTE $11,$03,$13,$03,$25,$13,$16,$04,$04,$17,$ff
cave242:
        !BYTE $14,$14,$19,$4e,$4f,$50,$41,$59,$0f,$0f,$0f,$0f,$0f,$f0,$d0,$b0
        !BYTE $90,$70,$00,$08,$14,$00,$50,$1a,$10,$00,$47,$07,$08,$0e,$04,$47
        !BYTE $0d,$08,$0e,$04,$47,$14,$08,$0e,$04,$47,$1a,$08,$0e,$04,$47,$20
        !BYTE $08,$0e,$04,$40,$07,$0d,$1a,$02,$40,$07,$0e,$1a,$02,$40,$07,$0f
        !BYTE $1a,$02,$47,$07,$10,$1a,$02,$47,$07,$0c,$1a,$02,$25,$0d,$07,$04
        !BYTE $07,$08,$ff
cave243:
        !BYTE $00,$0f,$19,$01,$02,$03,$04,$05,$0f,$0f,$0f,$0f,$0f,$26,$25,$24
        !BYTE $23,$22,$07,$00,$14,$00,$64,$32,$0c,$00,$25,$03,$04,$04,$13,$0b
        !BYTE $ff
cave244:
        !BYTE $14,$14,$1e,$00,$01,$02,$03,$04,$0a,$0b,$0c,$0d,$0e,$a0,$a0,$a0
        !BYTE $a0,$a0,$10,$00,$00,$00,$20,$10,$00,$00,$25,$02,$14,$87,$01,$06
        !BYTE $21,$0d,$01,$01,$03,$06,$87,$04,$06,$17,$0b,$07,$80,$0a,$07,$11
        !BYTE $06,$07,$30,$0a,$09,$30,$0b,$0c,$87,$1a,$08,$06,$09,$07,$01,$0a
        !BYTE $0c,$04,$1a,$0c,$ff
cave245:
        !BYTE $14,$28,$32,$50,$55,$52,$53,$54,$05,$06,$07,$08,$08,$f0,$d0,$b0
        !BYTE $90,$80,$10,$00,$08,$00,$40,$20,$03,$00,$25,$01,$03,$04,$1f,$03
        !BYTE $82,$20,$04,$07,$04,$00,$82,$20,$08,$07,$04,$00,$82,$20,$0c,$07
        !BYTE $04,$00,$82,$20,$10,$07,$04,$00,$08,$20,$06,$08,$20,$0a,$08,$20
        !BYTE $0e,$08,$20,$12,$14,$25,$06,$14,$25,$0a,$14,$25,$0e,$14,$25,$12
        !BYTE $82,$18,$04,$07,$04,$00,$82,$18,$08,$07,$04,$00,$82,$18,$0c,$07
        !BYTE $04,$00,$82,$18,$10,$07,$04,$00,$08,$1e,$05,$08,$1e,$09,$08,$1e
        !BYTE $0d,$08,$1e,$11,$14,$19,$06,$14,$19,$00,$14,$19,$0e,$14,$19,$12
        !BYTE $ff
cave246:
        !BYTE $14,$08,$0a,$70,$71,$72,$73,$74,$28,$2a,$2c,$2e,$32,$f0,$f0,$f0
        !BYTE $f0,$f0,$10,$14,$00,$00,$f0,$60,$00,$00,$80,$01,$0d,$26,$0a,$00
        !BYTE $82,$04,$10,$04,$05,$00,$82,$09,$10,$04,$05,$00,$82,$0f,$10,$04
        !BYTE $05,$00,$c7,$01,$03,$13,$0a,$01,$0c,$0c,$08,$06,$11,$00,$05,$14
        !BYTE $00,$06,$14,$08,$01,$12,$08,$05,$16,$08,$0a,$16,$08,$12,$16,$82
        !BYTE $14,$10,$04,$05,$00,$82,$19,$10,$04,$05,$00,$80,$1a,$11,$03,$03
        !BYTE $00,$88,$20,$10,$05,$05,$08,$c7,$14,$03,$13,$0a,$01,$1b,$0c,$02
        !BYTE $1a,$12,$02,$1b,$12,$02,$1c,$12,$00,$15,$14,$00,$16,$14,$3a,$00
        !BYTE $0c,$14,$23,$0c,$25,$0d,$13,$04,$16,$03,$ff
cave247:
        !BYTE $f4,$08,$05,$01,$02,$03,$04,$05,$32,$37,$3c,$40,$45,$90,$88,$80
        !BYTE $78,$70,$00,$08,$00,$00,$60,$06,$00,$00,$43,$02,$0d,$24,$02,$42
        !BYTE $02,$11,$24,$02,$7a,$01,$03,$26,$02,$14,$04,$06,$14,$04,$0e,$14
        !BYTE $04,$16,$14,$21,$04,$14,$21,$0c,$14,$21,$16,$25,$14,$16,$04,$01
        !BYTE $03,$ff
cave248:
        !BYTE $84,$03,$05,$11,$11,$11,$11,$11,$05,$5a,$5a,$5a,$5a,$f0,$dc,$c8
        !BYTE $be,$aa,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $01,$26,$11,$08,$08,$03,$08,$10,$03,$04,$25,$11,$25,$26,$10,$41
        !BYTE $01,$16,$05,$01,$47,$06,$11,$1f,$02,$50,$05,$04,$0a,$02,$41,$05
        !BYTE $05,$0a,$02,$42,$04,$06,$05,$03,$3a,$10,$16,$3a,$12,$12,$08,$16
        !BYTE $03,$48,$1a,$10,$08,$02,$ff
cave249:
        !BYTE $14,$14,$1e,$53,$56,$58,$5c,$5d,$0f,$10,$11,$12,$13,$be,$b4,$aa
        !BYTE $a0,$96,$10,$01,$14,$00,$90,$10,$09,$00,$87,$0a,$02,$05,$16,$00
        !BYTE $87,$1a,$02,$05,$16,$00,$54,$0a,$13,$04,$04,$54,$1a,$13,$04,$04
        !BYTE $14,$0e,$04,$14,$1e,$00,$25,$26,$16,$04,$01,$03,$14,$1e,$04,$14
        !BYTE $1f,$05,$41,$17,$12,$03,$02,$41,$07,$13,$03,$02,$ff
cave250:
        !BYTE $14,$0a,$0f,$00,$00,$00,$00,$00,$28,$28,$28,$28,$28,$c8,$b4,$aa
        !BYTE $a0,$96,$00,$00,$00,$00,$00,$00,$00,$00,$25,$01,$0e,$04,$21,$12
        !BYTE $50,$01,$04,$26,$02,$82,$22,$03,$05,$11,$14,$c2,$1e,$03,$05,$11
        !BYTE $c2,$1a,$03,$05,$11,$c2,$16,$03,$05,$11,$c2,$12,$03,$05,$11,$c2
        !BYTE $0e,$03,$05,$11,$c2,$0a,$03,$05,$11,$88,$01,$03,$04,$0a,$01,$3a
        !BYTE $02,$03,$3a,$02,$05,$3a,$02,$07,$3a,$02,$09,$3a,$02,$0b,$81,$01
        !BYTE $03,$04,$0a,$01,$48,$01,$0c,$07,$03,$50,$01,$0d,$07,$03,$ff
cave251:
        !BYTE $14,$32,$5a,$62,$66,$67,$6b,$73,$05,$05,$05,$05,$05,$64,$5f,$5a
        !BYTE $55,$50,$10,$00,$08,$00,$30,$20,$04,$00,$47,$20,$06,$11,$04,$47
        !BYTE $05,$06,$1c,$02,$47,$05,$07,$0c,$04,$47,$05,$12,$16,$02,$47,$1a
        !BYTE $0a,$08,$04,$47,$09,$0a,$11,$02,$47,$09,$0a,$05,$04,$47,$09,$0e
        !BYTE $0d,$02,$47,$21,$06,$05,$03,$14,$21,$0a,$14,$20,$04,$14,$0e,$05
        !BYTE $14,$16,$14,$14,$18,$09,$14,$0a,$0c,$25,$25,$16,$04,$0a,$0b,$40
        !BYTE $1b,$13,$05,$02,$40,$24,$12,$03,$02,$40,$16,$0e,$03,$02,$00,$1d
        !BYTE $14,$00,$16,$05,$00,$26,$0d,$ff
cave252:
        !BYTE $14,$0a,$0f,$50,$60,$70,$84,$4a,$1e,$20,$22,$24,$26,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$10,$02,$00,$35,$23,$11,$00,$54,$01,$16,$10,$02,$42
        !BYTE $01,$15,$0f,$02,$54,$01,$14,$0e,$02,$42,$01,$13,$0d,$02,$54,$01
        !BYTE $12,$0c,$02,$42,$01,$11,$0b,$02,$42,$0c,$11,$06,$03,$50,$05,$0d
        !BYTE $07,$02,$80,$06,$05,$05,$05,$00,$08,$06,$05,$80,$13,$07,$05,$05
        !BYTE $01,$08,$13,$08,$80,$20,$0e,$05,$05,$01,$08,$20,$0e,$25,$01,$03
        !BYTE $04,$27,$03,$41,$06,$04,$05,$02,$41,$13,$06,$05,$02,$41,$20,$0d
        !BYTE $05,$02,$00,$06,$05,$81,$07,$06,$03,$03,$01,$08,$06,$08,$41,$0d
        !BYTE $11,$06,$03,$41,$0d,$10,$07,$03,$50,$0f,$10,$03,$02,$41,$0f,$11
        !BYTE $03,$02,$ff
cave253:
        !BYTE $8c,$03,$05,$40,$41,$42,$45,$44,$63,$63,$63,$63,$63,$f0,$e0,$d0
        !BYTE $c0,$b0,$10,$00,$00,$00,$21,$04,$00,$00,$c2,$0c,$05,$10,$07,$3a
        !BYTE $14,$05,$25,$15,$0b,$04,$25,$16,$f0,$01,$10,$26,$02,$c1,$12,$0e
        !BYTE $02,$05,$c1,$14,$0e,$02,$05,$ff
cave254:
        !BYTE $c4,$03,$05,$30,$30,$30,$30,$30,$63,$63,$63,$63,$63,$f0,$e0,$d0
        !BYTE $c0,$b0,$00,$10,$00,$00,$30,$10,$00,$00,$87,$06,$03,$06,$14,$30
        !BYTE $50,$07,$10,$04,$02,$c1,$07,$11,$04,$05,$c1,$08,$12,$02,$03,$c1
        !BYTE $14,$0a,$03,$0d,$41,$06,$03,$10,$02,$50,$07,$03,$02,$02,$47,$0c
        !BYTE $04,$18,$02,$47,$24,$04,$10,$04,$7a,$0c,$05,$01,$02,$25,$06,$15
        !BYTE $04,$0b,$04,$ff
cave255:
        !BYTE $08,$0f,$19,$15,$25,$31,$1a,$1b,$14,$15,$16,$17,$18,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$10,$08,$00,$64,$50,$02,$00,$47,$01,$08,$23,$02,$d4
        !BYTE $01,$0a,$02,$0d,$c2,$03,$0a,$02,$0d,$48,$05,$0a,$0a,$04,$04,$01
        !BYTE $08,$25,$01,$05,$41,$01,$09,$04,$02,$10,$05,$14,$ff
cave256:
        !BYTE $a4,$0a,$14,$3a,$3b,$3c,$3d,$3e,$20,$21,$22,$23,$24,$be,$aa,$96
        !BYTE $82,$6e,$10,$00,$00,$00,$2a,$00,$00,$00,$25,$11,$15,$04,$27,$10
        !BYTE $42,$01,$0b,$23,$02,$82,$0a,$07,$14,$0d,$08,$94,$0c,$09,$10,$09
        !BYTE $08,$82,$0e,$0b,$0c,$05,$14,$82,$01,$0d,$07,$0a,$14,$c1,$08,$03
        !BYTE $02,$0a,$c1,$12,$08,$02,$0f,$c1,$14,$08,$02,$0f,$3a,$12,$0d,$3a
        !BYTE $15,$0d,$08,$18,$15,$14,$25,$0a,$ff
cave257:
        !BYTE $14,$28,$32,$0a,$0b,$0c,$0d,$0e,$05,$06,$07,$08,$09,$0a,$09,$08
        !BYTE $07,$06,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$30,$12,$0c,$10,$11,$04,$01,$11,$05,$25
        !BYTE $11,$06,$04,$12,$07,$47,$12,$08,$04,$04,$ff
cave258:
        !BYTE $14,$0a,$19,$4a,$4b,$4c,$4d,$4e,$1e,$1e,$1e,$1e,$1e,$30,$2b,$28
        !BYTE $24,$20,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$07,$40,$01,$03,$12,$02,$40,$01,$0c,$12,$02
        !BYTE $40,$01,$03,$0a,$04,$54,$0a,$03,$0a,$04,$54,$09,$03,$0a,$04,$54
        !BYTE $02,$07,$10,$02,$48,$12,$03,$0a,$04,$25,$01,$00,$04,$08,$0b,$ff
cave259:
        !BYTE $04,$0a,$0f,$0a,$0b,$0c,$0d,$0e,$3c,$3c,$3c,$3c,$3c,$38,$30,$28
        !BYTE $24,$20,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$14,$48,$03,$04,$0e,$02,$82,$03,$05,$0e,$06
        !BYTE $14,$25,$02,$09,$04,$09,$03,$ff
cave260:
        !BYTE $03,$0f,$14,$00,$00,$00,$00,$00,$0e,$10,$12,$14,$16,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$d0,$09,$03,$03,$02,$80,$09,$07,$03,$06
        !BYTE $00,$70,$09,$06,$03,$02,$42,$01,$0a,$12,$02,$70,$09,$0b,$03,$02
        !BYTE $25,$07,$03,$04,$01,$03,$ff



cave261:
        !BYTE $08,$32,$3c,$0c,$0d,$11,$12,$10,$05,$05,$06,$06,$07,$70,$6a,$64
        !BYTE $60,$5a,$10,$14,$00,$00,$60,$05,$00,$00,$42,$01,$04,$0f,$03,$42
        !BYTE $03,$03,$10,$03,$25,$0a,$14,$04,$01,$03,$ff
cave262:
        !BYTE $14,$19,$23,$2e,$84,$30,$61,$39,$07,$08,$09,$0a,$0b,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$1a,$00,$00,$00,$48,$01,$03,$10,$04,$54
        !BYTE $02,$03,$10,$04,$40,$03,$03,$10,$04,$40,$04,$03,$10,$04,$47,$01
        !BYTE $06,$17,$02,$47,$01,$0a,$17,$02,$47,$01,$0e,$17,$02,$47,$01,$12
        !BYTE $17,$02,$42,$1d,$03,$14,$04,$42,$21,$03,$14,$04,$25,$1a,$03,$04
        !BYTE $27,$08,$ff
cave263:
        !BYTE $30,$0a,$14,$61,$62,$63,$64,$65,$19,$19,$19,$19,$19,$3b,$38,$34
        !BYTE $30,$2b,$10,$00,$07,$14,$44,$18,$10,$0d,$25,$03,$04,$04,$01,$08
        !BYTE $ff
cave264:
        !BYTE $80,$03,$05,$08,$09,$0a,$0b,$0c,$63,$63,$63,$63,$63,$f0,$f0,$f0
        !BYTE $f0,$f0,$10,$00,$00,$00,$10,$00,$00,$00,$25,$01,$16,$82,$04,$10
        !BYTE $20,$04,$30,$3a,$01,$03,$80,$11,$11,$06,$04,$02,$80,$04,$06,$20
        !BYTE $03,$02,$30,$20,$06,$30,$06,$06,$82,$04,$0a,$20,$03,$30,$10,$10
        !BYTE $14,$04,$1d,$16,$ff
cave265:
        !BYTE $14,$08,$0a,$50,$51,$54,$56,$57,$3c,$3e,$40,$42,$44,$f0,$f0,$f0
        !BYTE $f0,$f0,$10,$14,$00,$00,$f0,$80,$00,$00,$87,$0a,$02,$05,$16,$00
        !BYTE $87,$00,$11,$0a,$07,$00,$80,$0b,$12,$0e,$05,$07,$87,$19,$03,$09
        !BYTE $15,$00,$87,$25,$02,$03,$16,$00,$87,$0f,$0e,$16,$04,$07,$80,$1a
        !BYTE $03,$07,$10,$07,$80,$1a,$0f,$0b,$08,$00,$01,$05,$11,$08,$0a,$03
        !BYTE $01,$0e,$0a,$01,$0e,$0b,$08,$0e,$16,$08,$17,$16,$08,$19,$03,$01
        !BYTE $23,$0e,$08,$25,$03,$08,$26,$15,$08,$02,$16,$08,$06,$16,$08,$26
        !BYTE $06,$01,$0e,$0d,$01,$26,$0d,$01,$0e,$0c,$25,$05,$14,$04,$26,$16
        !BYTE $ff
cave266:
        !BYTE $14,$08,$0f,$35,$36,$35,$3a,$3b,$46,$46,$46,$46,$46,$f0,$e8,$e0
        !BYTE $d8,$d0,$10,$14,$00,$00,$60,$10,$00,$00,$82,$1a,$10,$0d,$07,$14
        !BYTE $88,$1e,$11,$03,$05,$02,$82,$04,$0c,$0c,$03,$02,$82,$0f,$03,$08
        !BYTE $14,$02,$40,$10,$0b,$08,$01,$80,$01,$03,$0f,$09,$02,$81,$06,$04
        !BYTE $05,$06,$14,$80,$09,$0d,$05,$0a,$02,$82,$0e,$0d,$07,$0a,$14,$40
        !BYTE $10,$0a,$08,$01,$01,$1a,$14,$10,$0d,$0d,$01,$0d,$0e,$01,$0c,$0e
        !BYTE $08,$0c,$0d,$08,$0d,$0f,$08,$08,$06,$08,$08,$07,$08,$04,$03,$08
        !BYTE $09,$03,$01,$10,$0b,$01,$10,$0a,$08,$11,$0a,$08,$15,$06,$01,$16
        !BYTE $06,$01,$16,$05,$25,$26,$15,$04,$27,$0a,$ff
cave267:
        !BYTE $f4,$0f,$28,$01,$02,$01,$04,$02,$14,$16,$18,$1a,$1c,$90,$8b,$87
        !BYTE $82,$80,$10,$14,$00,$00,$5a,$10,$00,$00,$47,$01,$07,$26,$02,$47
        !BYTE $01,$0c,$26,$02,$47,$01,$11,$26,$02,$01,$10,$07,$01,$1d,$07,$01
        !BYTE $0a,$0c,$01,$16,$0c,$01,$06,$11,$01,$21,$11,$25,$04,$12,$04,$1e
        !BYTE $06,$ff
cave268:
        !BYTE $84,$0a,$0f,$41,$42,$43,$44,$46,$32,$34,$36,$38,$3a,$f0,$e8,$e0
        !BYTE $d8,$d0,$10,$00,$00,$00,$08,$00,$00,$00,$48,$01,$04,$26,$02,$d4
        !BYTE $01,$05,$26,$02,$c2,$01,$03,$0c,$0a,$c2,$1b,$03,$0c,$0a,$d0,$0e
        !BYTE $04,$0c,$04,$c7,$10,$0b,$08,$08,$01,$06,$0c,$01,$21,$0c,$01,$13
        !BYTE $0b,$08,$14,$0d,$08,$13,$0d,$00,$13,$0e,$25,$13,$10,$04,$13,$0f
        !BYTE $ff
cave269:
        !BYTE $01,$03,$05,$52,$52,$52,$52,$52,$63,$63,$63,$63,$63,$50,$48,$44
        !BYTE $40,$3a,$10,$00,$00,$00,$10,$00,$00,$00,$87,$1c,$02,$03,$16,$07
        !BYTE $81,$01,$14,$1e,$03,$01,$41,$1c,$08,$04,$02,$41,$1c,$0d,$04,$02
        !BYTE $3a,$25,$03,$10,$1b,$03,$25,$0a,$0e,$04,$1c,$03,$ff
cave270:
        !BYTE $14,$32,$4b,$00,$00,$00,$00,$00,$04,$05,$06,$07,$08,$f0,$e8,$e0
        !BYTE $d8,$d0,$00,$00,$00,$00,$00,$00,$00,$00,$04,$11,$0d,$c0,$02,$04
        !BYTE $0d,$08,$80,$01,$0d,$0f,$0a,$07,$c0,$19,$0e,$0d,$08,$50,$0f,$04
        !BYTE $06,$02,$50,$13,$0d,$05,$02,$c2,$12,$03,$04,$14,$c7,$10,$0c,$18
        !BYTE $0c,$54,$11,$0e,$09,$04,$80,$16,$03,$11,$09,$07,$08,$06,$0b,$08
        !BYTE $02,$16,$08,$22,$0b,$08,$1f,$15,$01,$1a,$0c,$25,$01,$16,$ff
cave271:
        !BYTE $14,$1e,$32,$60,$60,$60,$60,$60,$0a,$0a,$0a,$0a,$0a,$64,$5a,$50
        !BYTE $46,$3c,$00,$00,$00,$00,$00,$00,$00,$00,$87,$0b,$03,$1c,$14,$07
        !BYTE $80,$01,$03,$0a,$14,$00,$40,$0b,$04,$1c,$02,$40,$0b,$08,$1c,$02
        !BYTE $40,$0b,$0c,$1c,$02,$40,$0b,$10,$1c,$02,$40,$0b,$14,$1c,$02,$14
        !BYTE $0b,$14,$14,$0b,$10,$14,$0b,$0c,$14,$0b,$08,$14,$0b,$04,$08,$0c
        !BYTE $04,$08,$0f,$08,$08,$12,$0c,$08,$15,$10,$08,$18,$14,$14,$26,$14
        !BYTE $14,$26,$10,$14,$26,$0c,$14,$26,$08,$14,$26,$04,$c7,$01,$04,$02
        !BYTE $12,$c7,$06,$03,$02,$14,$c0,$06,$05,$02,$10,$c0,$01,$06,$03,$0e
        !BYTE $25,$01,$03,$04,$01,$16,$ff
cave272:
        !BYTE $14,$08,$0f,$52,$53,$54,$55,$56,$4b,$4b,$4b,$4b,$4b,$c0,$b8,$b0
        !BYTE $a8,$a0,$10,$14,$00,$00,$fd,$73,$00,$00,$81,$02,$03,$0a,$14,$07
        !BYTE $87,$0d,$04,$0a,$13,$07,$81,$17,$03,$0d,$0a,$07,$54,$03,$03,$21
        !BYTE $02,$c7,$19,$0c,$0e,$08,$41,$1d,$13,$03,$02,$c1,$18,$14,$0f,$02
        !BYTE $41,$02,$16,$25,$02,$40,$19,$03,$03,$04,$48,$19,$06,$02,$04,$54
        !BYTE $25,$05,$07,$04,$07,$0d,$03,$07,$0a,$16,$01,$25,$0c,$25,$01,$16
        !BYTE $04,$18,$03,$ff
cave273:
        !BYTE $14,$05,$0a,$51,$54,$41,$40,$45,$4b,$50,$55,$5a,$5f,$f0,$f0,$f0
        !BYTE $f0,$f0,$30,$00,$00,$00,$52,$40,$00,$00,$50,$01,$03,$24,$02,$42
        !BYTE $0e,$03,$14,$04,$42,$15,$03,$14,$04,$42,$1c,$03,$14,$04,$10,$02
        !BYTE $07,$25,$01,$08,$04,$27,$13,$ff
cave274:
        !BYTE $c4,$05,$0a,$30,$30,$30,$30,$30,$5a,$5a,$5a,$5a,$5a,$80,$78,$70
        !BYTE $68,$60,$00,$00,$00,$00,$00,$00,$00,$00,$87,$04,$05,$0a,$12,$30
        !BYTE $c1,$01,$15,$0c,$02,$50,$05,$14,$08,$02,$47,$0f,$03,$13,$04,$47
        !BYTE $11,$04,$13,$04,$47,$13,$03,$13,$04,$47,$15,$04,$13,$04,$c2,$21
        !BYTE $14,$06,$03,$50,$21,$14,$01,$02,$7a,$25,$03,$07,$04,$25,$0c,$16
        !BYTE $04,$25,$15,$ff
cave275:
        !BYTE $80,$05,$0a,$a0,$ad,$b4,$a4,$a7,$5a,$5a,$5a,$5a,$5a,$b0,$a8,$a0
        !BYTE $9a,$94,$10,$08,$00,$00,$34,$02,$00,$00,$f0,$03,$0b,$03,$03,$f0
        !BYTE $20,$0b,$03,$03,$c2,$10,$03,$05,$0a,$7a,$12,$03,$03,$04,$04,$0f
        !BYTE $03,$25,$01,$15,$ff
cave276:
        !BYTE $14,$05,$08,$3a,$3b,$3c,$3d,$3e,$3c,$40,$44,$48,$4b,$f0,$e8,$e0
        !BYTE $d8,$d0,$10,$00,$00,$00,$2a,$00,$00,$00,$81,$01,$0d,$24,$0a,$01
        !BYTE $82,$04,$13,$05,$04,$30,$c0,$04,$0f,$05,$03,$08,$08,$10,$10,$03
        !BYTE $13,$82,$11,$13,$05,$04,$30,$c0,$11,$0f,$05,$03,$08,$11,$10,$10
        !BYTE $10,$13,$87,$1e,$03,$09,$14,$07,$48,$25,$04,$13,$04,$40,$1e,$04
        !BYTE $07,$02,$25,$01,$0d,$04,$25,$16,$ff
cave277:
        !BYTE $84,$32,$4b,$0a,$0b,$0c,$0d,$0e,$05,$05,$05,$05,$05,$10,$10,$10
        !BYTE $10,$10,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$30,$04,$0a,$00,$05,$0a,$3a,$01,$03,$25
        !BYTE $07,$07,$04,$08,$07,$ff
cave278:
        !BYTE $14,$05,$0a,$4a,$4b,$4c,$4d,$4e,$63,$63,$63,$63,$63,$20,$1b,$18
        !BYTE $14,$10,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$14,$47,$02,$03,$09,$04,$47,$04,$04,$09,$04
        !BYTE $47,$06,$03,$09,$04,$47,$08,$04,$09,$04,$47,$0d,$03,$09,$04,$47
        !BYTE $0f,$04,$09,$04,$47,$11,$03,$09,$04,$25,$09,$07,$04,$12,$03,$ff
cave279:
        !BYTE $04,$05,$08,$0a,$0b,$0c,$0d,$0e,$3c,$3c,$3c,$3c,$3c,$12,$11,$10
        !BYTE $0f,$0e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$14,$88,$03,$04,$0e,$09,$14,$54,$03,$0c,$0e
        !BYTE $02,$25,$09,$07,$04,$09,$03,$ff
cave280:
        !BYTE $03,$32,$4b,$00,$00,$00,$00,$00,$0a,$0a,$0a,$0a,$0a,$19,$19,$19
        !BYTE $19,$19,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$d0,$01,$03,$12,$02,$81,$10,$03,$03,$08
        !BYTE $30,$41,$08,$04,$03,$02,$c0,$10,$03,$03,$02,$43,$01,$0a,$0f,$02
        !BYTE $25,$09,$05,$04,$12,$03,$ff


cave281:
        !BYTE $08,$32,$4b,$52,$52,$52,$52,$52,$06,$06,$06,$06,$06,$54,$50,$4a
        !BYTE $48,$40,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $c0,$01,$03,$0a,$05,$08,$03,$03,$08,$03,$07,$41,$01,$04,$03,$04
        !BYTE $25,$01,$05,$54,$04,$08,$05,$04,$d0,$0d,$04,$03,$03,$41,$0b,$05
        !BYTE $15,$02,$14,$10,$05,$04,$09,$05,$c1,$0d,$07,$02,$0d,$c0,$20,$03
        !BYTE $06,$05,$48,$20,$03,$06,$02,$41,$20,$08,$05,$04,$c1,$20,$0d,$05
        !BYTE $03,$07,$20,$0e,$c1,$1d,$0f,$03,$03,$07,$1f,$10,$41,$20,$11,$05
        !BYTE $02,$48,$10,$07,$0e,$04,$41,$20,$12,$03,$04,$10,$25,$14,$54,$25
        !BYTE $15,$02,$02,$50,$10,$14,$02,$02,$00,$10,$16,$48,$01,$10,$06,$04
        !BYTE $50,$02,$10,$06,$04,$41,$03,$0e,$08,$04,$c1,$06,$10,$03,$06,$41
        !BYTE $01,$15,$24,$02,$00,$06,$16,$00,$08,$16,$07,$07,$15,$50,$05,$11
        !BYTE $02,$04,$50,$09,$11,$02,$04,$41,$04,$0e,$09,$02,$ff
cave282:
        !BYTE $08,$05,$28,$52,$52,$52,$52,$52,$4b,$4b,$4b,$4b,$4b,$80,$78,$70
        !BYTE $68,$60,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $25,$26,$16,$47,$02,$05,$24,$02,$54,$02,$04,$0a,$02,$54,$1c,$04
        !BYTE $0a,$02,$54,$02,$08,$05,$02,$47,$02,$09,$05,$02,$54,$02,$0c,$05
        !BYTE $02,$47,$02,$0d,$05,$02,$54,$02,$10,$05,$02,$47,$02,$11,$05,$02
        !BYTE $54,$02,$14,$0a,$02,$54,$1a,$14,$0a,$02,$47,$02,$15,$22,$02,$08
        !BYTE $04,$07,$08,$04,$0b,$08,$04,$0f,$48,$10,$04,$0a,$02,$48,$10,$14
        !BYTE $0a,$02,$87,$0a,$08,$04,$0a,$07,$87,$10,$08,$04,$0a,$07,$87,$16
        !BYTE $08,$04,$0a,$07,$87,$1c,$08,$04,$0a,$07,$87,$22,$08,$04,$0a,$07
        !BYTE $54,$0a,$08,$04,$02,$54,$10,$08,$04,$02,$54,$16,$08,$04,$02,$54
        !BYTE $1c,$08,$04,$02,$54,$22,$08,$04,$02,$08,$09,$0d,$08,$0f,$0d,$08
        !BYTE $15,$0d,$08,$1b,$0d,$08,$21,$0d,$04,$27,$0f,$14,$0d,$0d,$14,$13
        !BYTE $0d,$14,$19,$0d,$14,$1f,$0d,$ff
cave283:
        !BYTE $08,$05,$0a,$52,$53,$54,$55,$56,$40,$42,$44,$46,$48,$c0,$b8,$b0
        !BYTE $a8,$a0,$10,$14,$00,$00,$f0,$10,$00,$00,$40,$01,$03,$14,$04,$c7
        !BYTE $02,$03,$11,$06,$87,$02,$08,$11,$05,$00,$c7,$02,$0c,$11,$06,$87
        !BYTE $02,$11,$11,$05,$00,$40,$02,$03,$02,$02,$01,$06,$08,$01,$06,$0c
        !BYTE $01,$06,$11,$25,$06,$13,$47,$0a,$03,$14,$04,$41,$01,$16,$26,$02
        !BYTE $47,$0f,$16,$04,$02,$40,$13,$03,$13,$04,$01,$0e,$08,$01,$0e,$0c
        !BYTE $01,$0e,$11,$01,$0e,$15,$40,$11,$03,$02,$02,$c7,$14,$03,$09,$06
        !BYTE $87,$14,$08,$09,$05,$00,$c7,$14,$0c,$09,$06,$87,$14,$11,$09,$05
        !BYTE $00,$04,$1b,$03,$01,$18,$08,$01,$18,$0c,$01,$18,$11,$01,$18,$15
        !BYTE $87,$1c,$03,$06,$13,$07,$88,$22,$03,$05,$03,$08,$94,$22,$06,$05
        !BYTE $10,$14,$08,$03,$0b,$08,$01,$16,$08,$13,$03,$08,$0b,$0b,$08,$15
        !BYTE $0b,$08,$0b,$14,$08,$15,$14,$ff
cave284:
        !BYTE $fa,$03,$05,$52,$52,$52,$52,$52,$50,$54,$58,$5a,$5f,$f0,$f0,$f0
        !BYTE $f0,$f0,$00,$00,$00,$00,$00,$00,$00,$00,$b0,$01,$03,$03,$14,$30
        !BYTE $c7,$00,$03,$05,$05,$c7,$00,$0b,$05,$05,$c7,$00,$13,$05,$05,$42
        !BYTE $04,$03,$14,$04,$10,$05,$03,$10,$05,$07,$10,$05,$0b,$10,$05,$0f
        !BYTE $10,$05,$13,$47,$09,$04,$12,$04,$25,$09,$16,$c0,$0a,$03,$04,$03
        !BYTE $c0,$0a,$07,$04,$03,$c0,$0a,$0b,$04,$03,$c0,$0a,$0f,$04,$03,$c0
        !BYTE $0a,$13,$04,$03,$47,$0f,$04,$12,$04,$08,$0a,$03,$08,$0a,$09,$08
        !BYTE $0a,$0d,$08,$0a,$11,$08,$0a,$15,$7a,$23,$03,$02,$02,$10,$09,$13
        !BYTE $10,$09,$0f,$10,$09,$0b,$10,$09,$07,$04,$01,$03,$c2,$12,$11,$03
        !BYTE $05,$01,$13,$15,$c2,$16,$11,$03,$05,$c2,$1b,$11,$03,$05,$c2,$1f
        !BYTE $11,$03,$05,$01,$20,$15,$c2,$23,$11,$03,$05,$01,$24,$12,$41,$25
        !BYTE $12,$03,$04,$01,$24,$14,$02,$24,$13,$ff
cave285:
        !BYTE $08,$0a,$0f,$52,$53,$54,$55,$58,$19,$19,$19,$19,$19,$64,$60,$5a
        !BYTE $58,$50,$10,$14,$00,$08,$80,$20,$10,$02,$c0,$17,$03,$10,$14,$c7
        !BYTE $17,$04,$0f,$0c,$87,$01,$03,$17,$14,$07,$87,$14,$0f,$12,$05,$00
        !BYTE $01,$23,$04,$01,$1a,$0f,$01,$1f,$13,$40,$1d,$14,$08,$02,$48,$13
        !BYTE $14,$0a,$02,$47,$12,$15,$14,$02,$c0,$0c,$08,$0b,$07,$c0,$0f,$03
        !BYTE $03,$14,$87,$0d,$09,$09,$05,$14,$07,$10,$08,$40,$13,$0e,$06,$04
        !BYTE $01,$11,$0d,$07,$10,$0e,$07,$12,$0e,$c0,$01,$03,$03,$14,$c0,$07
        !BYTE $04,$03,$11,$40,$03,$14,$0c,$02,$40,$01,$16,$26,$02,$07,$03,$15
        !BYTE $25,$0f,$14,$04,$11,$0b,$07,$0f,$15,$07,$25,$14,$ff
cave286:
        !BYTE $08,$1e,$32,$52,$52,$52,$52,$52,$0a,$0a,$0a,$0a,$0a,$74,$70,$6a
        !BYTE $68,$60,$00,$00,$00,$00,$00,$00,$00,$00,$82,$01,$03,$26,$14,$02
        !BYTE $41,$26,$03,$14,$04,$08,$26,$03,$10,$25,$07,$10,$25,$15,$08,$24
        !BYTE $15,$25,$26,$16,$41,$23,$03,$14,$04,$08,$23,$03,$10,$22,$07,$10
        !BYTE $22,$14,$08,$21,$14,$54,$23,$15,$02,$04,$41,$20,$03,$14,$04,$08
        !BYTE $20,$03,$10,$1f,$07,$10,$1f,$13,$08,$1e,$13,$54,$20,$14,$03,$04
        !BYTE $41,$1d,$03,$14,$04,$08,$1d,$03,$10,$1c,$07,$10,$1c,$12,$08,$1b
        !BYTE $12,$54,$1d,$13,$04,$04,$41,$1a,$03,$14,$04,$08,$1a,$03,$10,$19
        !BYTE $07,$10,$19,$11,$08,$18,$11,$54,$1a,$12,$05,$04,$41,$17,$03,$14
        !BYTE $04,$08,$17,$03,$10,$16,$07,$10,$16,$10,$08,$15,$10,$54,$17,$11
        !BYTE $06,$04,$c1,$01,$03,$14,$14,$42,$14,$12,$05,$04,$04,$27,$15,$41
        !BYTE $14,$16,$0f,$02,$10,$13,$03,$02,$17,$12,$02,$1a,$13,$02,$1d,$14
        !BYTE $02,$20,$15,$02,$23,$16,$01,$15,$09,$ff
cave287:
        !BYTE $68,$02,$05,$82,$83,$84,$85,$86,$5a,$5a,$5a,$5a,$5a,$f0,$d0,$b0
        !BYTE $90,$70,$10,$00,$00,$00,$18,$00,$00,$00,$82,$24,$03,$03,$12,$08
        !BYTE $82,$22,$03,$03,$10,$30,$82,$20,$03,$03,$0e,$30,$82,$1e,$03,$03
        !BYTE $0c,$30,$82,$1c,$03,$03,$0a,$08,$10,$15,$08,$50,$1c,$0b,$0b,$03
        !BYTE $41,$1c,$0c,$0b,$03,$82,$01,$03,$03,$12,$08,$82,$03,$03,$03,$10
        !BYTE $30,$82,$05,$03,$03,$0e,$30,$82,$07,$03,$03,$0c,$30,$82,$09,$03
        !BYTE $03,$0a,$08,$50,$01,$15,$0b,$01,$41,$01,$16,$0b,$01,$c2,$0d,$0d
        !BYTE $02,$09,$c2,$19,$0d,$02,$09,$41,$01,$16,$26,$02,$41,$02,$16,$0b
        !BYTE $01,$42,$04,$15,$09,$01,$41,$1b,$0c,$0b,$03,$42,$1b,$0d,$09,$03
        !BYTE $7a,$12,$03,$04,$02,$c2,$05,$14,$02,$02,$c2,$07,$12,$02,$04,$c2
        !BYTE $09,$10,$02,$06,$c2,$0b,$0e,$02,$08,$c2,$1b,$0e,$02,$08,$c2,$1d
        !BYTE $10,$02,$06,$c2,$1f,$12,$02,$04,$c2,$21,$14,$02,$02,$04,$1c,$15
        !BYTE $80,$0f,$0d,$0a,$09,$00,$25,$13,$0d,$ff
cave288:
        !BYTE $68,$05,$08,$52,$62,$73,$83,$a9,$4b,$4b,$50,$50,$55,$a0,$a0,$a0
        !BYTE $a0,$a0,$00,$30,$10,$00,$70,$10,$05,$00,$42,$13,$03,$08,$05,$42
        !BYTE $13,$03,$08,$03,$42,$0c,$0a,$07,$03,$42,$1a,$0a,$07,$05,$42,$12
        !BYTE $0b,$05,$04,$42,$14,$0b,$05,$04,$25,$01,$03,$3a,$11,$0e,$3a,$15
        !BYTE $0e,$42,$0a,$0f,$08,$04,$42,$0c,$12,$04,$04,$42,$0e,$0f,$08,$04
        !BYTE $42,$12,$12,$05,$04,$42,$14,$12,$05,$04,$42,$18,$0f,$08,$04,$42
        !BYTE $1a,$12,$04,$04,$42,$1c,$0f,$08,$04,$42,$04,$0c,$07,$02,$42,$1c
        !BYTE $0c,$07,$02,$3a,$0b,$16,$3a,$13,$16,$3a,$1a,$16,$01,$13,$04,$3a
        !BYTE $0e,$0a,$3a,$19,$0a,$04,$27,$07,$01,$13,$03,$ff
cave289:
        !BYTE $08,$4b,$5a,$52,$52,$52,$52,$52,$03,$03,$03,$03,$03,$50,$40,$38
        !BYTE $30,$30,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$02,$09,$16,$00
        !BYTE $47,$03,$04,$05,$02,$08,$01,$05,$14,$02,$05,$25,$03,$05,$47,$02
        !BYTE $06,$07,$02,$41,$02,$06,$02,$02,$47,$03,$08,$05,$02,$08,$01,$09
        !BYTE $14,$02,$09,$47,$02,$0a,$07,$02,$41,$02,$0a,$02,$02,$47,$03,$0c
        !BYTE $05,$02,$08,$01,$0d,$14,$02,$0d,$47,$02,$0e,$07,$02,$41,$02,$0e
        !BYTE $02,$02,$47,$06,$0f,$02,$04,$47,$07,$10,$06,$04,$10,$08,$0e,$01
        !BYTE $08,$0f,$42,$09,$10,$03,$04,$47,$0a,$0f,$0a,$02,$47,$0a,$13,$0c
        !BYTE $02,$c7,$12,$08,$04,$04,$07,$13,$09,$10,$14,$09,$01,$14,$0b,$47
        !BYTE $13,$0c,$03,$04,$42,$15,$0c,$03,$04,$47,$15,$0f,$04,$04,$47,$16
        !BYTE $0b,$08,$02,$47,$16,$0f,$08,$02,$47,$1e,$0c,$03,$03,$47,$1e,$0f
        !BYTE $08,$04,$c7,$21,$0b,$05,$0d,$10,$24,$0c,$01,$21,$16,$42,$25,$0f
        !BYTE $03,$04,$04,$27,$10,$14,$20,$0d,$ff
cave290:
        !BYTE $08,$14,$19,$52,$54,$56,$58,$5a,$0f,$0f,$0f,$0f,$0f,$f0,$e0,$d0
        !BYTE $c0,$b0,$10,$14,$00,$00,$c0,$20,$00,$00,$c1,$01,$03,$26,$14,$c0
        !BYTE $02,$04,$25,$12,$c1,$03,$05,$23,$10,$41,$01,$13,$26,$02,$25,$01
        !BYTE $16,$c2,$04,$06,$21,$0e,$42,$04,$0a,$21,$02,$42,$04,$0e,$21,$02
        !BYTE $42,$08,$07,$0c,$04,$42,$0c,$07,$0c,$04,$42,$10,$07,$0c,$04,$42
        !BYTE $14,$07,$0c,$04,$42,$18,$07,$0c,$04,$42,$1c,$07,$0c,$04,$42,$20
        !BYTE $07,$0c,$04,$41,$04,$08,$21,$02,$41,$04,$0c,$21,$02,$41,$04,$10
        !BYTE $21,$02,$48,$02,$04,$04,$02,$48,$0a,$15,$04,$02,$04,$02,$16,$40
        !BYTE $0c,$15,$02,$02,$40,$02,$04,$02,$02,$ff
cave291:
        !BYTE $08,$03,$05,$32,$33,$34,$35,$36,$32,$34,$36,$38,$3a,$80,$78,$70
        !BYTE $68,$60,$10,$00,$00,$00,$11,$00,$00,$00,$b0,$01,$03,$26,$03,$02
        !BYTE $82,$01,$06,$25,$07,$02,$41,$01,$06,$0a,$04,$10,$01,$06,$10,$26
        !BYTE $06,$41,$26,$07,$0a,$04,$25,$01,$16,$04,$26,$16,$c0,$04,$07,$03
        !BYTE $05,$02,$05,$0b,$c0,$08,$07,$03,$05,$c0,$0d,$07,$03,$05,$c0,$11
        !BYTE $07,$03,$05,$02,$12,$0b,$c0,$15,$07,$03,$05,$02,$16,$08,$02,$17
        !BYTE $08,$02,$16,$0a,$02,$17,$0a,$00,$16,$09,$ff
cave292:
        !BYTE $08,$05,$0a,$72,$73,$74,$75,$76,$32,$32,$32,$32,$32,$b0,$a0,$90
        !BYTE $80,$70,$14,$10,$00,$00,$fe,$2a,$00,$00,$80,$01,$0d,$03,$0a,$00
        !BYTE $87,$01,$03,$03,$0a,$07,$c7,$04,$02,$03,$16,$25,$01,$16,$c7,$08
        !BYTE $02,$03,$16,$c7,$0c,$02,$03,$16,$c7,$10,$02,$03,$16,$c7,$14,$02
        !BYTE $03,$16,$c7,$18,$02,$03,$16,$c7,$1c,$02,$03,$16,$c7,$20,$02,$03
        !BYTE $16,$47,$24,$03,$14,$04,$c0,$25,$03,$02,$14,$40,$04,$16,$23,$02
        !BYTE $40,$04,$14,$23,$02,$40,$04,$12,$23,$02,$40,$04,$10,$23,$02,$40
        !BYTE $04,$0e,$23,$02,$50,$04,$0c,$23,$02,$50,$04,$0a,$23,$02,$50,$04
        !BYTE $08,$23,$02,$50,$04,$06,$23,$02,$50,$04,$04,$23,$02,$04,$24,$15
        !BYTE $ff
cave293:
        !BYTE $48,$03,$05,$b2,$b3,$b4,$b7,$b6,$4b,$4e,$52,$55,$58,$a0,$9b,$98
        !BYTE $94,$90,$00,$00,$00,$00,$00,$00,$00,$00,$70,$01,$03,$26,$02,$70
        !BYTE $01,$16,$26,$02,$70,$01,$03,$14,$04,$70,$26,$03,$14,$04,$c7,$02
        !BYTE $04,$24,$12,$c7,$02,$0b,$0b,$03,$40,$02,$0c,$0b,$02,$c7,$1b,$0b
        !BYTE $0b,$03,$40,$1b,$0c,$0b,$02,$25,$03,$0e,$04,$24,$0e,$3a,$03,$05
        !BYTE $3a,$24,$05,$c0,$13,$05,$02,$10,$ff
cave294:
        !BYTE $08,$14,$19,$52,$52,$52,$52,$52,$10,$11,$12,$13,$14,$80,$78,$70
        !BYTE $68,$60,$00,$00,$00,$00,$00,$00,$00,$00,$87,$04,$05,$22,$12,$07
        !BYTE $d4,$01,$03,$03,$02,$10,$03,$03,$c7,$01,$05,$02,$02,$47,$02,$08
        !BYTE $02,$02,$47,$01,$0a,$02,$02,$47,$02,$0c,$02,$02,$47,$01,$0e,$02
        !BYTE $02,$47,$02,$10,$02,$02,$47,$01,$12,$02,$02,$47,$02,$14,$02,$02
        !BYTE $50,$02,$15,$02,$04,$08,$03,$15,$25,$01,$16,$02,$04,$06,$81,$05
        !BYTE $06,$03,$10,$10,$d0,$07,$03,$02,$02,$54,$08,$0a,$05,$02,$54,$08
        !BYTE $10,$05,$02,$50,$09,$10,$06,$04,$14,$09,$0f,$41,$05,$16,$05,$02
        !BYTE $47,$04,$03,$02,$04,$01,$07,$05,$c1,$20,$12,$07,$05,$08,$15,$16
        !BYTE $01,$14,$16,$40,$16,$16,$0a,$02,$10,$1f,$13,$02,$1f,$14,$d0,$24
        !BYTE $12,$02,$02,$41,$14,$14,$0b,$02,$50,$14,$14,$02,$04,$41,$14,$08
        !BYTE $0c,$04,$54,$15,$08,$05,$02,$04,$03,$16,$ff
cave295:
        !BYTE $08,$0a,$0f,$52,$5b,$5c,$5d,$5e,$19,$19,$19,$19,$19,$a0,$98,$90
        !BYTE $88,$80,$10,$14,$00,$00,$d3,$2a,$00,$00,$81,$01,$03,$13,$0a,$02
        !BYTE $83,$0c,$0d,$08,$0a,$02,$c2,$02,$0d,$0b,$06,$c1,$07,$10,$08,$05
        !BYTE $01,$02,$0e,$25,$07,$14,$41,$01,$0d,$02,$04,$c1,$1a,$03,$04,$0a
        !BYTE $41,$26,$03,$14,$04,$c1,$15,$0f,$0f,$06,$04,$15,$15,$41,$1f,$16
        !BYTE $08,$02,$42,$0d,$0d,$06,$02,$42,$13,$0e,$09,$04,$40,$12,$0e,$08
        !BYTE $04,$00,$13,$0e,$c2,$0c,$15,$06,$02,$02,$0c,$13,$ff
cave296:
        !BYTE $08,$0a,$0f,$52,$52,$52,$52,$52,$1e,$1e,$1e,$1e,$1e,$54,$50,$4a
        !BYTE $48,$40,$10,$00,$00,$00,$05,$00,$00,$00,$87,$01,$03,$10,$14,$07
        !BYTE $c0,$01,$03,$05,$06,$30,$03,$03,$c0,$07,$03,$02,$14,$10,$06,$06
        !BYTE $25,$07,$03,$c0,$01,$0a,$05,$06,$30,$03,$0a,$c0,$01,$11,$05,$06
        !BYTE $30,$03,$11,$10,$06,$0d,$10,$06,$14,$41,$07,$16,$0a,$02,$50,$0a
        !BYTE $04,$12,$04,$04,$0d,$0c,$30,$0a,$04,$54,$0b,$07,$05,$02,$30,$0a
        !BYTE $0a,$41,$0a,$0c,$03,$02,$30,$0a,$0f,$41,$0a,$11,$03,$02,$41,$0a
        !BYTE $12,$04,$04,$01,$0a,$07,$ff
cave297:
        !BYTE $08,$0a,$0f,$52,$52,$52,$52,$52,$19,$19,$19,$19,$19,$30,$2b,$28
        !BYTE $24,$20,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$00,$47,$02,$03,$09,$04,$70,$03,$03,$0a,$04
        !BYTE $04,$01,$03,$47,$04,$03,$09,$04,$25,$09,$05,$47,$05,$0b,$0d,$02
        !BYTE $47,$06,$07,$04,$04,$47,$08,$07,$02,$04,$47,$08,$09,$0b,$02,$7a
        !BYTE $0b,$03,$05,$02,$ff
cave298:
        !BYTE $04,$05,$08,$52,$52,$52,$52,$52,$1e,$23,$28,$2d,$32,$20,$1e,$1c
        !BYTE $1a,$18,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$7a,$01,$03,$05,$02,$50,$01,$04,$12,$02
        !BYTE $04,$01,$0c,$25,$07,$06,$ff
cave299:
        !BYTE $08,$4b,$4b,$52,$52,$52,$52,$52,$04,$04,$04,$04,$04,$20,$1a,$18
        !BYTE $14,$10,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$07,$40,$02,$06,$0c,$02,$40,$02,$0a,$0c,$02
        !BYTE $14,$01,$0a,$14,$01,$06,$14,$0b,$0a,$14,$0b,$06,$40,$07,$03,$0a
        !BYTE $04,$25,$07,$04,$04,$07,$03,$08,$07,$05,$ff
cave300:
        !BYTE $08,$08,$0f,$52,$52,$52,$52,$52,$1e,$1e,$1e,$1e,$1e,$12,$10,$0e
        !BYTE $0c,$0a,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$07,$54,$02,$06,$03,$02,$54,$02,$06,$05,$04
        !BYTE $54,$02,$08,$03,$02,$54,$02,$0a,$04,$02,$d4,$07,$06,$03,$05,$07
        !BYTE $08,$0a,$25,$06,$0a,$d4,$0c,$06,$03,$05,$07,$0e,$06,$54,$0a,$0a
        !BYTE $02,$02,$04,$0f,$0a,$ff


cave301:
        !BYTE $09,$0a,$14,$0f,$09,$0b,$10,$23,$0f,$0f,$0f,$0f,$0f,$50,$46,$3c
        !BYTE $32,$28,$10,$00,$08,$14,$1f,$0f,$08,$07,$25,$01,$16,$04,$27,$11
        !BYTE $ff
cave302:
        !BYTE $09,$05,$0a,$0a,$0f,$10,$17,$0b,$23,$23,$23,$23,$23,$96,$96,$96
        !BYTE $96,$96,$10,$14,$00,$00,$d3,$6f,$00,$00,$c2,$01,$03,$0e,$0a,$c2
        !BYTE $19,$03,$0e,$0a,$82,$0f,$03,$0a,$0a,$02,$82,$01,$0d,$26,$0a,$00
        !BYTE $40,$0e,$09,$05,$03,$40,$19,$09,$05,$05,$41,$0e,$08,$06,$03,$41
        !BYTE $19,$08,$06,$05,$41,$0e,$0a,$04,$03,$41,$19,$0a,$04,$05,$08,$02
        !BYTE $15,$48,$13,$15,$02,$02,$08,$25,$15,$25,$14,$12,$40,$13,$03,$09
        !BYTE $04,$04,$13,$03,$10,$13,$0c,$10,$13,$04,$01,$13,$05,$08,$13,$08
        !BYTE $ff
cave303:
        !BYTE $09,$05,$0a,$09,$09,$09,$09,$09,$23,$23,$23,$23,$23,$32,$2d,$28
        !BYTE $23,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$50,$0d,$03,$0a,$02,$43
        !BYTE $0d,$05,$0a,$02,$40,$0d,$06,$0a,$02,$43,$0d,$09,$0a,$02,$54,$0d
        !BYTE $07,$0a,$02,$c0,$0d,$0a,$0a,$02,$43,$0d,$0d,$0a,$02,$d0,$0d,$0c
        !BYTE $0a,$02,$43,$0d,$0f,$0a,$02,$80,$0d,$10,$0a,$07,$00,$25,$0d,$04
        !BYTE $87,$01,$03,$0c,$14,$07,$87,$18,$03,$0e,$13,$07,$07,$17,$03,$47
        !BYTE $17,$09,$05,$04,$41,$0c,$08,$07,$04,$04,$26,$03,$ff
cave304:
        !BYTE $3a,$03,$0a,$0e,$15,$0f,$10,$1d,$46,$46,$46,$46,$46,$82,$7d,$78
        !BYTE $73,$6e,$10,$00,$00,$00,$0c,$00,$00,$00,$c2,$0f,$07,$06,$0b,$c2
        !BYTE $08,$0a,$14,$05,$41,$08,$0c,$14,$02,$c1,$11,$07,$02,$0b,$3a,$11
        !BYTE $0c,$25,$01,$0c,$04,$26,$0d,$10,$10,$10,$ff
cave305:
        !BYTE $80,$02,$04,$09,$09,$09,$09,$09,$5a,$5a,$5a,$5a,$5a,$78,$6e,$64
        !BYTE $5a,$50,$00,$00,$00,$00,$00,$00,$00,$00,$82,$01,$03,$04,$14,$02
        !BYTE $82,$08,$03,$04,$14,$02,$82,$10,$03,$03,$14,$30,$82,$01,$0b,$14
        !BYTE $04,$30,$50,$05,$03,$03,$02,$50,$0c,$03,$03,$02,$10,$13,$03,$50
        !BYTE $05,$0f,$03,$02,$50,$0c,$0f,$03,$02,$10,$13,$0f,$50,$14,$0a,$02
        !BYTE $02,$40,$26,$03,$14,$04,$30,$26,$03,$70,$26,$0c,$02,$04,$30,$26
        !BYTE $16,$80,$1a,$06,$08,$0e,$02,$7a,$1c,$04,$04,$02,$25,$1d,$16,$04
        !BYTE $14,$03,$c0,$1c,$07,$04,$0b,$ff
cave306:
        !BYTE $08,$0f,$14,$30,$30,$30,$30,$30,$14,$15,$16,$17,$18,$78,$6e,$64
        !BYTE $5f,$5a,$02,$14,$00,$00,$82,$0b,$00,$00,$01,$04,$09,$01,$06,$05
        !BYTE $01,$0b,$0d,$02,$08,$0f,$01,$01,$0f,$41,$04,$13,$03,$02,$01,$0d
        !BYTE $16,$41,$0c,$11,$04,$02,$41,$12,$11,$03,$04,$41,$0f,$0d,$02,$01
        !BYTE $01,$0e,$06,$41,$10,$03,$02,$03,$41,$14,$07,$02,$04,$41,$15,$04
        !BYTE $03,$02,$41,$1c,$05,$02,$04,$41,$1c,$05,$06,$02,$01,$26,$07,$01
        !BYTE $25,$0a,$41,$23,$12,$04,$04,$14,$1a,$0e,$90,$16,$13,$03,$03,$04
        !BYTE $02,$17,$16,$01,$19,$15,$25,$01,$03,$01,$21,$09,$50,$18,$0e,$05
        !BYTE $04,$41,$14,$0f,$03,$03,$41,$15,$0d,$03,$04,$ff
cave307:
        !BYTE $08,$0a,$0f,$06,$21,$23,$26,$2c,$19,$1a,$1b,$1c,$1d,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$14,$00,$00,$b4,$29,$00,$00,$81,$01,$03,$19,$14,$01
        !BYTE $47,$19,$03,$14,$04,$c7,$15,$02,$03,$16,$c7,$11,$02,$03,$16,$c7
        !BYTE $0d,$02,$03,$16,$c7,$09,$02,$03,$16,$c7,$05,$02,$03,$16,$10,$06
        !BYTE $0a,$01,$05,$0c,$01,$07,$0a,$01,$09,$16,$01,$0b,$16,$01,$0b,$05
        !BYTE $07,$0a,$06,$07,$0c,$04,$41,$0b,$03,$07,$02,$41,$0f,$16,$05,$02
        !BYTE $07,$12,$0b,$07,$14,$0b,$47,$12,$0f,$03,$02,$01,$15,$0e,$41,$13
        !BYTE $0c,$03,$02,$41,$13,$0e,$03,$02,$47,$13,$0d,$04,$02,$10,$10,$16
        !BYTE $00,$11,$16,$47,$10,$11,$04,$02,$01,$11,$10,$10,$13,$10,$01,$13
        !BYTE $0f,$01,$11,$12,$01,$15,$03,$01,$17,$03,$07,$16,$04,$01,$14,$0b
        !BYTE $c1,$17,$15,$10,$02,$07,$18,$14,$01,$17,$0e,$10,$16,$0e,$25,$01
        !BYTE $03,$01,$05,$03,$04,$22,$03,$01,$05,$16,$10,$06,$0d,$50,$06,$08
        !BYTE $03,$04,$ff
cave308:
        !BYTE $68,$05,$0a,$52,$62,$73,$83,$a9,$32,$37,$3c,$41,$46,$96,$96,$96
        !BYTE $96,$96,$00,$00,$00,$00,$00,$00,$00,$00,$c0,$02,$04,$13,$12,$c0
        !BYTE $04,$06,$11,$10,$c0,$06,$08,$0f,$0e,$c0,$08,$0a,$0d,$0c,$c0,$0a
        !BYTE $0c,$0b,$0a,$c0,$0c,$0e,$09,$08,$c0,$0e,$10,$07,$06,$c0,$10,$12
        !BYTE $05,$04,$41,$02,$15,$13,$02,$41,$14,$04,$11,$04,$50,$16,$03,$10
        !BYTE $02,$25,$13,$14,$04,$01,$03,$30,$02,$04,$30,$04,$06,$30,$06,$08
        !BYTE $30,$08,$0a,$30,$0a,$0c,$30,$0c,$0e,$30,$0e,$10,$30,$10,$12,$ff
cave309:
        !BYTE $08,$14,$19,$52,$61,$56,$57,$60,$0f,$0f,$0f,$0f,$0f,$96,$96,$96
        !BYTE $96,$96,$10,$00,$00,$00,$08,$00,$00,$00,$25,$26,$16,$c0,$1c,$12
        !BYTE $05,$05,$c0,$14,$12,$05,$05,$c0,$0c,$12,$05,$05,$c0,$04,$12,$05
        !BYTE $05,$08,$04,$16,$08,$10,$12,$08,$18,$16,$08,$1c,$16,$47,$02,$11
        !BYTE $25,$02,$42,$05,$03,$0e,$04,$42,$01,$09,$1a,$02,$42,$1b,$09,$08
        !BYTE $04,$43,$1c,$09,$0a,$02,$04,$01,$03,$10,$06,$03,$50,$1c,$03,$0b
        !BYTE $02,$10,$1d,$05,$10,$20,$07,$10,$24,$06,$10,$25,$06,$10,$26,$05
        !BYTE $10,$22,$04,$10,$1a,$0a,$10,$04,$0a,$ff
cave310:
        !BYTE $08,$0a,$14,$52,$59,$66,$6c,$74,$1e,$1e,$1e,$1e,$1e,$fa,$eb,$dc
        !BYTE $cd,$be,$10,$14,$00,$00,$fa,$3d,$00,$00,$87,$00,$0b,$27,$03,$01
        !BYTE $80,$01,$14,$26,$03,$00,$80,$01,$08,$26,$03,$00,$c7,$00,$02,$08
        !BYTE $06,$c7,$20,$02,$08,$06,$c7,$09,$04,$16,$05,$c7,$09,$0d,$16,$06
        !BYTE $c7,$20,$0d,$08,$06,$c7,$00,$0d,$08,$06,$c0,$08,$03,$18,$07,$40
        !BYTE $08,$0e,$06,$04,$40,$1f,$0e,$06,$04,$40,$26,$13,$26,$06,$01,$03
        !BYTE $07,$01,$03,$12,$01,$0d,$12,$01,$13,$12,$01,$19,$12,$01,$24,$12
        !BYTE $01,$24,$07,$01,$19,$08,$01,$13,$08,$01,$0d,$08,$01,$08,$0d,$01
        !BYTE $01,$0b,$41,$11,$0d,$05,$02,$01,$1f,$0d,$41,$26,$0b,$02,$04,$08
        !BYTE $26,$0a,$08,$26,$16,$25,$0e,$11,$04,$27,$0e,$08,$08,$03,$08,$08
        !BYTE $0e,$08,$1f,$0f,$08,$1f,$05,$ff
cave311:
        !BYTE $08,$14,$14,$31,$33,$34,$35,$36,$14,$14,$14,$14,$14,$96,$8c,$82
        !BYTE $78,$6e,$10,$00,$00,$00,$96,$00,$00,$00,$c1,$01,$03,$02,$14,$c1
        !BYTE $0d,$03,$02,$14,$c1,$19,$03,$02,$14,$c1,$25,$03,$02,$14,$54,$26
        !BYTE $03,$14,$04,$25,$01,$0b,$04,$01,$0c,$ff
cave312:
        !BYTE $08,$0a,$32,$72,$73,$74,$75,$76,$19,$19,$19,$19,$19,$96,$8c,$82
        !BYTE $78,$6e,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$07
        !BYTE $c0,$03,$05,$22,$10,$c0,$05,$07,$1e,$0c,$c0,$07,$09,$1a,$08,$c0
        !BYTE $09,$0b,$16,$04,$c7,$01,$0a,$26,$02,$c0,$0b,$09,$12,$04,$00,$04
        !BYTE $0c,$00,$08,$0c,$40,$1d,$0b,$02,$02,$07,$1c,$0a,$00,$21,$0c,$00
        !BYTE $25,$0c,$87,$00,$02,$0d,$08,$00,$87,$0c,$02,$0d,$08,$00,$87,$18
        !BYTE $02,$10,$08,$01,$42,$0c,$03,$06,$04,$42,$18,$03,$06,$04,$10,$20
        !BYTE $03,$10,$17,$03,$01,$17,$04,$01,$0b,$04,$10,$0b,$03,$00,$0b,$09
        !BYTE $30,$0e,$03,$30,$01,$03,$25,$04,$0c,$40,$01,$0a,$08,$02,$04,$09
        !BYTE $0a,$30,$08,$0a,$00,$01,$0b,$01,$0b,$09,$41,$0d,$03,$06,$04,$ff
cave313:
        !BYTE $48,$19,$19,$b2,$b3,$b4,$b7,$b6,$0a,$0a,$0a,$0a,$0a,$96,$82,$6e
        !BYTE $5a,$46,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$0e,$26,$09,$07
        !BYTE $c0,$01,$12,$05,$05,$c0,$07,$12,$05,$05,$c0,$0d,$12,$05,$05,$c0
        !BYTE $13,$12,$05,$05,$c0,$19,$12,$05,$05,$c0,$22,$12,$05,$05,$40,$03
        !BYTE $0e,$04,$04,$40,$09,$0e,$04,$04,$40,$0f,$0e,$04,$04,$40,$15,$0e
        !BYTE $04,$04,$40,$1b,$0e,$04,$04,$40,$20,$0e,$07,$04,$40,$20,$14,$02
        !BYTE $02,$14,$01,$16,$14,$05,$16,$14,$07,$16,$14,$0b,$16,$14,$0d,$16
        !BYTE $14,$11,$16,$14,$13,$16,$14,$17,$16,$14,$19,$16,$14,$1d,$16,$08
        !BYTE $1b,$12,$08,$17,$13,$08,$11,$12,$08,$07,$13,$08,$01,$14,$25,$01
        !BYTE $03,$04,$26,$03,$48,$20,$0e,$07,$04,$50,$21,$03,$0a,$04,$47,$20
        !BYTE $04,$09,$04,$47,$22,$0c,$05,$02,$47,$02,$04,$1e,$02,$ff
cave314:
        !BYTE $a0,$02,$04,$5c,$5d,$61,$71,$72,$63,$63,$63,$63,$63,$fa,$fa,$fa
        !BYTE $fa,$fa,$00,$30,$02,$00,$fa,$96,$2a,$00,$82,$04,$06,$03,$11,$02
        !BYTE $82,$0a,$03,$03,$11,$02,$82,$10,$06,$03,$11,$02,$81,$14,$03,$13
        !BYTE $14,$01,$42,$14,$03,$14,$04,$10,$15,$03,$10,$15,$08,$10,$15,$0d
        !BYTE $10,$15,$12,$10,$26,$12,$10,$26,$0d,$10,$26,$08,$30,$26,$03,$10
        !BYTE $26,$04,$30,$26,$07,$30,$26,$0c,$30,$26,$11,$3a,$1d,$03,$25,$15
        !BYTE $16,$04,$1d,$0b,$42,$1a,$06,$0a,$04,$42,$1c,$19,$0a,$04,$42,$1e
        !BYTE $06,$0a,$04,$42,$20,$06,$0a,$04,$42,$22,$06,$0a,$04,$42,$24,$0a
        !BYTE $0d,$06,$ff
cave315:
        !BYTE $30,$02,$04,$5c,$5d,$61,$71,$72,$4b,$4b,$4b,$4b,$4b,$4b,$46,$41
        !BYTE $3c,$3c,$01,$14,$02,$00,$fa,$96,$2a,$00,$82,$04,$06,$03,$11,$02
        !BYTE $82,$0a,$03,$03,$11,$02,$82,$10,$06,$03,$11,$02,$81,$14,$03,$13
        !BYTE $14,$01,$42,$14,$03,$14,$04,$10,$15,$03,$10,$15,$08,$10,$15,$0d
        !BYTE $10,$15,$12,$10,$26,$12,$10,$26,$0d,$10,$26,$08,$08,$26,$03,$10
        !BYTE $26,$04,$08,$26,$07,$08,$26,$0c,$08,$26,$11,$3a,$1d,$03,$25,$15
        !BYTE $16,$04,$1d,$0b,$42,$1a,$06,$0a,$04,$42,$1c,$06,$0a,$04,$42,$1e
        !BYTE $06,$0a,$04,$42,$20,$06,$0a,$04,$42,$22,$06,$0a,$04,$42,$24,$0a
        !BYTE $0d,$06,$ff
cave316:
        !BYTE $08,$0a,$0f,$07,$03,$12,$19,$1d,$19,$19,$19,$19,$19,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$0c,$00,$00,$00,$c0,$01,$03,$04,$04,$c0
        !BYTE $01,$08,$04,$04,$c0,$01,$0d,$04,$04,$c0,$01,$12,$04,$04,$d4,$25
        !BYTE $03,$02,$14,$42,$01,$07,$26,$02,$42,$01,$0c,$26,$02,$42,$01,$11
        !BYTE $26,$02,$42,$01,$16,$26,$02,$08,$01,$06,$08,$01,$0b,$08,$01,$10
        !BYTE $08,$01,$15,$42,$24,$03,$13,$04,$10,$23,$03,$10,$23,$08,$10,$23
        !BYTE $0d,$10,$23,$12,$10,$23,$11,$10,$23,$0c,$10,$23,$07,$25,$06,$06
        !BYTE $04,$06,$03,$01,$25,$07,$01,$26,$0c,$01,$25,$11,$42,$1f,$03,$13
        !BYTE $04,$10,$1e,$12,$50,$25,$11,$02,$02,$50,$25,$0c,$02,$02,$50,$25
        !BYTE $07,$02,$02,$01,$24,$11,$50,$24,$03,$02,$02,$01,$24,$12,$10,$1e
        !BYTE $08,$10,$1e,$03,$10,$18,$04,$10,$12,$09,$10,$13,$0e,$10,$08,$13
        !BYTE $01,$24,$15,$ff
cave317:
        !BYTE $08,$1e,$32,$01,$02,$03,$04,$05,$06,$07,$08,$09,$0a,$1e,$1c,$1a
        !BYTE $18,$16,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$87,$01,$03,$12,$0a,$07,$c0,$01,$03,$03
        !BYTE $03,$c0,$01,$09,$03,$03,$c0,$0d,$03,$03,$03,$c0,$0d,$09,$03,$03
        !BYTE $c0,$03,$05,$0b,$05,$08,$01,$03,$08,$0d,$03,$08,$01,$09,$25,$04
        !BYTE $07,$14,$05,$06,$14,$07,$06,$14,$09,$06,$14,$0b,$06,$14,$05,$0a
        !BYTE $14,$0b,$0a,$14,$07,$0a,$14,$09,$0a,$14,$02,$07,$14,$0e,$07,$04
        !BYTE $0e,$0a,$ff
cave318:
        !BYTE $04,$05,$0a,$52,$52,$52,$52,$52,$28,$28,$2d,$2d,$32,$41,$41,$41
        !BYTE $41,$41,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$14,$01,$0c,$50,$01,$09,$04,$03,$54,$01
        !BYTE $08,$05,$03,$50,$01,$05,$08,$03,$70,$01,$04,$09,$03,$50,$01,$03
        !BYTE $0a,$03,$50,$04,$03,$0a,$03,$54,$05,$03,$0a,$03,$50,$08,$03,$0a
        !BYTE $03,$70,$09,$03,$0a,$03,$50,$0a,$03,$09,$03,$50,$0d,$03,$06,$03
        !BYTE $54,$0e,$03,$05,$03,$04,$12,$03,$25,$01,$08,$14,$01,$09,$47,$09
        !BYTE $04,$09,$03,$47,$0b,$03,$07,$03,$41,$0a,$03,$09,$03,$41,$09,$03
        !BYTE $0a,$03,$41,$0d,$03,$06,$03,$50,$0f,$04,$04,$03,$54,$0f,$03,$04
        !BYTE $03,$ff
cave319:
        !BYTE $30,$23,$2d,$52,$52,$52,$52,$52,$0a,$0b,$0c,$0d,$0e,$1e,$1e,$1e
        !BYTE $1e,$1e,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$80,$02,$04,$10,$08,$01,$43,$02,$07,$10
        !BYTE $02,$50,$03,$04,$0e,$02,$08,$02,$05,$08,$11,$06,$25,$01,$07,$04
        !BYTE $09,$03,$ff
cave320:
        !BYTE $08,$5f,$5f,$52,$52,$52,$52,$52,$02,$02,$02,$02,$02,$19,$17,$15
        !BYTE $13,$11,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$25,$08,$07,$47,$01,$03,$09,$03,$47,$0a
        !BYTE $04,$09,$03,$47,$0a,$0b,$05,$02,$47,$0b,$04,$07,$02,$47,$05,$04
        !BYTE $07,$02,$47,$02,$0b,$07,$02,$47,$02,$08,$03,$04,$47,$03,$08,$02
        !BYTE $03,$47,$11,$05,$04,$04,$47,$0f,$06,$03,$03,$14,$10,$06,$14,$03
        !BYTE $09,$47,$09,$06,$05,$04,$47,$0b,$06,$04,$04,$47,$07,$05,$02,$04
        !BYTE $07,$0d,$0a,$04,$09,$06,$ff



cave321:
        !BYTE $09,$14,$1e,$10,$14,$19,$21,$26,$0f,$0f,$0f,$0f,$0f,$c8,$af,$96
        !BYTE $7d,$64,$00,$14,$08,$00,$72,$0c,$05,$00,$42,$11,$03,$14,$04,$42
        !BYTE $02,$0c,$24,$02,$82,$02,$03,$04,$09,$02,$50,$01,$03,$04,$04,$40
        !BYTE $02,$09,$02,$02,$04,$02,$03,$10,$10,$03,$10,$10,$07,$10,$12,$0d
        !BYTE $10,$12,$11,$01,$12,$12,$01,$12,$0e,$01,$10,$08,$01,$10,$04,$25
        !BYTE $06,$03,$ff
cave322:
        !BYTE $f0,$05,$08,$0e,$0f,$11,$18,$0a,$4b,$4b,$4b,$4b,$4b,$fa,$e6,$dc
        !BYTE $d2,$c8,$10,$14,$00,$00,$c8,$3c,$00,$00,$42,$04,$12,$10,$01,$42
        !BYTE $05,$16,$10,$01,$81,$14,$03,$03,$05,$01,$81,$01,$12,$03,$05,$01
        !BYTE $c1,$02,$04,$08,$09,$41,$01,$0d,$04,$03,$41,$01,$0e,$04,$03,$41
        !BYTE $14,$08,$08,$04,$41,$13,$0c,$0a,$05,$41,$13,$0d,$0a,$05,$c1,$08
        !BYTE $15,$1f,$02,$c7,$17,$03,$11,$15,$c7,$1c,$03,$07,$15,$c7,$17,$04
        !BYTE $11,$08,$c7,$17,$0b,$11,$08,$81,$17,$12,$10,$05,$01,$41,$1f,$05
        !BYTE $0d,$04,$41,$18,$08,$0f,$02,$25,$0f,$03,$04,$23,$04,$c1,$04,$13
        !BYTE $03,$02,$c1,$05,$12,$03,$02,$c1,$07,$10,$02,$03,$41,$01,$0f,$02
        !BYTE $04,$41,$01,$11,$02,$04,$ff
cave323:
        !BYTE $09,$08,$0a,$09,$09,$09,$09,$09,$32,$32,$32,$32,$32,$e1,$c8,$af
        !BYTE $96,$7d,$00,$00,$00,$00,$00,$00,$00,$00,$87,$02,$04,$24,$12,$00
        !BYTE $87,$04,$09,$05,$05,$00,$87,$0a,$09,$05,$05,$00,$87,$11,$09,$05
        !BYTE $05,$00,$87,$17,$09,$05,$05,$00,$87,$1d,$09,$05,$05,$00,$40,$05
        !BYTE $0d,$03,$02,$40,$18,$0d,$03,$02,$47,$1e,$0b,$03,$02,$00,$21,$0c
        !BYTE $00,$21,$0a,$54,$1d,$08,$05,$02,$54,$1e,$0a,$04,$02,$54,$1e,$0c
        !BYTE $04,$02,$54,$04,$08,$18,$02,$00,$09,$08,$40,$0f,$08,$02,$02,$00
        !BYTE $16,$08,$08,$1c,$0b,$08,$16,$0b,$08,$10,$0b,$08,$09,$0b,$08,$03
        !BYTE $0b,$87,$02,$04,$24,$03,$00,$87,$02,$13,$24,$03,$00,$87,$02,$11
        !BYTE $24,$03,$00,$87,$02,$0f,$24,$03,$00,$48,$02,$10,$03,$02,$48,$02
        !BYTE $14,$03,$02,$00,$02,$12,$54,$0d,$16,$0a,$02,$48,$23,$12,$03,$02
        !BYTE $00,$25,$14,$00,$25,$10,$54,$10,$03,$07,$02,$48,$23,$05,$03,$02
        !BYTE $25,$25,$0b,$04,$23,$0d,$ff
cave324:
        !BYTE $08,$14,$19,$0e,$15,$0f,$10,$1d,$14,$14,$14,$14,$14,$fa,$e1,$c8
        !BYTE $af,$96,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$02
        !BYTE $80,$03,$05,$22,$10,$02,$80,$05,$07,$1e,$0c,$02,$80,$07,$09,$1a
        !BYTE $08,$02,$80,$09,$0b,$16,$04,$03,$50,$0a,$0b,$14,$02,$41,$0a,$0c
        !BYTE $14,$02,$50,$01,$03,$08,$03,$50,$01,$04,$08,$03,$01,$01,$05,$01
        !BYTE $03,$07,$01,$05,$09,$01,$07,$0b,$08,$08,$09,$08,$06,$07,$08,$04
        !BYTE $05,$08,$02,$03,$25,$02,$15,$01,$02,$06,$01,$04,$08,$01,$06,$0a
        !BYTE $01,$08,$0c,$00,$04,$13,$00,$06,$11,$00,$08,$0f,$04,$27,$03,$ff
cave325:
        !BYTE $80,$04,$06,$80,$ef,$54,$14,$35,$5a,$5a,$5a,$5a,$5a,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$00,$00,$00,$28,$00,$00,$00,$42,$02,$0f,$0b,$01,$40
        !BYTE $03,$0f,$0b,$01,$70,$04,$0f,$0b,$01,$42,$05,$0f,$0b,$01,$42,$1b
        !BYTE $05,$0b,$03,$40,$1a,$05,$0b,$03,$70,$19,$05,$0b,$03,$42,$18,$05
        !BYTE $0b,$03,$42,$0f,$05,$04,$03,$40,$10,$05,$04,$03,$70,$11,$05,$04
        !BYTE $03,$42,$15,$08,$04,$01,$40,$14,$08,$04,$01,$70,$14,$07,$03,$01
        !BYTE $42,$14,$06,$04,$01,$42,$13,$06,$04,$07,$c2,$0e,$03,$0c,$02,$02
        !BYTE $0d,$04,$40,$0e,$04,$03,$02,$40,$17,$04,$03,$02,$02,$1a,$04,$3a
        !BYTE $0d,$03,$3a,$1a,$03,$25,$13,$16,$04,$14,$16,$c0,$25,$03,$02,$14
        !BYTE $c0,$01,$03,$02,$14,$42,$03,$0f,$08,$04,$42,$24,$0f,$08,$04,$42
        !BYTE $22,$09,$03,$01,$42,$23,$07,$05,$00,$42,$25,$05,$02,$02,$10,$24
        !BYTE $03,$42,$04,$03,$0a,$04,$42,$22,$09,$03,$04,$10,$04,$11,$ff
cave326:
        !BYTE $08,$05,$14,$30,$30,$30,$30,$30,$62,$62,$62,$62,$62,$c8,$af,$96
        !BYTE $7d,$64,$00,$00,$00,$00,$00,$00,$00,$00,$94,$01,$03,$26,$14,$14
        !BYTE $c7,$02,$04,$24,$03,$c7,$03,$08,$24,$03,$c7,$02,$0c,$24,$03,$c7
        !BYTE $03,$10,$24,$03,$c7,$02,$14,$25,$03,$47,$01,$14,$03,$04,$47,$01
        !BYTE $0c,$08,$04,$47,$01,$03,$08,$04,$c0,$05,$03,$15,$05,$c0,$01,$0b
        !BYTE $15,$05,$c0,$12,$11,$15,$05,$c0,$1f,$03,$05,$09,$47,$1c,$03,$0b
        !BYTE $04,$47,$13,$07,$0b,$04,$47,$04,$09,$18,$02,$40,$1c,$0f,$02,$04
        !BYTE $07,$02,$0b,$40,$13,$09,$07,$04,$40,$03,$09,$11,$02,$08,$05,$07
        !BYTE $08,$06,$09,$08,$12,$11,$08,$20,$0b,$25,$02,$05,$04,$01,$09,$87
        !BYTE $17,$0c,$0e,$03,$07,$87,$03,$11,$0e,$05,$07,$47,$07,$05,$11,$02
        !BYTE $87,$1b,$03,$03,$09,$07,$47,$21,$04,$06,$04,$47,$16,$13,$0d,$02
        !BYTE $14,$13,$07,$ff
cave327:
        !BYTE $68,$0f,$19,$77,$81,$87,$88,$91,$0a,$0a,$0a,$0a,$0a,$aa,$a5,$a0
        !BYTE $9b,$96,$00,$10,$08,$14,$6c,$13,$11,$05,$50,$0a,$09,$11,$02,$c2
        !BYTE $09,$08,$10,$09,$41,$0a,$0a,$0e,$02,$80,$0a,$0b,$0e,$05,$00,$c2
        !BYTE $0c,$08,$04,$09,$c2,$12,$08,$04,$09,$c2,$07,$08,$02,$09,$04,$09
        !BYTE $09,$42,$06,$05,$1c,$02,$42,$06,$14,$1c,$02,$42,$24,$05,$10,$04
        !BYTE $42,$03,$05,$10,$04,$25,$07,$09,$c1,$05,$06,$14,$02,$14,$06,$04
        !BYTE $14,$02,$05,$14,$24,$04,$14,$23,$09,$14,$23,$0f,$14,$20,$13,$14
        !BYTE $16,$13,$14,$07,$13,$14,$04,$14,$14,$06,$09,$ff
cave328:
        !BYTE $68,$32,$32,$83,$83,$83,$83,$83,$07,$07,$07,$07,$07,$4b,$46,$41
        !BYTE $3c,$37,$02,$00,$00,$00,$c2,$00,$00,$00,$41,$01,$09,$05,$03,$41
        !BYTE $01,$0a,$05,$03,$41,$04,$0f,$02,$05,$41,$03,$0f,$02,$05,$41,$01
        !BYTE $14,$03,$04,$41,$02,$16,$07,$02,$01,$02,$13,$c1,$07,$0f,$03,$02
        !BYTE $41,$09,$0c,$02,$02,$01,$0e,$0a,$c1,$0d,$05,$02,$02,$41,$0d,$03
        !BYTE $09,$02,$41,$15,$09,$02,$02,$41,$18,$0b,$05,$04,$41,$1b,$0f,$08
        !BYTE $01,$41,$1b,$10,$08,$01,$41,$22,$0e,$03,$01,$41,$23,$0e,$03,$04
        !BYTE $41,$26,$0f,$08,$04,$01,$24,$0f,$41,$1e,$16,$08,$02,$41,$16,$16
        !BYTE $07,$02,$41,$0e,$12,$04,$03,$41,$0f,$12,$04,$03,$41,$16,$0d,$0a
        !BYTE $04,$41,$14,$0e,$03,$01,$54,$10,$0b,$03,$04,$10,$0f,$0a,$40,$06
        !BYTE $0b,$02,$04,$08,$06,$0c,$54,$1c,$15,$02,$04,$54,$1e,$15,$02,$04
        !BYTE $40,$23,$12,$04,$04,$08,$23,$13,$25,$01,$03,$04,$0c,$17,$01,$23
        !BYTE $0a,$ff
cave329:
        !BYTE $08,$0f,$19,$56,$61,$64,$6b,$6d,$14,$14,$14,$14,$14,$fa,$e6,$d2
        !BYTE $be,$aa,$10,$00,$00,$00,$1e,$00,$00,$00,$82,$01,$0f,$0e,$07,$02
        !BYTE $81,$01,$13,$03,$03,$01,$40,$06,$0f,$06,$04,$81,$09,$13,$03,$03
        !BYTE $01,$82,$0c,$03,$03,$0c,$02,$82,$10,$04,$05,$13,$02,$40,$08,$0e
        !BYTE $04,$02,$08,$09,$0e,$40,$08,$0c,$04,$02,$40,$08,$0a,$04,$02,$40
        !BYTE $08,$08,$04,$02,$08,$08,$0c,$08,$0b,$0a,$08,$0a,$08,$25,$02,$05
        !BYTE $41,$01,$16,$0f,$02,$41,$0f,$03,$09,$02,$41,$0f,$04,$13,$04,$81
        !BYTE $15,$03,$0b,$14,$01,$82,$15,$04,$05,$05,$00,$82,$15,$09,$05,$05
        !BYTE $00,$82,$15,$0e,$05,$05,$00,$82,$15,$13,$05,$04,$00,$04,$17,$15
        !BYTE $30,$17,$0f,$30,$17,$0a,$30,$17,$05,$48,$25,$0d,$04,$04,$10,$1a
        !BYTE $12,$10,$1a,$0e,$10,$1a,$09,$10,$1a,$04,$ff
cave330:
        !BYTE $08,$0f,$28,$52,$54,$56,$58,$5a,$19,$19,$19,$19,$19,$c8,$be,$b4
        !BYTE $aa,$a0,$00,$00,$00,$00,$00,$00,$00,$00,$87,$01,$03,$26,$14,$07
        !BYTE $c0,$01,$03,$07,$14,$c0,$0b,$03,$07,$14,$c0,$15,$03,$07,$14,$c0
        !BYTE $1f,$03,$07,$14,$40,$1c,$08,$03,$02,$40,$1c,$0d,$03,$02,$40,$1c
        !BYTE $12,$03,$02,$40,$12,$10,$03,$02,$40,$12,$0b,$03,$02,$40,$12,$06
        !BYTE $03,$02,$40,$08,$08,$03,$02,$40,$08,$11,$03,$02,$47,$07,$0d,$05
        !BYTE $02,$07,$11,$09,$07,$15,$0d,$07,$11,$0f,$07,$1b,$0e,$47,$1b,$0c
        !BYTE $05,$02,$30,$1b,$0d,$30,$11,$0e,$30,$0b,$0e,$30,$07,$0f,$30,$07
        !BYTE $0b,$01,$07,$09,$01,$07,$10,$01,$0b,$10,$01,$14,$0b,$01,$1f,$11
        !BYTE $80,$21,$07,$03,$06,$00,$c0,$21,$0c,$05,$07,$07,$24,$0c,$50,$21
        !BYTE $07,$03,$02,$41,$21,$08,$03,$02,$90,$03,$05,$03,$0f,$00,$c1,$01
        !BYTE $06,$05,$0e,$c0,$01,$06,$03,$0e,$25,$02,$13,$04,$11,$0a,$01,$15
        !BYTE $0f,$10,$15,$0e,$ff
cave331:
        !BYTE $08,$08,$0a,$33,$39,$38,$32,$35,$23,$28,$2d,$2d,$32,$fa,$fa,$fa
        !BYTE $fa,$fa,$10,$01,$00,$08,$c8,$28,$0a,$05,$54,$01,$03,$26,$02,$54
        !BYTE $01,$0d,$26,$02,$c7,$00,$02,$09,$08,$c7,$08,$02,$09,$08,$c7,$10
        !BYTE $02,$09,$08,$c7,$18,$02,$09,$08,$c7,$18,$0c,$09,$08,$c7,$10,$0c
        !BYTE $09,$08,$c7,$08,$0c,$09,$08,$c7,$00,$0c,$09,$08,$c1,$01,$0a,$20
        !BYTE $02,$81,$01,$14,$20,$03,$01,$01,$04,$13,$01,$0c,$13,$01,$14,$13
        !BYTE $01,$1c,$13,$01,$1c,$09,$01,$04,$09,$01,$0c,$09,$01,$14,$09,$80
        !BYTE $21,$03,$06,$14,$07,$48,$26,$04,$0a,$04,$25,$01,$16,$04,$25,$0c
        !BYTE $ff
cave332:
        !BYTE $08,$23,$23,$72,$73,$74,$75,$76,$05,$05,$05,$05,$05,$6e,$5f,$55
        !BYTE $4b,$41,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$06,$14,$02
        !BYTE $41,$01,$04,$02,$02,$10,$02,$03,$25,$01,$0c,$01,$01,$0d,$08,$01
        !BYTE $0e,$82,$07,$03,$03,$14,$01,$41,$08,$03,$02,$02,$41,$07,$16,$02
        !BYTE $02,$08,$04,$03,$c2,$09,$04,$1e,$03,$c2,$09,$08,$1e,$03,$c2,$09
        !BYTE $0c,$1e,$03,$c2,$09,$10,$1e,$03,$01,$0a,$06,$01,$0a,$0a,$01,$0a
        !BYTE $0e,$01,$0a,$12,$01,$25,$04,$01,$18,$08,$01,$25,$0c,$01,$15,$10
        !BYTE $c2,$0b,$14,$19,$02,$02,$0b,$13,$54,$0c,$13,$05,$02,$04,$08,$17
        !BYTE $ff
cave333:
        !BYTE $48,$05,$0a,$b2,$91,$97,$8b,$92,$55,$0a,$0a,$0a,$0e,$c8,$be,$b4
        !BYTE $aa,$a0,$10,$00,$00,$00,$0c,$00,$00,$00,$87,$02,$04,$05,$12,$00
        !BYTE $47,$07,$04,$20,$02,$87,$07,$04,$07,$0b,$14,$87,$0f,$04,$07,$0b
        !BYTE $14,$87,$17,$04,$07,$0b,$14,$87,$1f,$04,$07,$0b,$14,$50,$08,$05
        !BYTE $1e,$02,$42,$08,$06,$1e,$02,$41,$0e,$05,$02,$04,$41,$16,$05,$02
        !BYTE $04,$41,$1e,$05,$02,$04,$42,$25,$07,$04,$04,$42,$1f,$07,$04,$04
        !BYTE $42,$1d,$07,$04,$04,$42,$17,$07,$04,$04,$42,$15,$07,$04,$04,$42
        !BYTE $0f,$07,$04,$04,$42,$0d,$07,$04,$04,$01,$0d,$05,$01,$17,$05,$01
        !BYTE $1f,$05,$c7,$04,$06,$03,$0e,$01,$05,$06,$01,$05,$0a,$01,$05,$0e
        !BYTE $01,$06,$14,$25,$07,$15,$08,$05,$11,$08,$05,$0d,$08,$05,$07,$08
        !BYTE $03,$08,$04,$27,$03,$c7,$11,$07,$02,$07,$c7,$1a,$07,$02,$07,$c7
        !BYTE $20,$08,$05,$02,$50,$20,$07,$06,$02,$c7,$09,$08,$03,$05,$10,$0a
        !BYTE $0c,$47,$1f,$08,$03,$04,$ff
cave334:
        !BYTE $f0,$32,$19,$52,$52,$52,$52,$52,$0a,$0a,$0a,$0a,$0a,$c8,$b4,$a0
        !BYTE $8c,$78,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $88,$01,$03,$26,$07,$07,$88,$01,$09,$26,$07,$07,$88,$01,$0f,$26
        !BYTE $07,$07,$50,$01,$03,$13,$04,$50,$26,$03,$13,$04,$c1,$01,$05,$26
        !BYTE $03,$c1,$01,$0b,$26,$03,$c1,$01,$11,$26,$03,$25,$26,$05,$41,$26
        !BYTE $08,$04,$04,$01,$25,$09,$07,$26,$0c,$00,$01,$03,$00,$01,$08,$01
        !BYTE $01,$0a,$00,$01,$0e,$01,$25,$0f,$41,$26,$0e,$03,$04,$07,$26,$12
        !BYTE $80,$01,$13,$26,$03,$00,$04,$25,$03,$54,$1b,$03,$0a,$02,$41,$26
        !BYTE $0c,$07,$04,$40,$05,$03,$11,$02,$40,$06,$09,$19,$02,$40,$02,$0f
        !BYTE $19,$02,$ff
cave335:
        !BYTE $08,$1e,$28,$52,$5b,$5c,$5d,$5e,$0b,$0c,$0d,$0e,$0f,$c8,$af,$96
        !BYTE $7d,$64,$00,$00,$00,$00,$00,$00,$00,$00,$c2,$0a,$08,$13,$0a,$81
        !BYTE $01,$03,$09,$14,$02,$81,$1d,$03,$0a,$14,$02,$81,$09,$03,$15,$05
        !BYTE $02,$81,$09,$12,$15,$05,$02,$50,$0f,$10,$02,$04,$50,$18,$10,$02
        !BYTE $04,$50,$1c,$0d,$02,$02,$50,$09,$0a,$02,$02,$50,$10,$05,$03,$04
        !BYTE $42,$14,$07,$03,$02,$41,$11,$05,$05,$02,$41,$15,$06,$05,$04,$40
        !BYTE $11,$07,$03,$02,$50,$1a,$0b,$02,$03,$00,$1b,$0b,$42,$1a,$0c,$02
        !BYTE $03,$50,$1c,$0c,$02,$02,$42,$0c,$0a,$0f,$02,$42,$18,$0b,$05,$04
        !BYTE $02,$14,$09,$82,$10,$0c,$07,$05,$02,$82,$0c,$0b,$03,$05,$02,$80
        !BYTE $03,$05,$05,$10,$00,$81,$03,$05,$05,$07,$10,$43,$03,$0e,$04,$02
        !BYTE $10,$01,$03,$01,$02,$04,$40,$0c,$09,$08,$02,$08,$0d,$09,$25,$1d
        !BYTE $17,$04,$19,$0b,$c1,$02,$14,$07,$02,$42,$02,$14,$07,$02,$10,$0b
        !BYTE $0a,$42,$1d,$04,$03,$04,$ff
cave336:
        !BYTE $05,$1e,$32,$12,$12,$12,$12,$12,$0a,$0a,$0a,$0a,$0a,$96,$87,$78
        !BYTE $69,$5a,$00,$00,$00,$00,$00,$00,$00,$00,$80,$01,$03,$26,$14,$00
        !BYTE $c2,$04,$06,$0b,$0b,$c2,$19,$06,$0b,$0b,$81,$1b,$08,$07,$07,$02
        !BYTE $94,$1d,$0a,$03,$03,$08,$81,$06,$08,$07,$07,$02,$94,$08,$0a,$03
        !BYTE $03,$08,$d0,$05,$04,$09,$02,$d0,$1a,$04,$09,$02,$41,$1e,$04,$06
        !BYTE $04,$41,$09,$04,$06,$04,$04,$13,$0b,$25,$13,$0a,$41,$05,$0e,$09
        !BYTE $02,$48,$06,$0f,$05,$02,$48,$1a,$0f,$05,$02,$41,$1a,$0e,$09,$02
        !BYTE $ff
cave337:
        !BYTE $40,$5f,$5f,$01,$02,$03,$04,$05,$03,$03,$03,$03,$03,$28,$23,$1e
        !BYTE $19,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$c7,$03,$02,$03,$0c,$c7,$05,$02,$03,$0c
        !BYTE $c7,$0a,$02,$03,$0c,$c7,$0c,$02,$03,$0c,$c7,$11,$02,$03,$0c,$10
        !BYTE $01,$03,$10,$08,$03,$10,$0f,$03,$03,$01,$0b,$03,$08,$0b,$03,$0f
        !BYTE $0b,$04,$12,$0d,$01,$11,$03,$01,$03,$03,$01,$07,$04,$01,$0a,$03
        !BYTE $01,$0e,$04,$01,$0c,$0c,$01,$05,$0c,$25,$03,$03,$ff
cave338:
        !BYTE $04,$05,$08,$52,$52,$52,$52,$52,$4b,$4b,$4b,$4b,$4b,$1e,$19,$19
        !BYTE $14,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$94,$01,$03,$12,$0a,$14,$47,$02,$07,$10
        !BYTE $02,$25,$09,$07,$04,$13,$07,$08,$0f,$05,$08,$0c,$04,$08,$0e,$04
        !BYTE $08,$0d,$09,$08,$06,$0a,$08,$0a,$09,$08,$10,$0a,$08,$03,$09,$08
        !BYTE $04,$04,$08,$03,$04,$08,$07,$04,$08,$10,$04,$08,$0f,$09,$08,$0c
        !BYTE $0a,$08,$09,$0a,$08,$07,$09,$08,$05,$09,$08,$06,$09,$08,$02,$0a
        !BYTE $08,$01,$09,$ff
cave339:
        !BYTE $08,$0a,$0f,$52,$52,$52,$52,$52,$28,$28,$28,$28,$28,$32,$30,$2e
        !BYTE $2c,$28,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$c0,$01,$03,$06,$04,$c0,$01,$09,$06,$04
        !BYTE $c0,$0d,$09,$06,$04,$c0,$0d,$03,$06,$04,$c0,$07,$06,$06,$04,$d4
        !BYTE $08,$03,$04,$02,$54,$01,$06,$12,$02,$54,$02,$09,$10,$02,$25,$09
        !BYTE $07,$04,$0a,$07,$48,$0d,$03,$03,$04,$48,$06,$03,$03,$04,$48,$01
        !BYTE $09,$02,$04,$48,$12,$09,$02,$04,$ff


cave340:
        !BYTE $08,$32,$32,$52,$52,$52,$52,$52,$09,$09,$09,$09,$09,$1e,$1e,$19
        !BYTE $19,$14,$00,$00,$00,$00,$00,$00,$00,$00,$87,$00,$02,$28,$16,$07
        !BYTE $87,$00,$02,$14,$0c,$01,$c7,$02,$04,$05,$0a,$c7,$06,$04,$03,$0a
        !BYTE $c7,$08,$04,$03,$0a,$c7,$0a,$04,$03,$0a,$c7,$0c,$04,$03,$0a,$c7
        !BYTE $0e,$04,$03,$0a,$40,$01,$04,$09,$04,$30,$01,$05,$10,$04,$05,$07
        !BYTE $03,$0a,$07,$05,$0a,$01,$06,$0c,$01,$0a,$0c,$01,$0e,$0c,$01,$08
        !BYTE $05,$01,$0c,$05,$01,$10,$05,$01,$10,$07,$01,$10,$09,$01,$10,$0c
        !BYTE $47,$11,$06,$02,$02,$47,$0f,$08,$03,$02,$47,$11,$0a,$03,$04,$04
        !BYTE $10,$0c,$25,$04,$04,$ff


cave341:
        !BYTE $14,$05,$08,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$b4,$b4
        !BYTE $b4,$b4,$b4,$02,$02,$00,$00,$3c,$32,$00,$00
        !BYTE $7a,$00,$02,$28,$02,$25,$07,$07,$b0,$0a,$0a,$05,$05,$30,$04,$25
        !BYTE $16,$10,$0f,$0e,$ff
cave342:
        !BYTE $14,$05,$08,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$b4,$b4
        !BYTE $b4,$b4,$b4,$01,$01,$01,$01,$3c,$32,$09,$00
        !BYTE $b0,$01,$07,$26,$0a,$30,$90,$01,$03,$26,$04,$10,$25,$26,$16,$04
        !BYTE $25,$17,$ff
cave343:
        !BYTE $14,$04,$07,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$fa,$fa
        !BYTE $fa,$fa,$fa,$10,$14,$14,$08,$b5,$3f,$31,$05
        !BYTE $25,$11,$13,$04,$02,$03,$ff
cave344:
        !BYTE $14,$05,$07,$0c,$0c,$0c,$0c,$0c,$63,$63,$63,$63,$63,$c8,$c8,$c8
        !BYTE $c8,$c8,$10,$30,$14,$00,$40,$0d,$02,$01,$25
        !BYTE $01,$03,$04,$04,$03,$3a,$16,$10,$ff
               
cave345:
        !BYTE $14,$03,$05,$ff,$ff,$ff,$ff,$ff,$63,$63,$63,$63,$63,$78,$78
        !BYTE $78,$78,$78,$08,$08,$08,$08,$ff,$ff,$ff,$ff
        !BYTE $94,$01,$0a,$26,$08,$14,$25,$03,$10,$04,$0a,$16,$48,$09,$15,$03
        !BYTE $02,$ff
        
cave346:
        !BYTE $14,$05,$09,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$a0,$a0,$a0
        !BYTE $a0,$a0,$01,$01,$01,$01,$3c,$32,$09,$00,$25,$26,$14,$04,$27,$14
        !BYTE $50,$01,$0d,$1a,$02,$7a,$08,$07,$10,$02,$70,$01,$16,$26,$02,$ff
        
cave347:
        !BYTE $14,$0a,$fa,$4e,$4e,$4e,$4e,$4d,$32,$32,$32,$32,$32,$a0,$a0
        !BYTE $a0,$a0,$a0,$14,$10,$01,$01,$7f,$6f,$01,$00
        !BYTE $25,$10,$10,$04,$26,$16,$ff
cave348:
        !BYTE $14,$14,$fa,$0a,$0a,$0a,$0a,$0a,$38,$38,$38,$38,$38,$fa,$fa
        !BYTE $fa,$fa,$fa,$10,$08,$00,$02,$3d,$03,$02,$01
        !BYTE $42,$02,$03,$10,$03,$42,$26,$03,$10,$05,$25,$08,$03,$43,$12,$13
        !BYTE $05,$02,$04,$24,$17,$54,$15,$0e,$02,$04,$ff
cave349:
        !BYTE $14,$0f,$fa,$0c,$0c,$0c,$0c,$0b,$4b,$4b,$4b,$4b,$4b,$a0,$a0
        !BYTE $a0,$a0,$a0,$10,$08,$01,$01,$60,$10,$09,$00
        !BYTE $25,$02,$04,$43,$11,$09,$03,$02,$43,$11,$09,$05,$04,$43,$11,$0b
        !BYTE $03,$02,$43,$15,$09,$03,$02,$43,$15,$09,$05,$04,$43,$15,$0b,$03
        !BYTE $02,$43,$16,$0c,$02,$03,$43,$17,$09,$02,$04,$43,$19,$09,$05,$04
        !BYTE $43,$1b,$09,$05,$04,$43,$19,$0d,$03,$02,$43,$1d,$09,$03,$02,$43
        !BYTE $1d,$09,$03,$04,$43,$1d,$0b,$03,$02,$43,$1f,$0b,$03,$04,$43,$1d
        !BYTE $0d,$03,$02,$43,$21,$09,$03,$02,$43,$22,$09,$05,$04,$82,$13,$10
        !BYTE $05,$06,$3a,$08,$15,$12,$04,$01,$03,$ff
cave350:
        !BYTE $14,$0a,$14,$0b,$0b,$0b,$0b,$0b,$5f,$5f,$5f,$5f,$5f,$c8,$c8
        !BYTE $c8,$c8,$c8,$10,$14,$01,$01,$b0,$32,$03,$03
        !BYTE $25,$02,$04,$04,$01,$03,$ff
cave351:
        !BYTE $14,$05,$0a,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$c8,$c8
        !BYTE $c8,$c8,$c8,$10,$01,$01,$01,$70,$32,$09,$00
        !BYTE $25,$02,$04,$3a,$0a,$16,$04,$01,$03,$ff
cave352:
        !BYTE $14,$06,$0a,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$a0,$a0
        !BYTE $a0,$a0,$a0,$01,$01,$01,$01,$3c,$32,$09,$00
        !BYTE $25,$25,$16,$b0,$04,$06,$0c,$0c,$30,$04,$26,$16,$ff
cave353:
        !BYTE $14,$05,$0a,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$fa,$fa
        !BYTE $fa,$fa,$fa,$10,$01,$01,$01,$4c,$02,$01,$00
        !BYTE $25,$02,$04,$3a,$18,$16,$04,$01,$03,$ff
cave354:
        !BYTE $0f,$1e,$08,$0a,$0a,$0a,$0a,$0a,$28,$28,$28,$28,$28,$c8,$c8
        !BYTE $c8,$c8,$c8,$01,$01,$01,$01,$3c,$32,$09,$00
        !BYTE $25,$26,$12,$3a,$0a,$03,$43,$01,$13,$26,$02,$30,$0d,$0d,$04,$26
        !BYTE $16,$ff
cave355:
        !BYTE $14,$05,$09,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$fa,$fa
        !BYTE $fa,$fa,$fa,$01,$01,$01,$01,$3c,$32,$09,$00
        !BYTE $25,$01,$03,$04,$00,$04,$ff
cave356:
        !BYTE $14,$0a,$0f,$0a,$0a,$0a,$0a,$0a,$63,$63,$63,$63,$63,$fa,$fa
        !BYTE $fa,$fa,$fa,$10,$01,$01,$01,$3c,$32,$09,$00
        !BYTE $25,$01,$16,$04,$26,$03,$ff
cave357:
        !BYTE $14,$0a,$0f,$FF,$ff,$ff,$ff,$ff,$46,$46,$46,$46,$46,$14,$14,$14
        !BYTE $14,$14,$00,$00,$00,$00,$FF,$FF,$FF,$FF,$c7,$00,$02,$14,$0c,$a5
        !BYTE $01,$03,$04,$05,$25,$b0,$07,$07,$05,$05,$30,$04,$12,$03,$ff
        
cave358:
        !BYTE $14,$0f,$63,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f,$24,$24
        !BYTE $24,$24,$24,$10,$03,$14,$04,$70,$40,$10,$01
        !BYTE $25,$02,$04,$c7,$00,$02,$14,$0c,$ff
cave359:
        !BYTE $14,$0a,$0f,$0d,$0d,$0d,$0d,$0d,$50,$50,$50,$50,$50,$48,$48
        !BYTE $48,$48,$48,$14,$14,$10,$10,$f0,$70,$60,$50
        !BYTE $c7,$00,$02,$14,$0c,$25,$02,$04,$04,$12,$0d,$ff
cave360:
        !BYTE $14,$0a,$fa,$0d,$0d,$0d,$0d,$0d,$2e,$2e,$2e,$2e,$2e,$50,$50
        !BYTE $50,$50,$50,$10,$00,$00,$00,$50,$02,$01,$00
        !BYTE $c7,$00,$02,$14,$0c,$25,$01,$03,$04,$0c,$03,$ff

}
        
